package digital.laboratory.platform.reagent.controller;

import digital.laboratory.platform.common.core.util.R;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.reagent.entity.AngleMark;
import digital.laboratory.platform.reagent.service.AngleMarkService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.oauth2.provider.OAuth2Authentication;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.security.Principal;

@RestController
@RequestMapping("/angleMark")
@Api(value = "angleMark", tags = "获取角标接口")
public class AngleMarkController {

    @Autowired
    private AngleMarkService angleMarkService;


    @GetMapping
    @ApiOperation(value = "获取全局角标", notes = "获取全局角标")
    public R<AngleMark> getAngleMark( HttpServletRequest httpServletRequest) {

        Principal principal = httpServletRequest.getUserPrincipal();
        DLPUser dlpUser = (DLPUser) ((OAuth2Authentication) principal).getUserAuthentication().getPrincipal();
        AngleMark mark = angleMarkService.getMark(dlpUser);

        return R.ok(mark);

    }

}
