package digital.laboratory.platform.reagent.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.time.LocalDateTime;
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PeriodVerificationPlanDTO {

    @ApiModelProperty(value="(偏差/不确定度)")
    private String deviationOrUncertainty;

    @ApiModelProperty(value="(核查人ID)")
    private String inspectorId;

    @ApiModelProperty(value="(计划核查周期)")
    private Integer plannedVerificationCycle;

    @ApiModelProperty(value="(标准物质ID)")
    private String referenceMaterialId;

    @ApiModelProperty(value="(标准物质编号)")
    private String referenceMaterialNumber;

    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value="(计划核查日期)")
    private LocalDate scheduledVerificationDate;

    @ApiModelProperty(value="(标准值/纯度)")
    private String standardValueOrPurity;

    @ApiModelProperty(value="(核查依据)")
    private String verificationBasis;

    @ApiModelProperty(value="(计划制定表ID)")
    private String checkScheduleId;

}
