package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (验收记录表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (验收记录表) 实体类
 */
@Data
@TableName(value = "acceptance_record_form", autoResultMap = true)
@ApiModel(value = "(验收记录表)")
public class AcceptanceRecordForm extends BaseEntity {

    @ApiModelProperty(value = "(试剂耗材名称)")
    private String reagentConsumableName;

    @ApiModelProperty(value = "(供应商ID)")
    private String supplierId;

    @ApiModelProperty(value = "三级审核时间")
    private LocalDateTime auditTimeOfThreeLevel;

    @ApiModelProperty(value = "(验收日期)")
    private LocalDateTime dateOfAcceptance;

    @ApiModelProperty(value = "(三级审核意见)")
    private String auditOpinionOfThreeLevel;

    @ApiModelProperty(value = "(提交时间)")
    private LocalDateTime commitTime;

    @ApiModelProperty(value = "(三级审核人ID)")
    private String threeLevelAuditorId;

    @ApiModelProperty(value = "(后续处理情况)")
    private String followUpTreatment;

    @ApiModelProperty(value = "(二级审核意见)")
    private String auditOpinionOfSecondary;

    @ApiModelProperty(value = "(二级审核人ID)")
    private String secondaryAuditorId;

    @ApiModelProperty(value = "(二级审核时间)")
    private LocalDateTime auditTimeOfSecondary;

    @ApiModelProperty(value = "(试剂耗材ID)")
    private String reagentConsumableId;

    @ApiModelProperty(value = "(一级审核意见)")
    private String auditOpinionOfPrimary;

    @ApiModelProperty(value = "(一级审核时间)")
    private LocalDateTime auditTimeOfPrimary;

    @ApiModelProperty(value = "(一级审核人ID)")
    private String primaryAuditorId;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "一级审核结果")
    private boolean auditResultOfPrimary;

    @ApiModelProperty(value = "三级审核结果")
    private boolean auditResultOfThreeLevel;

    @ApiModelProperty(value = "(二级审核结果)")
    private boolean auditResultOfSecondary;

    @ApiModelProperty(value = "(品牌型号一致)")
    private String theSameBrandAndModel;

    @ApiModelProperty(value = "(品牌型号一致备注)")
    private String bam_remarks;

    @ApiModelProperty(value = "(数量一致)")
    private String consistentQuantity;

    @ApiModelProperty(value = "(数量一致备注)")
    private String cq_remarks;

    @ApiModelProperty(value = "(包装完好)")
    private String packingInGoodCondition;

    @ApiModelProperty(value = "(包装完好备注)")
    private String pgc_remarks;

    @ApiModelProperty(value = "(有效期)")
    private String validityPeriod;

    @ApiModelProperty(value = "(有效期备注)")
    private String vp_remarks;

    @ApiModelProperty(value = "(供货周期)")
    private String deliveryCycle;

    @ApiModelProperty(value = "(供货周期备注)")
    private String  dc_remarks;

    @ApiModelProperty(value = "(验收结论)")
    private String  acceptanceConclusion;

    @ApiModelProperty(value = "(不合格项目)")
    private String  nonconformingItem;

    @ApiModelProperty(value = "状态(0：未提交，1：一级待审核，2：二级待审核，3：三级待审核，6：审核通过，-2 一级审核不不通过，-3：二级审核不通过，-4 三级审核不通过)")
    private Integer  status;

    @ApiModelProperty(value = "(签收物品明细Id)")
    private String   warehousingContentId;

    @ApiModelProperty(value = "(验收人名称)")
    private String  userName;

    @ApiModelProperty(value = "(验收中间表ID)")
    private String  acceptanceSignForId;

}
