package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.*;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.File;
import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (标准物质期间核查指导书)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:04
 * @describe (标准物质期间核查指导书) 实体类
 */
@Data
@TableName(value = "instruction_book", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(标准物质期间核查指导书)")
public class InstructionBook extends BaseEntity {

    /**
     * 技术负责人审核意见
     */
    @ApiModelProperty(value = "技术负责人审核意见")
    private String auditOpinionOfTechnical;

    /**
     * 技术负责人审核结果
     */
    @ApiModelProperty(value = "技术负责人审核结果")
    private boolean auditResultOfTechnical;

    /**
     * 技术负责人审核时间
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    @ApiModelProperty(value = "技术负责人审核时间")
    private LocalDateTime auditTimeOfTechnical;

    /**
     * (提交状态)
     */
    @ApiModelProperty(value = "(提交状态)")
    private Integer commitStatus;

    /**
     * (指导书)
     */
    @ApiModelProperty(value = "(指导书)")
    private String instructionBook;

    /**
     * (制定人)
     */
    @ApiModelProperty(value = "(制定人)")
    private String makerId;

    /**
     * (标准物质id)
     */
    @ApiModelProperty(value = "(标准物质类id)")
    private String referenceMaterialTypeId;

    /**
     * (制定时间)
     */
    @ApiModelProperty(value = "(制定时间)")
    private LocalDateTime commitTime;

    /**
     * 技术负责人ID
     */
    @ApiModelProperty(value = "技术负责人ID")
    private String technicalDirectorId;


    /**
     * instructionBookId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "id")
    private String id;


}
