package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 提供服务或供应品
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:07
 * @describe 提供服务或供应品 实体类
 */
@Data
@TableName(value = "provide_services_or_supplies", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "提供服务或供应品")
public class ProvideServicesOrSupplies extends BaseEntity {

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;

    /**
     * (服务商/供应商评价表ID)
     */
    @ApiModelProperty(value="(服务商/供应商评价表ID)")
    private String evaluationFormId;

    /**
     * provideServicesOrSuppliesId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="提供服务或供应品表ID")
    private String id;


}
