package digital.laboratory.platform.reagent.mapper;

import cn.hutool.db.Page;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.reagent.entity.CentralizedRequest;
import digital.laboratory.platform.reagent.entity.DecentralizedRequest;
import digital.laboratory.platform.reagent.vo.DecentralizedRequestVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (分散采购申请) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (分散采购申请) Mapper 类
 */
@Mapper
public interface DecentralizedRequestMapper extends BaseMapper<DecentralizedRequest> {

    IPage<DecentralizedRequestVO> getDecentralizedRequestVOPage
            (@Param("page")IPage<DecentralizedRequest>page, @Param(Constants.WRAPPER) QueryWrapper<DecentralizedRequest> qw);

    List<DecentralizedRequestVO> getDecentralizedRequestVOList(@Param(Constants.WRAPPER) QueryWrapper<DecentralizedRequest> qw);

    DecentralizedRequestVO getDecentralizedRequest (String id);


}
