package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.reagent.dto.AuditAndApproveDTO;
import digital.laboratory.platform.reagent.dto.EvaluationFormDTO;
import digital.laboratory.platform.reagent.entity.EvaluationForm;
import digital.laboratory.platform.reagent.vo.EvaluationFormVO;

import java.util.List;

/**
 * (服务商/供应商评价表)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (服务商/供应商评价表) 服务类
 */
public interface EvaluationFormService extends IService<EvaluationForm> {

    EvaluationFormVO getFormById(String evaluationFormId);


    //增加/修改评价表

    EvaluationForm addForm(String supplierInformationId);

    EvaluationForm editFormById(EvaluationFormDTO evaluationFormDTO, DLPUser dlpUser);

    EvaluationForm auditFormOfSecondary(AuditAndApproveDTO auditAndApproveDTO, DLPUser dlpUser);

    EvaluationForm auditFormOfThreeLevel(AuditAndApproveDTO auditAndApproveDTO, DLPUser dlpUser);

    List<EvaluationFormVO> getEvaluationFormVOList (String evaluationFormId);

    //通过供应商ID查询评价表列表
    EvaluationFormVO  getEvaluationFormVO(String id);
}
