/*
 Navicat Premium Data Transfer

 Source Server         : 100Test
 Source Server Type    : MySQL
 Source Server Version : 100412
 Source Host           : 192.168.5.100:3306
 Source Schema         : dlp_reagent_managment

 Target Server Type    : MySQL
 Target Server Version : 100412
 File Encoding         : 65001

 Date: 15/09/2023 09:49:05
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for acceptance_record_form
-- ----------------------------
DROP TABLE IF EXISTS `acceptance_record_form`;
CREATE TABLE `acceptance_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptance_conclusion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(验收结论)',
  `audit_time_of_three_level` datetime(0) NULL DEFAULT NULL COMMENT '三级审核人审核时间',
  `date_of_acceptance` datetime(0) NULL DEFAULT NULL COMMENT '(验收日期)',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人审核意见',
  `three_level_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `follow_up_treatment` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(后续处理情况)',
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不合格项目)',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核意见',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `audit_time_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核时间',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人审核意见',
  `audit_time_of_secondary` datetime(0) NULL DEFAULT NULL COMMENT '(二级审核人审核日期)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(二级审核人ID)',
  `audit_result_of_secondary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材管理员审核结果',
  `audit_result_of_three_level` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核审核结果',
  `audit_result_of_primary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(一级审核结果)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `the_same_brand_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号是否一致',
  `bam_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号是否一致备注',
  `consistent_quantity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数量是否一致',
  `cq_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数量是否一致备注',
  `packing_in_good_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装是否完好',
  `pgc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装是否完好备注',
  `validity_period` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '有效期',
  `vp_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '有效期备注',
  `delivery_cycle` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供货周期',
  `dc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供货周期备注',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态',
  `warehousing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收物品单ID',
  `user_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'user_name',
  `commit_time` datetime(0) NULL DEFAULT NULL COMMENT '提交时间',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验收物品名称',
  `acceptance_sign_for_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验收中间表ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '(验收记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of acceptance_record_form
-- ----------------------------

-- ----------------------------
-- Table structure for acceptance_sign_for
-- ----------------------------
DROP TABLE IF EXISTS `acceptance_sign_for`;
CREATE TABLE `acceptance_sign_for`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `quantity` int(11) NULL DEFAULT NULL COMMENT '验收种数',
  `warehousing_record_form_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '签收记录表ID',
  `status` int(255) NULL DEFAULT NULL COMMENT '状态\r\n',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of acceptance_sign_for
-- ----------------------------

-- ----------------------------
-- Table structure for application_for_use
-- ----------------------------
DROP TABLE IF EXISTS `application_for_use`;
CREATE TABLE `application_for_use`  (
  `date_of_collection` datetime(6) NULL DEFAULT NULL COMMENT '(领取日期)',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库登记表ID',
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用登记表ID',
  `claim_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领取码',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `experiment_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '检验鉴定实验ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `IXFK_application_for_use_requisition_record`(`requisition_record_id`) USING BTREE,
  CONSTRAINT `FK_application_for_use_requisition_record` FOREIGN KEY (`requisition_record_id`) REFERENCES `requisition_record` (`requisition_record_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of application_for_use
-- ----------------------------

-- ----------------------------
-- Table structure for batch_details
-- ----------------------------
DROP TABLE IF EXISTS `batch_details`;
CREATE TABLE `batch_details`  (
  `batch_details_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材库存ID)',
  `batch` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `compliance_test_situation` tinyint(5) NULL DEFAULT NULL COMMENT '(符合性检验情况)',
  `date_of_last_check` datetime(6) NULL DEFAULT NULL COMMENT '(上次期间核查日期)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `service_status` int(11) NULL DEFAULT NULL COMMENT '(使用状态)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `limit_date` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存放时间',
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预警信息',
  `warehousing_batch_list_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收入库明细ID',
  `room_no` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '仓库号(房间号)',
  `reagent_consumable_stash_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材仓库表ID',
  PRIMARY KEY (`batch_details_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of batch_details
-- ----------------------------
INSERT INTO `batch_details` VALUES ('006F5DDBCFDDA869396E9C9ED8A1B13F', '3A29FB2DB356282E4A8F5EA7EC9899A6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:32.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:32.000000', '2023-09-15 09:41:32.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '592D2E728023B71816DDB1ACDDE1BEFE');
INSERT INTO `batch_details` VALUES ('00A70E347FEB9E2A5FACAC875BBC896A', 'C485BF0F5CA21E68A33F185FCE10A423', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:10.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:11.000000', '2023-09-15 09:40:11.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('01AE27272CA461AFAB02CCF704771927', 'CA85157CDD6C89AA65DDF6FD8B1C9B4D', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:47.000000', 16, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', NULL, 'eb9e5ab34ecb098711c58ec600e55ccb', 'F7-706_试剂柜-A_A2-3', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'FAFAC469BDC4CBD50486DC6CF0B9707A');
INSERT INTO `batch_details` VALUES ('01EB75F016EBD194E84AE7B80D8F51A3', 'B85AD7252067C921C5E7DDBA6D3021C5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:15.000000', 49, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:15.000000', '2023-09-15 09:40:15.000000', '1', '1', NULL, '679d0a4c8c0eceee10dc4e90e8830bca', 'F6-607_试剂柜-C_C1-1', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', 'E9BA1B3E93A45B17AE01FE1A32D2918B');
INSERT INTO `batch_details` VALUES ('01F4A1E85272C69FB8CC2EB36305670F', 'CB45EDA7AE7B44B42F77BA0003AFB78D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:02.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:02.000000', '2023-09-15 09:40:02.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('027499F7FA739B633F3946A7F613EEAB', 'D8F683B2D6FBBDA6454BD62F08D80026', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:16.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:17.000000', '2023-09-15 09:39:17.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('0290BE6F9ECDF4DD6A32FDBEA76C8715', 'A82658E93F69ADAC3D1A1A9F1109473C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:49.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:49.000000', '2023-09-15 09:39:49.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('02BF63C64FFE92F35F94BCFB5CCD7EA5', 'F593FC6CC0AD1D1422D2B6E6FB07D93F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:06.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:06.000000', '2023-09-15 09:42:06.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '199323E562075DC0B6A4FBEFF8104436');
INSERT INTO `batch_details` VALUES ('030276AD35E15E2BD504EAA2FC3E72AE', '563866FA34822F7554941C1FF70F6627', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:34.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:35.000000', '2023-09-15 09:39:35.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('03136CC1CB6140602EAED5BF7271F169', '012E9926F8932F053D03B14AD723A505', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:04.000000', 39, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:05.000000', '2023-09-15 09:41:05.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '11C52BEBBA6DF943AA61706323E33498');
INSERT INTO `batch_details` VALUES ('0346C030C63D5EDC4681121794686881', '912E42D3D59630F862B3DED6A9AE6F9F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:05.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:05.000000', '2023-09-15 09:40:05.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('047D673475D944B88A237D11CC12BDCC', '2DB4B2F13BC89EF25F09856F943A1C4A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:55.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:55.000000', '2023-09-15 09:40:55.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '1895418C4FE83DB776E53660AED55C1A');
INSERT INTO `batch_details` VALUES ('04AA970A7FBCBE977CA8BC534995F8F3', '96EFE5B7B98A60EA45F56E246706A2E3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:09.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:09.000000', '2023-09-15 09:40:09.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('04B9B6F5209062EB1EB12E3124C97FD4', '56EBF29FC8D1826C7742A74348E58AFD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:43.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:43.000000', '2023-09-15 09:39:43.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('05D96FEE46F816EE796EC9D528EFDD67', '1106F2A5E06F6F85170901F0402FA12E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:23.000000', 11, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', NULL, '9fc5fef81344f22fdf7f7a038d7c52fa', 'F7-707_试剂柜-B_B2-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '7250A95B5A7821DD3396493A3688C5B3');
INSERT INTO `batch_details` VALUES ('05F26933E59A7FB8642616F4AEAFF9FA', '63DCC0D39FC6428092AA6CA612C0FA9F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:25.000000', 11, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '3FB1D82A9C43931F97E42BD2FAA7A052');
INSERT INTO `batch_details` VALUES ('065958B9675F192A7A5FA8C60DCA8AD3', 'A98C6628D7BE2E1644601023EEC82456', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:53.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:53.000000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'C805B6D8CB9AAE230FD3816DAEB482F2');
INSERT INTO `batch_details` VALUES ('0667FAC9E9F3E2B64072D16C8ABA1A3E', '68E1E00F9183D3BCC45BA38BB6A76A9C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:51.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:51.000000', '2023-09-15 09:39:51.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('06DC287C6ABA39B5BE7BBA5815EDCD1D', '002C2A26624B5E946F2256A8FE1258E9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:45.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:46.000000', '2023-09-15 09:39:46.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('06DDB89662CC6B60EFB0D6933E8536FA', 'BE193F3DC6B7644B8BF732D82A7EF401', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:16.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'C8511A852AD20D96C7F7F70917FE2F62');
INSERT INTO `batch_details` VALUES ('0790D33D504C41A4A223502082C9E8EC', 'CB8C560FDB67AB2EB28C17EB3F808396', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:19.000000', 11, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', NULL, '499b443a4bf686a9c7b3e40b5537f5b2', 'F7-707_试剂柜-B_B1-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '9DB81982EA034F8DF8FDA5E9731B4158');
INSERT INTO `batch_details` VALUES ('079B2AFD701F3B40EA907B12E4633C30', 'DE82A2A7741B7666A616C5F70C3EB23C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:45.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'D2CD64745C967676A22BF370CD69E9F6');
INSERT INTO `batch_details` VALUES ('07B84DB888FCBE479AC55662B51A5CDD', '91F2EFEEC33E9914D8B18C1553CB0E28', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:48.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:49.000000', '2023-09-15 09:39:49.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('07FBDCD017ABFBFE3DC49A9E90178622', '78D0F26963E4F11572B79C24CC4B5A87', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:45.000000', 39, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', NULL, '9c89e7eba1b9f07fadccee3cb8ca1b48', 'F7-707_试剂柜-D_D3-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'A89283B66DF68B3B90B31788DCE3F0E8');
INSERT INTO `batch_details` VALUES ('08007D03488DBDFCCFEC117BEA9BE53D', '7E45807031C55B127932CA8DBA64F111', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:13.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:14.000000', '2023-09-15 09:39:14.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('0832D4D51FD425B6B61E9DC7C8E0392A', '891D9EEAD936C6A22C7CE161AC3D8D64', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:44.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'FB506F5B39E418EC9EFDBC76534BF7E8');
INSERT INTO `batch_details` VALUES ('084E585D075AD115EC8E2175189DD515', '6A40318DBFE517C24CE9686EB4E88980', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:25.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:26.000000', '2023-09-15 09:39:26.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('09E41B2F0943605328232377F0327D44', 'A2E62CBFBEC20145CBC264EFA844A869', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:50.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:50.000000', '2023-09-15 09:41:50.000000', '1', '1', NULL, 'd0512a2dbc87f32acaf8b771a13e5738', 'F7-706_试剂柜-B_B2-2', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '44D3AE9FD16D807D3397889DAE6D60C2');
INSERT INTO `batch_details` VALUES ('0A4A9ABDE7663B46336587F246E43804', 'B6A8E204D616BBF0A3D0B3F854321684', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:35.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:35.000000', '2023-09-15 09:39:35.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('0AF47A5EDC0DE396CABAD5D2D8785985', '578CB36007F062DB31A856201E20DBCC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:01.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:01.000000', '2023-09-15 09:41:01.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '332959C16832DB7890990AA2DE832F9C');
INSERT INTO `batch_details` VALUES ('0B43F7EAE9D28CA9F2772A5D9150CB09', 'B3806FB891BCA3A0A64CC92DAA2C37A0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:45.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'E134D1AD0E6D4308866C1723A01389C6');
INSERT INTO `batch_details` VALUES ('0BC73A14D12AF4CB3B6C1BBCDED3551B', '103D303B339129BD29F7B2A393C6A22C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:42.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:43.000000', '2023-09-15 09:39:43.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('0C050AA94A34EA2AFE38DC4F566DEC23', '494DA07833F9FF1FBB78372991B66E0C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:13.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:14.000000', '2023-09-15 09:42:14.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '5F6E3F2DD7DDBF303276C0F08DE20720');
INSERT INTO `batch_details` VALUES ('0C312A65FEA0DDEF1AB9B632EA2C2C51', 'CE9BB9D929C278B7F54F84C8C52EB9C8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:30.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:30.000000', '2023-09-15 09:40:30.000000', '1', '1', NULL, '7c8662cd73958e2f15c2794c159ff265', 'F6-607_试剂柜-A_A1-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'D99B48D2F216C21623B054FF7A967F3D');
INSERT INTO `batch_details` VALUES ('0CD2087B229E4B119E4B951C66AAEF26', '5ABB58CBD64714F9770D0B8781EFAC02', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:54.000000', 1300, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', NULL, 'e5e61d6ab3476db2768b0cabc223ec00', 'F7-707_试剂柜-A_A1-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '6CF7EC570059F869AA98D57C531832FD');
INSERT INTO `batch_details` VALUES ('0D41F28E4E1712C2F4A86750C2C8EB63', '96929F58235ED48D6FF9488ED0C0AB00', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:41.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:41.000000', '2023-09-15 09:40:41.000000', '1', '1', NULL, 'ac09cd70dc5f76ecedea570b2d350ac7', 'F6-606_试剂柜-A_A3-4', NULL, '726AD61EFB26C44E4E5F4835EF267B95', NULL, NULL, '606', '0F3CB92FC151268740C5C22995942B43');
INSERT INTO `batch_details` VALUES ('0EEA1A53F7B0B8A6A1C472669DBF4F82', '7D6B54C9F6DAFC774494BFE88AF88933', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:39.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:40.000000', '1', '1', NULL, 'bcac7c306cfd91945d8af38057cb1015', 'F6-606_试剂柜-C_C1-1', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'EAAB94CA4E6D12E7197C02BA78EF997A');
INSERT INTO `batch_details` VALUES ('0FA2E95031CE2C3BBE67E82652F0752C', '9298BCDA050BC6C1A640EA68758B3B94', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:37.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', NULL, '7e353498d9426380a35eeec826a6fe0e', 'F6-607_试剂柜-B_B2-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '6CFAA7F2CE4089E308C170334107D5D2');
INSERT INTO `batch_details` VALUES ('11592133730736B84B1A837EE80462EF', 'A4637013CC73F29ABD80B3886F05F56D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:57.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B209E76FE214245A57FED88A52CFE658');
INSERT INTO `batch_details` VALUES ('11BA20A0DDA66DE7A972E8922766B221', '6E0EC4D042D05E0A8CC0F1DD6C60E185', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:51.000000', 160, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:51.000000', '2023-09-15 09:40:51.000000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'A112BF44E35AD8DB99D68BD0CA57D484');
INSERT INTO `batch_details` VALUES ('11BE0A9616B383ACCC30FB3F440A3207', '5C714591A26E5D98B334CFF27799C4D4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:40.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:40.000000', '2023-09-15 09:41:40.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '69773782D719142E293240911532BCAD');
INSERT INTO `batch_details` VALUES ('120DE67A363D90E3213278F0BDF013D7', '6A7D35770595EB123414074BA62FE15D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:53.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:54.000000', '2023-09-15 09:39:54.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('129EF2981AC1D80569094A4FD8F7AA46', '3CCC94DB3AA894DCF1BEEB7462368BD3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:59.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:59.000000', '2023-09-15 09:41:59.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '0E59599D34483955B3B2398716B0D767');
INSERT INTO `batch_details` VALUES ('12CB6F0119CF3F33EEAC09D123A6E2AA', '578EA40A46ED1D40DE4F936ED877F166', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:44.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:44.000000', '2023-09-15 09:41:44.000000', '1', '1', NULL, '498aefc01ddb655f8d0feaf96ac38bda', 'F7-707_试剂柜-D_D3-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'CBD5E5E7D7D2D0849D32C913973CAD26');
INSERT INTO `batch_details` VALUES ('14359959AFFF3F0E82B3B6D413A93F2F', '149AE4D0BE21C82B7763D61FA9DC878D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:55.000000', 7, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', NULL, 'd44d1d51a3315a64708412a81c6e4e8d', 'F7-706_试剂柜-D_D1-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'FC9E0398BCE4A129279EB09E0EA92E77');
INSERT INTO `batch_details` VALUES ('1449E17A4B2CA23A91BC05F1AB784954', 'AC8AAE240B0600FAA8D2A219FEF7083B', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:57.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:57.000000', '2023-09-15 09:41:57.000000', '1', '1', NULL, '0e6d04ffce66ad909f95d4e2b1beec33', 'F7-706_试剂柜-D_D2-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '430A99CC54F418A57E510FAE609FB903');
INSERT INTO `batch_details` VALUES ('148C67B6E905A94F646781424120A16E', 'CE90E990408370BCD81EC7DA4EF7D260', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:13.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', NULL, '67a37e41bd0b1c1759690b1ef8d61629', 'F6-607_试剂柜-C_C2-1', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '9994CF88D1225BAFB945C030AA216247');
INSERT INTO `batch_details` VALUES ('14A272D59F05399531CAE42325EE83BF', '9AE4C290713BFCD4AFEA9C4DDD47B830', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:04.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:04.000000', '2023-09-15 09:41:04.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '3B95D9BEC3C3BAE46D8B3D3A53B0B8DE');
INSERT INTO `batch_details` VALUES ('15A50BADDA4A5F80D589EE7A163BEF04', 'A1D42A31316FB62649356707EF07E217', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:56.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:56.000000', '2023-09-15 09:40:56.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'DF3F0F4ACF37734C146598D31C6C2E69');
INSERT INTO `batch_details` VALUES ('160B05FD078EF5846496ED7090AA3A03', '25D0E253D81C95D5A988C4777EE54DDA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:35.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', NULL, '960a7231db063d2b1a4ab4b5d0ec3226', 'F6-607_试剂柜-A_A3-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'C2DFA903272272B154D74EABF251D9EB');
INSERT INTO `batch_details` VALUES ('16F70E2A16741006F6501BA11244E02A', '31A536A8AA4427C3DDDD90A1A7E6506D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:33.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:33.000000', '2023-09-15 09:39:33.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('17351402A7B684C07D70EC044CF26F5B', '9689287A8E0925773DC5BCED37FB06AD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:20.000000', 13, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:20.000000', '2023-09-15 09:41:20.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '1AC1155E1C51C8CCA2154F76871DC9DC');
INSERT INTO `batch_details` VALUES ('1A780DCD48C930DCE0A152C4161EB3A0', '1A6AE46C8C66C7146169C122E968D290', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:00.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:00.000000', '2023-09-15 09:40:00.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('1A7AA3D4880A1311C1663D5C05A3CEDA', '02306F9ACAEBB9F5AE91D32D7EA59CF2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:27.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', NULL, '0b4e3c79988b8fc357b3a0f5443aa63e', 'F7-707_试剂柜-C_C1-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '3204E727C7FE1C1C5CB16B9CB88E4D8C');
INSERT INTO `batch_details` VALUES ('1A9D844779317CD7EFF355091E2DCB74', '69F4D620715F46E5870EBE12FDB7B935', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:45.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '27CC9F83152F79FBED7E395984CBA15B');
INSERT INTO `batch_details` VALUES ('1AB05404C2F21C8C5B053DF9160E5CF5', '12563A09F32F0D3B20BF7B9F73D76C36', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:18.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:18.000000', '2023-09-15 09:39:18.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('1B7C0FA28F4A475EA8F59687841EC7AE', 'A821FC460F75679C4FB8D046D7E1D913', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:12.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:12.000000', '2023-09-15 09:39:12.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('1B8BDC50F423DD0FE5187503CE5F4E46', '4F0A7AAF7BE449A8CC85C89820BF98DD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:11.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7E3730049BC448E9CBA921FB720A4255');
INSERT INTO `batch_details` VALUES ('1C3052179DD727E4609D0D2A394F6EB6', 'E71DEC7A42D7E6CFDA4F9CB882001F77', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:04.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '6DF3A8C559D4418B8DD7B4FBED1EBD9C');
INSERT INTO `batch_details` VALUES ('1CF643CA1B5C3C4DC31650DB6BA0DE77', 'E782A803DC9F8E2135F47C828272C9AE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:48.000000', 100, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '071BDF9CF876B9FD4A2EB6EFE229F870');
INSERT INTO `batch_details` VALUES ('1D2BA106CB2068044EF211C4B09E2289', 'AD3F71C8D08689868063935BD89D8E3C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:16.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', NULL, '7bef90f7d97d11a6460147934b72ee49', 'F7-707_试剂柜-A_A3-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '19F0F4E3035B6AC9883F182E6DCB925F');
INSERT INTO `batch_details` VALUES ('1DE71A1E898CCFD6D77543D76A3171C1', '38A60AFD5628709276A495BFAFBC4964', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:35.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', NULL, '960a7231db063d2b1a4ab4b5d0ec3226', 'F6-607_试剂柜-A_A3-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'D9D0DF51FF1B4182A1FF75C05147F382');
INSERT INTO `batch_details` VALUES ('1E270E435413458E15E7F626D1624C06', 'D80AFEC2CEFB1380E46F273C335B4F02', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:37.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:38.000000', '2023-09-15 09:39:38.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('1E32E0852862778D4E2CC3D4626C2A0E', 'B56E6646591D237167D7E820C5AF1855', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:15.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '5DF4174804B217B39B68DB980609EBCD');
INSERT INTO `batch_details` VALUES ('201A8CBFFE99E6070C5094C631D61625', '1005A17AFE857D72A4A23016F66D25B8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:08.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:08.000000', '2023-09-15 09:41:08.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'D9CF04C039118058ABBB079717447563');
INSERT INTO `batch_details` VALUES ('202F0BE338F9012EE83768802408A189', '11B7F3C1053EE9B44C6E59BDFE15B700', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:44.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:44.000000', '2023-09-15 09:39:44.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('205D64473A4F88DF6960DCBC7EF748B1', 'BF013C42B74F2B70CC0ACB0C9C1C4193', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:40.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:40.000000', '1', '1', NULL, 'cad278f6e3028f5537e96c05134b4145', 'F6-606_试剂柜-F_F1-2', NULL, '169C929E143568B5659910E6240A4951', NULL, NULL, '606', 'F867D7AAE518CAE527BD3D862FBC4D3B');
INSERT INTO `batch_details` VALUES ('20A4A1EC25896958299C2FB0E1D25456', '2EB282D3664295129CAB39584A998A9A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:57.000000', 22, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '49ED12AC2E039AB1DCFF3594453BBB1D');
INSERT INTO `batch_details` VALUES ('20C0A3C554A428A326EFC0C8C496EFA4', 'C286ECE5190C9F29711AEF7CE769C886', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:11.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '4977BD275929104F3DE317DC2AF69820');
INSERT INTO `batch_details` VALUES ('224DBF40249567A0416D465F0FA1B1BE', '9A74F2F94C13CEB5700CF4B4F634ADCF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:34.000000', 7, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:34.000000', '2023-09-15 09:40:34.000000', '1', '1', NULL, 'a14f05cc811963d8c20a72695a2660da', 'F6-607_试剂柜-A_A2-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '88A083E7A8239D86623543727F825351');
INSERT INTO `batch_details` VALUES ('22D8C2B3E8B7B9309CF0A6292FAFC6B1', 'F044B9B2300D3D17B998596AE2E35A80', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:30.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:30.000000', '2023-09-15 09:40:30.000000', '1', '1', NULL, 'a14f05cc811963d8c20a72695a2660da', 'F6-607_试剂柜-A_A2-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '278CF30725BDF019E12379F8FDE965E5');
INSERT INTO `batch_details` VALUES ('22ECF268B12980205056598CEC33E3D7', '37BBF7C02CCEAD36BA53B785893A7F58', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:08.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:08.000000', '2023-09-15 09:41:08.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B440CFACFBA80F106EF414A4F3F4C9C6');
INSERT INTO `batch_details` VALUES ('235A2CF0E28F0853340F659AFA9D7E0D', '55242CA6E332424CF6A9C901278B863A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:36.000000', 16, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:37.000000', '2023-09-15 09:41:37.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '3C3A6F3C20ECACF55FD08C119AA58581');
INSERT INTO `batch_details` VALUES ('236C13CD7212E50E0EBD86DAF5051E5B', '02FF863948B80A521596808792811602', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:55.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:55.000000', '2023-09-15 09:39:55.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('23778361088F18D6D25E1C281C114E21', 'FEAFC849EF0EF33B7A2687B10E86F05C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:32.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:32.000000', '2023-09-15 09:41:32.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '3A53036EF5DB855D210F1AF173678DCA');
INSERT INTO `batch_details` VALUES ('23909C7B13D452B2C12378C067AAF321', '0335B068564BD5F6B9087C5EBC883B07', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:33.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:34.000000', '2023-09-15 09:39:34.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('23C610E3C345C0CD1458A9034CCA8675', '7883638273946048996B1307269737D1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:15.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'AC4DF383CC9E58E5E0F0377914D3D0A7');
INSERT INTO `batch_details` VALUES ('24106A66185F801607870676CAC37037', '80ED86A8ED1236F996DEBE440AB7BB94', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:24.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', NULL, '3854518756e7994ee5876d7e9e861cdf', 'F7-707_试剂柜-B_B3-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '45AD411C3E5E00C526DEE11DBFA66C1D');
INSERT INTO `batch_details` VALUES ('24BF4A5C71A1441F0E22A88A3E978338', 'C869D71C112EBB581271F3AEEA5E2EA0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:00.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:00.000000', '2023-09-15 09:42:00.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'C048FB63FA37EA02E6A00F5E8D6C8F3F');
INSERT INTO `batch_details` VALUES ('24CCFB47A62D7DD1A65AC3FB7BBDC26D', 'DADBF7924A73D54DF5A1CA89F147418C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:59.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:59.000000', '2023-09-15 09:39:59.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('24DC3C37FE89F67376025B95FDD40016', '8B345EC8866C378E003040C0972E2569', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:29.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:30.000000', '2023-09-15 09:40:30.000000', '1', '1', NULL, '24b6127057ff18e72393a482b1801927', 'F6-607_试剂柜-A_A3-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '26C9869EDDF285D24BF63591E8279A5E');
INSERT INTO `batch_details` VALUES ('270113374A8DA1FACD13AB835A451AB7', '4BB53AA2641522F9DDAAA571AB60E70E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:30.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:30.000000', '2023-09-15 09:39:30.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('27C9B5EEF8B37762B4F84E464B8F8967', '96929F58235ED48D6FF9488ED0C0AB00', '2023-3', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:41.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:41.000000', '2023-09-15 09:40:41.000000', '1', '1', NULL, 'f3579ed192e47c4f381ff9572f346320', 'F6-606_试剂柜-B_B1-5', NULL, '75A3A892DEFDA7AF1380EDE3659114B3', NULL, NULL, '606', '0F3CB92FC151268740C5C22995942B43');
INSERT INTO `batch_details` VALUES ('27DB79803333E034FAE1115FCB1ED161', '370EF7F426DDC358F23E9DEC4BA017AC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:13.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '50AC8486A94787BCB657D80A3801D050');
INSERT INTO `batch_details` VALUES ('27E1EA5E7115F1D3277C50925577EF86', '772995923EFAB0A13E732F5E0AA49E73', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:04.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '35250BB36564C89E405E2EA88892A9A1');
INSERT INTO `batch_details` VALUES ('27F446FCD489443F11A9591A7FF66900', '44D35809ECF03FF6B19B50A724E05071', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:03.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:03.000000', '2023-09-15 09:42:03.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '3240202746C7703C965928831FF8340C');
INSERT INTO `batch_details` VALUES ('2870A03E4502E91853F62D522BE2861F', '05CAC62FDA8A0FB44E15AF41839ACBD3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:25.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '35EF27ED478DA7B80539A747AEEC9D1D');
INSERT INTO `batch_details` VALUES ('28C0E613D8EEEA87EF1D96BE532D506A', '9ABB0669D6EB0DC884AA750F8DCF944E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:22.000000', 26, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', NULL, 'a31cd90097f3d32aeb6158a5f10d4e3a', 'F6-607_试剂柜-A_A2-4', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '2324FE51917DF29361DD88494C4142D1');
INSERT INTO `batch_details` VALUES ('28CD1B256101A95A6676BA7E4D37A0F9', '6A512CB14AD3609296573DB5FCBDF0DE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:38.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'AC6D4B8110FC1BF9236885E29F49C892');
INSERT INTO `batch_details` VALUES ('28E90CDE42AD64A08C50F74628758D72', '22007E07D6B239AF212452900B163857', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:47.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:47.000000', '2023-09-15 09:39:47.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('2A8DE09A70706501ED7181D8A2BDDDE4', '90FA08FAC664AB28E5D790E208C9C70B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:49.000000', 300, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:49.000000', '2023-09-15 09:40:49.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '13A499D2CF93329DC9A117761FE6A858');
INSERT INTO `batch_details` VALUES ('2B1FB20C681250B00925FA1A8D7D7419', '54CAEAAE05ADD681E345B17E3AE46092', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:10.000000', 200, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '160204A5B9E6D5B7F317845722B0719E');
INSERT INTO `batch_details` VALUES ('2B66A231F09F271C571A00063F8B6B4B', '6946A021BACCF7485653C4946FEAB059', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:38.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', NULL, '1eafb736d3923ac750796003de9bd99e', 'F6-607_试剂柜-E_E1-1', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', '6508094E8A3A780156948193CD437845');
INSERT INTO `batch_details` VALUES ('2BC5A946E6669F2C9D4E6962A83BC814', 'E14075D88269DC328CA02CFAB94A8961', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:00.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:00.000000', '2023-09-15 09:40:00.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('2C128B72F0D06387E134492AAF59B808', '03304E6BE8FC0B510DCA72F141717D13', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:58.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '54CBC1B34922C3C92BEB9CBF698A1E68');
INSERT INTO `batch_details` VALUES ('2C1EC3222A1DEBD0F5EC287F5BA7220C', 'D42D042100F93D520B8FF02A18E9F265', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:07.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:07.000000', '2023-09-15 09:42:07.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'BF1A11B5D3F7BF985566C0F2941E12E7');
INSERT INTO `batch_details` VALUES ('2C6578A303B64E29AD7FBE91A152827D', '7EAA5A72F7D4E16A0AB71630214A431E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:36.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:37.000000', '2023-09-15 09:39:37.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('2E8796EDAE6AE9DC06644C0B9EB3B8B3', '247C517542E8CAFBE69894591A8BCA92', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:02.000000', 18, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:03.000000', '2023-09-15 09:41:03.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '71D7718BC03F5E4620B8570E51435F1E');
INSERT INTO `batch_details` VALUES ('2ED7277C1131FF3A40B9F931A9BBA7A0', '70B53B6AB2F19C31E738F97490AC3309', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:52.000000', 170, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:52.000000', '2023-09-15 09:40:52.000000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7AD4438CA6C19468E48BB0D296185B3B');
INSERT INTO `batch_details` VALUES ('2EFE4D1B709F50EEC73F529D26C4F77B', '4192E370293EDF2ADEF038091F2A0F8A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:53.000000', 1300, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:53.000000', '2023-09-15 09:40:53.000000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7525DE9F8B799C0682C6EBD43C9C362B');
INSERT INTO `batch_details` VALUES ('2F9C50E3239980C572BBB43C1D7843FE', '53976A0E00A599A467040EC5A344E5BC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:47.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:47.000000', '2023-09-15 09:40:47.000000', '1', '1', NULL, 'c4dcd44a5edd7545b6c7b4a83398b7f4', 'F6-606_试剂柜-G_G1-4', NULL, '52A2B543BB66F60E1543EB0AAB7AE3B8', NULL, NULL, '606', 'A51C6589DF042F22AAD0BABEFDFC54FE');
INSERT INTO `batch_details` VALUES ('2FB2D09345554B53510B6F95AADF1BC5', '83D39E8B5C3AB5E4D6FB3F16561C774A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:45.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', NULL, '2bbf92ebb86852426fbdc9f73c9f6b73', 'F7-707_试剂柜-D_D4-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'C0088D2B40C022B8CB1EBD6A503FC97D');
INSERT INTO `batch_details` VALUES ('2FDF8F413DE655436969A032F04A6497', '8359F40F8D7C28210CF14EA62C898A9F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:51.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:51.000000', '2023-09-15 09:41:51.000000', '1', '1', NULL, '25253dad124c54c4d9be9dfe3235edd1', 'F7-706_试剂柜-B_B3-2', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', 'AE97AEADBD75E81B0E5A1CC40E3760F6');
INSERT INTO `batch_details` VALUES ('30B6BE387F7B88CF31455CA06E7758AE', 'C59E439165B63592EAFBC1C2F5248250', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:45.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:45.000000', '2023-09-15 09:39:45.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('30BD15EEB10CBA702121DC577CEEE9B1', '1CD828A7708557303FB87BC76D3D5A9F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:13.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '504239FEDEB088EA5FDAC1929FCA5B6B');
INSERT INTO `batch_details` VALUES ('30EEA9764B988A126AADE136C27BA6FC', 'E732573CAD276C4FA8C82C098733BAE0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:17.000000', 11, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', NULL, '31e28f9a6474d87e3dfac25118dbdf85', 'F7-707_试剂柜-B_B1-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'AD49D37696276090ADFA9C2C2C8F595C');
INSERT INTO `batch_details` VALUES ('3137F03266EDA69F5522DBAB66AD509A', 'ADA646A9FC807F046F605D64B7B16009', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:39.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:39.000000', '2023-09-15 09:40:39.000000', '1', '1', NULL, 'bcac7c306cfd91945d8af38057cb1015', 'F6-606_试剂柜-C_C1-1', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'E043655ED784799B74F207342371CCB4');
INSERT INTO `batch_details` VALUES ('3155666F37B132D41EE9418DCB27F9A8', '3550C32BAC45B89EE55CFA8B8F4745F6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:33.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', NULL, '4dbb4e8d2e996c3878c9e08e3fceb24a', 'F6-607_试剂柜-B_B3-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '63AAC052D30984782E085484D6147DD0');
INSERT INTO `batch_details` VALUES ('3183DF93C9C0AFB1908F781692D9A22F', 'E94A3315E0429A6A8E0E610A5EFA6CEE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:28.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', NULL, '1b2f68d2795f4ec89b152623375582e5', 'F6-607_试剂柜-B_B2-2', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'E8F9FDA25E4DFDEFB5D01688DD483E46');
INSERT INTO `batch_details` VALUES ('3189829131590D1E0114981ED0002B9A', 'A1B474F09E4C5D04EF39290614723271', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:22.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', NULL, '208e6ca1e46e2e2910afc643ee0582d0', 'F6-607_试剂柜-C_C1-5', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '153872ED120906EAD0F5F252B2456E4B');
INSERT INTO `batch_details` VALUES ('319589531BFCF3F9CE2D4CB1BB8F4382', 'E66D910D90219441AFD863509311563B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:07.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:07.000000', '2023-09-15 09:42:07.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '2630CE100211526061767AF8E47F6A2B');
INSERT INTO `batch_details` VALUES ('31983B8701D36E7F232526E19208364C', 'A63BAB830F024D7DD04BB7278BC38D78', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:47.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:47.000000', '2023-09-15 09:40:47.000000', '1', '1', NULL, 'c4dcd44a5edd7545b6c7b4a83398b7f4', 'F6-606_试剂柜-G_G1-4', NULL, '52A2B543BB66F60E1543EB0AAB7AE3B8', NULL, NULL, '606', 'DEBB27E2C4FF9735C25EB34009BC6A37');
INSERT INTO `batch_details` VALUES ('32ACFCD0D425F556F200D92F2322CBA0', 'AC79E613B87C2734B285D118D074E0C5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:49.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:49.000000', '2023-09-15 09:39:49.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('33296BE315C468FE330D73118DD01524', '6C33EF767E215E6627C34F1BC47FC708', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:56.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'D16E1E0A67570F495159423D9FE9886D');
INSERT INTO `batch_details` VALUES ('333CE479DF79402B94D00E3CD5E7A66E', '3AD6932E2C57C69F9FD87225F04612A7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:49.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:49.000000', '2023-09-15 09:41:49.000000', '1', '1', NULL, 'c09176dcda4c53e3a73bed226c4d6b08', 'F7-706_试剂柜-B_B1-1', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '9DA0498EB1A41FD557B3CD374ECE58D5');
INSERT INTO `batch_details` VALUES ('33801AA7DCA317012D8913437ADAAC7F', '45D6E7784CB7D7C7AD85A4F65E9DA8F9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:03.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:03.000000', '2023-09-15 09:40:03.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('3417354C564789C34F4C91118CB81E44', '88719D2CF956F394D917B7DC140B3F0C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:20.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:21.000000', '2023-09-15 09:39:21.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('34719B8DE954ECC4D44FBE24B28A1104', '76EDE4586E5064C0E1C124A7A6F5D724', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:58.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '67FFD8FCBBA36E65F80A3D37FF16E6AE');
INSERT INTO `batch_details` VALUES ('34E565B6B5DDA2FA01F491E1489BD46B', '5EF3ADB3D6345362C823BF08FF160439', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:52.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:52.000000', '2023-09-15 09:41:52.000000', '1', '1', NULL, '9eab0c91375efa5608f8248a29d697f5', 'F7-706_试剂柜-C_C1-4', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', '75AEE478C750C711C67CA5FE889CB697');
INSERT INTO `batch_details` VALUES ('34F179FFE3DD302779315D8A665CEE35', 'ABF92AEA22C0005B320B18968CF5CA68', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:56.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:56.000000', '2023-09-15 09:39:56.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('360FE1772BC541DDD7D8C3B624D59178', '455B19D439163857B9194799AC06F1A0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:03.000000', 18, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:03.000000', '2023-09-15 09:41:03.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '95977C7DDEB7BD35F1EB99A226F9EE0E');
INSERT INTO `batch_details` VALUES ('382D1C15720BC07E7AE50F59FACE09E8', '0340F571872B1130C269AF6C88D3AF50', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:42.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:42.000000', '2023-09-15 09:41:42.000000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '72A9E92AD46F05854817994C6EAC03B6');
INSERT INTO `batch_details` VALUES ('388556D5C7C386F4EA3E8E1100C0D26C', '997E6257B2170951EE0FE12BD8001872', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:16.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:16.000000', '2023-09-15 09:39:16.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('389CC6F8D22A1AB7022D16280B33E082', 'D3025A9534C1111EA747796860C3D134', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:43.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'B0B697BE5E8D779C3377BC57BD1DD51A');
INSERT INTO `batch_details` VALUES ('38A1C1587DB19D9010AC059E93A161AE', '149B2757E95545AA0B58314DD65CBE0B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:21.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', NULL, '42ad90a2d6c4b207cd2619e6c9b06aa8', 'F6-607_试剂柜-A_A1-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'E3F2188D99022DB06DF1ED254A2050AC');
INSERT INTO `batch_details` VALUES ('3A11099DA54C8E62568EA0AE2373D6D3', 'FEF6552F679344C0708E6DB32C2F30C7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:18.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', NULL, '0c4b08ffb5b5bd7afc19a3680cf333e9', 'F6-607_试剂柜-A_A2-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '710F0C7C606041C678B0B3B29ED45A56');
INSERT INTO `batch_details` VALUES ('3A76B48F46154A57153CA4D58E0A650B', '40C03064D47A2DA3B6E3C33E87D685F5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:48.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', NULL, 'c09176dcda4c53e3a73bed226c4d6b08', 'F7-706_试剂柜-B_B1-1', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', 'BCA6CC9BFC99B11D3DB8E555C9E01434');
INSERT INTO `batch_details` VALUES ('3A9AA1D41FCD2E580A8C769ACD93CCBC', 'F3276E4DA228DC1FDA8286218466F1E4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:15.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:16.000000', '2023-09-15 09:39:16.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('3B01B2E25991AFD7533C4C0EBBC3C3FA', '85E546FCB8B123FE11E6FD2AD42D7898', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:29.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:29.000000', '2023-09-15 09:40:29.000000', '1', '1', NULL, '24b6127057ff18e72393a482b1801927', 'F6-607_试剂柜-A_A3-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '201274E0EA07ACBD3041FD6B2940615F');
INSERT INTO `batch_details` VALUES ('3B543D0BD2AD031CD75C7572E1F10D8E', '4A0136B11E53088EA4FD123E9C7FDD58', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:23.000000', 17, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:23.000000', '2023-09-15 09:40:23.000000', '1', '1', NULL, '08f0bd2eb0652725edb905ee5078fe7c', 'F6-607_试剂柜-E_E1-4', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', 'DB38FB151A84B4225CE35D7C0903EC34');
INSERT INTO `batch_details` VALUES ('3B9055C78029D4B3CC1D21CD94D1CB31', '5D84474F684FB7982B18E3AD23AD0543', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:52.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:52.000000', '2023-09-15 09:39:52.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('3BBBEA9BFC61569A9ED413772484765D', 'FA10C2ED70EA552DE6E7B7167BEE4657', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:46.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', NULL, 'b9ce3dd4d0b2e75ada27bf5607e45ca1', 'F7-707_试剂柜-D_D4-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '8D5DDD2F5D3B2BFEFA468165097A263E');
INSERT INTO `batch_details` VALUES ('3C719C8F792ED7CD1A81DE35EDD02FB8', '58EE981B5BD2A22828987DB8D177EC4E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:30.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', NULL, 'cc1e723a600df519bb30716aed1a65b4', 'F7-707_试剂柜-C_C2-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'C1A5F0F6A4D9EB0DDF58ACA5F96B374F');
INSERT INTO `batch_details` VALUES ('3C849FF5E87FD8B79567BE0149F5D476', '9EBA9D0F2607CD3B39EFB9CD54E9911F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:06.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:06.000000', '2023-09-15 09:41:06.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4108E9794ECF4FE7F18A945D2CB8C4A8');
INSERT INTO `batch_details` VALUES ('3CEFD2A74862C19BF58D4178E953578C', '9056B6E497E003B682BF4A47FABDEE67', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:40.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:40.000000', '2023-09-15 09:41:40.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '409B85A10239B172C7B95D63B6E159A0');
INSERT INTO `batch_details` VALUES ('3D0383CAB16AD21EB232880904F8286E', '876D48332DCF9E7A4228A1B2944A24FC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:44.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', NULL, 'ac09cd70dc5f76ecedea570b2d350ac7', 'F6-606_试剂柜-A_A3-4', NULL, '726AD61EFB26C44E4E5F4835EF267B95', NULL, NULL, '606', 'E7AF92DFF09307DA84DC27963AE46BC5');
INSERT INTO `batch_details` VALUES ('3E34079A4DE5AE8F530DF3696484D72A', '9390E21C28FB2D3FEAD88AF03570FD54', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:33.000000', 7, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', NULL, 'e48349ea644fd3c1035e9a83a4890f9c', 'F7-707_试剂柜-C_C3-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'BA251A248956D9FFADA8D31DA6CA5E1F');
INSERT INTO `batch_details` VALUES ('3EE71F011AB852DFBD724C4849C42F6D', '3679A18727CAFE84F7AE836A56DA1884', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:33.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', NULL, 'e48349ea644fd3c1035e9a83a4890f9c', 'F7-707_试剂柜-C_C3-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '4CE08ACE21B9AE52031BFFDD7C3404F1');
INSERT INTO `batch_details` VALUES ('3F33F08B4CF990F3FCE630D628C1309B', '5FA1D5E617C3726E896F448A26239AE2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:19.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', NULL, '499b443a4bf686a9c7b3e40b5537f5b2', 'F7-707_试剂柜-B_B1-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'A1D994899BC57E09212B568D81223DD5');
INSERT INTO `batch_details` VALUES ('3F4667049BA2088743B65AEF18197266', 'E5568F52AC8047209427393C7137493D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:10.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', NULL, '436ee808c12a10f8c191f71f51118662', 'F7-706_试剂柜-E_E3-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '54793C4500716C3CFB76CFD4B79B6A23');
INSERT INTO `batch_details` VALUES ('3F53AD76CC7C7E10FDDA15152DFD91D3', '14B2E6E8613A947271DCED9B0A81EDCB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:44.000000', 17, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', NULL, '9c89e7eba1b9f07fadccee3cb8ca1b48', 'F7-707_试剂柜-D_D3-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '3F502801A983A6E2283365EA4FB04273');
INSERT INTO `batch_details` VALUES ('3F7EB3B4E8493FCAA0DBA0A66CC1591B', '9972E2C2D276C3C48049AE0DC0D295C0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:48.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', NULL, 'c4dcd44a5edd7545b6c7b4a83398b7f4', 'F6-606_试剂柜-G_G1-4', NULL, '52A2B543BB66F60E1543EB0AAB7AE3B8', NULL, NULL, '606', 'D5C935B5F37F5D95F20AE1B2E8842CA5');
INSERT INTO `batch_details` VALUES ('3F880FDF184FE047FCF78B8BDA7071EE', '10CFC2F0DB172772DD3F817F68150A00', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:48.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:48.000000', '2023-09-15 09:39:48.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('401A816A8BD515EAF1BED80A77A6461F', 'E40492F641DD905E72AAB015E7BF28F2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:56.000000', 11, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:57.000000', '2023-09-15 09:41:57.000000', '1', '1', NULL, '0e6d04ffce66ad909f95d4e2b1beec33', 'F7-706_试剂柜-D_D2-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '2775D37F5E95E41238C217C9F31ACC02');
INSERT INTO `batch_details` VALUES ('4084F048717020793F5B3241A9F5EEDC', '1604BABFD807DB7819F3B8DAA0FEEEFD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:05.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:05.000000', '2023-09-15 09:41:05.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'F3BBE0BCF3CDC38869FDC77EAE1A3718');
INSERT INTO `batch_details` VALUES ('40A69311893FC793862834D645481C0C', '8A8E06EB11D145177DF457BCF9B43196', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:25.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', NULL, '960a7231db063d2b1a4ab4b5d0ec3226', 'F6-607_试剂柜-A_A3-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '0DD3FFEC17233E63C9BFC85EF7225F74');
INSERT INTO `batch_details` VALUES ('41C475770A88EFCEBB743F680A6CB033', '9E5DD5F2E9FFCA91790AF6EAE105DB3E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:36.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:36.000000', '2023-09-15 09:39:36.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('426FD786F8463F5B228A44E3DAFF6072', '3F35F03B5E9E69C748E32B3998DDF43F', '2023-4', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:43.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:43.000000', '2023-09-15 09:40:43.000000', '1', '1', NULL, '7842ab3dd51b57a1aa507e3a98f6c88f', 'F6-606_试剂柜-D_D2-4', NULL, 'B43CEB96B657F99AB1C5CA4410E9464E', NULL, NULL, '606', '7E0897A9B9947CD30D30179DBA09DFEA');
INSERT INTO `batch_details` VALUES ('42AC8D4265EDB1C4A3DE0E03D353D7B3', '73686CB36FBFE7AA40A961F6A5070474', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:41.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:41.000000', '2023-09-15 09:40:41.000000', '1', '1', NULL, '99268f32b3e0548b458baebc891b9ba1', 'F6-606_试剂柜-F_F1-4', NULL, '169C929E143568B5659910E6240A4951', NULL, NULL, '606', '73549AF9D031B5232F1283E769BE2FB8');
INSERT INTO `batch_details` VALUES ('43895DACE3D10E26CAD3EF8C9ACE2C6A', '287B1D189F61A70D83B40932EAA336F2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:56.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:57.000000', '2023-09-15 09:39:57.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('4444A8F437EB8CC962CE99371086D600', '77043214069224C260D616956A1E1302', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:28.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:28.000000', '2023-09-15 09:39:28.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('4522A7CD03199F3A4549D09E2F2293C7', '6EC677B46B59D0AABC4136DA10E47C3D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:12.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:12.000000', '2023-09-15 09:42:12.000000', '1', '1', NULL, 'e896b9f64d79b125e2d3c0a6d30bc337', 'F7-706_试剂柜-E_E4-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '24FDC78C546CD676EBCC669F76EA22BB');
INSERT INTO `batch_details` VALUES ('454237690BF12A07CAB3E6E795F04CF9', '9873E38BDE58D7EFB22B9C8E263A4A2A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:47.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:47.000000', '2023-09-15 09:39:47.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('460CDA35D719BAA8987253BC760F4B32', '23796545AE0031DB7C0170D250101C40', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:43.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:43.000000', '2023-09-15 09:40:43.000000', '1', '1', NULL, 'bcac7c306cfd91945d8af38057cb1015', 'F6-606_试剂柜-C_C1-1', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '521F0AE33A6392593610F86765DD6C8D');
INSERT INTO `batch_details` VALUES ('4623079BB71A94C39C378A9D3BAE6C31', '1BF13D247006C45FFCCAE27C1652CF70', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:33.000000', 7, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:34.000000', '2023-09-15 09:40:34.000000', '1', '1', NULL, 'a14f05cc811963d8c20a72695a2660da', 'F6-607_试剂柜-A_A2-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '2038D495317DE50FE261218E154FA0B2');
INSERT INTO `batch_details` VALUES ('46885A94B0AB3479279A623C04322504', '30B878309B9B613ED0A5B496D9EAD593', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:19.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:19.000000', '2023-09-15 09:40:19.000000', '1', '1', NULL, '7c8662cd73958e2f15c2794c159ff265', 'F6-607_试剂柜-A_A1-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '331FAF1C17530098FAB94727FF4B1DD2');
INSERT INTO `batch_details` VALUES ('46948CC16F88B8B40AFA6ABFF6A99E15', '44DAF310DC823C255B21ABA2B8277317', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:42.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'E69C9B3CFB4ABEA0FB2B0AECD4C68567');
INSERT INTO `batch_details` VALUES ('469BFE3A6BB60DF672EA1B213FE30108', '5AFAC8E7459E9252419632B4FB53F70F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:22.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', NULL, '1a87fd835a5f236e0083f23751288b5a', 'F6-607_试剂柜-B_B1-5', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'EE8C4B493BDF6727A6B8796F242CE8B0');
INSERT INTO `batch_details` VALUES ('46D3031BAA784762D9EA11C5BE02E675', '903EC822168674EAECDD3A073AE129A6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:12.000000', 30, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4914DED9D58906A3CC25EEABC7C8EB8E');
INSERT INTO `batch_details` VALUES ('474ACBC0B82644ED47575B891C81A847', 'AE6BA438F1664F441DE0365B80B209AF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:28.000000', 16, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', NULL, '7cf58321f48a1cca620f8964f4421544', 'F7-707_试剂柜-C_C1-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '7D241970FFD8A718D553F7CB922E7EB8');
INSERT INTO `batch_details` VALUES ('476AE54F23E6DB528290104F3D7C9B3B', '259AEC14EDED33746D5C6DB7AD9B969E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:38.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:38.000000', '2023-09-15 09:39:38.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('47EB17F0AD981CE0FA6A899CB158D717', '25461F97BD03FF1FB0444347A98E6578', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:56.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:56.000000', '2023-09-15 09:40:56.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '0B72AA9E2F50A7F9B21CB22EAF6FE4AD');
INSERT INTO `batch_details` VALUES ('48C438EC1753662F31556473925929CD', 'A669359D7B92480048EA55452C7CEA5A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:56.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:56.000000', '2023-09-15 09:41:56.000000', '1', '1', NULL, '9385d102cad285d69123ad6a279044a5', 'F7-706_试剂柜-D_D2-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '04594804B3B445DB0C31AC42B7E741A0');
INSERT INTO `batch_details` VALUES ('4A63D4C733C48B3D5A7B27884F4F7240', 'E57A85FBCBFFF930E6C0E0B87D6423BE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:08.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', NULL, '75bb1e5693ddf7d3f83365fc7ce874a2', 'F7-706_试剂柜-E_E3-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '7F0485739842E76712B81258E5B11B4A');
INSERT INTO `batch_details` VALUES ('4AB434E0871AA2B40A34350D76A5F4A7', '6B7AFBC529043868669F1A5BB916EABF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:20.000000', 11, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:20.000000', '2023-09-15 09:41:20.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'B932B43C2022873275993F1DFC0ED39B');
INSERT INTO `batch_details` VALUES ('4AE2255A6B6D56686F0ADC0901E4A540', 'C37F5912988FA9499A350DBCBDC24836', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:23.000000', 23, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:23.000000', '2023-09-15 09:40:23.000000', '1', '1', NULL, 'a092aff2d41d942ee4f36dc1e11622c5', 'F6-607_试剂柜-E_E1-3', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', '6AF55BBAE1E7AA6122F4E075BF1E83DA');
INSERT INTO `batch_details` VALUES ('4AFF458B7EFB0886D14A0744594D351C', '4B21E19D75E36FF3B6A1BC140D599E54', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:58.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '2CBD81CC5696EDD5B194BCD0DE611E06');
INSERT INTO `batch_details` VALUES ('4B651CB08DDD709DCB3AB165D4B11F3A', '8666B7CD2AD4BDB19EFC72703B9F438C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:23.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:24.000000', '2023-09-15 09:39:24.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('4B663485B44BF33AE4A392CF8E1176B2', '7EA6ECDE2889FA713431A7D164DB0E45', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:14.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:14.000000', '2023-09-15 09:39:14.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('4C3DD8E60F2B1D2BF73E8B5010C4C658', 'B9633B69D5CEC278463D56BD7BD259B4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:10.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'D22EF4F76E0D52616A1971C4B93CC554');
INSERT INTO `batch_details` VALUES ('4C6B474CBE6E0B4EF768DDB3B3030A49', '9E3CF396DF77CF44BCC84C437E7746AD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:58.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:59.000000', '2023-09-15 09:40:59.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '81E499D09882C8B7751EC9B4308301B4');
INSERT INTO `batch_details` VALUES ('4C6E2F677C1D3693FA217E2E9492334F', 'BBB674BA75BC742FA51A563716BC6370', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:50.000000', 16, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:51.000000', '2023-09-15 09:41:51.000000', '1', '1', NULL, '8cd2ea7b40147a60632bf7df448bdaa3', 'F7-706_试剂柜-B_B2-3', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '29B09B6EFAC09FD4ED51AB1CBB28C103');
INSERT INTO `batch_details` VALUES ('4D0A068698843AAE26598821124F5E17', 'FEBFF6A3913B666F90B9A85427BDD01D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:10.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', NULL, '436ee808c12a10f8c191f71f51118662', 'F7-706_试剂柜-E_E3-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '77A1474009808500F945FBEB7895F56E');
INSERT INTO `batch_details` VALUES ('4ED57794364D995771BB1F6E70EAF3C8', '035AFEC3208735FA13817A560C7E44BC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:22.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:23.000000', '2023-09-15 09:39:23.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('4F49216793EAEE532C6D3D0FED6D8245', '6F99D0CBF53C2DB1A6BB1C9BC97BA466', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:23.000000', 16, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', NULL, 'dc73321545d667bd25e1ff9bfb125654', 'F7-707_试剂柜-B_B2-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '5B8DADE1E9721D14CC0D1A83E9D5AE04');
INSERT INTO `batch_details` VALUES ('5006A6A95BFE6510716AB041B38E13C0', 'BA4FD5FB8104EB2DBA3096B90338DD41', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:53.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:53.000000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '4F2913DF4C60604A36C5B4F204F0C4C4');
INSERT INTO `batch_details` VALUES ('5122CB5E35221E1D31BBD73E44C7E9CD', 'E666F8F9BC7F7D90F94598F4B40390AC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:38.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:39.000000', '2023-09-15 09:39:39.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('513CE98BF4ABDE28149486097F80D2CE', 'D46062F2828981B7916D91B5D7C3A209', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:16.000000', 90, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', NULL, '1b2f68d2795f4ec89b152623375582e5', 'F6-607_试剂柜-B_B2-2', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '66A3109DE9122AC1E373050C3F451B45');
INSERT INTO `batch_details` VALUES ('5278522114FEB696ABCFC5C8E6B169FF', 'BF32FD1A944C7C7B3FBEEBAEFAF8E0E3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:53.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:53.000000', '2023-09-15 09:39:53.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('52B1B37490F2115C841E33D236F2F3EF', '26FDA926CEE8FE619D43DA8871E54817', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:54.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:54.000000', '2023-09-15 09:41:54.000000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '82FF3B1DCD90763B817483DB9CE91221');
INSERT INTO `batch_details` VALUES ('5389CB90A324179C32792E053EBCD54E', '6CFE50AFAFC658FC63C005A694621C68', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:50.000000', 400, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:50.000000', '2023-09-15 09:40:50.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'BDC36393EDE98131C71E67E562FB0E30');
INSERT INTO `batch_details` VALUES ('540793643C7DE915358CF4CAFAA836D2', 'B1983CCFF3A70773C0F712BF20E50163', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:22.000000', 11, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', NULL, '89ebc6fe97fc3ab2dec49c03d225e4ab', 'F7-707_试剂柜-B_B2-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '5FD5B646AF1FC7FDB31A6CB3C2B061EA');
INSERT INTO `batch_details` VALUES ('5432659BCD2216C9AF4D477FBA3F9A59', '65341FCF25447616E97E26A4E833E813', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:35.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:35.000000', '2023-09-15 09:39:35.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('55459234F8EFF660E0815B0D8E865DF4', 'E77BEA83C80E08EED93F325FB0DCF923', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:01.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:01.000000', '2023-09-15 09:42:01.000000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'B0E30AEA532682954A9F157089CF072B');
INSERT INTO `batch_details` VALUES ('55502882DEA52A33BB3EE894EFF77DE8', '05D330F1234FE3A75617C7C98BF13B26', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:13.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B67D74246621646771A01D725F1E4AF4');
INSERT INTO `batch_details` VALUES ('55ABA7A7028A3645F5D26EC104C9A0CA', 'FACBF538D245E1142CBC5C9AC9A305B5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:54.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:55.000000', '2023-09-15 09:39:55.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('5634F4B93C32BF5317582812E0C95EA1', '5EFE961875158A7857DB434D3F3C0C94', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:40.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:40.000000', '2023-09-15 09:39:40.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('56732B400B03E8FE05090E379518B02B', '3DF6E8326958674A68133B51F753DA51', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:24.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:25.000000', '2023-09-15 09:39:25.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('56AA57F9B8CCAAD34B15EADFCFAB8C9C', '99CB9FBADAB1561A8A6FF7F21BB72FB8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:27.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', NULL, 'd8c3ed9db28572a33e13f48f401f0b52', 'F7-707_试剂柜-C_C2-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '7BC5ADE3B16BEED85FDA63E5E62C837E');
INSERT INTO `batch_details` VALUES ('56B5F518810686FA18CB8A3CABE6DF23', 'E3D67E72DAE875C6A3DC8EC2F2DA1874', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:35.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:36.000000', '2023-09-15 09:39:36.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('56F2D1D671957909CDFE946D98078C7B', 'E1580AA80979CC686096B598DA7BCBEF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:02.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:03.000000', '2023-09-15 09:40:03.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('572B74A1F47233E75E504766EF7E620E', 'B0428ABB9E7CA4B525AF3CC0BBC2FF32', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:22.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '31619BEDCBFEAD0E12F25D24E0E5DA05');
INSERT INTO `batch_details` VALUES ('57529CB4732F050750754CA9E7B822E4', '2A75135454C0E22750112B8CC50CE988', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:16.000000', 60, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', NULL, '012afe0bd07a33e6aa30930a438a61ab', 'F6-607_试剂柜-B_B2-3', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'E8840397B48701475E561C565BA5AB1C');
INSERT INTO `batch_details` VALUES ('578B1D4F06D20A7EE7F2D7B7C895E5F0', 'B4407D5162F1800E0FC41D1817FD786E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:11.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'BDE04BAD6659D94461DBDA8FDC3996F9');
INSERT INTO `batch_details` VALUES ('585AB977C98B91CE7C87D36950098552', '49C4EF2AEFB077D11B7C2DA3167F0C52', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:34.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', NULL, '8d595e951489bf1c16deef3b34449a91', 'F7-707_试剂柜-C_C3-4', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'B4148790934EF261B2248B46E1A47339');
INSERT INTO `batch_details` VALUES ('58820606F9BE845329C1978F78086714', '1B38698AAEDDAE9A29A7071222CF13B8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:02.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:02.000000', '2023-09-15 09:42:02.000000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '64D5DE92E7285DA713DA7FAAE6ECF932');
INSERT INTO `batch_details` VALUES ('58F80C008A55C35E8302E0621A08D6D6', 'BB86C4768D786B046F90B0606936B134', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:31.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', NULL, 'be06c2ed607241a0e50b7937a121b7ad', 'F6-607_试剂柜-B_B1-2', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'C3322CD7C3DDAA265564C7DEFDCC4173');
INSERT INTO `batch_details` VALUES ('595BD60CFA23D6CE66666FDB6BABEDBB', '18ECC3C26494E1E9BFAEA8A6A30B707E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:04.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:05.000000', '2023-09-15 09:40:05.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('5A05A47D2A27C8EAA3DFAB4BB473B1CB', 'C220CF49739345C7781C4836DE327F20', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:22.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', NULL, '89ebc6fe97fc3ab2dec49c03d225e4ab', 'F7-707_试剂柜-B_B2-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '924377D7545249C5A9B960B6296663D7');
INSERT INTO `batch_details` VALUES ('5A411CB7E279B65DF33319580AEFD172', '9A4AF04BCA916081DD3A5513B6B54D4C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:27.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:27.000000', '2023-09-15 09:39:27.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('5B12C74E490380DCB808096AE62A02E2', '66D4B6AF2A0E8A82A2CFCE7879757904', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:27.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', NULL, '960a7231db063d2b1a4ab4b5d0ec3226', 'F6-607_试剂柜-A_A3-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'A265511E8A30C09F34B9B2234E06C59F');
INSERT INTO `batch_details` VALUES ('5B21D810437A6C0F3908B261B6F818DF', 'BCDC5061D2EB49217ED14556CB4E7CE2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:09.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:09.000000', '2023-09-15 09:41:09.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B76A094CB07CCED0A2F4DAAF33A47397');
INSERT INTO `batch_details` VALUES ('5B5E028B2563246677047CB1466DB819', '8C4D39074FE8A6C5473E4EE968E0863E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:36.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:36.000000', '2023-09-15 09:41:36.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '6C8B503B0D1DED3F3CDC129CDA9B9FFC');
INSERT INTO `batch_details` VALUES ('5BCAC68EF84E9036785ABDCA6C44928F', 'D0A9872F64CF9D111E8004F9C7FF27E2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:38.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'DD376B8AD2D0B52E14C68FE14AB46916');
INSERT INTO `batch_details` VALUES ('5C4356230A87B7E0DE20436038146B01', '988EA643B9F90B6BA10195656C85D335', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:06.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:06.000000', '2023-09-15 09:42:06.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'CC1381284E3D2C245CEDFB37D4B5330F');
INSERT INTO `batch_details` VALUES ('5D8EB185B3AD7B729A0E49B87549CAE0', 'B31E89B959F9D7BEA36EDC0E6DCDB601', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:04.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:04.000000', '2023-09-15 09:40:04.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('5DC1D7B6D6709AFE4B83A84F375FE1D1', '1398871C281F21F7829ADB8DAA11B875', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:04.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '6756F00FB262294F5888595F47920E83');
INSERT INTO `batch_details` VALUES ('5DD30E47E8BD80599CC447466A59D5B7', '001A74D6D8610783BFD1267C15625F79', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:01.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:02.000000', '2023-09-15 09:42:02.000000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'A66B317CF6F948AD679C84440313AECF');
INSERT INTO `batch_details` VALUES ('5E4BC0293847BB25C02C4E4420D005DD', '143A63DEC050FA6700B455B3052A15AE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:10.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', NULL, '436ee808c12a10f8c191f71f51118662', 'F7-706_试剂柜-E_E3-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'C8D0B8A0AA4A39EF67D32669987C8D63');
INSERT INTO `batch_details` VALUES ('5F486A78A9B1763F9F5CFE1EE52C2C77', 'BA811731379B393602EE028EE202A3FF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:28.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:28.000000', '2023-09-15 09:39:28.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('6021859D9B5CE3B6902FC0628DE2F70F', '5F99DC01CC5E5C672ED435FAF9D93368', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:14.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:14.000000', '2023-09-15 09:42:14.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '96D025B43D28FC1B4D30FE7E88A863E6');
INSERT INTO `batch_details` VALUES ('606A84748C46C7A18A9C17E373241816', '5C5C9615A5A0FF435415EF4B32C0933C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:20.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:20.000000', '2023-09-15 09:39:20.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('61364E3F936D0E854815577875D2C203', '1EF70DAC5ABB03FB5DE942925A9E7937', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:59.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:59.000000', '2023-09-15 09:40:59.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'F6062AFAA4E1D98A31C47A35729FFCE0');
INSERT INTO `batch_details` VALUES ('61D259AAB8E08216FC452301A4B305AA', '3B1C3F1D9785837B6EB587CBCA503B86', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:31.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:31.000000', '2023-09-15 09:39:31.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('61FAF16C826DD6A1118F1740411D2AF5', '3F35F03B5E9E69C748E32B3998DDF43F', '2023-3', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:43.000000', 11, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:43.000000', '2023-09-15 09:40:43.000000', '1', '1', NULL, 'a1226c2455ab52fccb314fb22c2292d8', 'F6-606_试剂柜-D_D3-4', NULL, 'B43CEB96B657F99AB1C5CA4410E9464E', NULL, NULL, '606', '7E0897A9B9947CD30D30179DBA09DFEA');
INSERT INTO `batch_details` VALUES ('6299CEDFCC444775A9126FF96E21EF57', '398938C1FEE27EF83688D007F14849FC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:04.000000', 21, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:04.000000', '2023-09-15 09:41:04.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '227CD72444B209599D7080A5555852A1');
INSERT INTO `batch_details` VALUES ('631DE8B4FDB6B4F764991F1EDC62722D', 'F2E231665DB4938402AD189773C51BE3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:22.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', NULL, '89ebc6fe97fc3ab2dec49c03d225e4ab', 'F7-707_试剂柜-B_B2-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'A0823D1C1887CF88EFF60ED1D5AA367E');
INSERT INTO `batch_details` VALUES ('6388A1911F188DE4CD970D5FE1B663F1', 'FAD72A6FD9659DD966664F521706115B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:06.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:06.000000', '2023-09-15 09:40:06.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('63EA9147B5E29DF5E88ABD33B550C0FA', '9013643AEBC2DB04BF245E0E170A7CE0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:27.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', NULL, '0b4e3c79988b8fc357b3a0f5443aa63e', 'F7-707_试剂柜-C_C1-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '0884D569FEBFF3165DBE210CB0E9EC14');
INSERT INTO `batch_details` VALUES ('64B4F3DC734C72CF21B81D4E51E5EB41', 'D3979F7E5CEC79CC1A194D43B5D26AEE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:32.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:32.000000', '2023-09-15 09:39:32.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('64E488AE98C8D22E5A9AC902C1CCBF48', 'BCE660171CAD4DAD1C7492C273C62BE4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:12.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:13.000000', '2023-09-15 09:41:13.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4BE152733B4A02FD32BD6B347D8AC471');
INSERT INTO `batch_details` VALUES ('6535EA61D4B2F5F359A5AE882B0AC83C', '7C8D559A29D74F1DE2D2036889893652', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:25.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', NULL, '889305fba0ad8cff490b0930c992cb3f', 'F6-607_试剂柜-C_C2-2', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '3DFC168C396FD3C5F18EFB217CCEDE80');
INSERT INTO `batch_details` VALUES ('655BC7988538DA4752813CF25E301E94', 'AC8AAE240B0600FAA8D2A219FEF7083B', '2023-3', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:57.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:57.000000', '2023-09-15 09:41:57.000000', '1', '1', NULL, '7f087c99e409ccf451b4d97a30c8f4b1', 'F7-706_试剂柜-D_D2-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '430A99CC54F418A57E510FAE609FB903');
INSERT INTO `batch_details` VALUES ('660CB3004140B2220E4A6D7FF0A6B0A9', 'AF8BF10795CCFC94597D6F7C9091AC71', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:12.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:12.000000', '2023-09-15 09:42:12.000000', '1', '1', NULL, 'e896b9f64d79b125e2d3c0a6d30bc337', 'F7-706_试剂柜-E_E4-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'B1C6C8CBB5ACE5F0238A7FFEAEB5DF94');
INSERT INTO `batch_details` VALUES ('661155F946CB87782ACF1625C3F4DB50', '7421EEBE22BB5F28208A1255B4AB717C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:39.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:40.000000', '2023-09-15 09:39:40.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('6647740182868205488535444D82FFD8', '6440B6325A4EE73E771372E4BD9EDC80', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:40.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:40.000000', '2023-09-15 09:39:40.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('6697E557350085A616F13AE90CF4D098', 'E25041F6F6DEED2CB971A44BE17511EC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:36.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:36.000000', '2023-09-15 09:40:36.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '18DD5828745550FD2876263D48910066');
INSERT INTO `batch_details` VALUES ('66C35EC87DA7B808D24AC23BFB5F01AF', '9CD9D56321B633F3E4DB6A04E5FC784C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:14.000000', 60, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:14.000000', '2023-09-15 09:40:14.000000', '1', '1', NULL, '30b0e055a64a742bd6d621d5d250b5b1', 'F6-607_试剂柜-F_F1-2 ', NULL, '8C379C9EA9597E6F706FDA436401A14E', NULL, NULL, '607', '6F85C761DDAFCE3284CA5E9BFB2CD148');
INSERT INTO `batch_details` VALUES ('678945263A4DB9DE10E1A5D06D052155', '3686BD1FDF23F3FB6E117DF4044F24B0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:21.000000', 36, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '6355E00D476A2DF72BBCF9DDDE9D87F4');
INSERT INTO `batch_details` VALUES ('68DA81F558F32D7081D889AF0D2A37E6', 'CE356E9A37CF173D9236BB24CD213C34', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:30.000000', 18, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', NULL, 'cc1e723a600df519bb30716aed1a65b4', 'F7-707_试剂柜-C_C2-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '74603CD3F40213274BA8D65021AFB56C');
INSERT INTO `batch_details` VALUES ('6A535104D5EB55B92AC3D1714546FA04', 'AD0B385BEEC03B915BA2E6469254C8C9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:59.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:59.000000', '2023-09-15 09:41:59.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'A5C6A8A81063629DE6A2612EB44E46DB');
INSERT INTO `batch_details` VALUES ('6AF39F3AAA8842D5594503F78460F649', 'FFA23FCDFB79B8D17DFE5B8764A252A3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:30.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', NULL, 'd8c3ed9db28572a33e13f48f401f0b52', 'F7-707_试剂柜-C_C2-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '92D60E4496BC3190614F34588D6B8818');
INSERT INTO `batch_details` VALUES ('6BC63E86A92CC20C9DC7C36C14E49B96', '0A1B1E1C765142FD5B38DF59C42D3D80', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:31.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', NULL, 'be06c2ed607241a0e50b7937a121b7ad', 'F6-607_试剂柜-B_B1-2', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '4F86B18EE70CE6C0EDCE6FB6EB2E0547');
INSERT INTO `batch_details` VALUES ('6CA336B3E15D7172325A58BC96D827B5', '3F150856939C310A087C214694F21976', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:24.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', NULL, '18fca81c36a6d07f6c52260e7327122c', 'F6-607_试剂柜-A_A3-4', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'A8F9BF1F35C1B913061E881FF52E92FD');
INSERT INTO `batch_details` VALUES ('6CC028BB8E1D2B23883BDF6679D4EAB1', '3E2FE7C61F949085EC084760EC901D41', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:33.000000', 18, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', NULL, 'e48349ea644fd3c1035e9a83a4890f9c', 'F7-707_试剂柜-C_C3-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'CF65D588EB95A01616A2AD8592C2AC9D');
INSERT INTO `batch_details` VALUES ('6CEE771014F1A920B231CBFF97276582', '7EC2FEDBDD590AC5E039FFA3D43908D8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:21.000000', 41, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '4D5101E36C76B0B5B03D6273C03A6D6E');
INSERT INTO `batch_details` VALUES ('6CFCD928CA2DA64FEC18AD2827E71B50', 'D4CE9FC42C35C2723B0AEBA0E29A31D2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:13.000000', 27, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:14.000000', '2023-09-15 09:40:14.000000', '1', '1', NULL, '51524c54a71dd4ab2603ea5b2ec0bb45', 'F6-607_试剂柜-B_B3-5', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '628B1DCEAFAB8E1048E40DD8A146CD2E');
INSERT INTO `batch_details` VALUES ('6D126C100F15E8903A818EAD13070275', 'B564C6F8C15E3F52DE17E537A4C15408', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:02.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:02.000000', '2023-09-15 09:42:02.000000', '1', '1', NULL, '7dc5b344b9decc98856cec750c5168ce', 'F7-706_试剂柜-E_E1-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'EBA96C4F7000FECE43C7AF66243159C3');
INSERT INTO `batch_details` VALUES ('6D287B0D68C453F7B2DD704FDE174A22', '831ED25C530BB837CD5223199911BE5C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:04.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'E17E689F5AE87E51C91AE289045B7B20');
INSERT INTO `batch_details` VALUES ('6D9885C19CBB64F99F19062188491EAE', 'F9EBD29F1EEA3D26164BC4E840BF6848', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:26.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:26.000000', '2023-09-15 09:41:26.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '61C497BB45133D5788563A65457383A6');
INSERT INTO `batch_details` VALUES ('6E7560D68D6D0EE6589D1481C73FC725', 'A45FA47FFB65F3DEBB679DDE8E8C54B0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:12.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:12.000000', '2023-09-15 09:40:12.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '839823EA8350FC443452892B0D9DEC8E');
INSERT INTO `batch_details` VALUES ('6EDBC31B5CC8940CA1FB3A210DEF0281', 'AD3E9D6D30637E90BB8F63ED42AAA1C4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:02.000000', 17, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '2FFFA75757A1A45B3C1BA1089E26C3DD');
INSERT INTO `batch_details` VALUES ('6F2908B7B1FD1D6170CDFE03793A46FF', '71E79C4523AEC36928596EC6F667FAC6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:19.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:19.000000', '2023-09-15 09:40:19.000000', '1', '1', NULL, '0c4b08ffb5b5bd7afc19a3680cf333e9', 'F6-607_试剂柜-A_A2-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '737FC83389881CF898610F1B00BF8A52');
INSERT INTO `batch_details` VALUES ('6F386F96DADC7E48250854E3F9363297', 'EF329854267C816C0AF10DF76A87E142', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:18.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', NULL, '7655b680f65a6470af4e6ee3818ee7d4', 'F7-707_试剂柜-B_B1-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '4C5C7BC5E48BF6CFF6AAAE9A9A6D53FB');
INSERT INTO `batch_details` VALUES ('70ED78BCAD60A78FBCB93171CCEF05DF', '865C1FB450D075D1236C0E2B0B0EEF50', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:32.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', NULL, '4ce88754219a44f34dcc770458a60db1', 'F6-607_试剂柜-E_E1-2', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', 'BF4E22B138206CAF6324C26CE14F8938');
INSERT INTO `batch_details` VALUES ('712AE57CF9AE32B81C7A2105E13EBE11', 'E2A881D45CB4D9AD7537F0F2F3124D63', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:30.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:31.000000', '2023-09-15 09:39:31.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('71DB37440695B8FE3CD2D3B2016F8B9C', 'F711075AA300919074E2734D36C9970A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:28.000000', 13, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', NULL, '7cf58321f48a1cca620f8964f4421544', 'F7-707_试剂柜-C_C1-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '482DC284EADAC725D4680ADE45333DD3');
INSERT INTO `batch_details` VALUES ('71EEF38C2B5CB5D34B02287874D64775', '4AF3B2E186C6C14865B3D85D318E967A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:11.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '9DA5E59B3E557D2C85B36A05AA997D75');
INSERT INTO `batch_details` VALUES ('726F5842FBDD11754CBFCEDC9D1DB238', '121511561BA7BB9D294E07D95E5B4325', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:26.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:27.000000', '2023-09-15 09:39:27.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('7291094D451CB467338C5319C10A7F92', 'E2FF84A55D7E276BE1856AA76833EC04', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:21.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:21.000000', '2023-09-15 09:39:21.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('72AE2DEE8DB6C2D594306B6176C5D475', '0A39D7E3725D30D61897687DE6126989', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:03.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:04.000000', '2023-09-15 09:41:04.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4076FC88A2E8D20756167D70614C2661');
INSERT INTO `batch_details` VALUES ('732F62DFFF040192D7E930C2F992961B', '5A8EFEE97AF71AF2A23701CCDE9603C6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:08.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:08.000000', '2023-09-15 09:42:08.000000', '1', '1', NULL, '0bb34e9b041dff3f06129c15bd49f8e3', 'F7-706_试剂柜-E_E2-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '187FA7A2F36ED303003F6985FEC9A5FC');
INSERT INTO `batch_details` VALUES ('73C37413E0C5E865ACAB1EDD29AA679E', '64652C8F7C2BA2FDA0E4576A51C0A1A8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:07.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:07.000000', '2023-09-15 09:40:07.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('73C5F5E72F2D4846F71197D634EC3E0C', '9ADADD690B1D86FB4B2A9FAE15B7C284', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:15.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '9E613ECA97359607FCCBFEA9095855EC');
INSERT INTO `batch_details` VALUES ('7508097D37271B65AAFBC55CA0C3FE36', '86341503D604B8D1819CDA0DBD58E124', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:50.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:50.000000', '2023-09-15 09:41:50.000000', '1', '1', NULL, '1f1031ca1792f71298724ac09acfac36', 'F7-706_试剂柜-B_B1-2', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '3938FCA5E17724A70DDD1017FB7C4B7E');
INSERT INTO `batch_details` VALUES ('76364EE100E7823BF61C401C5D3626FD', '21C6F491C57A6EDDEFD9273845AB825C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:42.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:42.000000', '2023-09-15 09:41:42.000000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '8183DC49F9F17D45A05949868014FDC7');
INSERT INTO `batch_details` VALUES ('76EC195DFEAF6FBA7BAC91E022AD6617', 'C7553F90133ED8090683A1D1777E5CC3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:11.000000', 14, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:11.000000', '2023-09-15 09:40:11.000000', '1', '1', NULL, '95c4b625c2781b1cec9e25424f7d7cf2', 'F6-607_试剂柜-A_A3-5', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '4044D47A45C7D5B4A72119E47D83FA2D');
INSERT INTO `batch_details` VALUES ('77386B37418A17A9B7F104789F5852B4', '9B1D0A3C989CF75EED9A50F2F103135A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:11.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:12.000000', '2023-09-15 09:42:12.000000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '11D3BFEA49A5B3616E4A4D0DB04E19C4');
INSERT INTO `batch_details` VALUES ('77401C98D6F0D76C9D43EE549535F5C2', 'D2F09B08BA6586533FD988B76CBE00A7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:20.000000', 36, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', NULL, '98b831f17673ff06093ce3dc2fb2d44e', 'F6-607_试剂柜-C_C2-3', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '73E1CF5C6CDC15ECB3A74452C88C0D49');
INSERT INTO `batch_details` VALUES ('777D11D55D31F973005226AD4D605421', '15E533950602AF8F790A9FB1F32E157E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:15.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:15.000000', '2023-09-15 09:40:15.000000', '1', '1', NULL, '67a37e41bd0b1c1759690b1ef8d61629', 'F6-607_试剂柜-C_C2-1', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', 'D677200688ED30A35FF7E38616F0C7DC');
INSERT INTO `batch_details` VALUES ('793331E1C6931CD42720AD31CB64980D', 'D5A9F187BF3FE3F2DBED66A67696A839', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:59.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:00.000000', '2023-09-15 09:40:00.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('79B18CA67F9CAF9812FE431DED9A6165', '61637A508D574C34F4E76CB4AEBFA1B5', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:26.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', NULL, 'c9dfab1c973b587eebdc60b57747eafe', 'F7-707_试剂柜-B_B3-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '808DEBA0F1D6539D3968087172BE35AF');
INSERT INTO `batch_details` VALUES ('79F7CB0273F318004AF0CED80DEABE7F', '8F187F6A4D6C7F6023E2DDE840AA839C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:28.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'C4FDB6F5978EE2A1618CA11A32943642');
INSERT INTO `batch_details` VALUES ('7A4094D0EE7BED84FFE9B8CE5FB861A8', 'B94FC06A6C44C217047C631E05322395', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:44.000000', 14, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:44.000000', '2023-09-15 09:41:44.000000', '1', '1', NULL, 'b94df56e494e48d772b74c6d1566de9a', 'F7-707_试剂柜-D_D3-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '814FD4F1472D2AC35B3D762CA6829E53');
INSERT INTO `batch_details` VALUES ('7A51726B86CD4D8ADFD944DA60F2FFF1', 'F2D0E0939945365334D61C9898529B2E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:24.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', NULL, '889305fba0ad8cff490b0930c992cb3f', 'F6-607_试剂柜-C_C2-2', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', 'E5CE9929ED952F4EECD5368740719C48');
INSERT INTO `batch_details` VALUES ('7A951DCF12A5C26AECA5626AB5A404CE', '93BAA9C21F28D55F5C3B2CB50FF6DF7A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:35.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:36.000000', '2023-09-15 09:40:36.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '851A8F155405A173649AB10CED1732BA');
INSERT INTO `batch_details` VALUES ('7AAB3C4E7B193A45112C2183EE700AB2', '97C02803351C328E98C109B3925A453C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:08.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:08.000000', '2023-09-15 09:40:08.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('7ADFD51B5DBD371BBD329D23C2E826C3', '15CD4F02E330F9A7BFA0DAB55E928DE8', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:42.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:42.000000', '2023-09-15 09:40:42.000000', '1', '1', NULL, 'a23df3b07585af1d202721c7db7fec1e', 'F6-606_试剂柜-C_C3-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '850225C1F035965C666EA634C6E0FEF6');
INSERT INTO `batch_details` VALUES ('7AF39DE77FD9E0D78FA283D2350DE675', 'CA85157CDD6C89AA65DDF6FD8B1C9B4D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:47.000000', 28, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', NULL, '2ce4d0ac4a04ff5820c49367deeb6bed', 'F7-706_试剂柜-A_A1-3', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'FAFAC469BDC4CBD50486DC6CF0B9707A');
INSERT INTO `batch_details` VALUES ('7BE5FB0166B8E334469BD18B1D8F8CF4', 'D11F226F92EDD17B078355D4ACA8FFF5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:21.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '5DF5D796CCE3FD55889B874FE78A356D');
INSERT INTO `batch_details` VALUES ('7CD8C8E9F455CF1014E5B95B64C895EF', 'BBDF52EDDBE62CFF4E7F6EF76EEE1234', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:14.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:14.000000', '2023-09-15 09:42:14.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'FE77760CE7D14B76ADC12BACFEB063FA');
INSERT INTO `batch_details` VALUES ('7D4D6C67838DA0965EDD9CC7649E170A', '587FF4170E803A123D41724072CA2857', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:49.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:50.000000', '2023-09-15 09:41:50.000000', '1', '1', NULL, '1f1031ca1792f71298724ac09acfac36', 'F7-706_试剂柜-B_B1-2', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '28C8A48CE2D130574E7CC53920643FA0');
INSERT INTO `batch_details` VALUES ('7E177EB81A58ECB6B54CD506F428F68D', '8B68A571D815027660F4E850A9A78D41', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:06.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:06.000000', '2023-09-15 09:41:06.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'C06BA5D98F530522369090BC1B5F045B');
INSERT INTO `batch_details` VALUES ('7E230F9CD6771525F2FB7CBCBF18F4A4', 'AEEC45DFC0A92E57163936678B4D6AAF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:05.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:05.000000', '2023-09-15 09:40:05.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('7E294CC84B03A93685EF177A125FCDCE', '96929F58235ED48D6FF9488ED0C0AB00', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:41.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:41.000000', '2023-09-15 09:40:41.000000', '1', '1', NULL, 'c10dc3f6414468c310621e6f85979583', 'F6-606_试剂柜-A_A1-4', NULL, '726AD61EFB26C44E4E5F4835EF267B95', NULL, NULL, '606', '0F3CB92FC151268740C5C22995942B43');
INSERT INTO `batch_details` VALUES ('7E775B7EF6ECEF420244CC6DD1CBCDFD', '8AED1F460C3E83B81967CDF4FCE0B4A6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:24.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '5D17FE8FBF484F3DEC274F3CFF10A81D');
INSERT INTO `batch_details` VALUES ('7F3094D6AC23AD70B1B2865370385B4B', '090F8FBAEDD72C6F6C4809AFD098156E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:11.000000', 37, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:11.000000', '2023-09-15 09:40:11.000000', '1', '1', NULL, '0c4b08ffb5b5bd7afc19a3680cf333e9', 'F6-607_试剂柜-A_A2-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '6C4D4C7B0364E953478B97D83F398D10');
INSERT INTO `batch_details` VALUES ('7FAF806C382392D07CD327C3A1C329A7', 'A299BC810F555837EB7AB1156036D55B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:39.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'CD828DEDF90BEC450459390F8381DC8D');
INSERT INTO `batch_details` VALUES ('7FD6F22E7FAD41162825D502C7DA1EF2', '4BA57AE85C091A36A12384B27736FD1E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:10.000000', 16, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'A0283199AE62468C152F47F804F648DE');
INSERT INTO `batch_details` VALUES ('80A4560A36E67E5F1F616C6D560C6F6A', 'FB7E57065F992EB658584212B5B691C9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:12.000000', 60, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:12.000000', '2023-09-15 09:40:12.000000', '1', '1', NULL, '560368db98ffefe8fdaa98becd2bfcda', 'F6-607_试剂柜-D_D3-2', NULL, '25FE219A2C9127D325E44EF052DBC0AF', NULL, NULL, '607', '59D273D401282A7FE44191E01C4D2616');
INSERT INTO `batch_details` VALUES ('82C0BA031CBE5BBFE746FC646F4E3637', '938E254DBDF0B2E486220437EA54CBB1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:44.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', NULL, '3a90f6d7d6f37dbd6bccd9fd9453f4f1', 'F6-606_试剂柜-B_B1-4', NULL, '75A3A892DEFDA7AF1380EDE3659114B3', NULL, NULL, '606', 'C578B380A886335FF3FA0E2792BC0471');
INSERT INTO `batch_details` VALUES ('835D8533686FF85DD32C9E0EAE398D6E', '66975F91039EA07C42EC96DF180B74D0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:50.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:50.000000', '2023-09-15 09:39:50.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('836E234BD1F31D20B6C408100B73A45A', 'D0552749B7C4B57F8FB037DD0525F9A7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:00.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:01.000000', '2023-09-15 09:40:01.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('8375BFC89A2DCCF8F7506C1409AFDD8E', '424FB65BC0C50B7B6D60735190C66A01', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:02.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'A2034FEF7200BB51A9145346CE9882A8');
INSERT INTO `batch_details` VALUES ('84E27589A6E83316A5187DAD991DF36E', '10B81B8047FB1C75A1FC3D9A7C4D09D2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:03.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:03.000000', '2023-09-15 09:40:03.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('851379078636D53D5F785A1536BE96E7', 'BBB674BA75BC742FA51A563716BC6370', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:50.000000', 13, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:50.000000', '2023-09-15 09:41:50.000000', '1', '1', NULL, '69946b21e1450afbeeeef59ebb483afe', 'F7-706_试剂柜-B_B1-3', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '29B09B6EFAC09FD4ED51AB1CBB28C103');
INSERT INTO `batch_details` VALUES ('855D51C379A879BEAFD863A5E07F7335', 'E0181D5BC01F3B418B2F2D1210936764', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:27.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', NULL, '960a7231db063d2b1a4ab4b5d0ec3226', 'F6-607_试剂柜-A_A3-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'B9BB557E27AFA7A81A6FD7326306B8D8');
INSERT INTO `batch_details` VALUES ('85625FF5A492EF43D8BACBC1B7D200C7', 'BCA595573F36D4E553A6507088C8DFAA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:15.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '2B6489C75FF179C34F95F0E50FF4B0EC');
INSERT INTO `batch_details` VALUES ('85B35EE4DD466F82BCA038D0F7D36F4E', '78601B8DECA4C67D94CC8881A1D1DD01', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:14.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '7DF007E6BE7E3489CD85BA5EAC674C9C');
INSERT INTO `batch_details` VALUES ('8614DCB2A1A96602158A1ECB2117ECA8', 'CE1A681E322ACA9C03A9991EBF6A84B6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:46.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'B336A429634D35B760D07006B85F9C26');
INSERT INTO `batch_details` VALUES ('868AB68074DCB6CEFC190B91DE76128F', 'A2C560DDF718598CE1AF5DBD5A91F3B4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:03.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '6AB0CDEF21284A7C544C8B4FCFF14F02');
INSERT INTO `batch_details` VALUES ('86C639A9DB4BC706D60DAE788929563D', '3565873071352AB8FDBA0C3E83D70761', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:55.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:56.000000', '2023-09-15 09:40:56.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '587D086AA040B0BD824F5A6CB4B07669');
INSERT INTO `batch_details` VALUES ('88627F343B77802A4D81AD3EDBE2D3B9', '89A96AA2A91D1BD57B279ACAED9AD0D9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:48.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:49.000000', '2023-09-15 09:41:49.000000', '1', '1', NULL, 'c09176dcda4c53e3a73bed226c4d6b08', 'F7-706_试剂柜-B_B1-1', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', 'D42BF84173CF39A118460FAC39D11FBB');
INSERT INTO `batch_details` VALUES ('889E86898F2396501560D8F26A977CC9', '7E6E953165C4764B5885248CC73D4938', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:18.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:18.000000', '2023-09-15 09:39:18.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('88B60565CD8636DC90640F2A11A84DC5', 'A8B7F8379432F96A5D6FD3A266F2DAC3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:08.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:09.000000', '2023-09-15 09:41:09.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4F1429DCCE4F1868B1C7C67CFDF07C6A');
INSERT INTO `batch_details` VALUES ('897F39AE1E4CCAE233D3B0CEEDD5BC2B', 'B724D181646D05B6F88D9BBC480365B4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:46.000000', 75, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', NULL, '27ed91eaeea8379e10a23a0d80bb0c6b', 'F7-707_试剂柜-D_D4-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '63B7057F7E24396C091CBA1470FFCB9F');
INSERT INTO `batch_details` VALUES ('8A3CFCDFF999A9F3E52C83E5949ABD20', 'EB8C0B11D4E36CEB89D595AC640F1505', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:14.000000', 43, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:15.000000', '2023-09-15 09:40:15.000000', '1', '1', NULL, '958df8de51ac3d2fbe089749aaa330f7', 'F6-607_试剂柜-A_A3-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'E267126FEFA26E6EBF3FEE2FFDE27F00');
INSERT INTO `batch_details` VALUES ('8BF7F027B1D913F1416588A113EC40E7', '0AF2644F30102A9C81289F298B184F91', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:09.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:09.000000', '2023-09-15 09:40:09.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('8D203683D294E29230BC90482FAC4C3C', '0D695B0EDDD5885CD7EFCFD195A4DA5A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:22.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:22.000000', '2023-09-15 09:39:22.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('8DC2357F8D067A382D3D98CAF09E307D', 'FE7C68B3BEDAC9CB206FBE2D7D401617', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:37.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:37.000000', '2023-09-15 09:39:37.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('8E05F7E03EC8DE2DF6CCFC2F6C098985', '052EF41363423931FE5166AB0EBB5270', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:35.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '8E6BF93CAE8E8DF440E24BB6C4C6B4D0');
INSERT INTO `batch_details` VALUES ('8E1A161F453DA035ECBAE8819A65BD1F', '22EAF1424E8ED7E1FA8EAD9D424A51B9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:32.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', NULL, '0fdde33d569b9096f409bd8aa6b26529', 'F6-607_试剂柜-A_A2-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '0E3BB26E5FAB76DC31654E6E2B2B992A');
INSERT INTO `batch_details` VALUES ('8EB8491C1D980CA52724B55E71BB4EAF', 'BC2575409239BC341EB3AAD96FAA7B79', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:51.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:51.000000', '2023-09-15 09:41:51.000000', '1', '1', NULL, '5ed98268a70fc33b0473b62598cef3be', 'F7-706_试剂柜-C_C1-3', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', '8DDAC121E25CF6950B73EB057B14F7AA');
INSERT INTO `batch_details` VALUES ('8EC96B5AAF071D2404FF00A05DE12453', '2852684B55E4E681B43A67FB6F530446', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:26.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:26.000000', '2023-09-15 09:39:26.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('8ED7AFC73D4B3F4E25AB9ECADF29A3BF', '037EA0734FBFEAB2183313EAB227391F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:46.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:46.000000', '2023-09-15 09:39:46.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('905DD46B34C70ABEBB723B5E12F8E5FF', 'BBB674BA75BC742FA51A563716BC6370', '2023-3', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:51.000000', 13, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:51.000000', '2023-09-15 09:41:51.000000', '1', '1', NULL, '361ea4b8d57b1cb3f427b559c6242514', 'F7-706_试剂柜-B_B3-3', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', '29B09B6EFAC09FD4ED51AB1CBB28C103');
INSERT INTO `batch_details` VALUES ('9071D6BBD7751333CB49F00B61335215', '674710D9DEB0297B3BAAE58837740654', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:55.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:55.000000', '2023-09-15 09:39:55.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('90F36AC541DB70F8778F8D9573040F0C', '813646BE321CED4794DD21429BDE3528', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:43.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '7617C2D58E897131D8643F8BB2F1568A');
INSERT INTO `batch_details` VALUES ('92439DA7B14AB4324B66358CC89DE138', '71CD7135B6C33C2820A05BD39F370989', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:18.000000', 7, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', NULL, '7c8662cd73958e2f15c2794c159ff265', 'F6-607_试剂柜-A_A1-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'A65FE52C6F95AA550FFBD7BD1F00D1C2');
INSERT INTO `batch_details` VALUES ('93295342D5770310AB32EEC86A9F6025', '04ED1DFECECE4867ECAE87EE3B3CB6E9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:48.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', NULL, 'c4b3449c122e3bd91ab32b6a20312561', 'F6-606_试剂柜-G_G2-4', NULL, '52A2B543BB66F60E1543EB0AAB7AE3B8', NULL, NULL, '606', 'A45082BE95B0A1BF6E48252617A79732');
INSERT INTO `batch_details` VALUES ('93960178928CBF964F408047909FAC29', 'AA90379476785C5D737E1EC03C65EF48', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:09.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', NULL, '75bb1e5693ddf7d3f83365fc7ce874a2', 'F7-706_试剂柜-E_E3-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '16D8004CE999F58288355D9469BFF358');
INSERT INTO `batch_details` VALUES ('93C974EF45BC46C223F57CE56AFFAB04', '6C874208E4BFAA889D86001F2280FD01', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:28.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:29.000000', '2023-09-15 09:39:29.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('93D389C48369B69B082C94CB557E4FF5', 'B5F906072EA74C38B396F1EAA4326F70', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:38.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:38.000000', '2023-09-15 09:39:38.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9459361A66FD4D052F37378A27051E50', 'FFA7AF24FAAF460635A160AD50142B8A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:26.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', NULL, '0fdde33d569b9096f409bd8aa6b26529', 'F6-607_试剂柜-A_A2-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '67D18F9AE0A2A8EF9D01369F7A69CF55');
INSERT INTO `batch_details` VALUES ('9479DC4F6320A35A9AB486FDDA1EF707', '93F4334D634885BB7F6842A67B80B1F5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:23.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', NULL, 'dc73321545d667bd25e1ff9bfb125654', 'F7-707_试剂柜-B_B2-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '873D9FA669375A76C96C5A98FCD1D160');
INSERT INTO `batch_details` VALUES ('947F21B9AB1D6EA915F395558311286A', '4376F209917A2FCF1006749385038EA3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:02.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:02.000000', '2023-09-15 09:42:02.000000', '1', '1', NULL, '7dc5b344b9decc98856cec750c5168ce', 'F7-706_试剂柜-E_E1-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '5ECCEB63EB429113C51B7B69D7C72A24');
INSERT INTO `batch_details` VALUES ('949F2C3FEF2AE015136EB7B825A31D5A', '47576878BF0A607CA50E85AD2D3E529C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:19.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:19.000000', '2023-09-15 09:39:19.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('959C3897A50369017D0FE5FA77341946', '7E33FCA44D5E17A490AF889BBC4868FB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:58.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:58.000000', '2023-09-15 09:39:58.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('95AD16785A646C8D52BA5B1BDD46D87D', 'A4165A109075528AB2AD460B429D612F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:31.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:32.000000', '2023-09-15 09:41:32.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'D5C043953114C67027BB2D37ECA56C8D');
INSERT INTO `batch_details` VALUES ('969055156B38B451AC9AEE00431E60BE', '2A97DE8980ECB2CA3573E387B1CF3F9D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:46.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'E4158A05D6182F53B2DC9B05921FA34D');
INSERT INTO `batch_details` VALUES ('96AC614C28D7430D0E7B82A6D194694C', '7331C28B421083D85B6B524A7AF074FB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:33.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', NULL, '4dbb4e8d2e996c3878c9e08e3fceb24a', 'F6-607_试剂柜-B_B3-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '1D4E0A5B87E6FE454717E821F6FF69D9');
INSERT INTO `batch_details` VALUES ('96D9AEE533A76910D3C547E1BE22A89C', '7D9AC199C638476F751B86A6B4FE15AB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:50.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:50.000000', '2023-09-15 09:39:50.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('972EDAB1C7814BE02DF3A33620EBC06D', '19C3A2BE6D637C12F553DF7C612BC620', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:07.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '5C0606E97194AE4A4AB697404F44D7BC');
INSERT INTO `batch_details` VALUES ('97413194EFD0DB8F639D4161D0BB4D45', 'CD1E2FA63AD9F4BCC5FC7AF20ECD93B9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:01.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:01.000000', '2023-09-15 09:40:01.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('97442A12735F3D0A0135B64937B78954', '4D4DE56401FD688FE8DD75A76EEF1C89', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:16.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'EFA0F98C4750BD986E84A060F1E4FE18');
INSERT INTO `batch_details` VALUES ('97A7780B8DE9976FC8F234C1EE583916', '5195FE5C34817CF2E4948C84188FBE1D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:21.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', NULL, 'd5f9d9c892acf721f2affe05ca0c92e6', 'F6-607_试剂柜-A_A2-5', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '229E04021F181B2EF6C969D3563B087C');
INSERT INTO `batch_details` VALUES ('97E39FB06D08C20C217D6D24D5DED8CD', 'DB87F577FA7C3961A363494CADC55F88', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:17.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:17.000000', '2023-09-15 09:42:17.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '32308D9D2616BC7405415FBBC64BE0AB');
INSERT INTO `batch_details` VALUES ('980C49AAF5CBF7B70E682E890A76F12E', '575BC7BC365C69A146A0F8C80B042114', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:57.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', NULL, 'bce0bfb02df0b406c2891ac97e00bb61', 'F7-706_试剂柜-D_D3-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '2F652FCCB2674C00AEFB7195917D7A57');
INSERT INTO `batch_details` VALUES ('982E724A6ED8CA0129F66CFE4E6A6CC2', '0C6D45F650840AF82DB8B72E56B31DE4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:38.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', NULL, '1eafb736d3923ac750796003de9bd99e', 'F6-607_试剂柜-E_E1-1', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', '53560B715023C636AD2201A84024535E');
INSERT INTO `batch_details` VALUES ('993A68A0DD65A2B15ADE404582F50E64', 'B0AB64D9B347AC8272ED90DB644C7A1F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:34.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', NULL, '5ff780813a112e04ebbe6ed2a71ab1fa', 'F7-707_试剂柜-C_C3-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '0F1AF4AB28434A3E656B3E60453F5EA2');
INSERT INTO `batch_details` VALUES ('99EB3E228FC68148E2CB7438C6792161', 'C478943C109EC35978416081ADBCD240', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:44.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:45.000000', '2023-09-15 09:39:45.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9A5D2E1F66550DC5FA5353495495E92C', '73C32DD4F3454B9BCB15EA8131DA2E22', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:38.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'A8511AEEE843907B33E9AE7139B3D78E');
INSERT INTO `batch_details` VALUES ('9AE2E0DAB7089100BD3A523A8067E18E', 'A669359D7B92480048EA55452C7CEA5A', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:08.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:08.000000', '2023-09-15 09:42:08.000000', '1', '1', NULL, '0bb34e9b041dff3f06129c15bd49f8e3', 'F7-706_试剂柜-E_E2-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '04594804B3B445DB0C31AC42B7E741A0');
INSERT INTO `batch_details` VALUES ('9AF7C47A0B56590163185B07FDD00383', '2AD2C42E9C51817FF3D651BDF7489117', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:31.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', NULL, '7c8662cd73958e2f15c2794c159ff265', 'F6-607_试剂柜-A_A1-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '891EA643E84856A2C6B4A7F6D3C5868A');
INSERT INTO `batch_details` VALUES ('9B0DF516A601D3AE752204B1CCD872F8', '64DC9769B10560A71F651A8E67E4EC74', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:55.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:56.000000', '2023-09-15 09:41:56.000000', '1', '1', NULL, '8b42641b10157a4b1e57a3bab763f85d', 'F7-706_试剂柜-D_D1-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'B5E3893603D4308255E2B4E58CF0FBA0');
INSERT INTO `batch_details` VALUES ('9B82BE6220F108788DE2D2033CB77398', '17A7040AC742B6D9714E3EBDD23E86B8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:35.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', NULL, '5ff780813a112e04ebbe6ed2a71ab1fa', 'F7-707_试剂柜-C_C3-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'B625A2AD61E8DA41D7AA221B19E6A1AE');
INSERT INTO `batch_details` VALUES ('9C390664817BC5B0D3F5B44D7D444DB5', '87DF01C3837F71B629D85EA2D0E0289B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:44.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:44.000000', '2023-09-15 09:39:44.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9C6B026D4A80ED229E04BF68816D2E7E', 'C99691134F5B96743A0C34A2292EFA61', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:13.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', NULL, '67a37e41bd0b1c1759690b1ef8d61629', 'F6-607_试剂柜-C_C2-1', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', 'ACD667B4F0A37D4DA935162C2C26F337');
INSERT INTO `batch_details` VALUES ('9C74F6E0436CF8C3449F2816A4978DC8', '1C79B1125D16040A3FF956A00DA522B3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:17.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:17.000000', '2023-09-15 09:39:17.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9DE1919FC2D0EB5FAA33A63683641956', 'B66C22F7D0350739383CB5CD2264A0A8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:57.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:57.000000', '2023-09-15 09:41:57.000000', '1', '1', NULL, '47ce2cdb3a64cf95991d2891ff16ce46', 'F7-706_试剂柜-D_D3-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'F84E5A153C088EEFA653FE02BB43E444');
INSERT INTO `batch_details` VALUES ('9DE87F112975C4F47CE64FEAF4E176B6', 'E4A340D4FC3B881A9212935491936633', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:27.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', NULL, '24b6127057ff18e72393a482b1801927', 'F6-607_试剂柜-A_A3-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '15FBD5FD28980A80845CCA7A722B4032');
INSERT INTO `batch_details` VALUES ('9DED9611053222B30A5C00C73B837000', '2A6181ECAB4F45EF656CF7D6E0FBA4EC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:34.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:34.000000', '2023-09-15 09:40:34.000000', '1', '1', NULL, 'a14f05cc811963d8c20a72695a2660da', 'F6-607_试剂柜-A_A2-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '57CAEEF5AA57157857E4492153D196CA');
INSERT INTO `batch_details` VALUES ('9E6C01D674B050BA351723F373422222', '5FD56F65433CFDB0F56F8F991F89E560', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:20.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:20.000000', '2023-09-15 09:39:20.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9EAFB4562470AF819CDD36D00D8D2D01', '4DB5976F87362CCA8A10B735631CC3BA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:17.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', NULL, '31e28f9a6474d87e3dfac25118dbdf85', 'F7-707_试剂柜-B_B1-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '3E03BD4E085E16B9E96420DAC5DC3011');
INSERT INTO `batch_details` VALUES ('9EE329F0EDB8122BAC86A665B57D6BC8', '9AFC757FA826D109D22E33D638FB67CB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:11.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '3473E1CF61E66B967CA31D9EBFEC456D');
INSERT INTO `batch_details` VALUES ('9F4E8957C44BF94300720C7044651247', '6358E82F7B0E9C0071419EFC27FA4069', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:49.000000', 400, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:49.000000', '2023-09-15 09:40:49.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '52020BB408E8C3D60357283C769FBD23');
INSERT INTO `batch_details` VALUES ('9F6374687783205279991F895CEADB44', '30AE78BB776D5FBE9D1ABA0C7D200C5A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:56.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:56.000000', '2023-09-15 09:39:56.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9F667429C864AF7CE0902AC6A59679C9', '14E34F7ABD4FB8687D80767C2B053471', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:47.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:48.000000', '2023-09-15 09:39:48.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('9FB074C840D3A590FAA3887661A95198', '5DDF5D2F594B18CCBA1996A33AA059E3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:58.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', NULL, 'bce0bfb02df0b406c2891ac97e00bb61', 'F7-706_试剂柜-D_D3-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'EF9F0E70A9EFD7DF039F6CF5EF3AA67E');
INSERT INTO `batch_details` VALUES ('9FE2C70591E8C207E6193C40F197EDB6', '74AA011471AD38D02D2C2924EF4C4801', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:55.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', NULL, 'd44d1d51a3315a64708412a81c6e4e8d', 'F7-706_试剂柜-D_D1-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'DE95590BA087858781FE842A73FFFB56');
INSERT INTO `batch_details` VALUES ('A0030F17A8C09FCD183441DEA7A85296', '05397F645EBBB964E7A81BF40A4CA63E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:14.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '34D1E3BA272BC9C82CAB0C4243501D98');
INSERT INTO `batch_details` VALUES ('A023FAC24E27606531E2FB4BBE6FE415', '1C233FBA5280EE703ABF8867A6C483A1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:37.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:37.000000', '2023-09-15 09:41:37.000000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '2F61F1679BECBD72792EB86B262969DE');
INSERT INTO `batch_details` VALUES ('A0687A5C1221658F404C76F597A2E4A4', '1C5537AC469A6C372F2C9C65DD65980C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:24.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:24.000000', '2023-09-15 09:39:24.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('A2190B613E17DC147FFA523A9DFCA90D', '9DC19C5528368E428D6CD40BF84642B1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:52.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:52.000000', '2023-09-15 09:39:52.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('A2691692C2499BFDE430A22708054665', 'C3F76176B42523CB820864DBDE4496C2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:58.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:59.000000', '2023-09-15 09:41:59.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'C62094EB4309D90EEEECF9C0DEA407B4');
INSERT INTO `batch_details` VALUES ('A2CFC196629E1C7DC6AFEA62173FA47A', 'D1E7B3E972E66A56DA9598E64E638B0B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:36.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', NULL, '7e353498d9426380a35eeec826a6fe0e', 'F6-607_试剂柜-B_B2-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '6CBBA55D576E122417C73D523AD97DAB');
INSERT INTO `batch_details` VALUES ('A2F0038998754C566125E070A18FC754', 'E40492F641DD905E72AAB015E7BF28F2', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:08.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:08.000000', '2023-09-15 09:42:08.000000', '1', '1', NULL, '0bb34e9b041dff3f06129c15bd49f8e3', 'F7-706_试剂柜-E_E2-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '2775D37F5E95E41238C217C9F31ACC02');
INSERT INTO `batch_details` VALUES ('A334D719170E730695066DFCCBCBFFD2', '30249677E63288BD6F886BC6ADA81737', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:13.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '146C85851F13B258AA9A4678048A9B3B');
INSERT INTO `batch_details` VALUES ('A4A2338F78DF0B3BAC4911210EE1C131', '702CA0A81C663F3C52AA6FF32F8933BF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:41.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:42.000000', '2023-09-15 09:41:42.000000', '1', '1', NULL, 'cbf6e4dd457b2730e3142568f935fcfc', 'F7-707_试剂柜-D_D2-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '7A78F3AA9C26F3C7DB691378D30E06EA');
INSERT INTO `batch_details` VALUES ('A4BA4246E5E2F9A30159160609ED4ACA', '02CC86BA80514EA2B6958D61BDF8AC7F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:32.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:33.000000', '2023-09-15 09:39:33.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('A4C1FF86F410761824627B24259F9E86', '7D0A5D281B42F588B3FDA78668997898', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:00.000000', 30, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:00.000000', '2023-09-15 09:41:00.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '0B9572CCFC8667BD7AEFD62A93FC8DAB');
INSERT INTO `batch_details` VALUES ('A5BC2F0F694D192E3812AE5351447DD2', '086278BD6D62FBF1142EE2F86EF222B3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:30.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:30.000000', '2023-09-15 09:39:30.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('A651F7F3E6D7F276866114768E3E0930', '430541BB57FBC852B0596DCAEE83D5F8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:10.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', NULL, '3758207bf7407dd113a9bd57636a4e0a', 'F7-706_试剂柜-E_E3-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '1DA9A898F2435E847FCBF450FC49491C');
INSERT INTO `batch_details` VALUES ('A6762D6F0507C68D040598FA1538C467', '0315543949D91D0DC1B991DD1CFB0E60', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:12.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'E928B4DFD1449346B2D2DFA94805A2E7');
INSERT INTO `batch_details` VALUES ('A6BC61E4AB67999F48051BD9741DC75E', '7C058EEDA7FDAE282D6A9B0FEA7FC54D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:19.000000', 36, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', NULL, '3a48aba91fd5358bcb7ca67e40fb4551', 'F6-607_试剂柜-C_C1-3', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '3609B10BEF9E64597FB52E7F24554455');
INSERT INTO `batch_details` VALUES ('A6C93179CA637E9CB265517480BE36CF', '4DAE58D6948646D0E5037FDAC5C52AC9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:29.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', NULL, 'a2cd6c74361086626449c4a32ba6e390', 'F7-707_试剂柜-C_C1-4', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '11671F382978D8C28B04FDD679C4242E');
INSERT INTO `batch_details` VALUES ('A6D51D012026FB3A88211F0F99998C3E', 'F3B90C7A5FB1F8036905C3D523EB1A06', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:36.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:36.000000', '2023-09-15 09:41:36.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '26E4D2BC52FF6F06A82BF0FE24FC884B');
INSERT INTO `batch_details` VALUES ('A7E67225B3829F7097B1EB5C6595790E', '41B39440340E8DB30C55D4747C4FB3CB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:58.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:58.000000', '2023-09-15 09:39:58.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('A7FE3FA1CBBCEFF18E41919BB47FBF4D', '41919B5B274A476F42730E0DF50E0A0B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:26.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', NULL, '24b6127057ff18e72393a482b1801927', 'F6-607_试剂柜-A_A3-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '07555AE98EB6ACED3194DBC75077FE9E');
INSERT INTO `batch_details` VALUES ('A7FE681315E84246A029172EE8C1ECE1', '4295EDD95890642FF2599AF14BC9CB10', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:55.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', NULL, '8b42641b10157a4b1e57a3bab763f85d', 'F7-706_试剂柜-D_D1-3', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '8F5A2FB29295066BFEC094877F95F43C');
INSERT INTO `batch_details` VALUES ('A83BB0263686C550FAF4ABADC1C214AB', 'AC8AAE240B0600FAA8D2A219FEF7083B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:53.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:54.000000', '2023-09-15 09:41:54.000000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '430A99CC54F418A57E510FAE609FB903');
INSERT INTO `batch_details` VALUES ('A8657FFFD1308DEF8C53E3C7AECE6CFE', 'AB419CBCB1348802A2BB04CB98621EFF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:47.000000', 14, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', NULL, '2eabf5d1aeb6485633565f266eb2ef84', 'F7-707_试剂柜-D_D4-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '17D187A96705382365685FFBDCF698A3');
INSERT INTO `batch_details` VALUES ('A902B077DC186014184B12B765965A19', 'D2A873F727FC89DA794DBD55BEC9834F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:19.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:20.000000', '2023-09-15 09:41:20.000000', '1', '1', NULL, '499b443a4bf686a9c7b3e40b5537f5b2', 'F7-707_试剂柜-B_B1-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '2BAEF37985C4EDFCDC5D427647C69B71');
INSERT INTO `batch_details` VALUES ('A9174A09368E2FCFDA40AFCC8392AAE7', '2C10BBBE759EB0B1ACD01E75F5C31603', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:57.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'DD7DD6CC51F9F7C9F0FBF649E70B742F');
INSERT INTO `batch_details` VALUES ('A917DA4B25A6650756C8EB9FEAB35CAA', '0C6207B75CBBB72033962CF7C2FB094B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:27.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', NULL, '960a7231db063d2b1a4ab4b5d0ec3226', 'F6-607_试剂柜-A_A3-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'BC539C5B31534362D24A81B1FF60CB00');
INSERT INTO `batch_details` VALUES ('A9398FB025F6F10BFA89595B6BD7C4F3', '69CBF079046DE228005E29B113E9A314', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:17.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:17.000000', '2023-09-15 09:40:17.000000', '1', '1', NULL, '012afe0bd07a33e6aa30930a438a61ab', 'F6-607_试剂柜-B_B2-3', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '164B58F64BDA951EC5361FE02111F871');
INSERT INTO `batch_details` VALUES ('A93BD51E8B077D6FE1807272755A1F09', '24952605EB32433291F19F1A019CEAE7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:48.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', NULL, '35cea1f480155d71908002b4cc6a584b', 'F7-706_试剂柜-A_A3-3', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '12273D175323BF9CA312D32DA237B314');
INSERT INTO `batch_details` VALUES ('A947678ADF09A0EE9CE9357C843EEBAB', '66F156F17F66A3E666A343B11D1555BD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:43.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:43.000000', '2023-09-15 09:39:43.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('A9568A1E49CC82AD6F075EAF5618F813', '7DCBFA809BDDC7FE742E582E76FDEB01', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:23.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:23.000000', '2023-09-15 09:40:23.000000', '1', '1', NULL, '3a5c635b639c72d604a5a62471e39633', 'F6-607_试剂柜-D_D3-5', NULL, '25FE219A2C9127D325E44EF052DBC0AF', NULL, NULL, '607', 'D97A4579B63068CAF105AFBD27B1808F');
INSERT INTO `batch_details` VALUES ('AADDC6A98D570C672529E91BA2D2086C', '31CED1CD3E9BD29048887DC446E3BFA4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:58.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '039793913FBCB7033C9DBDA71A933E7C');
INSERT INTO `batch_details` VALUES ('AB2A5EBF8EB021DB7D5C653FCF613C85', 'A616F3D88256309F83F6B7064981B544', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:23.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:23.000000', '2023-09-15 09:39:23.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('AB5D33F7EDA735E7CD5907709328D5E7', 'D4D0B882E87BBC7E44EBB6E66C14EAF5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:15.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'F2BF2F854F216DFC372ECA1437BDBA0D');
INSERT INTO `batch_details` VALUES ('AB6A2F16606B988CA66A9098669D3CD3', '15B01E10FB2F5F1D1796FB659AA5721F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:51.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:52.000000', '2023-09-15 09:39:52.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('ABA38443077B0057070B15014734683C', 'B985BD27239196495DEBF0921A0E9A75', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:13.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:13.000000', '2023-09-15 09:41:13.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '078D39FD4AE9C62B252CA34BA1A73DD8');
INSERT INTO `batch_details` VALUES ('AC216477B39E53F88DD86D6D1BC609D3', '7C94C0C48E846F0C596FC942087EF533', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:07.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:07.000000', '2023-09-15 09:40:07.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('AC68A0C62A1972270C38963B337887B8', '6201FE5B7AD7261E8B14D97116D1CADA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:20.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', NULL, '3d0337f9fef5d3b1cdecac71f7481d16', 'F6-607_试剂柜-C_C1-4', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '22EEF7282268EE929B78D5A280A3C29E');
INSERT INTO `batch_details` VALUES ('AC6970051D60C44FF8611B0828FAD7A4', 'FBA38EAAA26D8DA2379DDC2969FA7EA0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:31.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '9226E8BA57329F568D457B1BAC6F5F7B');
INSERT INTO `batch_details` VALUES ('AC6B5968E60BD240BF2540BD1B352A00', '1B3CF07368CB2AAFAA23F1989D10BE0A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:52.000000', 950, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:53.000000', '2023-09-15 09:40:53.000000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '27C9A9F1237856E2994E8D2CE4CA4016');
INSERT INTO `batch_details` VALUES ('AC812CF1ABA73DCFE682CA1A35EE3639', '96D9D87A8109ED42787EB72DDACE207C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:16.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '2DEF9F4822CB10739792C5D3C1EE69B5');
INSERT INTO `batch_details` VALUES ('AD143CA0B0615E6278513E1BD1C974BF', '00719F06B5C56052AAF274BA0CB0E7F3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:48.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:48.000000', '2023-09-15 09:39:48.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('AD92258FB6AC595D814459BEBFD58BB3', '18C2B4285DC44AE73D14576F004867F2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:39.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '4455235F6703A1FC6E3DD6EE68D1AFB6');
INSERT INTO `batch_details` VALUES ('ADE520E8DB4215C677251FD97E30248A', '8D1283ED2625950C4EE6B0062CD6C25F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:15.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', NULL, 'dda3d50e55162b4528f6feb32946ffe4', 'F7-707_试剂柜-A_A2-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'EE6B94C63686654384F818221E600BEA');
INSERT INTO `batch_details` VALUES ('ADF39C61F4C6DA3B253CEBB46026C90A', '975D2E938AB1E6C0E904A22783530D92', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:21.000000', 28, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', NULL, '42ad90a2d6c4b207cd2619e6c9b06aa8', 'F6-607_试剂柜-A_A1-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '9AC9FB7D8D4A857F61AA27BA75C9773B');
INSERT INTO `batch_details` VALUES ('AE6461A9354297E5F04B75841A03FD1B', '578EA40A46ED1D40DE4F936ED877F166', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:44.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:44.000000', '2023-09-15 09:41:44.000000', '1', '1', NULL, 'b94df56e494e48d772b74c6d1566de9a', 'F7-707_试剂柜-D_D3-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'CBD5E5E7D7D2D0849D32C913973CAD26');
INSERT INTO `batch_details` VALUES ('AEB4AA15FADAF33E35417C986DBFF1BC', '8A9956F5AC5204C0199D7170A38770EE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:13.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:13.000000', '2023-09-15 09:39:13.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('AED3DAAC398A75E024E0D7E9D8321DFF', '9ABD4573F0AB4B752B1113A4A879ED25', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:49.000000', 100, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:50.000000', '2023-09-15 09:40:50.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '1A5F83BBF0B71D152E530B396BD5598E');
INSERT INTO `batch_details` VALUES ('AF8621676AF82272A7CE8A0FC1A6254A', 'FB7CD80057CFEABFDA0E2B64165A2A00', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:27.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:27.000000', '2023-09-15 09:39:27.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('AFF5C203F9F59DC6B1F30B6EFB4502F8', '630913C5090502DE882F0CE5F110B7F5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:41.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:42.000000', '2023-09-15 09:39:42.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('AFFE8AC6C28713508A5EABF1A6F6E121', 'FBEB7FD4FF6EA63B213F5F566650A496', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:59.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:00.000000', '2023-09-15 09:42:00.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '82D0FAB6A14481A536B16C486CE25B8C');
INSERT INTO `batch_details` VALUES ('B036E4E83D82A7A4B107538C7EB991DD', '9EB37B610A198C569D3FB407ECE69577', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:39.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '9AAE3321A35326A8AE28EAAB2F4CFA13');
INSERT INTO `batch_details` VALUES ('B06701EC844BA96399DBF23938D1C335', '855FDEE82582F8F374AEABF6BCAD559E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:35.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'B40640E41CADF2214AB01852345EFD16');
INSERT INTO `batch_details` VALUES ('B077EFF439AB62897554A97059EE6391', '51DEF80D2F502B37CC4A05BD38120DF3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:25.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', NULL, '585390b2d987cc82e8921f59331c651b', 'F6-607_试剂柜-C_C3-1', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '0FE3C4CD553AB152292E5F31011E05BD');
INSERT INTO `batch_details` VALUES ('B10568410C1B37F7DF2D587F9A60AAC7', '15A6E21400FA1B0FE7B51498730ADEEC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:41.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:41.000000', '2023-09-15 09:39:41.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('B17BD7DE57C799D4D27F39C298712A8A', 'AA1F10B9D5DCFB48BFE7838E2914B6CD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:05.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '12C273D87B41E3B2BEA8B5BF19939CDD');
INSERT INTO `batch_details` VALUES ('B1CE63E2A14CF7D731554153051BD803', '6649C3F52CEBEEB7644D7D93EB560246', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:13.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:13.000000', '2023-09-15 09:41:13.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '54B76B542A85179DF1D1F3AF6766AD54');
INSERT INTO `batch_details` VALUES ('B23DCCF57EB9F2451CCD79F0CABA49FD', '559FBEEB9ACCBE75F40C3BAF2C20215F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:16.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', NULL, '8a9f36a2f957ff43b9dff12dd28f9949', 'F6-607_试剂柜-C_C2-4', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '552AEB7555502C321160F33E728CFC2F');
INSERT INTO `batch_details` VALUES ('B249E4CC501EADE00132D83552A17C15', 'B5353AAE9186D3AA52F6BBDB73B86CA9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:46.000000', 36, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', NULL, 'b9ce3dd4d0b2e75ada27bf5607e45ca1', 'F7-707_试剂柜-D_D4-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '9E52800A7F0184BF7382E0C07997377E');
INSERT INTO `batch_details` VALUES ('B2561645A92CA5B2EA752DF1FDBDB7AC', 'ECFAA842184BC56E8BF967DBE614CB45', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:37.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:37.000000', '2023-09-15 09:41:37.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '773410B291C1948F7CF2E61745C51CED');
INSERT INTO `batch_details` VALUES ('B290A72AF7D87E53F8B76BC6578ADFF7', '9874C1AA519ED5632A23094456805C2B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:40.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:40.000000', '1', '1', NULL, '3fd47250e00178d668a109e63aa0dd3d', 'F6-606_试剂柜-C_C1-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '872DF64AAEE1BBE9843B53AFA8682B7D');
INSERT INTO `batch_details` VALUES ('B2A8B1679F509E4B9B12C610CA60D637', '62548BB29A1355DDF1B057DAAC7B59D4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:15.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:15.000000', '2023-09-15 09:39:15.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('B31016925C2A85BC0EF1F1814691C634', '7FB07C01D0F572FD4611D894CC1D8331', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:54.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:55.000000', '2023-09-15 09:40:55.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '59A5B8249B1B509E26F843EAA717D563');
INSERT INTO `batch_details` VALUES ('B32D3546D0312583194529A86369E9C2', '6835BA90B383D2EA6416FEC13E46CD91', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:17.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:17.000000', '2023-09-15 09:42:17.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'A6316439C983EB532A7BC051E8875E51');
INSERT INTO `batch_details` VALUES ('B4A9F0DD595D32A0BED40299249CDE22', 'DE8D4992764BC20868BF57D2F4DA6A2C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:22.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:22.000000', '2023-09-15 09:39:22.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('B5C37AC918792BE4E3C5989B98A56BB5', 'EAD7D0AC1C4B9A2336705C0A8F4A036D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:47.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', NULL, '2eabf5d1aeb6485633565f266eb2ef84', 'F7-707_试剂柜-D_D4-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '5338A5C8109149569CE27F8AEF4F97A8');
INSERT INTO `batch_details` VALUES ('B5EFBA40F8DCAE6058D8FF95C6F54B9C', 'B6AE667A166BB931A7CFF31C97FDFEE4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:46.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:47.000000', '2023-09-15 09:40:47.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', 'E4D7E3ABFBCB4FD6F855EBCF3CC1FDB5');
INSERT INTO `batch_details` VALUES ('B6AFE96EE194C491D79414078F369025', '27C1F3BBB642F1B17C3779DB72171147', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:12.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:12.000000', '2023-09-15 09:39:12.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('B6E25CB9472FC0FCC0435A4BEB27C1CA', '9B4797D0237D056F21C2080E3DECB1D9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:43.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', NULL, '520eaf3711a30b76cda447d5f94c20a8', 'F7-707_试剂柜-D_D2-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '1EA4617603CE91508B0FE47629D687B6');
INSERT INTO `batch_details` VALUES ('B70DC2439453CA96B19CB1C6296CCCF0', '19D8D55041B0C617C2BE371ED7D8C615', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:21.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:21.000000', '2023-09-15 09:39:21.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('B72D739CB1591DE3CB08095C0CF29863', '5CC3C12063462EBA5A2BE89084B524B3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:45.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', NULL, '9c89e7eba1b9f07fadccee3cb8ca1b48', 'F7-707_试剂柜-D_D3-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'C3C923DE3D2922FCA835D7540F7224D3');
INSERT INTO `batch_details` VALUES ('B78BB988DB650896ECE0858F21475BCA', 'B564BEB983E7369EE335736B1E7B50ED', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:39.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:40.000000', '2023-09-15 09:41:40.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '345EE39F07DCC661E4E524765FC0FFA1');
INSERT INTO `batch_details` VALUES ('B796C083A18A6137E5C6284DFE0F6A7A', '10C59C10ACF3D818E951DC01CBDBACCC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:03.000000', 21, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:03.000000', '2023-09-15 09:41:03.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '06D08EBD53C7C20C27F8490DAA1ADAEB');
INSERT INTO `batch_details` VALUES ('B79E7A119E96FF7CA777EC49DFFF18BC', '79F724878278C58693CA3F45E43312B8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:06.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:06.000000', '2023-09-15 09:41:06.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'A1309B695351A1253F891BF5A7520BAA');
INSERT INTO `batch_details` VALUES ('B7C37B7EC88DE899CE5785087E6AFDE9', '6878EA7E76871CDBC91334345019B350', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:08.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:08.000000', '2023-09-15 09:40:08.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('B8DF94CC48E343ECA0101179D7B4EC1A', '36926D36515572634DBEB6880B9CE5BC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:31.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:32.000000', '2023-09-15 09:39:32.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('B90FADF47C9D27AA2ADC0476A7F10D93', '5DD4FF440F74F1A7C5E88B05D9208698', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:13.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:13.000000', '2023-09-15 09:39:13.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('BA4B2BE32020E07281D5BED98EEA53A9', '9874C1AA519ED5632A23094456805C2B', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:40.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:40.000000', '1', '1', NULL, '565ff18b1fced8432f1ef052fb696eb9', 'F6-606_试剂柜-E_E1-4', NULL, '8A66A690DAA7E5B2A3DDF3E26757C20B', NULL, NULL, '606', '872DF64AAEE1BBE9843B53AFA8682B7D');
INSERT INTO `batch_details` VALUES ('BA9F74895FFCA92A355C30D06B7AF596', '07065F0BA418B2275D374E3B1AAF4809', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:31.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', NULL, '7c8662cd73958e2f15c2794c159ff265', 'F6-607_试剂柜-A_A1-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '7B8870B6BE89D3E3768733C14A67BC9C');
INSERT INTO `batch_details` VALUES ('BBBD8B501D96A04CE1B8B7F758B0DDF0', '9EDE36205E82F1D6AA7DE92E91BC4CE2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:37.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', NULL, '1eafb736d3923ac750796003de9bd99e', 'F6-607_试剂柜-E_E1-1', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', '513F137B3FB3488822CEAF8D3A3B5419');
INSERT INTO `batch_details` VALUES ('BBBDFEAC190866B1A49D07E6297ED805', '7A4A1D1ED23C95571F8D3B821F6DCDB2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:29.000000', 7, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:29.000000', '2023-09-15 09:40:29.000000', '1', '1', NULL, '24b6127057ff18e72393a482b1801927', 'F6-607_试剂柜-A_A3-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'DEA0CA69B267D073FD4881DB8D4F696B');
INSERT INTO `batch_details` VALUES ('BBECF959E952569BADF7F08DF642E932', '31DEAAE69A7791E36BA178DA32C699E5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:34.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:34.000000', '2023-09-15 09:39:34.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('BD5D0C9284CD5713E944BBC9811965B5', 'D4E1322C8B0B2988B8C526E554ACE5DB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:17.000000', 30, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:17.000000', '2023-09-15 09:40:17.000000', '1', '1', NULL, '51524c54a71dd4ab2603ea5b2ec0bb45', 'F6-607_试剂柜-B_B3-5', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '3EFAF240BA977C0EAE06CDCFB57F1FEA');
INSERT INTO `batch_details` VALUES ('BD8E6CF43C61959505E0FEB7E14BB91A', 'BF258107FF019BBF1133BEC7E6C442D0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:47.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', NULL, 'dd998657700b7074478bae03b2f401f2', 'F7-706_试剂柜-A_A1-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'AE396876AE71254932B74603800569ED');
INSERT INTO `batch_details` VALUES ('BDC3A03DFCD276C33251F6CADC3EB813', 'C214EFAFDE467421F854A8D5542FAE3C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:11.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:11.000000', '2023-09-15 09:40:11.000000', '1', '1', NULL, 'f819e3343e3eaf569137ddc3eda99ec5', 'F6-607_试剂柜-B_B1-3', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '4894C132CC5711CCF932F5D3410E6ED5');
INSERT INTO `batch_details` VALUES ('BDF8F92E9DC02AD8825BBF192EF287FF', '233E796999C585CD7AEB61D066D9E818', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:55.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:55.000000', '2023-09-15 09:40:55.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '3B80CEEF582C0CC34AFD4ADEDCF982FB');
INSERT INTO `batch_details` VALUES ('BF2181D1AA35F46F86C5BDE5AC154670', '03076678E50D63C86E0C335DDC475E3B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:57.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:58.000000', '2023-09-15 09:39:58.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('BF9305473FA69EA7CE8D04852FDAAE11', 'E1561950F6A640DEBE21BCBEA16F39CB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:14.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:14.000000', '2023-09-15 09:39:14.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('BFD1DEBB92893B11F23B5928BA0AC4B0', '2B7865C555FCCE83A65CB790EF30C981', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:29.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', NULL, '489a662cbd07e8489a84b775a3a27526', 'F7-707_试剂柜-C_C2-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'AEDF01A6A2307CBEDA0F4246530DC88B');
INSERT INTO `batch_details` VALUES ('C060B1B743B8A9835AC4B837D509ADFE', 'C5546C08EC7E51E27E4B80A7585034B1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:15.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '251E387B51B43AF18B8254D110426B22');
INSERT INTO `batch_details` VALUES ('C07FC6E725E55FD392FF0C61EC79C1E2', 'A59C98A1BFC18FD4A1B475EB8E9C0721', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:38.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', NULL, 'c64848f3e1c3140fe26e131b3505750f', 'F7-707_试剂柜-D_D1-4', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '175BB11AD9BDC7A3285BB56972945E97');
INSERT INTO `batch_details` VALUES ('C1CFA7E21CB409C3E93F6DDBB17C692A', 'E8409CF1184729AD15A6E8A7805DE326', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:54.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '2AA05AD9C5C0461376A4FF1DB42EE2D5');
INSERT INTO `batch_details` VALUES ('C1E31058E605475C97ED4AF627CDAB98', 'ABB0AD361FD9D913F079F7AB18F50CA6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:39.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:39.000000', '2023-09-15 09:40:39.000000', '1', '1', NULL, 'bcac7c306cfd91945d8af38057cb1015', 'F6-606_试剂柜-C_C1-1', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '5460FE6AFE51B45BA58062FD1B64AB3B');
INSERT INTO `batch_details` VALUES ('C1F4D611283E177511E283E72D58218E', '3F35F03B5E9E69C748E32B3998DDF43F', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:43.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:43.000000', '2023-09-15 09:40:43.000000', '1', '1', NULL, 'a23df3b07585af1d202721c7db7fec1e', 'F6-606_试剂柜-C_C3-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '7E0897A9B9947CD30D30179DBA09DFEA');
INSERT INTO `batch_details` VALUES ('C1F732A92F08C78FD83D9E091B3A83BB', '1D2058E23AD86AB872A7EFB34A642514', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:07.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'C10FA4589050EB01CCE3ACEA3AFC2F23');
INSERT INTO `batch_details` VALUES ('C2078ECCC907C5FB7F70D54AAFE27A02', 'C46E99FCE7E3B9373F3D23D2EC996D99', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:19.000000', 18, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', NULL, '499b443a4bf686a9c7b3e40b5537f5b2', 'F7-707_试剂柜-B_B1-4', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '0364E678C516A28F189AEABCB31D0AB1');
INSERT INTO `batch_details` VALUES ('C28A48AB60791FA418B81175C6848F1C', '71337C5A4B03B25D525C71E6BBC913E3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:31.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '08AACE6B62B28C6A9C559BFBCE9DDC40');
INSERT INTO `batch_details` VALUES ('C3D94B1906BBB565D7CCE8710F15414B', '1C282CB809B70CA446A744C9634FB74E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:42.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:42.000000', '2023-09-15 09:40:42.000000', '1', '1', NULL, 'a23df3b07585af1d202721c7db7fec1e', 'F6-606_试剂柜-C_C3-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '71005BCA9CE3F110DC79B053ADE66EA8');
INSERT INTO `batch_details` VALUES ('C3DB26A2504202AC7869D12E061682CA', 'C71967B6AD821C9F67DC3BA405F7E98B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:09.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', NULL, '75bb1e5693ddf7d3f83365fc7ce874a2', 'F7-706_试剂柜-E_E3-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '3FEC803ED9F7F40CDAD1A5BAB0AC9B47');
INSERT INTO `batch_details` VALUES ('C404EDF8A986AA8468D8AF3FB4EA9356', 'C53739E2259C4804E681BBACCA70776E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:45.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', NULL, '2bbf92ebb86852426fbdc9f73c9f6b73', 'F7-707_试剂柜-D_D4-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '7CC55CE09B5B1136959E416988E888A3');
INSERT INTO `batch_details` VALUES ('C43E763FB0A78141BAF47846A32AD16F', 'C196F2F22D954B992D85DCB457C451EA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:18.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', NULL, 'f20914306a950ee62b90c719eb718242', 'F6-607_试剂柜-D_D1-3', NULL, '25FE219A2C9127D325E44EF052DBC0AF', NULL, NULL, '607', 'EDAD2FC6D544B3568BD348A5627633E7');
INSERT INTO `batch_details` VALUES ('C49017B326B049C37A6C86EBA1EAA2BF', 'B24A2902DD0BC58C77DE74215CF59ED1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:07.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:07.000000', '2023-09-15 09:42:07.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'D61B39205CC5E9B27B1DD512C51BF7C5');
INSERT INTO `batch_details` VALUES ('C5882F1273EECE96A78CEC650E7A82CC', '6AC100F34118827C43066FDFAAD0872F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:05.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'DA1BF31609E8DF3FCA4B2A66E7367EBA');
INSERT INTO `batch_details` VALUES ('C5976770525FD14E6FD3CC51A9B09012', 'C0387BD647C61E0CB8F26F7B21DE89C5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:24.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', NULL, 'de923f46303af8ebbd803212550d8cfa', 'F6-607_试剂柜-A_A1-5', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '8B9C412F631FEC1AEF03342AF073F0D7');
INSERT INTO `batch_details` VALUES ('C60E9F8C743960FF9DCD5764FB430CC8', '784011BDC6AB1ACD9B8855B3ED486B07', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:19.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:19.000000', '2023-09-15 09:39:19.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C77A26C1BBC20CC2A759B7A3A23FDD5B', 'A331E8E9C6165A1B1C75CAA74A37FB00', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:00.000000', 25, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:01.000000', '2023-09-15 09:41:01.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '1EA295A13CA417A5C6C57413BC262E1E');
INSERT INTO `batch_details` VALUES ('C81039FD75016776EE706F28638269CE', '622E61AE883FAA974BBAD6D47B0E190C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:06.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:06.000000', '2023-09-15 09:40:06.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C87089A58112592574555DD292CF19CC', '15CD4F02E330F9A7BFA0DAB55E928DE8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:42.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:42.000000', '2023-09-15 09:40:42.000000', '1', '1', NULL, 'ab0937a088d03f30865d0257aab984e6', 'F6-606_试剂柜-C_C2-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '850225C1F035965C666EA634C6E0FEF6');
INSERT INTO `batch_details` VALUES ('C8D6AA7F252E046F908DD5D1040964E6', 'C8D8F3E62CB6B541C759AC9B075E0F65', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:13.000000', 30, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', NULL, 'e15d16fe3536e248d40e36b8822a2823', 'F6-607_试剂柜-F_F1-1', NULL, '8C379C9EA9597E6F706FDA436401A14E', NULL, NULL, '607', 'C25B9793F063457B1D6510EE4E0FA0A9');
INSERT INTO `batch_details` VALUES ('C9CE5C969DCE2CE02CD1C8C78DA60959', '658C11309C03ED2B61618997BEC12CCE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:04.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:04.000000', '2023-09-15 09:40:04.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('C9D2D77E8DFC442B6418DA383CD82B0E', 'DB2FA1B376C257B6E917B99B71CEFF04', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:50.000000', 100, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:50.000000', '2023-09-15 09:40:50.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'A190CDB6787A3EDF702B60D890A030ED');
INSERT INTO `batch_details` VALUES ('C9D4AF05FD793B47EF8EF42B61A66631', '95C43743F7C4B6A778D4A7C5400742FA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:58.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'D2C1D45D68FE327F31D41A7FBAC710CD');
INSERT INTO `batch_details` VALUES ('CA69931132742C82314ACD762C65BB8B', '72B44809DB94FDE0842D2E5FC28D38DB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:27.000000', 12, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', NULL, '0b4e3c79988b8fc357b3a0f5443aa63e', 'F7-707_试剂柜-C_C1-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '50C4CDBE648026C206C028E4FEF9D9C3');
INSERT INTO `batch_details` VALUES ('CAC695338CF1B42DBB86F4B6A6ADFABC', '140050A42914AA6E41E04F35B1ECD107', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:14.000000', 60, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:14.000000', '2023-09-15 09:40:14.000000', '1', '1', NULL, 'e15d16fe3536e248d40e36b8822a2823', 'F6-607_试剂柜-F_F1-1', NULL, '8C379C9EA9597E6F706FDA436401A14E', NULL, NULL, '607', '7B50443B2D951BC50C4F157836F75592');
INSERT INTO `batch_details` VALUES ('CB06E9B7954C2118ABC43035378DA8E3', '3CBF2A52E8CC78BCA418E87EAEB4BBC5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:35.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '231EDE4D1A398A2461236AB5412E12C2');
INSERT INTO `batch_details` VALUES ('CB0F39CC21AC87AAFDEE5B732224B669', 'A98556C1E5B9E714F6F28E6F26921058', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:31.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '1E20A7D6DDC1C43854671D3FF4C05AA2');
INSERT INTO `batch_details` VALUES ('CB18A1718EDF05446D02CE57D53383BB', '9E1DFCEEBBF54BC2B02DC089C9AE93C9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:15.000000', 7, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7F98A6CF235306B2FB187FF483CFFFD9');
INSERT INTO `batch_details` VALUES ('CB5B335C8DF7D9A5669DC20DEF392FFB', '4C3626F555ADF75A0A9E27ADDAB8F2E0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:09.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', NULL, '75bb1e5693ddf7d3f83365fc7ce874a2', 'F7-706_试剂柜-E_E3-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'DC0071770D892A926D6746869C9BFE28');
INSERT INTO `batch_details` VALUES ('CBD8E0909908BD027C454C1B73EBF570', 'D5CAE73B9012452B809498CD3131C9F3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:28.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', NULL, 'cc1e723a600df519bb30716aed1a65b4', 'F7-707_试剂柜-C_C2-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'F20D5C5994C29D6C1D5045391B4AA9BB');
INSERT INTO `batch_details` VALUES ('CBDA61416547D4B5282BA8E3F15296F7', '4DB50AB28A5454A433B6478A81730683', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:57.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:57.000000', '2023-09-15 09:39:57.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('CC0129E966E7F950D63FE6AF0DE54156', '05DF945CC0F66FDC195E7783BF1621E5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:26.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:26.000000', '2023-09-15 09:41:26.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '69D5B84A7B131E86F86B580CCC2072CB');
INSERT INTO `batch_details` VALUES ('CCDAF1A3E75A3D6AD31B2039E23D7D39', '88D60F021AA60028A516337D104DC9F1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:41.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '1E39AB61EDC4717CC9EA4FCC66778C51');
INSERT INTO `batch_details` VALUES ('CD9B9692BD510E31AEAC3995770D295D', '4BF35E94D10E77FC4695A9208E3B77CA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:01.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:01.000000', '2023-09-15 09:42:01.000000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'B88966FB32A07C15A9BE2F73E69D1BB7');
INSERT INTO `batch_details` VALUES ('CDAE8B2A3288429B8FF08FE3A5E8BC55', 'BFC8D464FCC9C0EA595CD5C013A9D60D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:34.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:34.000000', '2023-09-15 09:40:34.000000', '1', '1', NULL, 'a14f05cc811963d8c20a72695a2660da', 'F6-607_试剂柜-A_A2-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '48AC371C744023F46AFB65759239B61D');
INSERT INTO `batch_details` VALUES ('CDFDC4FC4BF68757B2CB9313F66F2434', '2D6E3D8363A69970414F9C8C1FD33632', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:59.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:59.000000', '2023-09-15 09:40:59.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'F9C51F5A7AFEDFBBE5D7B2D65119FDE0');
INSERT INTO `batch_details` VALUES ('CE38AD7CB19B68C32C3EFC6F740F6B96', '77F54CD0CB1907266F0718BBBDB95097', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:49.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:49.000000', '2023-09-15 09:41:49.000000', '1', '1', NULL, 'c09176dcda4c53e3a73bed226c4d6b08', 'F7-706_试剂柜-B_B1-1', NULL, 'B84152270A4A03147E7BA602B85DC2B9', NULL, NULL, '706', 'E5F531CB5BA890C9B8A9C2D099FB19A7');
INSERT INTO `batch_details` VALUES ('CE68EFACDA2DFDCB7323E2FC2C7A3A92', '54DE6F80A2DC65C893AD5DD149125986', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:00.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:01.000000', '2023-09-15 09:42:01.000000', '1', '1', NULL, 'b92a5ca88d157557618e1da8d096b96d', 'F7-706_试剂柜-E_E1-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '5BE4C1CABF5557E6F8453495A6F47557');
INSERT INTO `batch_details` VALUES ('CE8487AA98082C0AEB18FF9F6FCEF3D0', '72BFED3567B0321C9FAA3D858ED20E92', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:39.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:39.000000', '2023-09-15 09:39:39.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('CF17F18C67C03D6C64538506046ADEE3', '8BA0DBEA657E3A5B50B34D2608E16CEB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:59.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:00.000000', '2023-09-15 09:41:00.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '44A9D3DC43905BFD8585845D0D1EAF62');
INSERT INTO `batch_details` VALUES ('CF229953B0609B700CA81A5C1A0E6C2E', 'F106BB44856BB2D84574613554E25808', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:52.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:52.000000', '2023-09-15 09:41:52.000000', '1', '1', NULL, '9eab0c91375efa5608f8248a29d697f5', 'F7-706_试剂柜-C_C1-4', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', '20C5F947FFC85305DCD21005837B9A77');
INSERT INTO `batch_details` VALUES ('CF8EBF85E8C5173B7C9F4BE32F3F17A9', 'B096436A2AEDBB8589A8A3A401B4E4D0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:32.000000', 27, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', NULL, 'ca5ee10ccff7d82adba286f62fa3232e', 'F6-607_试剂柜-C_C1-2', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '0E28071A2B15435E8C26FB4F00619D91');
INSERT INTO `batch_details` VALUES ('CFFA788C091ADB0F992D7A1168905383', '2250E0A6E11B9E97E488B3E2FD71EB5D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:52.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:52.000000', '2023-09-15 09:41:52.000000', '1', '1', NULL, '9eab0c91375efa5608f8248a29d697f5', 'F7-706_试剂柜-C_C1-4', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', 'AB776BCD0A7464EB60BB8D9DCBB87176');
INSERT INTO `batch_details` VALUES ('D0064B0C72849201B76F1EF2CC36D415', '0DA75C0CDB2E9BBE76118F836B246449', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:52.000000', 190, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:52.000000', '2023-09-15 09:40:52.000000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7E0DACF04905441F299DC69E94DDE192');
INSERT INTO `batch_details` VALUES ('D04651986576F1F8D135497637B955C9', '1A4487B15A2553E528952C2032A84977', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:51.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:51.000000', '2023-09-15 09:39:51.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('D0B488AAB9F5486702B496BFE68BFF20', '9AC20BB38A6C692C7ACA19063CEB4BD3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:18.000000', 14, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:19.000000', '2023-09-15 09:40:19.000000', '1', '1', NULL, '0fdde33d569b9096f409bd8aa6b26529', 'F6-607_试剂柜-A_A2-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '9D12212ED4A51C65E58A551301F10529');
INSERT INTO `batch_details` VALUES ('D0F1053B036DFC2324A827FB136BCE85', '44EF136B5D1CB780365DD45EF8F1B915', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:29.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', NULL, 'd9f0626d354219840ea291f2efa83aad', 'F7-707_试剂柜-C_C1-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '80F5547F25789B82BA276953A38D26D6');
INSERT INTO `batch_details` VALUES ('D1045B69E898CD28C60B1FDE06E51D77', '6E645B8853725C20D7574AB057D57FCD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:53.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:53.000000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', '8718E317582B497340AD807E6E9907BA');
INSERT INTO `batch_details` VALUES ('D27E42876A386BD3164B2105358EA730', 'A26339B3DFFBDD124D199E676E518A7C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:17.000000', 18, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', NULL, '7655b680f65a6470af4e6ee3818ee7d4', 'F7-707_试剂柜-B_B1-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '409BFCE0E6541766476C42CC10C39185');
INSERT INTO `batch_details` VALUES ('D2F824803FDD5D198281FB0117D8AFDA', 'D26C2BF286239A2ED3C96889123D0038', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:03.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:03.000000', '2023-09-15 09:42:03.000000', '1', '1', NULL, '5eff609a8cc1e16248f784af8907b032', 'F7-706_试剂柜-E_E2-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'F0AC9C2CB4CBB44CF55DF9187556DF66');
INSERT INTO `batch_details` VALUES ('D3D26E1277651E55EC943A25751DF51F', '0C8DD67058E3704F7C33BE8D3E408BEA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:11.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:12.000000', '2023-09-15 09:39:12.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('D3E0E4A7CB2B648CE9B35956039F9752', '7F871C487F09EB3C32A74EFBA5064F1D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:21.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', NULL, '958df8de51ac3d2fbe089749aaa330f7', 'F6-607_试剂柜-A_A3-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '0D300D07D363B15523EBBA300D814C80');
INSERT INTO `batch_details` VALUES ('D3F9BD50C6D3C27E13E14A3070C40D43', '5B36F6554AF489DC78EDA171DC6E90F6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:18.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', NULL, '7655b680f65a6470af4e6ee3818ee7d4', 'F7-707_试剂柜-B_B1-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '541EBDE21EE9300FC6E906044C2A4E35');
INSERT INTO `batch_details` VALUES ('D43C41370F62B5C79EE7AB589E97614C', 'E848038A8136AC5088678456B873C8A7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:28.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', NULL, 'be06c2ed607241a0e50b7937a121b7ad', 'F6-607_试剂柜-B_B1-2', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'A6AC8BAF9E999819A6FB5BA48649C6B9');
INSERT INTO `batch_details` VALUES ('D4739051C2EAD8008411C4FE12E249C3', 'CEB4EE169340261713A7939619241029', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:35.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:36.000000', '2023-09-15 09:41:36.000000', '1', '1', NULL, '4e49d8c191425016848c7023a6790c06', 'F7-707_试剂柜-D_D1-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '0ABB959DD21CD30ED47AE5383598BA56');
INSERT INTO `batch_details` VALUES ('D53FF2AF0C7CC28416307409D30C367B', '034D7F2981C98B1192017E67CFE857D9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:30.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:30.000000', '2023-09-15 09:40:30.000000', '1', '1', NULL, '24b6127057ff18e72393a482b1801927', 'F6-607_试剂柜-A_A3-3', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', 'A778ECC69751299C2CC9D8D908E3955C');
INSERT INTO `batch_details` VALUES ('D59FEE9D5ADD89C5ADCD31C50B96FED5', '8A3C16EEF5621EF082DC27359DF99041', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:40.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:40.000000', '1', '1', NULL, 'aed603d0e860695685d0cdc8bdc8627a', 'F6-606_试剂柜-G_G2-2', NULL, '52A2B543BB66F60E1543EB0AAB7AE3B8', NULL, NULL, '606', '665AA362EDDE7F4A09E0C929E023182A');
INSERT INTO `batch_details` VALUES ('D6D4C2B5895DF6897D01B60127263512', 'A2BD1F69A968F313DCF8B747491519FA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:15.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:15.000000', '2023-09-15 09:39:15.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('D704F2E4039ADA294B9C6430F0EEA90F', 'C09539E6081287E43AB9EF1CAE5104DE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:25.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:25.000000', '2023-09-15 09:39:25.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('D71231D5E90B4BF2FF737E0DF2EF268A', '8AAE54743DF66D23D081B9008EF485ED', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:33.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:33.000000', '2023-09-15 09:39:33.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('D80B961DA6AAD32B66D16E94AB9A4285', '1CD54728A3DFEDBEACDB397D79709099', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:46.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', NULL, '6af0cc05f3ee72b1db48f4307ec15e8b', 'F6-606_试剂柜-C_C1-2', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '79020E53DF9D0FB3C027C1640E98FB04');
INSERT INTO `batch_details` VALUES ('D8C825232193BF4E0463930CBD266216', '118C473A10BD0C7017EB1CE5A71CCA63', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:12.000000', 30, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'C47D227A8A2EE9140447860BD844E6A9');
INSERT INTO `batch_details` VALUES ('DA5D2B22A35454F808FF27D4A9392948', 'AE826DF9E6BC27EB3A8B434FC21D1197', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:37.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', NULL, '1eafb736d3923ac750796003de9bd99e', 'F6-607_试剂柜-E_E1-1', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', '5BD43249E5DAEB2C1DA1DE0EDDBDEDB4');
INSERT INTO `batch_details` VALUES ('DABBAB1CA32E1E46D99534FBCA3AACDF', 'F58DB7353033226473D5A782AC2AE935', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:54.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:54.000000', '2023-09-15 09:39:54.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('DBCE2B3E42FFC79D59D1F42D5F941B29', '97D70AD594C93A2BC0B75A9E52B7109A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:20.000000', 24, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', NULL, 'c29a97fc2cbf813f6481245566d70748', 'F6-607_试剂柜-D_D2-4', NULL, '25FE219A2C9127D325E44EF052DBC0AF', NULL, NULL, '607', '99F5402932086D8BF2A205367B404FF0');
INSERT INTO `batch_details` VALUES ('DC37AC5972FE47F914A29205B171C9FE', '2398B1EE82BD8A932D45C1EDA3E0FB6C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:38.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', NULL, '1eafb736d3923ac750796003de9bd99e', 'F6-607_试剂柜-E_E1-1', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', 'A07D413A8AA802EBB1A5FB96CF87544F');
INSERT INTO `batch_details` VALUES ('DC8CB3328605A33525B3A570EE10E8E7', '98A8AC7820F5D02256DBC1FB62D9CC90', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:00.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:00.000000', '2023-09-15 09:42:00.000000', '1', '1', NULL, '1f529f67270eac072f2ac17b583a1754', 'F7-706_试剂柜-E_E1-1', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '293109A350DF588888F3179DB344779C');
INSERT INTO `batch_details` VALUES ('DCA233862854953C98393D95FF64628D', 'E4F46F5130C6CB57654C3799C3657860', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:17.000000', 80, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', NULL, '0ec70b255bfa9cfe1613d28ca2f3d4e1', 'F7-707_试剂柜-B_B1-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'CDFBD5D49319542ECAD96124965E13FE');
INSERT INTO `batch_details` VALUES ('DE3E3A01117A08086B960FC28E1B00CC', 'E725D77A6262F636F006D3E725601A47', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:14.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', NULL, 'dda3d50e55162b4528f6feb32946ffe4', 'F7-707_试剂柜-A_A2-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '3D94DC0D323B0F6226E16A82BF0AF762');
INSERT INTO `batch_details` VALUES ('DE5028EE553E4FEF0BB208BD80BDECB2', 'FD57A6F5430283CBA0A96587165D83CD', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:09.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:09.000000', '2023-09-15 09:41:09.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '6A75E9311CD2475736EBD09FC79A527B');
INSERT INTO `batch_details` VALUES ('DE7D07FD5092DD45725D0344103F56B1', 'D234A57F1B654B4F54057593D2DC1EC7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:05.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:06.000000', '2023-09-15 09:41:06.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '31519F220D61506330F64711D7D0D82A');
INSERT INTO `batch_details` VALUES ('DECEBCA949DD4D9FB1FC57CD0025CB98', 'F73773C91731EDC83EB4D7BEEE2CB327', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:53.000000', 1300, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:53.000000', '2023-09-15 09:40:53.000000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '726CC1C90C42D7CC2010D401A7B04B5F');
INSERT INTO `batch_details` VALUES ('E08D5D1006D61C876506D983C3BDEF72', '310710EDCCF8318B76DC792CAADE3841', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:44.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', NULL, '3fd47250e00178d668a109e63aa0dd3d', 'F6-606_试剂柜-C_C1-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '106077955FB0CFF22F680CA725B72691');
INSERT INTO `batch_details` VALUES ('E0AF90FEDD87B9B90E1E7652BB45D0EA', '829CE3D2D0FF3BE4B74D1519D6FC0BBA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:41.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:41.000000', '2023-09-15 09:39:41.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('E0ECA8CE1E520A98A350FA93C10E96D3', '8459E19DBA0C943FBCDF4999C7C3D2AF', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:16.000000', 30, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', NULL, '9db704bafc97645c3391308c36516400', 'F7-707_试剂柜-A_A3-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'C362B8BAAAEAA488A02904C3BADB0AD1');
INSERT INTO `batch_details` VALUES ('E1288A211A77B290CBD4545CC7DB28A7', '388A49E79913405F75731718D4CAE0C2', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:38.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:39.000000', '2023-09-15 09:40:39.000000', '1', '1', NULL, '1eafb736d3923ac750796003de9bd99e', 'F6-607_试剂柜-E_E1-1', NULL, 'FBD35A7AE7C4A2547D0B1051E86D989E', NULL, NULL, '607', 'C964B7CF04B16431E28F34BF17A61EE3');
INSERT INTO `batch_details` VALUES ('E189E2D19F4227B2BF2E5DF2AB10F4AA', '7E56CE983F25078C66903A761B98A547', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:36.000000', 7, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:36.000000', '2023-09-15 09:40:36.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'C7966CC063C1EBA31458739D8F47AF93');
INSERT INTO `batch_details` VALUES ('E190562B01F7191D7138495F2B7F8C4F', '3F35F03B5E9E69C748E32B3998DDF43F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:42.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:43.000000', '2023-09-15 09:40:43.000000', '1', '1', NULL, 'ab0937a088d03f30865d0257aab984e6', 'F6-606_试剂柜-C_C2-4', NULL, '808DC6B3A5BBD0680FEDF4DDC0F29D32', NULL, NULL, '606', '7E0897A9B9947CD30D30179DBA09DFEA');
INSERT INTO `batch_details` VALUES ('E1B2F7FA0BC8FF5565A8BFBA3BEAA42A', 'A5C8B6058460D5AA14196DD19627DF34', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:31.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:31.000000', '2023-09-15 09:39:31.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('E3DF0E9D2489487F70337356DBBB2091', '463A52B1FBF70806E4DAE69A2118C631', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:01.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:01.000000', '2023-09-15 09:40:01.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('E3FEC5AB0506A52FCCE5AA04DE1C25E0', '2D3273B2914373497D5B8E443ECA8A79', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:10.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:10.000000', '2023-09-15 09:40:10.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('E4496D67BDD4563C9315B85E8590A7E2', '6371BC69AB96E8850C2E1E72857C6D3E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:15.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:15.000000', '2023-09-15 09:40:15.000000', '1', '1', NULL, 'ad6c605e453d6de305c3949011529a9d', 'F6-607_试剂柜-C_C2-5', NULL, '071127105DF37F344112A196C49B181D', NULL, NULL, '607', '408FA4C7F05BDB32807A5D2B0774AC49');
INSERT INTO `batch_details` VALUES ('E49BD6E2BABFEABCDC7AD03AAE1868D9', 'BACB9765FB721840FCE8233582967CF7', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:36.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:36.000000', '2023-09-15 09:39:36.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('E59AEF4F46D9EECA273D1CD54640C4C3', 'AFC2A8BCE9CF78BC9086CC64AEBCF99D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:10.000000', 13, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'E459211A23238A661065ECE2E7D192AA');
INSERT INTO `batch_details` VALUES ('E6A27F50F65BD8E7F83F7623ED7CBA7B', '2438CABF90E808A619880E6020E88C56', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:30.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', NULL, 'cc1e723a600df519bb30716aed1a65b4', 'F7-707_试剂柜-C_C2-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '2A9C7B5E7B467BA82F296797BFEB2CB7');
INSERT INTO `batch_details` VALUES ('E6EB8C8FB65E4EE5A4CB27A5931BB31A', 'DF0BF1AE4C2F82EA328D3EA09D66877A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:34.000000', 7, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', NULL, '5ff780813a112e04ebbe6ed2a71ab1fa', 'F7-707_试剂柜-C_C3-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'DF818DFCBCECACE7BD4C45A0D674D185');
INSERT INTO `batch_details` VALUES ('E73E06D8AE4805362F0435979DB6295C', '4D4F5DD58F66858CFA5E7452153208DB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:05.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '461D9D1BE9EE05B7B4A24F438422D830');
INSERT INTO `batch_details` VALUES ('E7CD95B757B67CD3BD332C4AAFDD1235', '6F0E6F2B11EB4D670144BAF2260EBD3E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:24.000000', 30, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', NULL, '3854518756e7994ee5876d7e9e861cdf', 'F7-707_试剂柜-B_B3-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'FA25DED95A2F60F60997D33A9265A9FF');
INSERT INTO `batch_details` VALUES ('E7FFEAF0DC46715CB7C02521246EC3E2', '716EACBE8DA625C73B830C3F49672BAB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:37.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:37.000000', '2023-09-15 09:41:37.000000', '1', '1', NULL, '7fee0fd4732d7c816a1afc079c2ca1b8', 'F7-707_试剂柜-D_D1-3', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '2B4456722D3B170E56834C30CDA96963');
INSERT INTO `batch_details` VALUES ('E8A600424E3927C61BDC9E833D9E74FA', 'E8EC57307CD21C2E81E6BAB9EC698B8B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:05.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:05.000000', '2023-09-15 09:41:05.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '091F6EA7255DE4A93E8A65577958CAD0');
INSERT INTO `batch_details` VALUES ('E8DD05CA85D7757D67A72052BE34EAEE', 'C8681884C824146E3AFAFE28E3DF1854', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:16.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:16.000000', '2023-09-15 09:39:16.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('E9380D8ACAB1E7402A7BB50A92F4E012', '5B1FD8F1896B069F2C7211FB81901E46', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:24.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:24.000000', '2023-09-15 09:39:24.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('EA02FF9F9B8737F44444FB3450CFB4FB', '360A2CF9B38EB63E7615AFCE368A884E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:11.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'F665EDE8C8F84C424331EDB6B2F9FC9C');
INSERT INTO `batch_details` VALUES ('EA1EB99D86FD0072A0C9A81F0CD945B5', 'A1C784CF39DCBA33C871F7F0FDA12D80', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:14.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', NULL, 'dda3d50e55162b4528f6feb32946ffe4', 'F7-707_试剂柜-A_A2-4', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '6E40EA464A8BDD772C8C75CD8D9388DA');
INSERT INTO `batch_details` VALUES ('EA3F56CB726BC08FD2BFA355B10FCBF3', 'EA2A7C04BF801445BD5277242EFA4247', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:41.000000', 45, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', NULL, 'cbf6e4dd457b2730e3142568f935fcfc', 'F7-707_试剂柜-D_D2-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', '475301101D8FF474F1BF0E91CCA23BBC');
INSERT INTO `batch_details` VALUES ('EA5EF74CECBD65CD0A64679D2D9320F9', '7187C797EB7F653B1507B2FEF93C2BF4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:43.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:44.000000', '2023-09-15 09:39:44.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('EBCFEBC8DC6B43AE31DC4B3B1C56CA23', 'B730C1B989D402C25B368ABBADA97565', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:07.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:08.000000', '2023-09-15 09:41:08.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '56B6F737568DA311AE5E06765A9F9049');
INSERT INTO `batch_details` VALUES ('EC427108E95CCCC0802AE0B08625B1F0', 'EA6C7FD1117EF5267106E54C08EE6EC6', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:18.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', NULL, '7655b680f65a6470af4e6ee3818ee7d4', 'F7-707_试剂柜-B_B1-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'BF2F300167B9F819B40FB80E716B4F07');
INSERT INTO `batch_details` VALUES ('EC5BFEE2CFB8373291A482D04D1AA7AD', 'AF8BF10795CCFC94597D6F7C9091AC71', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:54.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:54.000000', '2023-09-15 09:41:54.000000', '1', '1', NULL, 'd44d1d51a3315a64708412a81c6e4e8d', 'F7-706_试剂柜-D_D1-2', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'B1C6C8CBB5ACE5F0238A7FFEAEB5DF94');
INSERT INTO `batch_details` VALUES ('EC90667901F7643810631BB62D4CAAB0', '8213CEF0CBD6230CE06A8CB21EEF3C2D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:17.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:17.000000', '2023-09-15 09:42:17.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'DD0A9307DD0A5897B2B796AE99F0F8D1');
INSERT INTO `batch_details` VALUES ('EC9B77E4AADF1C29454A063DCC9C396C', 'DC180CCE600E32B1E409838C10B31D3A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:16.000000', 90, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:17.000000', '2023-09-15 09:40:17.000000', '1', '1', NULL, 'cf5e18cab2cc7c05a0f0615bafd4f303', 'F6-607_试剂柜-B_B2-5', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '9FAE45056FDAAA9CE36A880A1E84D064');
INSERT INTO `batch_details` VALUES ('ED113B1C80749070DA0E81E2D9BBDCB5', 'BF535B52F2BE32105C29C6E53F849B31', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:23.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', NULL, '9fc5fef81344f22fdf7f7a038d7c52fa', 'F7-707_试剂柜-B_B2-3', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '93E45FE2F0C9606FD124E3987B1936FB');
INSERT INTO `batch_details` VALUES ('ED41F168BF75415924FDA0E826348BFF', '9FD0EF75A63AD0739C5482915066C084', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:12.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:12.000000', '2023-09-15 09:42:12.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', '27F68A0AF8E83BF60EBFE4129E167A14');
INSERT INTO `batch_details` VALUES ('ED4C3FE94FBE7EBA0616E80FE65F31B9', '5E2F28F6588E55FC9A1BC5D532326108', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:48.000000', 400, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:49.000000', '2023-09-15 09:40:49.000000', '1', '1', NULL, 'a56b1d6c5e35558ad38f57abf06c17bc', 'F7-707_试剂柜-A_A1-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '05BFEC5FD5ABBFB5F27CEC66AD677B4A');
INSERT INTO `batch_details` VALUES ('ED5CF0E27AEAB5E0F952F77CF2510A0B', '86DE7215B9AD363D3C098F9CA1B6CF91', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:26.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:26.000000', '2023-09-15 09:39:26.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('ED98222240A35F7EA6A203883F6D3DA4', 'AC5FFD1C8433E2A0A8AFA83531ADA5EE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:29.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:29.000000', '2023-09-15 09:39:29.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('EF47F47A489AD885428C660D9AC76F83', '53C8ED9D3EF595B2ACDE7D5A473D431B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:56.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:56.000000', '2023-09-15 09:41:56.000000', '1', '1', NULL, '9385d102cad285d69123ad6a279044a5', 'F7-706_试剂柜-D_D2-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'AF0C4CA50D7DE1531B0E326B6F9F6338');
INSERT INTO `batch_details` VALUES ('EF57DE7B26F5408FA8D5064A60A06001', 'A89D699F3E1CA3CE6F87A43E3C636B9C', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:20.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:20.000000', '2023-09-15 09:41:20.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', 'D174840C32FCE5411B07A48222D446AF');
INSERT INTO `batch_details` VALUES ('EFD39539E8D02635E3CE522FA133A45A', 'CB949A46973642AFC50B22FDB270F27D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:51.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:52.000000', '2023-09-15 09:41:52.000000', '1', '1', NULL, '5ed98268a70fc33b0473b62598cef3be', 'F7-706_试剂柜-C_C1-3', NULL, 'EA39B525D5DC678C4CA7F95C4CAC7F53', NULL, NULL, '706', '6E9D5D2D9944B2AF6B63F999027D78AF');
INSERT INTO `batch_details` VALUES ('F0F325CF35FFC3894CACCDB48F9CE2BC', '3BF55E29B4BCF9D7DDB17CF2F7953FB4', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:58.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:59.000000', '2023-09-15 09:39:59.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('F242800157A8AA4E4EBEDEB374CE5C39', '717233299E2EAA1D19A6B38616E74DD9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:07.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:08.000000', '2023-09-15 09:40:08.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('F27B36ADE8B1C797254873D4AC282A0C', 'E0145B68893B3F61A558267E650C5728', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:01.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:01.000000', '2023-09-15 09:41:01.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '05CD118065D94DF4841B3367BADB500F');
INSERT INTO `batch_details` VALUES ('F2A53D6DC0548C8F78C779E3B8453EAD', '5CACCADAECB4AA122E6F8F8011B6EC32', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:06.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:06.000000', '2023-09-15 09:42:06.000000', '1', '1', NULL, 'e12c1ffbe42606dd02973fe424f420e3', 'F7-706_试剂柜-E_E2-2', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', '5D7D27FE03D60F313987F276BB6BA592');
INSERT INTO `batch_details` VALUES ('F2F6AF631970F338B2847452A9DA0C93', '3B7E52042317724867DD46D4CA0126D5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:12.000000', 3, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:12.000000', '2023-09-15 09:40:12.000000', '1', '1', NULL, 'b56344dd48b8c007ecb4399b3351d32d', 'F6-607_试剂柜-B_B1-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', 'F6E768E581215E3B67346F0EFEC52A6D');
INSERT INTO `batch_details` VALUES ('F3309AAE7C5658AB0DBC26A484F9C05B', 'BDCD543D751FDCF58F7666A03B987A1D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:01.000000', 19, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:01.000000', '2023-09-15 09:41:01.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '6E2EA1D35B62AA7226200B71E004F79A');
INSERT INTO `batch_details` VALUES ('F394C63B21A04ED9938A98A75A5CA81C', '9E4D90AFF3CB823AC8B3657D8BB0A4F0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:47.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:47.000000', '2023-09-15 09:40:47.000000', '1', '1', NULL, 'c4dcd44a5edd7545b6c7b4a83398b7f4', 'F6-606_试剂柜-G_G1-4', NULL, '52A2B543BB66F60E1543EB0AAB7AE3B8', NULL, NULL, '606', '0EA9F30AB5DC2D5FCEC2D8601A7963DC');
INSERT INTO `batch_details` VALUES ('F507B91E6D6EA7DDB00324524AD52F1D', '078CE6DA236509BBF74D5BA2C7230E75', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:07.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'B536A714C54FEAC448B5611EFE5E627F');
INSERT INTO `batch_details` VALUES ('F51AFE6A00276E13659FD5724C7918E7', '1CFA82BBADF8141043FB7B2BC07C1267', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:54.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:54.000000', '2023-09-15 09:41:54.000000', '1', '1', NULL, '029e9facf01df4463e0cfc021f2387b5', 'F7-706_试剂柜-D_D1-1', NULL, '1BE682BBB78BA411984C24CA8A242189', NULL, NULL, '706', 'E8240F71EE4F8ABD895C16B5DA01047E');
INSERT INTO `batch_details` VALUES ('F521CBA15CE432D18CFDAFEA136605CB', 'C99EBC2F091DE3F9D8CF3B56B5877725', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:51.000000', 100, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:51.000000', '2023-09-15 09:40:51.000000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '860F16898608D785ECFC2E0106DF7752');
INSERT INTO `batch_details` VALUES ('F5654C27D2698E72131B9BEA7B65DA89', '896F2D6A4EF8FEE96819498DD9204ACC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:09.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:10.000000', '2023-09-15 09:40:10.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('F599ED5B5B75A771452F3690ACBEDC78', 'A25759FFC5E5631935AE9EAE4DF27F8A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:41.000000', 42, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', NULL, 'cbf6e4dd457b2730e3142568f935fcfc', 'F7-707_试剂柜-D_D2-2', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'FF9C32E87B5C41E8E2A61B01BF90BDE4');
INSERT INTO `batch_details` VALUES ('F5EE4D5733FC9D17DAD0F438ABC4CDB2', 'E8E19E788E4CA84F20AFF93A928737BB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:00.000000', 26, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:00.000000', '2023-09-15 09:41:00.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', 'CE4A69B374C40FE1863B07652A57A15B');
INSERT INTO `batch_details` VALUES ('F60D441A17756DCF2B6981907EA9A6A8', '5E0EFBC170A29461DCB6311DA4A8EDB9', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:33.000000', 9, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', NULL, '4dbb4e8d2e996c3878c9e08e3fceb24a', 'F6-607_试剂柜-B_B3-1', NULL, '4DC6CF3C6B9A843F6C70335AA42A5594', NULL, NULL, '607', '3E9B02CBC89D75F8F7F0753F0E13C6CB');
INSERT INTO `batch_details` VALUES ('F6336E4C8F0842B95218E7C484ED8068', '0526ABC8AB5187840CAE4F420438801D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:25.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', NULL, '560368db98ffefe8fdaa98becd2bfcda', 'F6-607_试剂柜-D_D3-2', NULL, '25FE219A2C9127D325E44EF052DBC0AF', NULL, NULL, '607', 'F680204C7DAFCFAE5CDDC4435AFC7195');
INSERT INTO `batch_details` VALUES ('F68386EA922985AB6AF84F27F308AC84', '7ED288750150FC0AA1BFCA1265759D56', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:21.000000', 44, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', NULL, 'f59134f62115fee1d4e59dfe2e3f3ce5', 'F7-707_试剂柜-B_B2-1', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '1B426580BBDE0D354250A7CAABA79213');
INSERT INTO `batch_details` VALUES ('F6A178B99E74EA63E031D42A61695910', 'A7858E9EC58FC767E6CCC8D277BA97DE', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:16.000000', 20, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', NULL, '4ebdd8ebb8f820a73f6047675a895025', 'F7-707_试剂柜-A_A2-5', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '4069AAB2CA8E34712757BAC2FD7BC5FA');
INSERT INTO `batch_details` VALUES ('F6BAF12AFE44B22C65A624B5F52ADC15', '8A40D51D76F45BE393B2501741E66CB8', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:29.000000', 8, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', NULL, 'd9f0626d354219840ea291f2efa83aad', 'F7-707_试剂柜-C_C1-3', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '3390EC001378C55B64ECF64D9C79F1C8');
INSERT INTO `batch_details` VALUES ('F6F83471731E75483F98ADEC7170A1FA', '58922650C747E64B9AD25D269BDA7B01', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:29.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:29.000000', '2023-09-15 09:39:29.000000', '1', '1', NULL, '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('F6FE6441FE4B10B5522C42061CC345FB', '61637A508D574C34F4E76CB4AEBFA1B5', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:26.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:26.000000', '2023-09-15 09:41:26.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '808DEBA0F1D6539D3968087172BE35AF');
INSERT INTO `batch_details` VALUES ('F7E020628DFDF56196A17B8F395B1916', '13159AB97A8D48A53AD8D33774619428', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:18.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:19.000000', '2023-09-15 09:39:19.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('F7E1E42A53A6031A0AC9EA2AFED5AF83', 'FD1B667D3182C73F72E7F628D2D80C3F', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:51.000000', 160, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:52.000000', '2023-09-15 09:40:52.000000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7B2D411FF49D59381DCE5CC2E02C091D');
INSERT INTO `batch_details` VALUES ('F8361FDF93CA2AB0D1355AB6BFFB109B', '548845D2D2D7D708548CAF7CFA427135', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:48.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', NULL, '35cea1f480155d71908002b4cc6a584b', 'F7-706_试剂柜-A_A3-3', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'DCF3CD509BB07361128223654FB8B3B4');
INSERT INTO `batch_details` VALUES ('F83AB1AB5D9009743578260A7FDD53F8', '5044D2077F0812093A3BED232ADE0B2B', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:32.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', NULL, '0042d9473d2e7f8dabd1716e8eaa93bc', 'F7-707_试剂柜-C_C3-1', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', '4BFA9981B99F7C6FB083947B9A8CDF7F');
INSERT INTO `batch_details` VALUES ('F895C286AD2E8C7ADDB1BF185B73BB3C', '939D7998106AA6A4E0C952BB8FB54938', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:05.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:06.000000', '2023-09-15 09:40:06.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('F97059C4226A816594FFBFF823E83BAC', '5A6CAA2BA6962CF7F8C21F07694DE37D', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:25.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '1814F55969711B766465BDF320C1AF48');
INSERT INTO `batch_details` VALUES ('F9F4D7A66C19FE295EF82DDC19D1D636', 'B2C161849BC329823649E6BE12FA3827', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:17.000000', 11, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:17.000000', '2023-09-15 09:40:17.000000', '1', '1', NULL, '7c8662cd73958e2f15c2794c159ff265', 'F6-607_试剂柜-A_A1-1', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '5638AF8F55E0D1B0BCE06CDEE770075D');
INSERT INTO `batch_details` VALUES ('FA8EF5CA53BDE194FA1C701C9635EA1E', '3086CDA06464609EAC157721474EB279', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:53.000000', 1300, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:53.000000', '2023-09-15 09:40:53.000000', '1', '1', NULL, '23a82c7ce53b43021bbe9cad18d8a7ea', 'F7-707_试剂柜-A_A1-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '68DD1878C516BC56C2B275B7A2B87B21');
INSERT INTO `batch_details` VALUES ('FA926D37839AFA28490BD253151F897A', '3959FE9208466E50119894C241CBC821', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:50.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:51.000000', '2023-09-15 09:39:51.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('FB85C5B7B592E3A8FD5610ED99F77F13', '69399FA600BB9E82146C8CC8FBF70121', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:46.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:46.000000', '2023-09-15 09:39:46.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('FB9FD33C47C3F7D0A825E0771C7DEFD7', '0A541CFA85EF040153F94740BAEAAA57', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:33.000000', 6, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', NULL, 'e48349ea644fd3c1035e9a83a4890f9c', 'F7-707_试剂柜-C_C3-2', NULL, '9AC53FB7B5B033C7C1EEE8A983F748B2', NULL, NULL, '707', 'BB3B27D00505783F77AEE64577118C9A');
INSERT INTO `batch_details` VALUES ('FC81326B7445E453A9967AA666DCAB88', '46EE1F51D393BC419891A0A6862AA1E0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:40.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:40.000000', '2023-09-15 09:41:40.000000', '1', '1', NULL, '1c64707b7fa93765aa78f48b99e8f1c3', 'F7-707_试剂柜-D_D2-1', NULL, 'F7EA8C15E19D8780E7E27AF8DFE76281', NULL, NULL, '707', 'A4F9E96A2DB6EE1E609159BA441FBB90');
INSERT INTO `batch_details` VALUES ('FCA025C1EF6704B01721C6563E3F4AF1', 'D38FC0814B4FDB0AB4DDBAECED4CF06A', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:54.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', NULL, '0da6c01dcc72a132a9bd590cd26c6e9f', 'F7-707_试剂柜-A_A2-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '51CF571F5A44F4D965F9D921B86CD850');
INSERT INTO `batch_details` VALUES ('FD268B3D82DEC106DC00858CD4C2BF2B', '9874C1AA519ED5632A23094456805C2B', '2023-3', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:41.000000', 7, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:41.000000', '2023-09-15 09:40:41.000000', '1', '1', NULL, 'f3579ed192e47c4f381ff9572f346320', 'F6-606_试剂柜-B_B1-5', NULL, '75A3A892DEFDA7AF1380EDE3659114B3', NULL, NULL, '606', '872DF64AAEE1BBE9843B53AFA8682B7D');
INSERT INTO `batch_details` VALUES ('FD5C7FD71E673720D62BD76FC6DD66D9', 'E2A2EEAEB24E59500BA5A450048B70E3', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:25.000000', 15, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', NULL, '55e5081784af82837467649da44000e2', 'F7-707_试剂柜-B_B3-2', NULL, '78E96D7048BD51A07836B8A8E20097A6', NULL, NULL, '707', '1DCE73776C4266B4F62C64DD2302D421');
INSERT INTO `batch_details` VALUES ('FDE959B4CF5D9586472A066F49168964', 'B66C22F7D0350739383CB5CD2264A0A8', '2023-2', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:08.000000', 10, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:08.000000', '2023-09-15 09:42:08.000000', '1', '1', NULL, '0bb34e9b041dff3f06129c15bd49f8e3', 'F7-706_试剂柜-E_E2-3', NULL, 'B65DA79AF9DAD1A5D8073F07800A4336', NULL, NULL, '706', 'F84E5A153C088EEFA653FE02BB43E444');
INSERT INTO `batch_details` VALUES ('FEBBAB037DEBE6F715D2CC2BDDDB3B1F', '42C9FCDA26723A2190994E9442D39312', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:26.000000', 52, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', NULL, '0fdde33d569b9096f409bd8aa6b26529', 'F6-607_试剂柜-A_A2-2', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '3F6C81BC84AF9DE3F3E6E5CBC4D71DE6');
INSERT INTO `batch_details` VALUES ('FECD1D264C93D6A5754DF3ACE781D1CC', '8F8B4AC349E6E800603555662A93B1CC', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:24.000000', 4, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', NULL, 'd5f9d9c892acf721f2affe05ca0c92e6', 'F6-607_试剂柜-A_A2-5', NULL, '36C74677CD316ED421D0D23554884EE0', NULL, NULL, '607', '053107FF8CB69A10219F22970AD8118E');
INSERT INTO `batch_details` VALUES ('FEECB80C39CE85D5A6D501D030014A47', '9C14CD9EC2350AC817924213B4C7C7AA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:40:50.000000', 170, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:51.000000', '2023-09-15 09:40:51.000000', '1', '1', NULL, 'ef9c17ad040fd8ae335276cb12bfb815', 'F7-707_试剂柜-A_A1-1', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '3A2858DA99F5E25EBB6B2393374AF5CE');
INSERT INTO `batch_details` VALUES ('FEF791BFF3314FB0E6E278547376EAC9', '0623C5EB838BBDE577447E9830A2639E', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:42:16.000000', 2, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', NULL, 'ec4353a9c5d22cc11cf4222f1a1924c2', 'F7-706_试剂柜-A_A3-1', NULL, 'E2C5AB18185856589069CB248BA88DAC', NULL, NULL, '706', 'C3A9DC28BF710AB94FFDA2E24F3189F9');
INSERT INTO `batch_details` VALUES ('FF287203B7562845BBBEC82DF48697DA', '2DFF513758FFC070A475B52C1D403E18', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:02.000000', 15, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', NULL, 'a85cb6b699ddc830220d2f3f48aec222', 'F7-707_试剂柜-A_A2-2', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '43C2AC1835A8327A32A7DC597D823F1B');
INSERT INTO `batch_details` VALUES ('FF34E10B946583C5894CB1BA57806DFC', 'BB459FB3BD7646F6156F0037F6E59130', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:42.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:42.000000', '2023-09-15 09:39:42.000000', '1', '1', NULL, '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('FF4DDD9EA476FBB80CEA603CAEB416EA', 'BAE7F1585D7659C80C3385CC244536BA', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:40:02.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:40:02.000000', '2023-09-15 09:40:02.000000', '1', '1', NULL, '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('FF535919D92F075BD59DAEB9FF60BAA4', '9B921A37FE7AECBBB8011846FA5EE1EB', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2122-09-15 00:00:00.000000', NULL, '2023-09-15 09:41:09.000000', 5, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:41:09.000000', '2023-09-15 09:41:09.000000', '1', '1', NULL, 'cca069ec7942ecf78789a1b54626afd5', 'F7-707_试剂柜-A_A2-3', NULL, 'D645D396564BA0877F69AF74AE8686C8', NULL, NULL, '707', '7CC52666BEA42C4198208F5BB643A773');
INSERT INTO `batch_details` VALUES ('FFC312DDFA693C38F1424C0361F3A950', '466AB710895E4C7053BB694E0912BDA0', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:53.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:53.000000', '2023-09-15 09:39:53.000000', '1', '1', NULL, '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);
INSERT INTO `batch_details` VALUES ('FFFDC32BF686CCBA6C82B4825022EA8A', '2D178415E08157AE51AA1A62FED0C6D1', '2023-1', '/', NULL, NULL, '2023-09-15 00:00:00.000000', NULL, '2094-01-01 00:00:00.000000', NULL, '2023-09-15 09:39:17.000000', 1, 1, '8ca00f2546a4e52b7466daadb113ea1b', '2023-09-15 09:39:17.000000', '2023-09-15 09:39:17.000000', '1', '1', NULL, '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', NULL, NULL, '702', NULL);

-- ----------------------------
-- Table structure for blacklist
-- ----------------------------
DROP TABLE IF EXISTS `blacklist`;
CREATE TABLE `blacklist`  (
  `blacklist_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `results_of_compliance_check` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(符合性检查结果)',
  `supplier_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `compliance_check_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '符合性检查记录表ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`blacklist_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材黑名单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of blacklist
-- ----------------------------

-- ----------------------------
-- Table structure for catalogue_details
-- ----------------------------
DROP TABLE IF EXISTS `catalogue_details`;
CREATE TABLE `catalogue_details`  (
  `catalogue_details_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `purchase_catalogue_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购目录ID',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注\r\n',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS编号',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`catalogue_details_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of catalogue_details
-- ----------------------------

-- ----------------------------
-- Table structure for category_table
-- ----------------------------
DROP TABLE IF EXISTS `category_table`;
CREATE TABLE `category_table`  (
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '类别',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of category_table
-- ----------------------------

-- ----------------------------
-- Table structure for centralized_request
-- ----------------------------
DROP TABLE IF EXISTS `centralized_request`;
CREATE TABLE `centralized_request`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `date_of_application` datetime(6) NULL DEFAULT NULL COMMENT '(申请日期)',
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划ID',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '申请人名称',
  `audit_result` tinyint(255) NULL DEFAULT NULL COMMENT '审核结果',
  `audit_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核意见',
  `audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核人ID',
  `audit_time` datetime(6) NULL DEFAULT NULL COMMENT '审核时间',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用途/购买理由',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of centralized_request
-- ----------------------------

-- ----------------------------
-- Table structure for check_schedule
-- ----------------------------
DROP TABLE IF EXISTS `check_schedule`;
CREATE TABLE `check_schedule`  (
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `manager_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '制定人ID',
  `audit_time_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核时间',
  `audit_result_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核结果',
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核意见',
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审核人ID',
  `status` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of check_schedule
-- ----------------------------

-- ----------------------------
-- Table structure for compliance_check
-- ----------------------------
DROP TABLE IF EXISTS `compliance_check`;
CREATE TABLE `compliance_check`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `date_of_inspection` datetime(6) NULL DEFAULT NULL COMMENT '(检查日期)',
  `examination_conclusion` varchar(55) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查结论)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `inspection_scheme` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查方案)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `secondary_auditor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `reagent_consumable_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '不合格项目',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '品牌',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `executor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '执行者ID',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(符合性检查记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of compliance_check
-- ----------------------------

-- ----------------------------
-- Table structure for deactivation_application
-- ----------------------------
DROP TABLE IF EXISTS `deactivation_application`;
CREATE TABLE `deactivation_application`  (
  `deactivation_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `application_time` datetime(0) NULL DEFAULT NULL COMMENT '(申请时间)',
  `reference_material_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`deactivation_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质到期停用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of deactivation_application
-- ----------------------------

-- ----------------------------
-- Table structure for decentralize_details
-- ----------------------------
DROP TABLE IF EXISTS `decentralize_details`;
CREATE TABLE `decentralize_details`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `decentralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(分散采购申请ID)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `quantity` int(10) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(用途)',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `purchase_list_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单明细ID',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购备注',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS号',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '分散采购申请明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of decentralize_details
-- ----------------------------

-- ----------------------------
-- Table structure for decentralized_request
-- ----------------------------
DROP TABLE IF EXISTS `decentralized_request`;
CREATE TABLE `decentralized_request`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人id)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果\r\n',
  `approval_of_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核意见',
  `audit_result_of_primary` tinyint(3) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` tinyint(3) NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_result_of_three_level` tinyint(3) NULL DEFAULT NULL COMMENT '三级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核时间',
  `compliance_testing` tinyint(6) NULL DEFAULT NULL COMMENT '(需要符合性检验)',
  `date_of_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请日期)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID\r\n',
  `purchase_list_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `status` int(8) NULL DEFAULT NULL COMMENT '(提交状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `three_level_audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用途/理由',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(分散采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of decentralized_request
-- ----------------------------

-- ----------------------------
-- Table structure for delivery_registration_form
-- ----------------------------
DROP TABLE IF EXISTS `delivery_registration_form`;
CREATE TABLE `delivery_registration_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_delivery` datetime(6) NULL DEFAULT NULL COMMENT '(出库日期)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库人)',
  `outgoing_applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库申请人)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `status` int(5) NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材出库登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of delivery_registration_form
-- ----------------------------

-- ----------------------------
-- Table structure for details_of_centralized
-- ----------------------------
DROP TABLE IF EXISTS `details_of_centralized`;
CREATE TABLE `details_of_centralized`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `centralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(集中采购申请ID)',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `quantity_purchased` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(采购数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划明细ID',
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '换货数量',
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货试剂耗材ID',
  `number_of_applications` int(11) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '采购申请数量',
  `details_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改明细备注',
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货备注',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用途/理由',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of details_of_centralized
-- ----------------------------

-- ----------------------------
-- Table structure for evaluation_form
-- ----------------------------
DROP TABLE IF EXISTS `evaluation_form`;
CREATE TABLE `evaluation_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `comments_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价意见',
  `comments_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价意见',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系电话)',
  `contact_person` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人)',
  `primary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价人ID',
  `comments_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价意见',
  `secondary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价人ID',
  `service_provider_and_supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商ID)',
  `three_level_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_information_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商/服务商信息表ID',
  `supplier_business_license` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `comments_result_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价结果',
  `comments_date_from_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级评价时间',
  `comments_result_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价结果',
  `comments_date_from_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级评价时间',
  `comments_result_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价结果',
  `comments_date_from_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级评价时间',
  `status` int(2) NULL DEFAULT NULL COMMENT '状态\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商评价表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of evaluation_form
-- ----------------------------

-- ----------------------------
-- Table structure for fixed_value_report
-- ----------------------------
DROP TABLE IF EXISTS `fixed_value_report`;
CREATE TABLE `fixed_value_report`  (
  `fixed_value_report_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `fixed_value_report` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值报告URL)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `fixed_result` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '定值结果',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`fixed_value_report_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(定值报告)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of fixed_value_report
-- ----------------------------

-- ----------------------------
-- Table structure for instruction_book
-- ----------------------------
DROP TABLE IF EXISTS `instruction_book`;
CREATE TABLE `instruction_book`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人审核意见',
  `audit_result_of_technical` tinyint(3) NULL DEFAULT NULL COMMENT '技术负责人审核结果',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '技术负责人审核时间',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `instruction_book` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书)',
  `maker_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制定人)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `set_time` datetime(6) NULL DEFAULT NULL COMMENT '(制定时间)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_type_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注物质类型ID',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查指导书)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of instruction_book
-- ----------------------------

-- ----------------------------
-- Table structure for outgoing_contents
-- ----------------------------
DROP TABLE IF EXISTS `outgoing_contents`;
CREATE TABLE `outgoing_contents`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材出库登记表ID)',
  `outbound_use` int(3) NULL DEFAULT NULL COMMENT '(出库用途)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材类型)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库物品批次ID',
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领取码',
  `reagent_consumables_set_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用物品信息ID',
  `reagent_consumable_stash_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用物品ID(分库房)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(出库内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of outgoing_contents
-- ----------------------------

-- ----------------------------
-- Table structure for period_verification_implementation
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_implementation`;
CREATE TABLE `period_verification_implementation`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_technical` tinyint(36) NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `cause_of_dissatisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不满足应用要求原因分析)',
  `checking_time` datetime(6) NULL DEFAULT NULL COMMENT '(核查时间)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `implementation_and_results` varchar(2550) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查实施情况及结果)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人员ID)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `opinion_of_inspector` tinyint(3) NULL DEFAULT NULL COMMENT '(核查人员意见)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人ID)',
  `verification_method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查方法)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `period_verification_plan_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '期间核查计划明细ID',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质名称',
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '核查依据',
  `result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '核查结果',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `cause_of_dissatisfaction_result` tinyint(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查实施情况及结果记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of period_verification_implementation
-- ----------------------------

-- ----------------------------
-- Table structure for period_verification_plan
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_plan`;
CREATE TABLE `period_verification_plan`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_next_check` datetime(6) NULL DEFAULT NULL COMMENT '(下次核查日期)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人ID)',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `planned_verification_cycle` int(5) NULL DEFAULT NULL COMMENT '(计划核查周期)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `scheduled_verification_date` datetime(6) NULL DEFAULT NULL COMMENT '(计划核查日期)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查依据)',
  `implementation_date` datetime(6) NULL DEFAULT NULL COMMENT '(核查实施日期)',
  `verification_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `check_schedule_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '期间核查计划主表ID',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查计划和确认表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of period_verification_plan
-- ----------------------------

-- ----------------------------
-- Table structure for procurement_content
-- ----------------------------
DROP TABLE IF EXISTS `procurement_content`;
CREATE TABLE `procurement_content`  (
  `procurement_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购计划id)',
  `quantity_purchased` int(8) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `subtotal` double(255, 0) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(小计)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(单价)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '换货数量',
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货试剂耗材ID',
  `replacement_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '换货后的单价',
  `details_of_centralized_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '集中采购申请明细ID',
  `number_of_applications` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购申请数量',
  `plan_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划明细备注',
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '换货信息备注',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商ID',
  PRIMARY KEY (`procurement_content_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of procurement_content
-- ----------------------------

-- ----------------------------
-- Table structure for provide_services_or_supplies
-- ----------------------------
DROP TABLE IF EXISTS `provide_services_or_supplies`;
CREATE TABLE `provide_services_or_supplies`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `evaluation_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商评价表ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '提供服务或供应品' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of provide_services_or_supplies
-- ----------------------------

-- ----------------------------
-- Table structure for purchase_catalogue
-- ----------------------------
DROP TABLE IF EXISTS `purchase_catalogue`;
CREATE TABLE `purchase_catalogue`  (
  `purchase_catalogue_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见\r\n',
  `audit_result` tinyint(255) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_time` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(255) NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`purchase_catalogue_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_catalogue
-- ----------------------------

-- ----------------------------
-- Table structure for purchase_list
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list`;
CREATE TABLE `purchase_list`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '清单名称',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `status` int(9) NULL DEFAULT NULL COMMENT '状态 0 ：未提交 1：已提交',
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类型：采购计划/分散采购申请',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_list
-- ----------------------------

-- ----------------------------
-- Table structure for purchase_list_details
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list_details`;
CREATE TABLE `purchase_list_details`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)·',
  `purchase_quantity` int(11) NULL DEFAULT NULL COMMENT '(采购量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购i计划表ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_list_details
-- ----------------------------

-- ----------------------------
-- Table structure for purchasing_plan
-- ----------------------------
DROP TABLE IF EXISTS `purchasing_plan`;
CREATE TABLE `purchasing_plan`  (
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `appropriation_budget` double(255, 0) NULL DEFAULT NULL COMMENT '(经费预算)',
  `approval_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `approval_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果',
  `approval_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `create_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '制定人\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `create_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人名称',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划明细ID',
  PRIMARY KEY (`purchasing_plan_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购计划)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchasing_plan
-- ----------------------------

-- ----------------------------
-- Table structure for reagent_consumable_inventory
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumable_inventory`;
CREATE TABLE `reagent_consumable_inventory`  (
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材id',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `total_quantity` int(55) NOT NULL COMMENT '(总数量)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类\r\n',
  `packaged_copies` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `configuration_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '配置浓度',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `unit_price` decimal(10, 2) NULL DEFAULT NULL COMMENT '单价',
  `storage_life` int(6) NULL DEFAULT NULL COMMENT '存储期限',
  `status` int(255) NULL DEFAULT NULL COMMENT '状态',
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预警信息',
  `warning_value` int(10) NULL DEFAULT NULL COMMENT '预警值',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS编号',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`reagent_consumable_inventory_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '试剂耗材库存' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumable_inventory
-- ----------------------------
INSERT INTO `reagent_consumable_inventory` VALUES ('001A74D6D8610783BFD1267C15625F79', '41A7EE2C7F4B95EAC496C90FA724DFFC', '茶碱', 'TCI', '试剂', NULL, NULL, '25g/瓶,98%', '2023-09-15 09:42:01.000000', '2023-09-15 09:42:01.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('002C2A26624B5E946F2256A8FE1258E9', '60A310F90C859492E970DF57B42EA31B', '2-氨基-2-(2-氯苯基) 环已烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:45.000000', '2023-09-15 09:39:45.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '去甲氯胺酮盐酸盐', '冷藏贮存', 'GASS-341', '瓶', '2-amino-2-(2-chlorophenyl)cyclohexan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '79499-59-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('00719F06B5C56052AAF274BA0CB0E7F3', '91D5F07BA63587A0277C59C27F77D84A', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)环丙烷甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:48.000000', '2023-09-15 09:39:48.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-370', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclopropanecarboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '2749910-42-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('012E9926F8932F053D03B14AD723A505', 'D0D69D2F2EB99936DD0D54145E2D4A3F', '塑料烧杯', 'n/a', '耗材', NULL, NULL, '10ml', '2023-09-15 09:41:04.000000', '2023-09-15 09:41:04.000000', '1', '1', '/', NULL, 39, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('02306F9ACAEBB9F5AE91D32D7EA59CF2', 'E70D7605B45D2B13634EB3B450C87DCB', '进样小瓶盖', '安捷伦', '耗材', NULL, NULL, '2ml,5182-0717，100个/包', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('02CC86BA80514EA2B6958D61BDF8AC7F', 'B68686AB51647AC8E4EEC5065B519B5C', '1-(4-氰基丁基)-N-(2-苯基丙-2-基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:32.000000', '2023-09-15 09:39:32.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4CN-CUMYL-BUTINACA', '冷藏贮存', 'GASS-265', '瓶', '1-(4-cyanobutyl)-N-(2-phenylpropan-2-yl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1631074-54-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('02FF863948B80A521596808792811602', 'CEF9539D205CC2E20D1D53261DD898EA', '2-氯-N-(2-氟苯基) N-(1-苯乙基哌啶-4-基) 乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:55.000000', '2023-09-15 09:39:55.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '邻氟苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-388', '瓶', '2-chloro-N-(2-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('03076678E50D63C86E0C335DDC475E3B', 'D1049D194F92877743D0B652F3CD8356', '1-(4-氯苯基)-2-(二乙基氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:57.000000', '2023-09-15 09:39:57.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氯-N,N-二乙基卡西酮盐酸盐', '冷藏贮存', 'GASS-394', '瓶', '1-(4-chlorophenyl)-2-(diethylamino)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '92105-44-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0315543949D91D0DC1B991DD1CFB0E60', '2B9AFE07DA5E34AA288D503C5E2F2D67', '温度计', 'MC', '耗材', NULL, NULL, '200ml', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('03304E6BE8FC0B510DCA72F141717D13', 'D50C807A007B4972497124677FB699A8', 'O型圈', '岛津', '耗材', NULL, NULL, '货号036-11203-84，5个/袋', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0335B068564BD5F6B9087C5EBC883B07', 'E340C3C43D6C67C53F0E010E9E085234', '(1-(4-氟苄基)-1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:33.000000', '2023-09-15 09:39:33.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AMB-FUBICA', '冷藏贮存', 'GASS-275', '瓶', 'methyl(1-(4-fluorobenzyl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, NULL, 1, NULL, '1971007-90-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0340F571872B1130C269AF6C88D3AF50', '3138EFADF8974B88C87552F176D3093E', '定性滤纸', '皎洁', '耗材', NULL, NULL, '7cm，中速', '2023-09-15 09:41:42.000000', '2023-09-15 09:41:42.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('034D7F2981C98B1192017E67CFE857D9', '2666DF7EAC537BF35F455A69244934F3', '量筒 500mL', '/', '耗材', NULL, NULL, '/,/', '2023-09-15 09:40:30.000000', '2023-09-15 09:40:30.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('035AFEC3208735FA13817A560C7E44BC', '1DEBD4A342C544DAA5D35F00372DAD95', '2-(1-(4-氟苄基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:22.000000', '2023-09-15 09:39:22.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'MDMB-FUBINACA', '冷藏贮存', 'GASS-068', '瓶', 'methyl2-(1-(4-fluorobenzyl)-1H-indazole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, NULL, 1, NULL, '1715016-77-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('037EA0734FBFEAB2183313EAB227391F', 'BDB063E0E3963B5FB18B4DCEEF4F89D4', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:46.000000', '2023-09-15 09:39:46.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基乙酰基芬太尼', '冷藏贮存', 'GASS-365', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', 1.00, NULL, NULL, NULL, 1, NULL, '90736-12-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('04ED1DFECECE4867ECAE87EE3B3CB6E9', 'B42576642EA31063D0B7344784D49AF9', '丁乙酸', '大茂', '试剂', NULL, NULL, '500mL/瓶', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', '/', NULL, 6, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('0526ABC8AB5187840CAE4F420438801D', '73117BAD1B76B386755C38C1F7B33018', '螺口试剂瓶', '蜀牛', '耗材', NULL, NULL, ' 5000mL,/,/', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('052EF41363423931FE5166AB0EBB5270', 'EDF51E2CDA22C4552BA3B161429B9D1E', '进口滤膜', '津隆', '耗材', NULL, NULL, '25mm，100片/盒，有机尼龙66，0.22um，货号：JLSN172202', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('05397F645EBBB964E7A81BF40A4CA63E', 'C2917BB99B48F17877AE9FC545EFC21F', '刮刀', 'n/a', '耗材', NULL, NULL, '25cm', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('05CAC62FDA8A0FB44E15AF41839ACBD3', 'BD88151113D5A24ED22B9FF11E6F73D4', '量筒', 'Bomex', '耗材', NULL, NULL, '100ml', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', '/', NULL, 9, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('05D330F1234FE3A75617C7C98BF13B26', '6EFF75143C5F24BF03CF47CA89DBFF5A', '刮刀', 'n/a', '耗材', NULL, NULL, '10cm', '2023-09-15 09:41:13.000000', '2023-09-15 09:41:13.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('05DF945CC0F66FDC195E7783BF1621E5', '4FDE6FC7A7CDF234EEF898554D57934B', '称量瓶', 'n/a', '耗材', NULL, NULL, '25x40', '2023-09-15 09:41:26.000000', '2023-09-15 09:41:26.000000', '1', '1', '/', NULL, 10, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0623C5EB838BBDE577447E9830A2639E', 'EC1CA8EC4E9C8113AAB20A2A025D9CCD', 'HBTU, 苯并三氮唑-N,N,N\',N\'-四甲基脲六氟磷酸酯', '阿拉丁', '试剂', NULL, NULL, '99%, 100g/瓶', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '94790-37-1', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('07065F0BA418B2275D374E3B1AAF4809', '3E5CDA4C2A5BCF0AD817AC0F41CF1525', '称量纸 100*100mm', '/', '耗材', NULL, NULL, ' 100*100mm,500张/包,500张/包', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('078CE6DA236509BBF74D5BA2C7230E75', 'D23FEDFC8560C47F51ED6CD007B88873', '移液枪', '普兰德', '耗材', NULL, NULL, '500-5000ul', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('086278BD6D62FBF1142EE2F86EF222B3', '44599655CF68C169195C0CEB553B0C91', '(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)(萘-1-基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:30.000000', '2023-09-15 09:39:30.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AM-1220', '冷藏贮存', 'GASS-048', '瓶', '(1-((1-methylpiperidin-2-yl)methyl)-1H-indol-3-yl)(naphthalen-1-yl)methanone', 1.00, NULL, NULL, NULL, 1, NULL, '137642-54-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('090F8FBAEDD72C6F6C4809AFD098156E', '86EDA27C7B88EEF4F391D3C2ABA17944', 'captiva针头过滤器', '安捷伦', '耗材', NULL, NULL, '纤维素膜，25mm直径，0.2μm孔径 ,100个/盒,100个/盒', '2023-09-15 09:40:11.000000', '2023-09-15 09:40:11.000000', '1', '1', '/', NULL, 37, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '5190-5110', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0A1B1E1C765142FD5B38DF59C42D3D80', '3F3010C2395BDA1DA29BAA9FD33BB599', '手套', '科邦', '耗材', NULL, NULL, '橡胶，S号,200只/盒,200只/盒', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0A39D7E3725D30D61897687DE6126989', '942297ABB7F16A14DE9E95494D2DDBBB', '血清移液管', 'n/a', '耗材', NULL, NULL, '50ml', '2023-09-15 09:41:03.000000', '2023-09-15 09:41:03.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0A541CFA85EF040153F94740BAEAAA57', '7D545169D3201CB42FB4DE22D03C916E', '锥形瓶', '环球', '耗材', NULL, NULL, '250ml', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', '/', NULL, 6, '普通耗材', '12', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0AF2644F30102A9C81289F298B184F91', '2577F7225E4C0262B531E591EFCDE892', '2-(乙基氨基) -2-苯基环已烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:09.000000', '2023-09-15 09:40:09.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '去氯乙基氯胺酮盐酸盐', '冷藏贮存', 'GASS-510', '瓶', '2-(ethylamino)-2-phenylcyclohexan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '4551-92-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0C6207B75CBBB72033962CF7C2FB094B', 'E9AB7FAAFA2653CD83B9303CC3DD5514', '容量瓶 200mL ', 'Brand', '耗材', NULL, NULL, '棕色,/,/', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, NULL, 1, '37488', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0C6D45F650840AF82DB8B72E56B31DE4', 'A904424B406E0C0F0313A18E22530DFE', 'ACQUITY UPLC BEH HILIC 1.7um', 'Waters', '耗材', NULL, NULL, ' 1.7 µm, 2.1 mm X 50 mm,1/根,1/根', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', '/', NULL, 4, '色谱柱', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '毛发专用', '根', NULL, 1.00, NULL, NULL, NULL, 1, '186003461', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0C8DD67058E3704F7C33BE8D3E408BEA', '21ADF18AD4823F7603DADC9E158A5D1C', '1-(2-氟苯基)丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:11.000000', '2023-09-15 09:39:11.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '2-FA', '冷藏贮存', 'GASS-001', '瓶', '1-(2-fluorophenyl)propan-2-amine', 1.00, NULL, NULL, NULL, 1, NULL, '1716-60-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0D695B0EDDD5885CD7EFCFD195A4DA5A', 'E1BA5F0A46028A16CFFAFFCD673FC3EE', '2-(1-(环己基甲基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:22.000000', '2023-09-15 09:39:22.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'MDMB-CHMICA', '冷藏贮存', 'GASS-067', '瓶', 'methyl2-(1-(cyclohexylmethyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, NULL, 1, NULL, '1971007-95-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('0DA75C0CDB2E9BBE76118F836B246449', 'EE9EE191280EB65632E6847791E67AFB', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '50*30cm', '2023-09-15 09:40:52.000000', '2023-09-15 09:40:52.000000', '1', '1', '/', NULL, 190, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1005A17AFE857D72A4A23016F66D25B8', '69352D3DDA9A015558F77C2D3452A92A', 'DB-5', '安捷伦', '耗材', NULL, NULL, '30m*0.25mm*0.25um，122-5032', '2023-09-15 09:41:08.000000', '2023-09-15 09:41:08.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '根', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('103D303B339129BD29F7B2A393C6A22C', '706B425DDB8A95A00497E4691950A3FA', '2-(二乙基氨基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:42.000000', '2023-09-15 09:39:42.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-乙基-对甲-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-332', '瓶', '2-(diethylamino)-1-(p-tolyl)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '676316-90-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('10B81B8047FB1C75A1FC3D9A7C4D09D2', 'EFCEF27B4E70949C04F1B390D5564062', '7-氯-5-(2-氯苯基-3,4.5,6-d4) -3-羟基-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:03.000000', '2023-09-15 09:40:03.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-劳拉西半', '冷藏贮存', 'GASS-454', '瓶', '7-chloro-5-(2-chlorophenyl-3,4,5,6-d4)-3-hydroxy-13-dihydro-2H-benzole][1,4]diazepin-2-one', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('10C59C10ACF3D818E951DC01CBDBACCC', 'FEAE8C4F8F0FB4D378900C3486BCD87B', '血清移液管', 'n/a', '耗材', NULL, NULL, '25ml', '2023-09-15 09:41:03.000000', '2023-09-15 09:41:03.000000', '1', '1', '/', NULL, 21, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('10CFC2F0DB172772DD3F817F68150A00', 'D47AF2049A09F939E51B7FE394B34141', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:48.000000', '2023-09-15 09:39:48.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基正丁酰基芬太尼', '冷藏贮存', 'GASS-371', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)butyramide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1106F2A5E06F6F85170901F0402FA12E', 'C78D1DE85AFF91F1B4269CC98F0FF320', '防冲击眼罩', '3M', '耗材', NULL, NULL, '1621型', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', '/', NULL, 11, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('118C473A10BD0C7017EB1CE5A71CCA63', 'CF096D9D6566815E49C838B7255ABECB', '试管帽', 'n/a', '耗材', NULL, NULL, 'Φ18', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', '/', NULL, 30, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('11B7F3C1053EE9B44C6E59BDFE15B700', '9DE34D19F6D633CB012E363B211A0666', '1-(3-氯苯基)-2-(吡咯烷-1-基) 丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:44.000000', '2023-09-15 09:39:44.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-环丁基-间氯-卡西酮盐酸盐', '冷藏贮存', 'GASS-336', '瓶', '1-(3-chlorophenyl)-2-(pyrrolidin-1-yl)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '1152959-71-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('121511561BA7BB9D294E07D95E5B4325', 'CD0AE1F7EF5CF07686C821EE520DA4DD', 'N-(1-苯乙基哌啶-4-基)-N-苯基异丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:26.000000', '2023-09-15 09:39:26.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '异丁酰芬太尼', '冷藏贮存', 'GASS-091', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-phenylisobutyramide', 1.00, NULL, NULL, NULL, 1, NULL, '119618-70-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('12563A09F32F0D3B20BF7B9F73D76C36', '9648185FC7BDB91A10B946888EDAC790', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:18.000000', '2023-09-15 09:39:18.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ADBICA', '冷藏贮存', 'GASS-046', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-pentyl-1H-indole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1445583-48-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('13159AB97A8D48A53AD8D33774619428', 'AE03D87996E2C5E783D41A5F06D73D2C', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:18.000000', '2023-09-15 09:39:18.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ADB-PINACA', '冷藏贮存', 'GASS-047', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-pentyl-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1633766-73-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1398871C281F21F7829ADB8DAA11B875', 'D5ADE45224609FEFFAE4910124A78C2F', '1,4-二甲氧基苯', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶,99%', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'RP');
INSERT INTO `reagent_consumable_inventory` VALUES ('140050A42914AA6E41E04F35B1ECD107', 'F39D2397301D900FBAFE7FF7E79D9607', '100ul有相机枪头', 'RAININ    100ul ', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008607,180个/盒,180个/盒', '2023-09-15 09:40:14.000000', '2023-09-15 09:40:14.000000', '1', '1', '/', NULL, 60, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '17008607', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('143A63DEC050FA6700B455B3052A15AE', 'EC68E5485FD8C78DE087F63330B38F04', '硝酸', '西陇', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('149AE4D0BE21C82B7763D61FA9DC878D', '13AF00ED59F9D0F245428353573F2D76', '正庚烷', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', '/', NULL, 7, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('149B2757E95545AA0B58314DD65CBE0B', '0BEE7032CEAEB1875F2C9D078E784275', '50ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, NULL, 'PET塑料,20包/箱 1包/25,20包/箱 1包/25', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '箱', NULL, 1.00, NULL, NULL, NULL, 1, '430304', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('14B2E6E8613A947271DCED9B0A81EDCB', '54418F86047EB9633A9005735693512C', '离心管架', 'n/a', '耗材', NULL, NULL, '4X5，20孔', '2023-09-15 09:41:44.000000', '2023-09-15 09:41:44.000000', '1', '1', '/', NULL, 17, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('14E34F7ABD4FB8687D80767C2B053471', '020FD4278A612BFE6291FE1D0B935599', '5-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:47.000000', '2023-09-15 09:39:47.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基5-氯戊酰基芬太尼', '冷藏贮存', 'GASS-369', '瓶', '5-chloro-N-(1-phenethylpiperidin-4-yl)-N-(ptolyl)pentanamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('15A6E21400FA1B0FE7B51498730ADEEC', 'C4CCA1ED377301B50A7A19F24392D787', '1-(4-溴苯基)-2-(二乙基氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:41.000000', '2023-09-15 09:39:41.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-乙基-对溴-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-328', '瓶', '1-(4-bromophenyl)-2-(diethylamino)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '92104-89-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('15B01E10FB2F5F1D1796FB659AA5721F', 'B18775FE9C7C231273912F6DD8670281', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丙烷甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:51.000000', '2023-09-15 09:39:51.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-380', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclopropanecarboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '2306825-52-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('15CD4F02E330F9A7BFA0DAB55E928DE8', 'E1AB53C6590430A2A275A0EFE9CB5174', '乙腈', 'Supelco', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:40:42.000000', '2023-09-15 09:40:42.000000', '1', '1', '/', NULL, 8, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '1.00030.4008', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('15E533950602AF8F790A9FB1F32E157E', 'AD8194EE0FD93924DEF02122A50D256C', '固相萃取小柱', 'waters', '耗材', NULL, NULL, 'Oasis®PRiME MCX3cc(60mg)Extraction Cartridges,100个/盒,100个/盒', '2023-09-15 09:40:15.000000', '2023-09-15 09:40:15.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '186008918', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1604BABFD807DB7819F3B8DAA0FEEEFD', '30833E5C492C0D35126C132C18F12EBF', '滴管', 'n/a', '耗材', NULL, NULL, '10cm', '2023-09-15 09:41:05.000000', '2023-09-15 09:41:05.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('17A7040AC742B6D9714E3EBDD23E86B8', 'D9903D15D36E4EC73CF0B2A62466CE8B', '枪头', 'n/a', '耗材', NULL, NULL, '5ml，200支/包', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('18C2B4285DC44AE73D14576F004867F2', 'E429C695B8C1C82B9689FDC51A04A046', '定量滤纸', '新星', '耗材', NULL, NULL, '18cm，中速', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('18ECC3C26494E1E9BFAEA8A6A30B707E', '6E64BCD3757B5B3CAF8AC90E9646B285', '2-(1-(4-氟苄基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3.二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:04.000000', '2023-09-15 09:40:04.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-MDMB-FUBICA', '冷藏贮存', 'GASS-464', '瓶', 'methyl 2-(1-(4-fluorobenzyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('19C3A2BE6D637C12F553DF7C612BC620', '562B5FF640CD5B1BCB9C7ED641A13C25', '表面皿', 'n/a', '耗材', NULL, NULL, 'Φ60mm，10个/盒', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('19D8D55041B0C617C2BE371ED7D8C615', 'BA1EE600B4E13A93DD8584F111AD6297', '喹啉-8-基-1-(4-氟苄基)-1H-吲哚-3-羧酸盐', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:21.000000', '2023-09-15 09:39:21.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'FUB-PB-22', '冷藏贮存', 'GASS-057', '瓶', 'quinolin-8-yl 1-(4-fluorobenzyl)-1H-indole-3-carboxylate', 1.00, NULL, NULL, NULL, 1, NULL, '1800098-36-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1A4487B15A2553E528952C2032A84977', 'E06742B11952F635C13F1BFC37EA1E26', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:51.000000', '2023-09-15 09:39:51.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基正丙酰基芬太尼', '冷藏贮存', 'GASS-379', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)propionamide', 1.00, NULL, NULL, NULL, 1, NULL, '1838-67-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1A6AE46C8C66C7146169C122E968D290', 'E8A82945E565FEAC137F16D0BB3B42B1', '2-(乙基氨基)-2-(噻吩-2-基) 环己烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:00.000000', '2023-09-15 09:40:00.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '乙基噻吩胺酮盐酸盐', '冷藏贮存', 'GASS-406', '瓶', '2-(ethylamino)-2-(thiophen-2-yl)cyclohexan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '14176-50-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1B38698AAEDDAE9A29A7071222CF13B8', 'A6FDA5C129551F3C24ADD54C7FAE8122', '无水磷酸二氢钠', '麦克林', '试剂', NULL, NULL, 'HPLC,50G', '2023-09-15 09:42:02.000000', '2023-09-15 09:42:02.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('1B3CF07368CB2AAFAA23F1989D10BE0A', 'C0D5990D42D46F67A438E48B201634C3', '物证提取袋', 'n/a', '耗材', NULL, NULL, '15*10cm', '2023-09-15 09:40:52.000000', '2023-09-15 09:40:52.000000', '1', '1', '/', NULL, 950, '普通耗材', '50', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1BF13D247006C45FFCCAE27C1652CF70', '6883B42EF98AEC57B6096D243CF3B08A', '一次性塑料滴管 1mL', '国产', '耗材', NULL, NULL, '100支/包,100支/包', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1C233FBA5280EE703ABF8867A6C483A1', '5D03BD377D3CF1E9494B3CADAE6D8B5B', '定量滤纸', '双联牌', '耗材', NULL, NULL, '12.5cm，慢速', '2023-09-15 09:41:37.000000', '2023-09-15 09:41:37.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1C282CB809B70CA446A744C9634FB74E', '308098B56AED7E02B4331818423F1A4F', '乙腈', 'fisher', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:40:42.000000', '2023-09-15 09:40:42.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, 'LC/MS级 ');
INSERT INTO `reagent_consumable_inventory` VALUES ('1C5537AC469A6C372F2C9C65DD65980C', '5E7829F8E70F861F8CA92A955A3B9B4E', 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:24.000000', '2023-09-15 09:39:24.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-APICA(STS-135)', '冷藏贮存', 'GASS-072', '瓶', 'N-(adamantan-1-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1354631-26-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1C79B1125D16040A3FF956A00DA522B3', '8CCAD9D9A64BCB94732B1C21CF7B3A9B', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:17.000000', '2023-09-15 09:39:17.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AB-FUBINACA', '冷藏贮存', 'GASS-044', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1629062-56-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1CD54728A3DFEDBEACDB397D79709099', 'F27A62C5B4F9E765A3F4783E6A9C3FB6', '氢氧化钾', '科密欧', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('1CD828A7708557303FB87BC76D3D5A9F', 'BD51161FD43DB84AA9D0BF8B3540EDE8', '叔丁醇钾', '阿拉丁', '试剂', NULL, NULL, '98%，500g/瓶', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('1CFA82BBADF8141043FB7B2BC07C1267', '4458CE56B9654CC1CA8EF99F58C72EA2', '乙酸乙酯', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:41:54.000000', '2023-09-15 09:41:54.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('1D2058E23AD86AB872A7EFB34A642514', 'AA62C7E1DBEB302D9018B988E00E34AF', '移液枪', 'Sartorius', '耗材', NULL, NULL, '1-10ml', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('1EF70DAC5ABB03FB5DE942925A9E7937', 'D70BAE054531162A4EF8C9DE2C7395A3', '隔垫', '岛津', '耗材', NULL, NULL, '货号221-75180，50个/盒', '2023-09-15 09:40:59.000000', '2023-09-15 09:40:59.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('21C6F491C57A6EDDEFD9273845AB825C', '4635A4733B0A1BFC3422202F435FCEE6', '定性滤纸', '皎洁', '耗材', NULL, NULL, '9cm，中速', '2023-09-15 09:41:42.000000', '2023-09-15 09:41:42.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('22007E07D6B239AF212452900B163857', 'C1EADA258AA079698C77BE4F692FAA9E', '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:47.000000', '2023-09-15 09:39:47.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基环戊丙酰基芬太尼', '冷藏贮存', 'GASS-368', '瓶', '3-cyclopentyl-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)propanamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2250E0A6E11B9E97E488B3E2FD71EB5D', '449A8B561DCF967DA42F8A16A504779B', '乙醇', 'GRACE', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:41:52.000000', '2023-09-15 09:41:52.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('22EAF1424E8ED7E1FA8EAD9D424A51B9', '25C7BF1970F4DE169F45979DA6AACDD6', ' 针头过滤器 25mm', 'Whatman ', '耗材', NULL, NULL, '25mm,50/盒,50/盒', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '10462701', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('233E796999C585CD7AEB61D066D9E818', 'A03B319537BC215BE7A50504E76745A2', 'Kinetex Biphenyl', '飞诺美', '耗材', NULL, NULL, '100*3.0mm,2.6um', '2023-09-15 09:40:55.000000', '2023-09-15 09:40:55.000000', '1', '1', '/', NULL, 1, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('23796545AE0031DB7C0170D250101C40', 'AB3D4CD8FCDA293AA695044A293B2836', '乙酸铵', '大茂', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 09:40:43.000000', '2023-09-15 09:40:43.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('2398B1EE82BD8A932D45C1EDA3E0FB6C', '0C2F7C03F10240A8FA248200B4CBC327', 'ACQUITY UPLC BEH HILIC 1.7um VanGuard Pre-Column', 'Waters', '耗材', NULL, NULL, '1.7，2.1*5mm Column,3根/1盒,3根/1盒', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', '/', NULL, 1, '色谱柱', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '毛发专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '186003980', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2438CABF90E808A619880E6020E88C56', 'F7344745AADFA63355CD77995162006C', '一次性塑料烧杯', 'n/a', '耗材', NULL, NULL, '100ml', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('247C517542E8CAFBE69894591A8BCA92', '7F7E8C0DBAE5BDAD097F8DA2618907D9', '血清移液管', 'n/a', '耗材', NULL, NULL, '5ml', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', '/', NULL, 18, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('24952605EB32433291F19F1A019CEAE7', '7C82D2143591F0896F4979C655C8E5AB', '异丙醇', 'Supelco', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('25461F97BD03FF1FB0444347A98E6578', '45AB3C14928365CA5DC41DC75BA7D684', 'ACQUITY UPLC BEH C18                    ', 'Waters', '耗材', NULL, NULL, '2.1*100mm,1.7um', '2023-09-15 09:40:56.000000', '2023-09-15 09:40:56.000000', '1', '1', '/', NULL, 4, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('259AEC14EDED33746D5C6DB7AD9B969E', '755E691DDBFE0FC83D27FCC1B486EF95', '2-苯基-2-(哌啶-2-基)乙酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:38.000000', '2023-09-15 09:39:38.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '哌甲酯盐酸盐', '冷藏贮存', 'GASS-314', '瓶', 'methyl 2-phenyl-2-(piperidin-2-yl)acetate', 1.00, NULL, NULL, NULL, 1, NULL, '20748-11-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('25D0E253D81C95D5A988C4777EE54DDA', '48C4DA20EE9CA9D9F01FE70DF5F39557', '移液枪500-5000uL', '赛多利斯 ', '耗材', NULL, NULL, '/,/', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '个', NULL, 1.00, NULL, NULL, NULL, 1, '39086984', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('26FDA926CEE8FE619D43DA8871E54817', '6AB6B0C25FA307974AFE7CDC8BD82CA6', '乙酸乙酯', '沪试', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:41:54.000000', '2023-09-15 09:41:54.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('27C1F3BBB642F1B17C3779DB72171147', '459F147F03A9DD158FC52E3F749FE269', '1-(4-氯-2,5-二甲氧基苯基)丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:12.000000', '2023-09-15 09:39:12.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'DoC', '冷藏贮存', 'GASS-013', '瓶', '1-(4-chloro-2,5-dimethoxyphenyl)propan-2-amine', 1.00, NULL, NULL, NULL, 1, NULL, '123431-31-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2852684B55E4E681B43A67FB6F530446', '29D61882D9F0EF01AE0E660028FA75BC', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:26.000000', '2023-09-15 09:39:26.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4-氟丁酰芬太尼', '冷藏贮存', 'GASS-090', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)butyramide', 1.00, NULL, NULL, NULL, 1, NULL, '244195-31-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('287B1D189F61A70D83B40932EAA336F2', '125C0F1217C94B93C17F03E0E92F2C48', '1,4-二苄基哌嗪', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:56.000000', '2023-09-15 09:39:56.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '二苄基哌嗪', '冷藏贮存', 'GASS-392', '瓶', '1,4-dibenzylpiperazine', 1.00, NULL, NULL, NULL, 1, NULL, '1034-11-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2A6181ECAB4F45EF656CF7D6E0FBA4EC', '552B06C2701AD157E2954CFA0ED79E26', '一次性塑料滴管 3mL', '国产', '耗材', NULL, NULL, '100支/包,100支/包', '2023-09-15 09:40:34.000000', '2023-09-15 09:40:34.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2A75135454C0E22750112B8CC50CE988', '93640B3951E6EEF0C6C360E3A16A6585', '1ml枪头', 'Brand', '耗材', NULL, NULL, '96个/盒,96个/盒', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', '/', NULL, 60, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '732232', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2A97DE8980ECB2CA3573E387B1CF3F9D', '8C4286907714CB649A5CFDE16B62249B', '氢氧化钠', '欧博凯', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('2AD2C42E9C51817FF3D651BDF7489117', 'ADF5FFACE2B49EA5BA76758E34B160FE', '称量纸 120*120mm', '/', '耗材', NULL, NULL, ' 120*120mm,400张/包,400张/包', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2B7865C555FCCE83A65CB790EF30C981', 'E07254315F0F58D88C9BE6163C4C9285', '小口试剂瓶', 'n/a', '耗材', NULL, NULL, '1000ml', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', '/', NULL, 19, '普通耗材', '6', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2C10BBBE759EB0B1ACD01E75F5C31603', 'FE8724675A073DB36777CF6B1E8F0DCC', 'ACQUITY UPLC CSH C18', 'Waters', '耗材', NULL, NULL, '2.1*100mm,1.7um', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', '/', NULL, 2, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2D178415E08157AE51AA1A62FED0C6D1', 'C97DD4FA24821E0EEF75E44A38F0BD1D', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:17.000000', '2023-09-15 09:39:17.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AB-CHMINACA', '冷藏贮存', 'GASS-043', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(cyclohexylmethyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1185887-21-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2D3273B2914373497D5B8E443ECA8A79', '29AC5085B79BAA972C85FBFDF45E15B0', '5-乙基-5-(苯基-d5)嘧啶-2,4,6 (1H，3H，5H)-三酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:10.000000', '2023-09-15 09:40:10.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'Ds-苯巴比妥', '冷藏贮存', 'GASS-512', '瓶', '5-ethyl-5-(phenyl-d5)pyrimidine-2,4,6(1H,3H,5H)-trione', 1.00, NULL, NULL, NULL, 1, NULL, '72793-46-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2D6E3D8363A69970414F9C8C1FD33632', '1BE10FD8B79178FAAD126A984657660A', '石墨垫圈', '安捷伦', '耗材', NULL, NULL, '货号5080-8853，10个/盒', '2023-09-15 09:40:59.000000', '2023-09-15 09:40:59.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2DB4B2F13BC89EF25F09856F943A1C4A', '0F6439F9C5F5B16EE237EBAAAD16A685', 'Shim-pack GIST', '岛津', '耗材', NULL, NULL, '4.6*150mm,5um', '2023-09-15 09:40:55.000000', '2023-09-15 09:40:55.000000', '1', '1', '/', NULL, 4, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2DFF513758FFC070A475B52C1D403E18', 'B038093FB8099C3586324EECC0085278', '移液管', 'MC', '耗材', NULL, NULL, '2ml', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', '/', NULL, 15, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('2EB282D3664295129CAB39584A998A9A', 'FEA92E1271EBDED89F8CFE6A5A06751C', '气相进样针', '岛津', '耗材', NULL, NULL, '10ul', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', '/', NULL, 22, '进样针', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('30249677E63288BD6F886BC6ADA81737', '8B9F0BE690AD489D2DC5544656AC70C0', '四氢呋喃', '阿拉丁', '试剂', NULL, NULL, 'AR,99.0% (含250 ppm BHT稳定剂)，500ml', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('3086CDA06464609EAC157721474EB279', 'BC2DFA9E7F1B7D78E433F4C43D422640', '物证封装袋', 'n/a', '耗材', NULL, NULL, '30*22cm', '2023-09-15 09:40:53.000000', '2023-09-15 09:40:53.000000', '1', '1', '/', NULL, 1300, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('30AE78BB776D5FBE9D1ABA0C7D200C5A', '6122F486EF079542379911B3FD0A1BA4', 'N-(1-苯乙基哌啶-4-基)-N-苯基环丙烷甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:56.000000', '2023-09-15 09:39:56.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-390', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-phenylcyclopropanecarboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1169-68-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('30B878309B9B613ED0A5B496D9EAD593', 'D345A5483AD2E290EBE4F981D39817EB', '2ml进样瓶盖（无预开口）', '安捷伦', '耗材', NULL, NULL, '5183-2076,100个/包,100个/包', '2023-09-15 09:40:19.000000', '2023-09-15 09:40:19.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, NULL, 1, '5183-2076', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('310710EDCCF8318B76DC792CAADE3841', '450DBF607C4CBF40AAB4270885E1C892', '异丙醇', 'GRACE', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('31A536A8AA4427C3DDDD90A1A7E6506D', '6F9E836CD424F7D3B37BDD7EF97C03A7', '(1-(5-氟戊基)-1H-吲哚-3-羰基)苯丙氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:33.000000', '2023-09-15 09:39:33.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-MPP-PICA', '冷藏贮存', 'GASS-271', '瓶', 'methyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)phenylalaninate', 1.00, NULL, NULL, NULL, 1, NULL, '2682867-54-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('31CED1CD3E9BD29048887DC446E3BFA4', '299EE1F820A25A4541806537ACC0707B', '碳酸氢钠', '大茂', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('31DEAAE69A7791E36BA178DA32C699E5', 'B3374AC86EBBABFFC8E91AB3650CBF51', '萘-1-基-1-(5-氟戊基)-1H-吲唑-3-羧酸盐', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:34.000000', '2023-09-15 09:39:34.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-SDB-005', '冷藏贮存', 'GASS-291', '瓶', 'naphthalen-1-yl 1-(5-fluoropentyl)-1H-indazole-3-carboxylate', 1.00, NULL, NULL, NULL, 1, NULL, '2185863-14-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3550C32BAC45B89EE55CFA8B8F4745F6', 'CDEF95C2CC4A0CB3225DE13996D860C6', '水系滤膜25mm*0.22um', '津隆', '耗材', NULL, NULL, '100个/盒,100个/盒', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1.00, NULL, NULL, NULL, 1, 'JLSP202202', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3565873071352AB8FDBA0C3E83D70761', '645A4EF9AC2ABA18494DB77EC436D2FE', 'Hypersil GOLD VANQUISH', '赛默飞', '耗材', NULL, NULL, '100*2.1um', '2023-09-15 09:40:55.000000', '2023-09-15 09:40:55.000000', '1', '1', '/', NULL, 1, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('360A2CF9B38EB63E7615AFCE368A884E', 'BFC749B79A86350992587AB1412F7CA1', '药匙', 'n/a', '耗材', NULL, NULL, '3x1', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '套', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3679A18727CAFE84F7AE836A56DA1884', '04FBC043DC77C02EFC45BA2A687055AF', '带塞溶剂瓶', 'n/a', '耗材', NULL, NULL, '250ml', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', '/', NULL, 19, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3686BD1FDF23F3FB6E117DF4044F24B0', 'D104AD6846A8E068644A0D77D561AC62', '容量瓶', 'Brand', '耗材', NULL, NULL, '25ml', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', '/', NULL, 36, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('36926D36515572634DBEB6880B9CE5BC', 'FDD22893F422F3DF72188BDD70EF6D10', 'N-(金刚烷-1-基)-1-(5-氯戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:31.000000', '2023-09-15 09:39:31.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5CI-APINACA', '冷藏贮存', 'GASS-260', '瓶', 'N-(adamantan-1-yl)-1-(5-chloropentyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '2160555-52-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('370EF7F426DDC358F23E9DEC4BA017AC', '17713ECDE535925E8D358431B988F7CA', '4-氟苄溴', '阿拉丁', '试剂', NULL, NULL, '97%，25g/瓶', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '459-46-1', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('37BBF7C02CCEAD36BA53B785893A7F58', '58613A4E9015EAA9ECAA0CA3E6A1BC99', '移液枪', 'Sartorius', '耗材', NULL, NULL, '0.1-3ul', '2023-09-15 09:41:08.000000', '2023-09-15 09:41:08.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('388A49E79913405F75731718D4CAE0C2', '7667AF7FB7D9C67E563E7D08770535DE', 'ACQUITY UPLC BEH C18 1.7um VanGuard Pre-Column', 'Waters', '耗材', NULL, NULL, '1.8，2.1*5mm Column,3根/1盒,3根/1盒', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', '/', NULL, 3, '色谱柱', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '186003975', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('38A60AFD5628709276A495BFAFBC4964', '2AF6260D30F924A0CD49111372959483', '瓶口移液器 0.4-2mL', '赛多利斯 ', '耗材', NULL, NULL, '/,/', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '个', NULL, 1.00, NULL, NULL, NULL, 1, '2005075', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3959FE9208466E50119894C241CBC821', '9AC537A982A6CC05A5A24ACE396341B4', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:50.000000', '2023-09-15 09:39:50.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基正戊酰基芬太尼', '冷藏贮存', 'GASS-377', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)pentanamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('398938C1FEE27EF83688D007F14849FC', '7FEEDDDF461B32111FB4F56418255673', '滴管', 'n/a', '耗材', NULL, NULL, '18cm', '2023-09-15 09:41:04.000000', '2023-09-15 09:41:04.000000', '1', '1', '/', NULL, 21, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3A29FB2DB356282E4A8F5EA7EC9899A6', '0C27631010F2DFFB8F1240A247B478A7', '梨形分液漏斗', 'Bomex', '耗材', NULL, NULL, '125ml', '2023-09-15 09:41:32.000000', '2023-09-15 09:41:32.000000', '1', '1', '/', NULL, 10, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3AD6932E2C57C69F9FD87225F04612A7', 'BE756DD4716A61735D360A3E402601AD', '吡拉西坦', 'Sigma-Aldrich', '试剂', NULL, NULL, '25g/瓶', '2023-09-15 09:41:49.000000', '2023-09-15 09:41:49.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('3B1C3F1D9785837B6EB587CBCA503B86', '65629F03353D3443F0F0B68A4D4E7019', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:31.000000', '2023-09-15 09:39:31.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-MDMB-PICA', '冷藏贮存', 'GASS-259', '瓶', 'methyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, NULL, 1, NULL, '1971007-88-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3B7E52042317724867DD46D4CA0126D5', 'C7DDD9984BD5B86964B3FBD356062CF0', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 09:40:12.000000', '2023-09-15 09:40:12.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '17008609', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3BF55E29B4BCF9D7DDB17CF2F7953FB4', 'A52012E8116116D5A53B50DC6F69F699', '2-(甲氨基)-2-苯基环已烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:58.000000', '2023-09-15 09:39:58.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '去氯氯胺酮盐酸盐', '冷藏贮存', 'GASS-402', '瓶', '2-(methylamino)-2-phenylcyclohexan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '4631-27-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3CBF2A52E8CC78BCA418E87EAEB4BBC5', '1E4B184F35E24FEF1E60FFD0835F2F85', '量杯 塑料 3L', '/', '耗材', NULL, NULL, '/,/', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '个', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3CCC94DB3AA894DCF1BEEB7462368BD3', 'E20CD7352903DF0131FAFD4E3C304799', '氢氧化钾', '光复', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 09:41:59.000000', '2023-09-15 09:41:59.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('3DF6E8326958674A68133B51F753DA51', '6CEF7F10C4E8589E6D3309EBE61204E9', 'N-(金刚烷-1-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:24.000000', '2023-09-15 09:39:24.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'FUB-APINACA', '冷藏贮存', 'GASS-075', '瓶', 'N-(adamantan-1-yl)-1-(4-fluorobenzyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '2180933-90-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3E2FE7C61F949085EC084760EC901D41', 'B64E12D5D17A57E607F1D2B47BCE2CE7', '带塞溶剂瓶', 'n/a', '耗材', NULL, NULL, '500ml', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', '/', NULL, 18, '普通耗材', '8', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3F150856939C310A087C214694F21976', '08EBBA7C98286883381407D656057DE5', '2ml连盖离心管', 'CYPRESS', '耗材', NULL, NULL, '500个/包,500个/包', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, NULL, 1, '0200020', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('3F35F03B5E9E69C748E32B3998DDF43F', 'AAD8885FD1DC02862EC669ED2FD9744C', '乙腈', 'Merck', '试剂', NULL, NULL, '2.5L/瓶', '2023-09-15 09:40:42.000000', '2023-09-15 09:40:43.000000', '1', '1', '/', NULL, 28, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, 'LC/MS级 ');
INSERT INTO `reagent_consumable_inventory` VALUES ('40C03064D47A2DA3B6E3C33E87D685F5', '08DC8DB942FB7B6B79314D7AEA9504C2', '甲酸', 'SturdeeSeal', '试剂', NULL, NULL, '50ml/瓶', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('41919B5B274A476F42730E0DF50E0A0B', 'B909FFFCC57A1D4D7767A13BAE7D2816', '容量瓶 50mL ', 'Brand', '耗材', NULL, NULL, '棕色,/,/', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, NULL, 1, '37485', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4192E370293EDF2ADEF038091F2A0F8A', 'C782E01E577EC9ACD1B858B2E628536A', '物证封装袋', 'n/a', '耗材', NULL, NULL, '43*31cm', '2023-09-15 09:40:53.000000', '2023-09-15 09:40:53.000000', '1', '1', '/', NULL, 1300, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('41B39440340E8DB30C55D4747C4FB3CB', 'A9FD8F8364E4138421A73DE9A99425D9', '1-(4-氯苯基)-2-(吡咯烷-1-基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:58.000000', '2023-09-15 09:39:58.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4-氯苯基-N-吡咯烷基卡西酮盐酸盐', '冷藏贮存', 'GASS-396', '瓶', '1-(4-chlorophenyl)-2-(pyrrolidin-1-yl)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '93307-24-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('424FB65BC0C50B7B6D60735190C66A01', '17EEC6810918AD4E059CC8C48DC9AF4D', '血清移液管', 'n/a', '耗材', NULL, NULL, '1ml', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4295EDD95890642FF2599AF14BC9CB10', 'E5099634624EE833F6082799FE8D8E45', '乙醇', '利安隆博华', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', '/', NULL, 20, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('42C9FCDA26723A2190994E9442D39312', '80197BFD56B43EBFE36D4E2C2E8576DF', '自封袋', '苹果牌京惠思创', '耗材', NULL, NULL, '4# 85*120mm,100个/包,100个/包', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', '/', NULL, 52, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('430541BB57FBC852B0596DCAEE83D5F8', '27EBED92B56143B773D448FB951B6B82', '乙腈', 'Fisher', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('4376F209917A2FCF1006749385038EA3', '30B4E2057855E7A971EECE8DA89298AB', '甲醇', 'Supelco', '试剂', NULL, NULL, '4L，LC/MS级', '2023-09-15 09:42:02.000000', '2023-09-15 09:42:02.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('44D35809ECF03FF6B19B50A724E05071', '454DF4463E9318A168F1B26E8D7C7E25', '氘代甲醇', 'CIL', '试剂', NULL, NULL, '50ml', '2023-09-15 09:42:03.000000', '2023-09-15 09:42:03.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('44DAF310DC823C255B21ABA2B8277317', '70E9D390FE33A1C240D822EC2BE1309C', '定性滤纸', '皎洁', '耗材', NULL, NULL, '18cm，中速', '2023-09-15 09:41:42.000000', '2023-09-15 09:41:42.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('44EF136B5D1CB780365DD45EF8F1B915', '11EC94688A3C78885500B19915CF0938', '螺纹试剂瓶', '蜀牛', '耗材', NULL, NULL, '80ml', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', '/', NULL, 9, '普通耗材', '20', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('455B19D439163857B9194799AC06F1A0', '93C3D92CAF5F1EDE60922CC88B68CC1D', '血清移液管', 'n/a', '耗材', NULL, NULL, '10ml', '2023-09-15 09:41:03.000000', '2023-09-15 09:41:03.000000', '1', '1', '/', NULL, 18, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('45D6E7784CB7D7C7AD85A4F65E9DA8F9', 'B20E34ADBC2DD88352C66EBE2588BF61', '2-(2-氟苯基-3,4,5,6-d4)-2-(甲氨基)环己烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:03.000000', '2023-09-15 09:40:03.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-氟胺酮盐酸盐', '冷藏贮存', 'GASS-456', '瓶', '2-(2-fluorophenyl-3,4,5,6-d4)-2-(methylamino)cyclohexan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('463A52B1FBF70806E4DAE69A2118C631', '9F87AB38FDF82BFDFBFFB5481C470DBD', '1-(4-肉桂酰哌嗪-1-基)丁-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:01.000000', '2023-09-15 09:40:01.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '布桂嗪', '冷藏贮存', 'GASS-410', '瓶', '1-(4-cinnamylpiperazin-1-yl)butan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '2624256-67-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('466AB710895E4C7053BB694E0912BDA0', '8AE64ABF6D11EF1B6580F3C7B2E2DBDA', 'N-(4-氟苯基)-3甲基-N-(1-苯乙基哌啶-4-基)丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:53.000000', '2023-09-15 09:39:53.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基3-甲基丁酰基芬太尼', '冷藏贮存', 'GASS-383', '瓶', 'N-(4-fluorophenyl)-3-methyl-N-(1-phenethylpiperidin-4-yl)butanamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('46EE1F51D393BC419891A0A6862AA1E0', '2E69CB380FA15D22EC529E5D1A8B3F4D', '枪头', 'sartorius', '耗材', NULL, NULL, '200ul', '2023-09-15 09:41:40.000000', '2023-09-15 09:41:40.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('47576878BF0A607CA50E85AD2D3E529C', '66546FA038BCDB99D5FBB70B42DFA15E', 'N-(金刚烷-1-基)-1-戊基-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:19.000000', '2023-09-15 09:39:19.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'APICA', '冷藏贮存', 'GASS-051', '瓶', 'N-(adamantan-1-yl)-1-pentyl-1H-indole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1345973-50-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('494DA07833F9FF1FBB78372991B66E0C', '35318CE9A4C5A709B8295D6132D8B7DE', '4-氟氯苄', '阿拉丁', '试剂', NULL, NULL, '98%，25g/瓶', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '352-11-4', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('49C4EF2AEFB077D11B7C2DA3167F0C52', '6D83AFF4B3D12E1E87D1BC558FF5E558', '枪头', 'Brand', '耗材', NULL, NULL, '5ml，200支/包', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4A0136B11E53088EA4FD123E9C7FDD58', '4E75A260FD7C3F9C12500F6D41BECCD0', '5ml连盖离心管', 'CYPRESS', '耗材', NULL, NULL, '300个/包,300个/包', '2023-09-15 09:40:23.000000', '2023-09-15 09:40:23.000000', '1', '1', '/', NULL, 17, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, NULL, 1, '0200050', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4AF3B2E186C6C14865B3D85D318E967A', '639371CD27C1D1B2B769624B0A4E257A', '药匙', 'n/a', '耗材', NULL, NULL, '16cm', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4B21E19D75E36FF3B6A1BC140D599E54', 'DAA2E0556CC5014DABCF9EE749AE2B4F', '密封垫', '岛津', '耗材', NULL, NULL, '货号221-48398-91，20个/盒', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4BA57AE85C091A36A12384B27736FD1E', '0B8FE2FE91AD843D6CAE116D53BCF6F0', '橡皮吸球', 'n/a', '耗材', NULL, NULL, '3ml', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', '/', NULL, 16, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4BB53AA2641522F9DDAAA571AB60E70E', 'F83C7F6C4BE9AD05CBE721B5ED035296', '2-(乙基氨基)-2-(3-甲氧基苯基)环已烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:30.000000', '2023-09-15 09:39:30.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '2-(3-甲氧基苯基)-2-乙复基环己酮', '冷藏贮存', 'GASS-167', '瓶', '2-(ethylamino)-2-(3-methoxyphenyl)cyclohexan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '1239943-76-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4BF35E94D10E77FC4695A9208E3B77CA', 'FFE0AC694F9F0ABF8A00D9CA694A312A', '叔丁醇', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:42:01.000000', '2023-09-15 09:42:01.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('4C3626F555ADF75A0A9E27ADDAB8F2E0', 'CDDAE83411B208C32FF65BB5E4EA071F', '丙酸酐', '成都艾科', '试剂', NULL, NULL, '98%，500g/瓶', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('4D4DE56401FD688FE8DD75A76EEF1C89', 'C3FC498C3659EB9660AAA98602F80BF0', '塑料离心管', 'n/a', '耗材', NULL, NULL, '8ml,，225支/袋', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4D4F5DD58F66858CFA5E7452153208DB', 'F8B81CB0EAE10FA0363AC93C07B3337D', '乙酸铵', 'Sigma-Aldrich', '试剂', NULL, NULL, '32301-500g/瓶，98%', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'ACS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('4DAE58D6948646D0E5037FDAC5C52AC9', '51ED037EA4B3AA507EF16E3D1573B998', '一次性塑料离心管', 'Corning', '耗材', NULL, NULL, '50ml', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', '/', NULL, 9, '普通耗材', '20', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '箱', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4DB50AB28A5454A433B6478A81730683', 'F5F9896B44CA782698CF6E4A98ABFE5C', '2-(二乙基氨基)-1-苯基戊烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:57.000000', '2023-09-15 09:39:57.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N,N-二乙基戊卡西酮盐酸盐', '冷藏贮存', 'GASS-393', '瓶', '2-(diethylamino)-1-phenylpentan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4DB5976F87362CCA8A10B735631CC3BA', '4B286C743CF9CDED4C31C03EFFD2D3AD', '瓶口分液器', 'sartorius', '耗材', NULL, NULL, '0.2ml-1ml', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('4F0A7AAF7BE449A8CC85C89820BF98DD', '0E9DD4432436817C47CCF5419099CE73', '药匙', 'n/a', '耗材', NULL, NULL, '20cm', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5044D2077F0812093A3BED232ADE0B2B', '76F5C88EDAF2FE5A652AB5A64B050B78', '梨形分液漏斗', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-09-15 09:41:32.000000', '2023-09-15 09:41:32.000000', '1', '1', '/', NULL, 10, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5195FE5C34817CF2E4948C84188FBE1D', '07E802BCBC780A8820E247AE2A9B7DE9', '50ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, NULL, 'PET塑料,20包/箱 1包/25,20包/箱 1包/25', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '箱', NULL, 1.00, NULL, NULL, NULL, 1, '430304', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('51DEF80D2F502B37CC4A05BD38120DF3', 'C8A058787E1E9A09312B66A5721CFEB7', '螺口试剂瓶', '蜀牛', '耗材', NULL, NULL, ' 5000mL,/,/', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('53976A0E00A599A467040EC5A344E5BC', '9EF7259DD51F1B48C91F2CB0735F01DD', '浓盐酸', '国产', '试剂', NULL, NULL, '500mL/瓶', '2023-09-15 09:40:47.000000', '2023-09-15 09:40:47.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '分析纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('53C8ED9D3EF595B2ACDE7D5A473D431B', '1D77658AA2567DACF6F18C2812DD6ACB', '无水硫酸钠', '科密欧', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 09:41:56.000000', '2023-09-15 09:41:56.000000', '1', '1', '/', NULL, 6, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('548845D2D2D7D708548CAF7CFA427135', '8A8671C556F7F49AAEBD791C2B4A59E5', '正己烷', 'Supelco', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('54CAEAAE05ADD681E345B17E3AE46092', 'B8AD0BAA1596310ED07D25450C2CDE1A', '红色胶帽', '金利', '耗材', NULL, NULL, 'n/a', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', '/', NULL, 200, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('54DE6F80A2DC65C893AD5DD149125986', 'B4C472ECB042F6789C1D81F43A19259C', '三乙胺', '百灵威', '试剂', NULL, NULL, '1L/瓶,99.7%', '2023-09-15 09:42:00.000000', '2023-09-15 09:42:00.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('55242CA6E332424CF6A9C901278B863A', '22DE82F7312A2A1C86F65794E5724C55', '滤膜', '上海新亚', '耗材', NULL, NULL, '有机，0.22um，50mm，50片/盒', '2023-09-15 09:41:36.000000', '2023-09-15 09:41:36.000000', '1', '1', '/', NULL, 16, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('559FBEEB9ACCBE75F40C3BAF2C20215F', '456E323FC6F2687E4513DBE84C7B0689', '砂芯过滤装置全套', '津隆', '耗材', NULL, NULL, '1000mL,套,套', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '套', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('563866FA34822F7554941C1FF70F6627', '2E214604818892CC6614A10FD17E0C0B', '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺基)丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:34.000000', '2023-09-15 09:39:34.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'MDMB-4en-PINACA', '冷藏贮存', 'GASS-292', '瓶', 'methyl 3,3-dimethyl-2-(1-(pent-4-en-1-yl)-1H-indazole-3-carboxamido)butanoate', 1.00, NULL, NULL, NULL, 1, NULL, '2504100-70-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('56EBF29FC8D1826C7742A74348E58AFD', '07382D8A7896BCDF574D81A5F65A8B5C', '1-(3-氯苯基)-2-(二甲基氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:43.000000', '2023-09-15 09:39:43.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-甲基-间氯-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-334', '瓶', '1-(3-chlorophenyl)-2-(dimethylamino)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '514168-22-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('575BC7BC365C69A146A0F8C80B042114', 'AAC9843E4A561D0E7E4F392294D02C04', '三氯甲烷', '科隆', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:41:57.000000', '2023-09-15 09:41:57.000000', '1', '1', '/', NULL, 19, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('578CB36007F062DB31A856201E20DBCC', '990C4C91BD70015F0430AD1132C0F499', '移液管', 'MC', '耗材', NULL, NULL, '20ml', '2023-09-15 09:41:01.000000', '2023-09-15 09:41:01.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('578EA40A46ED1D40DE4F936ED877F166', '685B478804075BAA5AC5B72FAEA99AA5', '干燥器', 'n/a', '耗材', NULL, NULL, '300mm', '2023-09-15 09:41:44.000000', '2023-09-15 09:41:44.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('587FF4170E803A123D41724072CA2857', 'AEF5D5720419119DA512ADACCAD4FC0F', '丙二酸二乙酯', '麦克林', '试剂', NULL, NULL, '99%，500ml/瓶', '2023-09-15 09:41:49.000000', '2023-09-15 09:41:49.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('58922650C747E64B9AD25D269BDA7B01', '55B50A150CDBB2DC26F92C1EBB7F372F', '1-(苯并[d][1,3]二羟基-5-基)-2-(甲氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:29.000000', '2023-09-15 09:39:29.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '3,4-亚甲二氧基甲卡西酮(盐酸盐)', '冷藏贮存', 'GASS-165', '瓶', '1-(benzo[d][1,3]dioxol-5-yl)-2-(methylamino)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '186028-79-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('58EE981B5BD2A22828987DB8D177EC4E', '471207B280E62EA391BDB5FCB2CF05B6', '一次性塑料烧杯', 'n/a', '耗材', NULL, NULL, '250ml', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5A6CAA2BA6962CF7F8C21F07694DE37D', 'BB717CD102B22D868D189153E89F4612', '量筒', 'Bomex', '耗材', NULL, NULL, '50ml', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', '/', NULL, 10, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5A8EFEE97AF71AF2A23701CCDE9603C6', 'B6FEB4E15A6281B70CBAD61C8C7262CC', '石油醚', '津东天正', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:42:08.000000', '2023-09-15 09:42:08.000000', '1', '1', '/', NULL, 10, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('5ABB58CBD64714F9770D0B8781EFAC02', '57E338F1AF3D29FA410DF14073B94A9D', '封口膜', 'Bemis', '耗材', NULL, NULL, '4IN.*125FT.ROLL，PM-996', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', '/', NULL, 1300, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5AFAC8E7459E9252419632B4FB53F70F', 'BACE406ED26C2AEF6D809CADE40770FE', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, NULL, 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '箱', NULL, 1.00, NULL, NULL, NULL, 1, '430790', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5B1FD8F1896B069F2C7211FB81901E46', 'E8A3C2D712537B7C97170495247CB665', '(1-(4-氟苄基)-1H-吲唑-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:24.000000', '2023-09-15 09:39:24.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AMB-FUBINACA', '冷藏贮存', 'GASS-074', '瓶', 'methyl(1-(4-fluorobenzyl)-1H-indazole-3-carbonyl)valinate', 1.00, NULL, NULL, NULL, 1, NULL, '1715016-76-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5B36F6554AF489DC78EDA171DC6E90F6', '1C04C172EFA3E75B14C8438C636B9906', '棕色滴瓶', 'n/a', '耗材', NULL, NULL, '60ml', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', '/', NULL, 20, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5C5C9615A5A0FF435415EF4B32C0933C', '6A8A3FC36B804D66E73577E1393B592E', '萘-1-基(4-(戊基氧基)萘-1-基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:20.000000', '2023-09-15 09:39:20.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'CB-13', '冷藏贮存', 'GASS-053', '瓶', 'naphthalen-1-yl(4-(pentyloxy)naphthalen-1-yl)methanone', 1.00, NULL, NULL, NULL, 1, NULL, '432047-72-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5C714591A26E5D98B334CFF27799C4D4', '8660204040845B73D240DF61E7603145', '枪头', 'Brand', '耗材', NULL, NULL, '200ul', '2023-09-15 09:41:40.000000', '2023-09-15 09:41:40.000000', '1', '1', '/', NULL, 8, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5CACCADAECB4AA122E6F8F8011B6EC32', '3243325B04F655B4718FA21459241211', '八氟萘', 'Merck', '试剂', NULL, NULL, '1g/瓶,96%', '2023-09-15 09:42:06.000000', '2023-09-15 09:42:06.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('5CC3C12063462EBA5A2BE89084B524B3', '07BD50C160F79E5310B380CE54AE4BBB', '单凹片载玻片', 'SAIL BRAND', '耗材', NULL, NULL, '25.4x76.2mm，50片，7103', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5D84474F684FB7982B18E3AD23AD0543', 'C3199742A6DE511DBB65C3E0DBD19B55', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环戊酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:52.000000', '2023-09-15 09:39:52.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基环戊甲酰基芬太尼', '冷藏贮存', 'GASS-382', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclopentanecarboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5DD4FF440F74F1A7C5E88B05D9208698', 'E13D71FF957564490FBEF69130BFF840', '7-溴-5-(2-氯苯基)-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:13.000000', '2023-09-15 09:39:13.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'Phenazepam(芬纳西洋)', '冷藏贮存', 'GASS-018', '瓶', '7-bromo-5-(2-chlorophenyl)-1,3-dihydro-2H-benzo[e][1,4]diazepin-2-one', 1.00, NULL, NULL, NULL, 1, NULL, '51753-57-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5DDF5D2F594B18CCBA1996A33AA059E3', '79A86F130E5929B06D2FBF5F8B1FB4A7', '四氢呋喃', '阿拉丁', '试剂', NULL, NULL, '500ml/瓶,99%', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('5E0EFBC170A29461DCB6311DA4A8EDB9', '640401F2DEB447FBA5625868977F36B5', '水系滤膜25mm*0.45um', '津隆', '耗材', NULL, NULL, '100个/盒,100个/盒', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1.00, NULL, NULL, NULL, 1, 'JLSP214502', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5E2F28F6588E55FC9A1BC5D532326108', '33E222EF7CF6445AC3D5E3F075FA533F', '保鲜自封袋9号', '苹果', '耗材', NULL, NULL, '280x200mm', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', '/', NULL, 400, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5EF3ADB3D6345362C823BF08FF160439', 'DF8D74B8166E41DC091523612C140BD8', '正己烷', 'CNW', '试剂', NULL, NULL, '4l/瓶', '2023-09-15 09:41:52.000000', '2023-09-15 09:41:52.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('5EFE961875158A7857DB434D3F3C0C94', '5A9FA9FBDC81576DD77AE0EE7AECF500', '2-(二甲基氨基)-1-苯基丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:40.000000', '2023-09-15 09:39:40.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-甲基-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-326', '瓶', '2-(dimethylamino)-1-phenylpropan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '10105-90-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5F99DC01CC5E5C672ED435FAF9D93368', 'EE84B193966F9095F04DCD6AD45CEBC8', '4-(三氟甲基)氯苄', '阿拉丁', '试剂', NULL, NULL, '>97.0%(GC)，25g/瓶', '2023-09-15 09:42:14.000000', '2023-09-15 09:42:14.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '939-99-1', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('5FA1D5E617C3726E896F448A26239AE2', '435FDD84DFB468A3F3BA5D97B89F8865', '丝口试剂瓶', 'n/a', '耗材', NULL, NULL, '5000ml', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('5FD56F65433CFDB0F56F8F991F89E560', 'C612A680014A9CB60A6B8AB9A9C02CAA', 'N-(金刚烷-1-基)-1-戊基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:20.000000', '2023-09-15 09:39:20.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'APINACA', '冷藏贮存', 'GASS-052', '瓶', 'N-(adamantan-1-yl)-1-pentyl-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1345973-53-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('61637A508D574C34F4E76CB4AEBFA1B5', '22761335B9567DBD1806B3E0A31B3379', '干燥器', 'n/a', '耗材', NULL, NULL, '210mm', '2023-09-15 09:41:26.000000', '2023-09-15 09:41:26.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6201FE5B7AD7261E8B14D97116D1CADA', '198DE3328BEDC5E3126CF1399BE2A950', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, NULL, '225mm,250支/盒,250支/盒', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '747720', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('622E61AE883FAA974BBAD6D47B0E190C', '0B336F468A09D147447059B737329F90', '2-(1-丁基-1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:06.000000', '2023-09-15 09:40:06.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ADB-BUTINACA代谢物', '冷藏贮存', 'GASS-502', '瓶', '2-(1-butyl-1H-indazole-3-carboxamido)-3,3-dimethylbutanoic acid', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('62548BB29A1355DDF1B057DAAC7B59D4', '75891031891D1DBCAADB5FDF9D8D97F4', '(1-(5-氟戊基)-1H-吲唑-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:15.000000', '2023-09-15 09:39:15.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-AMB', '冷藏贮存', 'GASS-037', '瓶', 'methyl (1-(5-fluoropentyl)-1H-indazole-3-carbonyl)valinate', 1.00, NULL, NULL, NULL, 1, NULL, '1715016-74-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('630913C5090502DE882F0CE5F110B7F5', '6EB9D241CA63DAAD4E005995BF945E48', '2-(二乙基氨基)-1-苯基丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:41.000000', '2023-09-15 09:39:41.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '安非拉酮盐酸盐', '冷藏贮存', 'GASS-330', '瓶', '2-(diethylamino)-1-phenylpropan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '134-80-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6358E82F7B0E9C0071419EFC27FA4069', '85E25B24FEE067408CB4072BD8E4B035', '保鲜自封袋7号', '苹果', '耗材', NULL, NULL, '200x140mm', '2023-09-15 09:40:49.000000', '2023-09-15 09:40:49.000000', '1', '1', '/', NULL, 400, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6371BC69AB96E8850C2E1E72857C6D3E', 'D397FECEC8C47F522F0DC1F2C4C2EB02', '砂芯过滤装置全套', '津隆', '耗材', NULL, NULL, '1000mL,套,套', '2023-09-15 09:40:15.000000', '2023-09-15 09:40:15.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '套', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('63DCC0D39FC6428092AA6CA612C0FA9F', '3BFEBC44F71866CD03A640112521656C', '量筒', 'Bomex', '耗材', NULL, NULL, '25ml', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', '/', NULL, 11, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6440B6325A4EE73E771372E4BD9EDC80', 'AE38AA8B70594BFD0682587613E6F9B0', '1-(4-溴苯基)-2-(二甲基氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:40.000000', '2023-09-15 09:39:40.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-甲基-对溴-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-327', '瓶', '1-(4-bromophenyl)-2-(dimethylamino)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '1157737-03-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('64652C8F7C2BA2FDA0E4576A51C0A1A8', 'ED581393950CBFC219E92AFBA6F82E6C', '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酯甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:07.000000', '2023-09-15 09:40:07.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-4F-MDMB-BICA', '冷藏贮存', 'GASS-504', '瓶', 'methyl 2-(1-(4-fluorobutyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('64DC9769B10560A71F651A8E67E4EC74', 'A7882EB8D3506C77253443A230AEE9FA', '乙酸乙酯', '利安隆博华', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', '/', NULL, 20, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('65341FCF25447616E97E26A4E833E813', '0B3597F76245A533BE9DC9CC3DFFB08D', '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:35.000000', '2023-09-15 09:39:35.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4F-MDMB-BUTICA', '冷藏贮存', 'GASS-293', '瓶', 'methyl 2-(1-(4-fluorobutyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, NULL, 1, NULL, '2682867-53-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('658C11309C03ED2B61618997BEC12CCE', '3BA574819F1D6432259A1232EED5BC79', '2-(2-氯苯基-3,4,5,6-d4) -2-(甲氨基) 环己烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:04.000000', '2023-09-15 09:40:04.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-氯胺酮盐酸盐', '冷藏贮存', 'GASS-459', '瓶', '2-(2-chlorophenyl-3,4,5,6-d4)-2-(methylamino)cyclohexan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6649C3F52CEBEEB7644D7D93EB560246', '8F34A2593FB661BF7761A60D7870B060', '镊子', 'n/a', '耗材', NULL, NULL, '直头，20cm', '2023-09-15 09:41:13.000000', '2023-09-15 09:41:13.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('66975F91039EA07C42EC96DF180B74D0', '3CC6FB80D9CF4BED7C433842DDE76695', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环戊酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:50.000000', '2023-09-15 09:39:50.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基环戊甲酰基芬太尼', '冷藏贮存', 'GASS-375', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclopentanecarboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '2748409-67-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('66D4B6AF2A0E8A82A2CFCE7879757904', '2CF83118F62C3629A618092C93EDFFD1', '容量瓶 250mL ', 'Brand', '耗材', NULL, NULL, '棕色,/,/', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, NULL, 1, '37489', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('66F156F17F66A3E666A343B11D1555BD', '9AAA9CFE3182BF205A17EB978F45F97F', '2-(吡咯烷-1-基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:43.000000', '2023-09-15 09:39:43.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-环丁基-对甲-卡西酮盐酸盐', '冷藏贮存', 'GASS-333', '瓶', '2-(pyrrolidin-1-yl)-1-(p-tolyl)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '1313393-58-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('674710D9DEB0297B3BAAE58837740654', '60EC0189826D4F81E05D86B54AE55AEE', 'N-(1-苯乙基哌啶-4-基)-N-苯基环丁烷甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:55.000000', '2023-09-15 09:39:55.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-389', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-phenylcyclobutanecarboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '2306827-55-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6835BA90B383D2EA6416FEC13E46CD91', '0D94CC8DB5AFBAFEAFC894DA2928CE5D', 'TBTU, O-苯并三氮唑-N,N,N\',N\'-四甲基脲四氟硼酸酯', '阿拉丁', '试剂', NULL, NULL, '98%, 100g/瓶', '2023-09-15 09:42:17.000000', '2023-09-15 09:42:17.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '125700-67-6', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('6878EA7E76871CDBC91334345019B350', '1344306FD43F352F84C0A6F83239A0CB', '1-(5-氟戊基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:08.000000', '2023-09-15 09:40:08.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-5F-CUMYL-PINACA', '冷藏贮存', 'GASS-508', '瓶', '1-(5-fluoropentyl)-N-(2-phenylpropan-2-yl)-1H-indazole-4,5,6,7-d4-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('68E1E00F9183D3BCC45BA38BB6A76A9C', 'FA7A0CA1908376BE2DFB61082AB105D6', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)辛酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:51.000000', '2023-09-15 09:39:51.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基正辛酰基芬太尼', '冷藏贮存', 'GASS-378', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)octanamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('69399FA600BB9E82146C8CC8FBF70121', 'A27B448FCC0401FE56CC4FF28692B870', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)庚酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:46.000000', '2023-09-15 09:39:46.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基庚酰基芬太尼', '冷藏贮存', 'GASS-366', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)heptanamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6946A021BACCF7485653C4946FEAB059', '3E365746633672F936B49F30AEA70055', '色谱柱ACQUITY UPLC BEH C18 Column, ', 'Waters', '耗材', NULL, NULL, ' 1.7 µm, 2.1 mm X 100 mm,1/根,1/根', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', '/', NULL, 3, '色谱柱', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '根', NULL, 1.00, NULL, NULL, NULL, 1, '186002352', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('69CBF079046DE228005E29B113E9A314', '72236D220A13C0AC544417A5888386EB', '200ul枪头', 'Brand', '耗材', NULL, NULL, '容量200ul,96个/盒,96个/盒', '2023-09-15 09:40:17.000000', '2023-09-15 09:40:17.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '732028', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('69F4D620715F46E5870EBE12FDB7B935', 'FC86FB6282EBB1E96EBD5531C467D311', '无水碳酸钠', '光富', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('6A40318DBFE517C24CE9686EB4E88980', '177CBEE4102EA2F66427BEC00FDD1C6C', '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:25.000000', '2023-09-15 09:39:25.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-ADB', '冷藏贮存', 'GASS-078', '瓶', 'methyl 2-(1-(5-fluoropentyl)-1H-indazole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, NULL, 1, NULL, '1715016-75-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6A512CB14AD3609296573DB5FCBDF0DE', '46ED4560123BFAF02D0990E57C8FDA82', '定量滤纸', '双联牌', '耗材', NULL, NULL, '7cm,快速', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6A7D35770595EB123414074BA62FE15D', '2A29550308BCEF02B5AAFD1E9B6030F1', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基) 环己烷甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:53.000000', '2023-09-15 09:39:53.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基环己甲酰基芬太尼', '冷藏贮存', 'GASS-385', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclohexanecarboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6AC100F34118827C43066FDFAAD0872F', '37EE9A29F8B3EA81EDAE1FFFAAAC0D13', '马来酸', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶，99%', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('6B7AFBC529043868669F1A5BB916EABF', '3E799A7F18FB3047D04D9AE88EB96C3F', '容量瓶', 'Brand', '耗材', NULL, NULL, '50ml', '2023-09-15 09:41:20.000000', '2023-09-15 09:41:20.000000', '1', '1', '/', NULL, 11, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6C33EF767E215E6627C34F1BC47FC708', 'E008813B7D0C0AB9BA26237CF12C3724', 'ACQUITY UPLC BEN HILIC VanGuard Pre-Column 3/Pk', 'Waters', '耗材', NULL, NULL, '2.1*5mm,1.7um,3个/盒', '2023-09-15 09:40:56.000000', '2023-09-15 09:40:56.000000', '1', '1', '/', NULL, 2, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6C874208E4BFAA889D86001F2280FD01', '05419F1805C570FA313C59C69511185B', '1-(苯并[d][1,3]二羟基-5-基)-2-(吡咯烷-1-基)戊-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:28.000000', '2023-09-15 09:39:28.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'MDPV(盐酸盐)', '冷藏贮存', 'GASS-162', '瓶', '1-(benzo[d][1,3]dioxol-5-yl)-2-(pyrrolidin-1-yl)pentan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '24622-62-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6CFE50AFAFC658FC63C005A694621C68', 'B7F9B5C8C94BFC57BA1D86EBFA11AE39', '保鲜自封袋5号', '苹果', '耗材', NULL, NULL, '100x150mm', '2023-09-15 09:40:50.000000', '2023-09-15 09:40:50.000000', '1', '1', '/', NULL, 400, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6E0EC4D042D05E0A8CC0F1DD6C60E185', 'E8611C2E513CD92AB4A93A9781BF4633', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '16.5*9.8cm', '2023-09-15 09:40:51.000000', '2023-09-15 09:40:51.000000', '1', '1', '/', NULL, 160, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6E645B8853725C20D7574AB057D57FCD', '7796D3BC8BD100B3EC1738C4C40CE5DA', '二氯甲烷', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:53.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('6EC677B46B59D0AABC4136DA10E47C3D', '7161859E0131302EB53EDC711C203D4D', '异辛烷', 'Supelco', '试剂', NULL, NULL, '1L/瓶', '2023-09-15 09:42:12.000000', '2023-09-15 09:42:12.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('6F0E6F2B11EB4D670144BAF2260EBD3E', 'B0D1DB8BB0D89EC43BD0216ACA25C549', '称量纸', 'n/a', '耗材', NULL, NULL, '10cm', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', '/', NULL, 30, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('6F99D0CBF53C2DB1A6BB1C9BC97BA466', '4D579A7F9BED49D472051621D166E876', '高硼硅量筒', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', '/', NULL, 16, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('702CA0A81C663F3C52AA6FF32F8933BF', '6860021A6DF4E609AD02CAE9A0C7C6CD', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, NULL, 'L', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', '/', NULL, 1, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('70B53B6AB2F19C31E738F97490AC3309', 'D4DD1B054A7088AC665F9D5F3283E171', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '40*20cm', '2023-09-15 09:40:52.000000', '2023-09-15 09:40:52.000000', '1', '1', '/', NULL, 170, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('71337C5A4B03B25D525C71E6BBC913E3', 'DFC6069615DEDB9B661FE6E5B5E7DDCE', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, NULL, '250ml', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('716EACBE8DA625C73B830C3F49672BAB', '7AD48E51FFA16DA45475FF5E50B96318', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, NULL, '2ml,200/支', '2023-09-15 09:41:37.000000', '2023-09-15 09:41:37.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('717233299E2EAA1D19A6B38616E74DD9', '4011C009C6AFF675AFDC29E92A74F257', '2-(1-(4-氟丁基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:07.000000', '2023-09-15 09:40:07.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-4F-MDMB-BUTINACA', '冷藏贮存', 'GASS-506', '瓶', 'methyl 2-(1-(4-fluorobutyl)-1H-indazole-3-carboxamido4,5,6,7-d4)-33-dimethylbutanoate', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7187C797EB7F653B1507B2FEF93C2BF4', 'E0BAE40A82781A72400DF9CCFED102F5', '1-(3-氯苯基)-2-(二乙基氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:43.000000', '2023-09-15 09:39:43.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-乙基-间氯-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-335', '瓶', '1-(3-chlorophenyl)-2-(diethylamino)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '1152853-89-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('71CD7135B6C33C2820A05BD39F370989', '25647C58C24307D8ABA2E5722FDCAD76', '无尘纸', 'KIMTECH', '耗材', NULL, NULL, '1个/盒　11*21cm,1个/盒　11*21cm', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '34155', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('71E79C4523AEC36928596EC6F667FAC6', '8EB7B527BFEC3F6877D8D6D6B4377AAF', '2ml进样瓶', 'waters', '耗材', NULL, NULL, '18600307C（透明）,100个/盒,100个/盒', '2023-09-15 09:40:19.000000', '2023-09-15 09:40:19.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '18600307C', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('72B44809DB94FDE0842D2E5FC28D38DB', 'D64C2FBD9483AA3440A5E7F92C3EAA73', '丝口试剂瓶', '蜀玻', '耗材', NULL, NULL, '2000ml', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', '/', NULL, 12, '普通耗材', '3', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('72BFED3567B0321C9FAA3D858ED20E92', '9328CEE34038D597ACD4A99398040D5B', '5-乙基-1,2-二甲基-4,4-二苯基-3,4-二氢-2H-吡咯-1-鎓', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:39.000000', '2023-09-15 09:39:39.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'EDDP(高氯酸盐)', '冷藏贮存', 'GASS-317', '瓶', '5-ethyl-1,2-dimethyl-4,4-diphenyl-3,4-dihydro-2H-pyrrol-1-ium', 1.00, NULL, NULL, NULL, 1, NULL, '31161-17-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7331C28B421083D85B6B524A7AF074FB', '077B2B308F7E87EF9C2569FFA2FB292B', '水系滤膜13mm*0.45um', '津隆', '耗材', NULL, NULL, '100个/盒,100个/盒', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1.00, NULL, NULL, NULL, 1, 'JLSP054501', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('73686CB36FBFE7AA40A961F6A5070474', 'C13936E3063C960C0AC07EAE937471E0', '丙酮', 'CNW', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:40:41.000000', '2023-09-15 09:40:41.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('73C32DD4F3454B9BCB15EA8131DA2E22', '7013103EA4DAACE02EF574C9F210355E', '定量滤纸', '新星', '耗材', NULL, NULL, '11cm，中速', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7421EEBE22BB5F28208A1255B4AB717C', 'B3ECFEB5FFE8A925BDB6F366055E6268', '1-(苯并[d][1,3]二羟基-5-基)-N-乙基丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:39.000000', '2023-09-15 09:39:39.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'MDEA', '冷藏贮存', 'GASS-325', '瓶', '1-(benzo[d][1,3]dioxol-5-yl)-N-ethylpropan-2-amine', 1.00, NULL, NULL, NULL, 1, NULL, '74341-78-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('74AA011471AD38D02D2C2924EF4C4801', 'F24692FBF75A8082257F46DE567A9E00', '正十九烷', 'Sigma-Aldrich', '试剂', NULL, NULL, '25g/瓶,99%', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, '其他');
INSERT INTO `reagent_consumable_inventory` VALUES ('76EDE4586E5064C0E1C124A7A6F5D724', 'F22ED2F61BFF68EF9418E0153CE31E7C', '密封垫', '岛津', '耗材', NULL, NULL, '货号221-48972-91，20个/盒', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('77043214069224C260D616956A1E1302', '98D00ABFFAFA90F393E2FDA8357B8735', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:28.000000', '2023-09-15 09:39:28.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟芬太尼', '冷藏贮存', 'GASS-108', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)-propionamide', 1.00, NULL, NULL, NULL, 1, NULL, '90736-23-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('772995923EFAB0A13E732F5E0AA49E73', 'EC9B88198F28D48AC3C588D5E1817C53', '磺胺', 'Sigma-Aldrich', '试剂', NULL, NULL, '5g/瓶', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('77F54CD0CB1907266F0718BBBDB95097', '7D2AF419F87355259B8D4B331DC45980', '二甲基砜', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶', '2023-09-15 09:41:49.000000', '2023-09-15 09:41:49.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('784011BDC6AB1ACD9B8855B3ED486B07', '5F8CECB2556D5EF1B3C2074260BB78F0', '(2-碘代苯基)(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:19.000000', '2023-09-15 09:39:19.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AM-2233', '冷藏贮存', 'GASS-050', '瓶', '(2-iodophenyl)(1-((1-methylpiperidin-2-yl)methyl)-1H-indol-3-yl)methanone', 1.00, NULL, NULL, NULL, 1, NULL, '444912-75-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('78601B8DECA4C67D94CC8881A1D1DD01', '6C25424EE5A614A903D86C98559AD2E6', 'L-缬氨酰胺盐酸盐', '阿拉丁', '试剂', NULL, NULL, '98%，25g/瓶', '2023-09-15 09:42:14.000000', '2023-09-15 09:42:14.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '3014-80-0', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('7883638273946048996B1307269737D1', '188B7696A7D5F77CAC568A2E1A0E12AD', 'EDCI , 1-乙基-(3-二甲基氨基丙基)碳二亚胺盐酸盐', '阿拉丁', '试剂', NULL, NULL, '98%，100g/瓶', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '25952-53-8', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('78D0F26963E4F11572B79C24CC4B5A87', 'FD04A21D4828EC85E11F8962AF55598F', '载玻片', 'SAIL BRAND', '耗材', NULL, NULL, '25.4x76.2mm，50片，7102', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', '/', NULL, 39, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('79F724878278C58693CA3F45E43312B8', '9BA638A8B41EBCEFC1DC0913B30D8879', '玻璃冻存管', 'n/a', '耗材', NULL, NULL, '棕色，5ml', '2023-09-15 09:41:06.000000', '2023-09-15 09:41:06.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7A4A1D1ED23C95571F8D3B821F6DCDB2', '0D4F17A8FFE1956831E513D830170624', '容量瓶架 10mL 12孔', '/', '耗材', NULL, NULL, '1个/盒,1个/盒', '2023-09-15 09:40:29.000000', '2023-09-15 09:40:29.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7C058EEDA7FDAE282D6A9B0FEA7FC54D', '4526E3C0FF9B7D161340BF869E11DF7D', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, NULL, '225mm,250支/盒,250支/盒', '2023-09-15 09:40:19.000000', '2023-09-15 09:40:19.000000', '1', '1', '/', NULL, 36, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '747720', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7C8D559A29D74F1DE2D2036889893652', '241072202AC0E870F1F26F469AE606CA', '螺口试剂瓶', '蜀牛', '耗材', NULL, NULL, ' 5000mL,/,/', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7C94C0C48E846F0C596FC942087EF533', 'F2689B9A4F80FF076D0420D4837F1ED1', '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:07.000000', '2023-09-15 09:40:07.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-MDMB-4en-PINACA', '冷藏贮存', 'GASS-505', '瓶', 'methyl 3,3-dimethyl-2-(1-(pent-4-en-1-yl)-1H-indazole-3-carboxamido-4,5,6,7-d4)butanoate', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7D0A5D281B42F588B3FDA78668997898', 'EE1466A836761B76D7AC1151C7201D41', '试管', 'n/a', '耗材', NULL, NULL, '18*180mm', '2023-09-15 09:41:00.000000', '2023-09-15 09:41:00.000000', '1', '1', '/', NULL, 30, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7D6B54C9F6DAFC774494BFE88AF88933', 'F209F1F62969798053388397821C0887', '乙酸铵', 'Sigma', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 09:40:39.000000', '2023-09-15 09:40:39.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '32301-500G', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('7D9AC199C638476F751B86A6B4FE15AB', '374F438E242804BE9E1C2C400FAA0489', '2,2,2-三氯-N-(1-苯乙基哌啶-4-基) -N-(对甲苯基) 乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:50.000000', '2023-09-15 09:39:50.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基三氯乙酰基芬太尼', '冷藏贮存', 'GASS-376', '瓶', '2,2,2-trichloro-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7DCBFA809BDDC7FE742E582E76FDEB01', '51ABFF9E84E07F835ED686078241FB0F', '10ml连盖离心管', 'CYPRESS', '耗材', NULL, NULL, '200个/包,200个/包', '2023-09-15 09:40:23.000000', '2023-09-15 09:40:23.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, NULL, 1, '200100', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7E33FCA44D5E17A490AF889BBC4868FB', '4CAA0B1E9143971E00AB3835F76DF832', '1-(4-氯苯基)-2-(二甲基氨基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:58.000000', '2023-09-15 09:39:58.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氯-N,N-二甲基卡西酮盐酸盐', '冷藏贮存', 'GASS-395', '瓶', '1-(4-chlorophenyl)-2-(dimethylamino)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '2493977-47-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7E45807031C55B127932CA8DBA64F111', '67A78793CFA8B7865C6A204132E93D02', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:13.000000', '2023-09-15 09:39:13.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-ABICA', '冷藏贮存', 'GASS-034', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1801338-26-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7E56CE983F25078C66903A761B98A547', 'B8FEAAD3A90DD3CB93B3C35C2CF55DF2', ' 移液枪吸头1mL', '赛多利斯', '耗材', NULL, NULL, '480个/盒,480个/盒', '2023-09-15 09:40:36.000000', '2023-09-15 09:40:36.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7E6E953165C4764B5885248CC73D4938', '8F3A7EA446CEE4C0AAC2924E3C6E5418', 'N-(1-氨基-3-甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:18.000000', '2023-09-15 09:39:18.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AB-PINACA', '冷藏贮存', 'GASS-045', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-pentyl-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1445583-20-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7EA6ECDE2889FA713431A7D164DB0E45', '40BF0917D6C9A8E6D2A0433F02BC404C', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(5-氟戊基-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:14.000000', '2023-09-15 09:39:14.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-ADBICA', '冷藏贮存', 'GASS-036', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1801338-27-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7EAA5A72F7D4E16A0AB71630214A431E', '63D86916A5A8A6C5C135BC626E1A2D88', '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸乙酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:36.000000', '2023-09-15 09:39:36.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-EMB-PICA', '冷藏贮存', 'GASS-308', '瓶', 'ethyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, NULL, 1, NULL, '2648861-83-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7EC2FEDBDD590AC5E039FFA3D43908D8', '525D2019FE3D47EFBA72CD2E3A64A46D', '容量瓶', 'Brand', '耗材', NULL, NULL, '10ml', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', '/', NULL, 41, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7ED288750150FC0AA1BFCA1265759D56', '1DFAECBBE7DC56D9100EF0D269AE4718', '容量瓶', 'Brand', '耗材', NULL, NULL, '5ml', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', '/', NULL, 44, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7F871C487F09EB3C32A74EFBA5064F1D', '2C39053AC21FA9BF3174A15F537385A6', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, NULL, '225mm,250支/盒,250支/盒', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '747720', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('7FB07C01D0F572FD4611D894CC1D8331', 'C3A072C51050E7F9AD5F03781A1F0191', 'Astec CHIROBIOTIC V2', 'merck', '耗材', NULL, NULL, '25cm*4.6mm,5um', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', '/', NULL, 2, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('80ED86A8ED1236F996DEBE440AB7BB94', '47D70559EF96B1C962BE5505ED357A03', '圆底烧瓶', '申迪', '耗材', NULL, NULL, '500ml', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', '/', NULL, 19, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('813646BE321CED4794DD21429BDE3528', '6A15F16D4C76770AA7B589206FE4758D', '定性滤纸', '皎洁', '耗材', NULL, NULL, '15cm，中速', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8213CEF0CBD6230CE06A8CB21EEF3C2D', '0E1B011FA0A4E5BEA61AD6EEA11062F0', 'DIPEA, N,N-二异丙基乙胺', '阿拉丁', '试剂', NULL, NULL, '99.5%, 100ml/瓶', '2023-09-15 09:42:17.000000', '2023-09-15 09:42:17.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '7087-68-5', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('829CE3D2D0FF3BE4B74D1519D6FC0BBA', 'FBE0954C2221B9D88DFDE8E303BD8637', '1-(4-溴苯基)-2-(吡咯烷-1-基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:41.000000', '2023-09-15 09:39:41.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-环丁基-对溴-卡西酮盐酸盐', '冷藏贮存', 'GASS-329', '瓶', '1-(4-bromophenyl)-2-(pyrrolidin-1-yl)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '1152859-02-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('831ED25C530BB837CD5223199911BE5C', '8C14877EEAD66E79829ED4423D90D232', '烟酰胺', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('8359F40F8D7C28210CF14EA62C898A9F', '31D889994CD1280AE0E0D9673C1139B4', '丙酮', '西陇', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:41:51.000000', '2023-09-15 09:41:51.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('83D39E8B5C3AB5E4D6FB3F16561C774A', '456927C499B7A44C928468E0DE811EFE', '连盖离心管', 'n/a', '耗材', NULL, NULL, '2ml，300个', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8459E19DBA0C943FBCDF4999C7C3D2AF', 'B8807086DFA9C8C41DB7380ABCFEDFF8', '连盖离心管', 'CYPRESS', '耗材', NULL, NULL, '5ml，300支/袋', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', '/', NULL, 30, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('855FDEE82582F8F374AEABF6BCAD559E', '5877EE1E7F59D054330B7F353312A061', '进口滤膜', '津隆', '耗材', NULL, NULL, '25mm，100片/盒，有机尼龙66，0.45um，货号：JLSN184502', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('85E546FCB8B123FE11E6FD2AD42D7898', '35E466DB1D7BBCDD6DD264D9497437EA', '量筒 50mL', '/', '耗材', NULL, NULL, '/,/', '2023-09-15 09:40:29.000000', '2023-09-15 09:40:29.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('86341503D604B8D1819CDA0DBD58E124', '5101AF4A986EF4134D65BE30161D374F', '磷酸', '阿拉丁', '试剂', NULL, NULL, '89-90%,500ml/瓶', '2023-09-15 09:41:50.000000', '2023-09-15 09:41:50.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('865C1FB450D075D1236C0E2B0B0EEF50', 'E7B37DA138D357B9122CB81FA35B3029', '手套', '科邦', '耗材', NULL, NULL, '橡胶，M号,200只/盒,200只/盒', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8666B7CD2AD4BDB19EFC72703B9F438C', 'A4300A206ECC54DCFE6DA593080FFD4D', 'N-(1-氨基-1-氧代-3-苯基内-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:23.000000', '2023-09-15 09:39:23.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'PX-2', '冷藏贮存', 'GASS-070', '瓶', 'N-(1-amino-1-oxo-3-phenylpropan-2-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '2205029-76-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('86DE7215B9AD363D3C098F9CA1B6CF91', 'E63098297233C576D284F0C961A7CA19', '(1-(环己基甲基)-1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:26.000000', '2023-09-15 09:39:26.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AMB-CHMICA', '冷藏贮存', 'GASS-079', '瓶', 'methyl(1-(cyclohexylmethyl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, NULL, 1, NULL, '1971007-94-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('876D48332DCF9E7A4228A1B2944A24FC', '1860D9A2811164003A3266AA9ECE245E', '乙酸乙酯', 'GRACE', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('87DF01C3837F71B629D85EA2D0E0289B', '486181CE91BD40119DC4938332A5A999', '1-苯基-2-(吡咯烷-1-基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:44.000000', '2023-09-15 09:39:44.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'PPP盐酸盐', '冷藏贮存', 'GASS-337', '瓶', '1-phenyl-2-(pyrrolidin-1-yl)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '92040-10-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('88719D2CF956F394D917B7DC140B3F0C', 'A7CB79CC328C9E81CCF1D89B5BD190E8', '(1-(4-氟苄基)-1H-吲哚-3-基)(萘-1-基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:20.000000', '2023-09-15 09:39:20.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'FUB-JWH-018', '冷藏贮存', 'GASS-056', '瓶', '(1-(4-fluorobenzyl)-1H-indol-3-yl)(naphthalen-1-yl)methanone', 1.00, NULL, NULL, NULL, 1, NULL, '2365471-45-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('88D60F021AA60028A516337D104DC9F1', '197536D9AA7F267FCE0917B3D3EA2890', '枪头', 'Brand', '耗材', NULL, NULL, '1000ul', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', '/', NULL, 10, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('891D9EEAD936C6A22C7CE161AC3D8D64', '919DC6333571F7B12AAC4EEEC983AAE2', '无水碳酸钠', '科密欧', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('896F2D6A4EF8FEE96819498DD9204ACC', 'E819B0A1912C9BB8FCCAE900C5D1E20D', '1-(苯并[d][1,3]二羟基-5-基)-2-(二甲基氨基)戊-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:09.000000', '2023-09-15 09:40:09.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N,N-Dimethylpentylone (hydrochloride)', '冷藏贮存', 'GASS-511', '瓶', '1-(benzo[d][1,3]dioxol-5-yl)-2-(dimethylamino)pentan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '17763-13-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('89A96AA2A91D1BD57B279ACAED9AD0D9', 'C190C2FA5BF592057542C3C12186EB92', '磷酸', 'Sigma-Aldrich', '试剂', NULL, NULL, '0.85', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('8A3C16EEF5621EF082DC27359DF99041', 'CDD9FB21899588A7B53BE08A52F2C6BA', '甲酸', 'Themo Fisher', '试剂', NULL, NULL, '50mL/瓶', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:40.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, 'LC/MS级 ');
INSERT INTO `reagent_consumable_inventory` VALUES ('8A40D51D76F45BE393B2501741E66CB8', '2AA37711B87C9795203B25FD9204126B', '螺纹试剂瓶', '蜀牛', '耗材', NULL, NULL, '250ml', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', '/', NULL, 8, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8A8E06EB11D145177DF457BCF9B43196', 'B1A6FA2EFDF1B04A7B936084CD9C0C66', '螺口试剂瓶', '蜀牛', '耗材', NULL, NULL, ' 1000mL(棕色),/,/', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8A9956F5AC5204C0199D7170A38770EE', 'A60C242E5ED5097754719470FCF48D98', '1-(4-甲氧基苯基)-N-甲基丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:13.000000', '2023-09-15 09:39:13.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'PMMA盐酸盐', '冷藏贮存', 'GASS-017', '瓶', '1-(4-methoxyphenyl)-N-methylpropan-2-amine', 1.00, NULL, NULL, NULL, 1, NULL, '22331-70-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8AAE54743DF66D23D081B9008EF485ED', '5546C9D92ECA2AE1EABF4FD10E1136B9', '(1-(戊-4-烯-1-基) -1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:33.000000', '2023-09-15 09:39:33.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AMB-4en-PICA', '冷藏贮存', 'GASS-269', '瓶', 'methyl(1-(pent-4-en-1-yl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, NULL, 1, NULL, '2659308-31-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8AED1F460C3E83B81967CDF4FCE0B4A6', 'A73E1BEA33E47A6B708E7EFCFA329226', '量筒', 'Bomex', '耗材', NULL, NULL, '10ml', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', '/', NULL, 19, '普通耗材', '20', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8B345EC8866C378E003040C0972E2569', '8C9580EA787F21B966FEA7F266988973', '量筒 100mL', '/', '耗材', NULL, NULL, '/,/', '2023-09-15 09:40:29.000000', '2023-09-15 09:40:29.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8B68A571D815027660F4E850A9A78D41', '2D87C29CF6BC457C5CA614FBFD8D827F', '滴管', 'n/a', '耗材', NULL, NULL, '15cm', '2023-09-15 09:41:06.000000', '2023-09-15 09:41:06.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8BA0DBEA657E3A5B50B34D2608E16CEB', '7EE3D28D6C3416784C4DF4CA7B334E0B', '隔垫', '岛津', '耗材', NULL, NULL, '货号221-76650-01,25个/盒', '2023-09-15 09:40:59.000000', '2023-09-15 09:40:59.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8C4D39074FE8A6C5473E4EE968E0863E', 'BE3F6F57BCFDD40108D86EF7ED743C74', '进口滤膜', '津隆', '耗材', NULL, NULL, '25mm，100片/盒，水洗聚醚砜（PES），0.22um，货号：JLSP202202', '2023-09-15 09:41:36.000000', '2023-09-15 09:41:36.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8D1283ED2625950C4EE6B0062CD6C25F', 'E1E9CC559CBFABD857F8B61DD11AA2E0', '塑料吸管', 'n/a', '耗材', NULL, NULL, '2ml，100支/袋', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8F187F6A4D6C7F6023E2DDE840AA839C', 'D88529487A6DC6FE7BF6B598CDD26A35', '移液枪吸头0.5-20uL', 'Brand', '耗材', NULL, NULL, '10包/盒,10包/盒', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '732224', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('8F8B4AC349E6E800603555662A93B1CC', 'EFFED4D5671534815F6097E8B09ABBE5', '10ml注射器', '江苏治宇医疗器械', '耗材', NULL, NULL, '100个/盒,100个/盒', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '2010100', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9013643AEBC2DB04BF245E0E170A7CE0', '125CA7A5C61445DEF84C9C0EDA55A7B4', '进样小瓶', '安捷伦', '耗材', NULL, NULL, '2ml,5182-0714，100个/盒', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('903EC822168674EAECDD3A073AE129A6', '5F150FD2CB70C7DDC6C08899EB170954', '试管帽', 'n/a', '耗材', NULL, NULL, 'Φ15', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', '/', NULL, 30, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9056B6E497E003B682BF4A47FABDEE67', 'DE4A0D4E4CF7D8B62027413883F25927', '枪头', 'sartorius', '耗材', NULL, NULL, '10ul', '2023-09-15 09:41:40.000000', '2023-09-15 09:41:40.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('90FA08FAC664AB28E5D790E208C9C70B', '4A1C2F0146449736397D4B6221AEFC3B', '保鲜自封袋8号', '苹果', '耗材', NULL, NULL, '240x170mm', '2023-09-15 09:40:49.000000', '2023-09-15 09:40:49.000000', '1', '1', '/', NULL, 300, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('912E42D3D59630F862B3DED6A9AE6F9F', '847255B91803492156AD6EE89E0A7846', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:05.000000', '2023-09-15 09:40:05.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-5F-MDMB-PICA', '冷藏贮存', 'GASS-465', '瓶', 'methyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('91F2EFEEC33E9914D8B18C1553CB0E28', '1D0223DA1D70AC588A258DC74E483D14', '3-甲基-N-(1-苯基哌啶-4-基)-N-(对甲苯基) 丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:48.000000', '2023-09-15 09:39:48.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基异戊酰基芬太尼', '冷藏贮存', 'GASS-372', '瓶', '3-methyl-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)butanamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9298BCDA050BC6C1A640EA68758B3B94', 'D0420BD501E2C6BDDE9B232677DFAB03', '移液枪吸头 10mL', '赛多利斯 ', '耗材', NULL, NULL, '250/包,250/包', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('938E254DBDF0B2E486220437EA54CBB1', '93BB0816361BE670731DBB57BA88274F', '乙醇', 'GRACE', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('9390E21C28FB2D3FEAD88AF03570FD54', '22E824F29834DFDB74D3E9F29E39F52A', '锥形瓶', '环球', '耗材', NULL, NULL, '50ml', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', '/', NULL, 7, '普通耗材', '12', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('939D7998106AA6A4E0C952BB8FB54938', '25AA02D52308E3575183B5B4896E454A', '(E)-N\'-(1-(5-氟戊基)-2-氧代吲哚-3-亚基) 苯甲酰肼', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:05.000000', '2023-09-15 09:40:05.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-MDA-19', '冷藏贮存', 'GASS-501', '瓶', '(E)-N\'-(1-(5-fluoropentyl)-2-oxoindolin-3-ylidene)benzohydrazide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('93BAA9C21F28D55F5C3B2CB50FF6DF7A', '5291A9F745D4D79AE74F7755E977CF27', ' 移液枪吸头10uL', '赛多利斯', '耗材', NULL, NULL, '1000个/包,1000个/包', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('93F4334D634885BB7F6842A67B80B1F5', '4F65CF5B8D244ABDF6831D2B3D6FCFDC', '高硼硅量筒', 'Bomex', '耗材', NULL, NULL, '500ml', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', '/', NULL, 9, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('95C43743F7C4B6A778D4A7C5400742FA', '2E731700107E5F5D316DDC0D4E0CE183', '白凡士林', '上海商习伟康', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, '其他');
INSERT INTO `reagent_consumable_inventory` VALUES ('9689287A8E0925773DC5BCED37FB06AD', '9454CFEE88EC72064CB3D2F388A86885', '容量瓶', 'Brand', '耗材', NULL, NULL, '100ml', '2023-09-15 09:41:20.000000', '2023-09-15 09:41:20.000000', '1', '1', '/', NULL, 13, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('96929F58235ED48D6FF9488ED0C0AB00', 'AA1B9E5857CF83C93DC73E2F90FE0175', '甲醇', 'Supelco', '试剂', NULL, NULL, '2.5L/瓶', '2023-09-15 09:40:41.000000', '2023-09-15 09:40:41.000000', '1', '1', '/', NULL, 18, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, 'LC/MS级 ');
INSERT INTO `reagent_consumable_inventory` VALUES ('96D9D87A8109ED42787EB72DDACE207C', '48CB9A92430B394784EB27E358C38A6F', 'DMAP, 4-二甲氨基吡啶', '阿拉丁', '试剂', NULL, NULL, '99%, 100g/瓶', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '1122-58-3', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('96EFE5B7B98A60EA45F56E246706A2E3', '3A0E936DA686EA01FAE9EC31CB45A943', 'N-(1-苯乙基哌啶-4-基)-N-(苯基-d5)丙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:09.000000', '2023-09-15 09:40:09.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D5-芬太尼', '冷藏贮存', 'GASS-509', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(phenyl-d5)propionamide', 1.00, NULL, NULL, NULL, 1, NULL, '118357-29-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('975D2E938AB1E6C0E904A22783530D92', 'A54EBD843EA5320C238FBF84EB33A84A', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, NULL, 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', '/', NULL, 28, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '箱', NULL, 1.00, NULL, NULL, NULL, 1, '430790', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('97C02803351C328E98C109B3925A453C', '02CC0F09CDC2E5B82A90318235B31079', '1-(4-氰基丁基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:08.000000', '2023-09-15 09:40:08.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-4CN-CUMYL-BUTINACA', '冷藏贮存', 'GASS-507', '瓶', '1-(4-cyanobutyl)-N-(2-phenylpropan-2-yl)-1H-indazole-4,5,6,7-d4-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('97D70AD594C93A2BC0B75A9E52B7109A', '27035C770A6B6BBDFBDF66357F00F7DA', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, NULL, '225mm,250支/盒,250支/盒', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', '/', NULL, 24, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '747720', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9873E38BDE58D7EFB22B9C8E263A4A2A', 'BBBB96926E495948A71F51BFED80118E', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:47.000000', '2023-09-15 09:39:47.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基异丁酰基芬太尼', '冷藏贮存', 'GASS-367', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)isobutyramide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9874C1AA519ED5632A23094456805C2B', '39F277D35CFA356EC3C9EFA8DFE61B77', '甲醇', 'Supelco', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:41.000000', '1', '1', '/', NULL, 21, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '1.06007.4008', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('988EA643B9F90B6BA10195656C85D335', '52C6946719373961114CD26E2785804A', '氘代DMSO', 'CIL', '试剂', NULL, NULL, '50ml/瓶', '2023-09-15 09:42:06.000000', '2023-09-15 09:42:06.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('98A8AC7820F5D02256DBC1FB62D9CC90', '49248C881EC31157C67228EB50AA87E2', '三（羟甲基）氨基甲烷', '沪试', '试剂', NULL, NULL, '100g/瓶', '2023-09-15 09:42:00.000000', '2023-09-15 09:42:00.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('9972E2C2D276C3C48049AE0DC0D295C0', '820E4F6497E262A698FFE6D683CD0EFB', '浓硫酸', '沪试', '试剂', NULL, NULL, '500mL/瓶', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '分析纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('997E6257B2170951EE0FE12BD8001872', 'FA8612A1C548990977411A37B83DF1C9', '(1-(5-氟戊基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:16.000000', '2023-09-15 09:39:16.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-UR-144', '冷藏贮存', 'GASS-040', '瓶', '(1-(5-fluoropentyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', 1.00, NULL, NULL, NULL, 1, NULL, '1364933-54-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('99CB9FBADAB1561A8A6FF7F21BB72FB8', '5E8AF96BD4F097D2103D43600D8FF403', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, NULL, '1ml，200支/盒', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9A4AF04BCA916081DD3A5513B6B54D4C', '06A268803E9871B63D5CABCB6A8B8B80', 'N-(1-苯乙基哌啶-4-基)-N-苯基呋喃-2-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:27.000000', '2023-09-15 09:39:27.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '呋喃芬太尼', '冷藏贮存', 'GASS-095', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-phenylfuran-2-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '101345-66-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9A74F2F94C13CEB5700CF4B4F634ADCF', '77C6A86F7B19391BC94E4475D5F0EC9F', '一次性塑料滴管 2mL', '国产', '耗材', NULL, NULL, '100支/包,100支/包', '2023-09-15 09:40:34.000000', '2023-09-15 09:40:34.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9ABB0669D6EB0DC884AA750F8DCF944E', 'F85D90430480862C84CC86F72B27A0B6', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, NULL, 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', '/', NULL, 26, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '箱', NULL, 1.00, NULL, NULL, NULL, 1, '430790', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9ABD4573F0AB4B752B1113A4A879ED25', 'D413725D92649F66635A1EE0846B94FF', '保鲜自封袋6号', '苹果', '耗材', NULL, NULL, '120x170mm', '2023-09-15 09:40:49.000000', '2023-09-15 09:40:49.000000', '1', '1', '/', NULL, 100, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9AC20BB38A6C692C7ACA19063CEB4BD3', 'AEF610FEFA08F9ADB107F3E44235F080', '2ml进样瓶', 'waters', '耗材', NULL, NULL, '18600307C（透明）,100个/盒,100个/盒', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', '/', NULL, 14, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '18600307C', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9ADADD690B1D86FB4B2A9FAE15B7C284', '0958943CE19417663A640B2A59866275', '塑料吸管', 'n/a', '耗材', NULL, NULL, '5ml，100支/袋', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9AE4C290713BFCD4AFEA9C4DDD47B830', 'B674507829F9D164DB818C68C09ADF4D', '擦镜纸', '杭州新星', '耗材', NULL, NULL, '10*15cm', '2023-09-15 09:41:04.000000', '2023-09-15 09:41:04.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9AFC757FA826D109D22E33D638FB67CB', 'D646451D665485221A87C5831478E3D3', '二氯甲烷', '国药集团', '试剂', NULL, NULL, '≥99.5', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', '/', NULL, 8, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('9B1D0A3C989CF75EED9A50F2F103135A', '28BA2905E7359407A2D994E1D73C22DA', '乙酸乙酯', '国药集团', '试剂', NULL, NULL, '≥99.5', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', '/', NULL, 9, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('9B4797D0237D056F21C2080E3DECB1D9', 'CF576EBBF552DF7B431885D8CA84D08A', '定性滤纸', '皎洁', '耗材', NULL, NULL, '11cm，中速', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9B921A37FE7AECBBB8011846FA5EE1EB', 'C86D5601E22FE886ECEF3781AB1EDA34', '手术剪', '安其生', '耗材', NULL, NULL, '12.5cm弯尖', '2023-09-15 09:41:09.000000', '2023-09-15 09:41:09.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '把', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9C14CD9EC2350AC817924213B4C7C7AA', '0E320FC43138150A2D92F3D923B36A02', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '10.2*8.8cm', '2023-09-15 09:40:50.000000', '2023-09-15 09:40:50.000000', '1', '1', '/', NULL, 170, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9CD9D56321B633F3E4DB6A04E5FC784C', 'C4856A6A24A410691DCA6E5E1EF45386', '100ul有相机枪头', 'RAININ    100ul ', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008607,180个/盒,180个/盒', '2023-09-15 09:40:14.000000', '2023-09-15 09:40:14.000000', '1', '1', '/', NULL, 60, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '17008607', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9DC19C5528368E428D6CD40BF84642B1', '9A97AC7A30D631859DBC7FD09AB65331', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)戊酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:52.000000', '2023-09-15 09:39:52.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基正戊基芬太尼', '冷藏贮存', 'GASS-381', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)pentanamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9E1DFCEEBBF54BC2B02DC089C9AE93C9', '9BB0E015B6ABB9F36520281C31492C6E', '塑料吸管', 'n/a', '耗材', NULL, NULL, '3ml，100支/袋', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9E3CF396DF77CF44BCC84C437E7746AD', '2C661FC2EE3BF25AE1B88885B40E2FD3', 'O型圈', '安捷伦', '耗材', NULL, NULL, '货号5188-5365，10个/盒', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9E4D90AFF3CB823AC8B3657D8BB0A4F0', 'DE8D403C4ACD6F0AB9395F38245C325C', '浓硫酸', '国产', '试剂', NULL, NULL, '500mL/瓶', '2023-09-15 09:40:47.000000', '2023-09-15 09:40:47.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '分析纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('9E5DD5F2E9FFCA91790AF6EAE105DB3E', '49D243C5948854D3D72E5A4FEF2D065B', '2-(苯甲基亚磺酰基)乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:36.000000', '2023-09-15 09:39:36.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '莫达非尼', '冷藏贮存', 'GASS-298', '瓶', '2-(benzhydrylsulfinyl)acetamide', 1.00, NULL, NULL, NULL, 1, NULL, '68693-11-8', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9EB37B610A198C569D3FB407ECE69577', 'D3BC47EEAF1EF000C371A294ADD7A96C', '进口滤膜', '津隆', '耗材', NULL, NULL, '13mm，水洗聚醚砜（PES）,0.45um，货号：JLSP054501', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9EBA9D0F2607CD3B39EFB9CD54E9911F', '7834AAB43551B63158DB15173108F7D1', '玻璃冻存管', 'n/a', '耗材', NULL, NULL, '透明，5ml', '2023-09-15 09:41:06.000000', '2023-09-15 09:41:06.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9EDE36205E82F1D6AA7DE92E91BC4CE2', '3AE8634DEC1350DB23BCC23613EC9893', 'ACQUITY UPLC HSS T3 1.8um', 'Waters', '耗材', NULL, NULL, '1.8，2.1*5mm Column,3根/1盒,3根/1盒', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', '/', NULL, 2, '色谱柱', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '186003976', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('9FD0EF75A63AD0739C5482915066C084', 'FE968C2932EE3900AE0D67AE5B7BD420', '1H-吲唑-3-羧酸甲酯', '阿拉丁', '试剂', NULL, NULL, '97%，5g/瓶', '2023-09-15 09:42:12.000000', '2023-09-15 09:42:12.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '43120-28-1', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('A1B474F09E4C5D04EF39290614723271', 'CB7BB85890F17AD825F90EBD27F30FFA', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, NULL, 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '箱', NULL, 1.00, NULL, NULL, NULL, 1, '430790', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A1C784CF39DCBA33C871F7F0FDA12D80', 'BBA01ACA2011EEBADF9D535D6F1BD484', '塑料吸管', 'n/a', '耗材', NULL, NULL, '1ml，100支/袋', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A1D42A31316FB62649356707EF07E217', '928892C7A41AD28A35AE36DC780AC100', 'ACQUITY UPLC ENH HILIC ', 'Waters', '耗材', NULL, NULL, '2.1*100mm,1.7um', '2023-09-15 09:40:56.000000', '2023-09-15 09:40:56.000000', '1', '1', '/', NULL, 6, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A25759FFC5E5631935AE9EAE4DF27F8A', 'D008B3A3C54A2A737226B86FCC79D6BC', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, NULL, 'S', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', '/', NULL, 42, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A26339B3DFFBDD124D199E676E518A7C', 'CA1977CEC5D59434488383DA0DBE3628', '白色滴瓶', 'n/a', '耗材', NULL, NULL, '60ml', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', '/', NULL, 18, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A299BC810F555837EB7AB1156036D55B', '7F8B3DDA222FDDBE3DA61861923071C9', '进口滤膜', '津隆', '耗材', NULL, NULL, '13mm，有机尼龙66,0.45um，货号：JLSN024501', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A2BD1F69A968F313DCF8B747491519FA', '2B87AA1E1E019E92B23C0A07346122C1', 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:15.000000', '2023-09-15 09:39:15.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-APINACA', '冷藏贮存', 'GASS-038', '瓶', 'N-(adamantan-1-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1400742-13-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A2C560DDF718598CE1AF5DBD5A91F3B4', '359F3C30772DC679591BDC6B077691BD', '氘代DMSO', 'CIL', '试剂', NULL, NULL, '0.6mLx10,99.8%', '2023-09-15 09:42:03.000000', '2023-09-15 09:42:03.000000', '1', '1', '/', NULL, 8, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('A2E62CBFBEC20145CBC264EFA844A869', '2E9CBBC8D6C35641F846D3384BECAE48', '乙醇', '西陇', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:41:50.000000', '2023-09-15 09:41:50.000000', '1', '1', '/', NULL, 9, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('A331E8E9C6165A1B1C75CAA74A37FB00', 'FCFFFA32F3F2D9816375F26327E45D49', '移液管', 'MC', '耗材', NULL, NULL, '5ml', '2023-09-15 09:41:00.000000', '2023-09-15 09:41:00.000000', '1', '1', '/', NULL, 25, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A4165A109075528AB2AD460B429D612F', 'D46A6F1F6D725A18F5D5FF138591BEA5', '梨形分液漏斗', 'n/a', '耗材', NULL, NULL, '10ml', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', '/', NULL, 10, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A45FA47FFB65F3DEBB679DDE8E8C54B0', 'CA9208570FD532AE39C0E20ECF948DB5', '250uL有机枪头', 'RAININ　250ul', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008608,180个/盒,180个/盒', '2023-09-15 09:40:12.000000', '2023-09-15 09:40:12.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '17008608', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A4637013CC73F29ABD80B3886F05F56D', 'FBF9A258C13CCFDF57C4235F55591382', '核磁管', 'NORELL', '耗材', NULL, NULL, '100个/盒', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', '/', NULL, 1, '核磁管', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A59C98A1BFC18FD4A1B475EB8E9C0721', 'F4092B60EACAEDD2092F244FC4DCFB52', '定量滤纸', '双联牌', '耗材', NULL, NULL, '9cm，慢速', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A5C8B6058460D5AA14196DD19627DF34', '359C0E71AC228762F5B3A35023B78082', '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-基磷酸二氢盐', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:31.000000', '2023-09-15 09:39:31.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '赛洛西宾', '冷藏贮存', 'GASS-199', '瓶', '3-(2-(dimethylamino)ethyl)-1H-indol-4-yl dihydrogenphosphate', 1.00, NULL, NULL, NULL, 1, NULL, '520-52-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A616F3D88256309F83F6B7064981B544', '0ABB32708CF8D635A383C91070178EF0', '喹啉-8-基-1-戊基-1H-吲哚-3-羧酸盐', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:23.000000', '2023-09-15 09:39:23.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'PB-22', '冷藏贮存', 'GASS-069', '瓶', 'quinolin-8-y1-pentyl-1H-indole-3-carboxylate', 1.00, NULL, NULL, NULL, 1, NULL, '1400742-17-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A63BAB830F024D7DD04BB7278BC38D78', 'B9DD1F2EE946152093B80025224AA6A2', '浓硝酸', '国产', '试剂', NULL, NULL, '500mL/瓶', '2023-09-15 09:40:47.000000', '2023-09-15 09:40:47.000000', '1', '1', '/', NULL, 6, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '分析纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('A669359D7B92480048EA55452C7CEA5A', '9416FCBD533B2DB10CBEFAC521322640', '无水硫酸镁', '科密欧', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 09:41:56.000000', '2023-09-15 09:42:08.000000', '1', '1', '/', NULL, 10, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('A7858E9EC58FC767E6CCC8D277BA97DE', 'BFBBAA916263FD9F97001DE14FDF8F2C', '白色药瓶', 'n/a', '耗材', NULL, NULL, '20ml', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A821FC460F75679C4FB8D046D7E1D913', 'BB1903A6A180390D46C495BA57EBC9B2', '1-(4-氟苯基)丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:12.000000', '2023-09-15 09:39:12.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4-FA', '冷藏贮存', 'GASS-007', '瓶', '1-(4-fluorophenyl)propan-2-amine', 1.00, NULL, NULL, NULL, 1, NULL, '459-02-9', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A82658E93F69ADAC3D1A1A9F1109473C', 'BFE3406387B2DB7239D6354BCA1AE6CB', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:49.000000', '2023-09-15 09:39:49.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-374', '瓶', 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclobutanecarboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A89D699F3E1CA3CE6F87A43E3C636B9C', '3FD9B40B044C587C7EAEB839EB6D1512', '容量瓶', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-09-15 09:41:20.000000', '2023-09-15 09:41:20.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A8B7F8379432F96A5D6FD3A266F2DAC3', 'EB67D3C18966168F7336F17C9065687F', 'DB-35MS', '安捷伦', '耗材', NULL, NULL, '30m*0.25mm*0.25um，122-3832', '2023-09-15 09:41:08.000000', '2023-09-15 09:41:08.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '根', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A98556C1E5B9E714F6F28E6F26921058', '69C44817233291C4FD6AAD91363D82E2', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, NULL, '100ml', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('A98C6628D7BE2E1644601023EEC82456', 'D08C864C88ECB205E5CA237BD6E61723', '甲醇', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:53.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('AA1F10B9D5DCFB48BFE7838E2914B6CD', '0C438408AE9AA3D42A80B85CE5127EB5', '1,3,5-三噁烷', 'Sigma-Aldrich', '试剂', NULL, NULL, '≥99%', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('AA90379476785C5D737E1EC03C65EF48', '967E74E20A8667515E821ED64E6A29C8', '丙酸酐', '麦克林', '试剂', NULL, NULL, '98%,500g/瓶', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('AB419CBCB1348802A2BB04CB98621EFF', '890913D3505BB6C3BD12333CBDDF3700', '废液瓶架', 'n/a', '耗材', NULL, NULL, 'n/a', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', '/', NULL, 14, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('ABB0AD361FD9D913F079F7AB18F50CA6', 'E20EB7FD779E9FDAA345E10F1DA811D2', '甲酸铵', '科密欧', '试剂', NULL, NULL, '100克/瓶', '2023-09-15 09:40:39.000000', '2023-09-15 09:40:39.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('ABF92AEA22C0005B320B18968CF5CA68', '708FB5BC5D99B71E9E70FBDD0C5AFE17', '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-苯基丙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:56.000000', '2023-09-15 09:39:56.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '苯基环戊丙酰基芬太尼', '冷藏贮存', 'GASS-391', '瓶', '3-cyclopentyl-N-(1-phenethylpiperidin-4-yl)-N-phenylpropanamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AC5FFD1C8433E2A0A8AFA83531ADA5EE', 'BD6FF814B8AEE95F188E1B768CDBFDDE', '2-(甲氨基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:29.000000', '2023-09-15 09:39:29.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4-甲基甲卡西酮(盐酸盐)', '冷藏贮存', 'GASS-164', '瓶', '2-(methylamino)-1-(p-tolyl)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '1189726-22-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AC79E613B87C2734B285D118D074E0C5', '21ED56FB81B1EB66D52FD602CB03C66F', '2-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯)乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:49.000000', '2023-09-15 09:39:49.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对甲苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-373', '瓶', '2-chloro-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AC8AAE240B0600FAA8D2A219FEF7083B', '1CF613F9B1A3D3247FF41049698E0620', '石油醚', '利安隆博华', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:57.000000', '1', '1', '/', NULL, 40, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('AD0B385BEEC03B915BA2E6469254C8C9', '3FC01BA0AB79ADAA4B46C504A829EB65', '氢氧化钠', '欧博凯', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 09:41:59.000000', '2023-09-15 09:41:59.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('AD3E9D6D30637E90BB8F63ED42AAA1C4', 'E92D84C413D598CBFD0BA5C51B95C985', '血清移液管', 'n/a', '耗材', NULL, NULL, '2ml', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', '/', NULL, 17, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AD3F71C8D08689868063935BD89D8E3C', '247CE80EDF5B15ECEA2C436CF0C1420E', '连盖离心管', 'AXYGEN', '耗材', NULL, NULL, '2ml，500支/袋', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('ADA646A9FC807F046F605D64B7B16009', 'F8363BDC39F4155474D59FF6BB8080BB', '甲酸铵', 'Honeywell', '试剂', NULL, NULL, '50克/瓶', '2023-09-15 09:40:39.000000', '2023-09-15 09:40:39.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '55674-50G', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('AE6BA438F1664F441DE0365B80B209AF', '41051744D73806C4BC57812A239894E8', '试管架', 'n/a', '耗材', NULL, NULL, '4x6', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', '/', NULL, 16, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AE826DF9E6BC27EB3A8B434FC21D1197', 'AD0F2ECB3EBAE6D4D351EC70F0840AFD', ' Oasis HLB Direct Connect HP 20µm', 'Waters', '耗材', NULL, NULL, '20µm, 2.1mmX 30 mm,1/根,1/根', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', '/', NULL, 3, '色谱柱', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '根', NULL, 1.00, NULL, NULL, NULL, 1, '186005231', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AEEC45DFC0A92E57163936678B4D6AAF', '25BDBC9B658154CB164B3C874309941E', '1-(4-甲氧基苯基)丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:05.000000', '2023-09-15 09:40:05.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'PMA盐酸盐', '冷藏贮存', 'GASS-467', '瓶', '1-(4-methoxyphenyl)propan-2-amine', 1.00, NULL, NULL, NULL, 1, NULL, '3706-26-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('AF8BF10795CCFC94597D6F7C9091AC71', 'CE60C9240C420B8EE05F851026657D83', '正己烷', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:41:54.000000', '2023-09-15 09:42:12.000000', '1', '1', '/', NULL, 15, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('AFC2A8BCE9CF78BC9086CC64AEBCF99D', 'DB54FE102443663296819FF0AC96D688', '橡皮吸球', 'n/a', '耗材', NULL, NULL, '10ml', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', '/', NULL, 13, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B0428ABB9E7CA4B525AF3CC0BBC2FF32', '18BDC8CA4135D695BD43BA52C8AF873A', '容量瓶', 'Brand', '耗材', NULL, NULL, '1ml', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', '/', NULL, 4, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B096436A2AEDBB8589A8A3A401B4E4D0', 'D23B9B2118B56D2E9DC364629C6CEA56', '手套', '科邦', '耗材', NULL, NULL, '丁腈，s码,100只/盒,100只/盒', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', '/', NULL, 27, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B0AB64D9B347AC8272ED90DB644C7A1F', 'C1B9CE6531D6A723125DD757A6151E12', '收纳盒', 'n/a', '耗材', NULL, NULL, 'n/a', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B1983CCFF3A70773C0F712BF20E50163', '245AC451C13892483D735AE474DBDE13', '容量瓶', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', '/', NULL, 11, '普通耗材', '6', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B24A2902DD0BC58C77DE74215CF59ED1', 'BAF53FCF8CB5937151AE9F5307A9B72B', '孕酮', 'VETEC', '试剂', NULL, NULL, '25g/瓶,98%', '2023-09-15 09:42:07.000000', '2023-09-15 09:42:07.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'RG');
INSERT INTO `reagent_consumable_inventory` VALUES ('B2C161849BC329823649E6BE12FA3827', '355B41480BBD209260994C0D4C83408C', '封口膜', 'PARAFILM', '耗材', NULL, NULL, 'PM-996,1个/盒,1个/盒', '2023-09-15 09:40:17.000000', '2023-09-15 09:40:17.000000', '1', '1', '/', NULL, 11, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, 'PM-996', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B31E89B959F9D7BEA36EDC0E6DCDB601', '4DB056F46F2255AB2103B5988CBC3E6D', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲哚-4,5,6,7-d4-3-羧酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:04.000000', '2023-09-15 09:40:04.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-AB-FUBICA', '冷藏贮存', 'GASS-463', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indole-4,5,6,7-d4-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B3806FB891BCA3A0A64CC92DAA2C37A0', '502801F43C9C512758F4C1621DA34EE9', '碳酸氢钠', '光富', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('B4407D5162F1800E0FC41D1817FD786E', 'CE9328E0BB4C4F801C8B42BAABCDE82E', '乙腈', 'Thermo', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('B5353AAE9186D3AA52F6BBDB73B86CA9', 'D722AE6D6380A81A9FA61F38B799448A', '点样毛细管', '垒固', '耗材', NULL, NULL, '0.3x1000，1000支', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', '/', NULL, 36, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B564BEB983E7369EE335736B1E7B50ED', 'E152507ED99B48ACFE178F1AC9D60064', '进口滤膜', '津隆', '耗材', NULL, NULL, '13mm，水洗聚醚砜（PES）,0.22um，货号：JLSP042201', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B564C6F8C15E3F52DE17E537A4C15408', '1A08797F684A04C970F471FE7E4117F1', '甲醇', 'Supelco', '试剂', NULL, NULL, '2.5L，LC/MS级', '2023-09-15 09:42:02.000000', '2023-09-15 09:42:02.000000', '1', '1', '/', NULL, 8, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('B56E6646591D237167D7E820C5AF1855', '92C1F62DE74E6FB46CBBE572AD074713', 'DCC , N,N\'-二环己基碳二亚胺', '阿拉丁', '试剂', NULL, NULL, '99%, 100g/瓶', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '538-75-0', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('B5F906072EA74C38B396F1EAA4326F70', '1FCD9A78F8BAC7DD89183AAFD4E84C24', '2-(1-(4-氟苄基) -1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:38.000000', '2023-09-15 09:39:38.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'MDMB-FUBICA', '冷藏贮存', 'GASS-315', '瓶', 'methyl 2-(1-(4-fluorobenzyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, NULL, 1, NULL, '1971007-91-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B66C22F7D0350739383CB5CD2264A0A8', '1718FB39B441E91634A9F5BBC716C073', '丙三醇', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:41:57.000000', '2023-09-15 09:42:08.000000', '1', '1', '/', NULL, 30, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('B6A8E204D616BBF0A3D0B3F854321684', '5C7A9F87126028CF393F24EFC581F812', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-丁基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:35.000000', '2023-09-15 09:39:35.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ADB-BUTINACA', '冷藏贮存', 'GASS-295', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-butyl-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '2682867-55-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B6AE667A166BB931A7CFF31C97FDFEE4', '3A106647E37FE11211B27916DDBA7FCD', '氢氧化钠', '大茂', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('B724D181646D05B6F88D9BBC480365B4', '8DF08FA6573190F2754B993627B56D2F', '试管刷', 'n/a', '耗材', NULL, NULL, '无', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', '/', NULL, 75, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B730C1B989D402C25B368ABBADA97565', '31872878597ED68D69F805768669B885', '移液枪', 'Sartorius', '耗材', NULL, NULL, '500-5000ul', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B85AD7252067C921C5E7DDBA6D3021C5', '0EB7ACEAD9C44059C7EF5B3C7C80AF3E', '固相萃取小柱', '睿科', '耗材', NULL, NULL, 'RayCure MCX 60mg/3mL，50/pk,50个/盒,50个/盒', '2023-09-15 09:40:15.000000', '2023-09-15 09:40:15.000000', '1', '1', '/', NULL, 49, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, 'E0122502', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B94FC06A6C44C217047C631E05322395', 'DE64DA86DE21E38DCF1CDFD9B1B06657', '密度计', '垒固', '耗材', NULL, NULL, '0.6-2.0', '2023-09-15 09:41:44.000000', '2023-09-15 09:41:44.000000', '1', '1', '/', NULL, 14, '普通耗材', '14', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B9633B69D5CEC278463D56BD7BD259B4', 'AD2672965E361D90B98300A4CF87F023', '橡皮吸球', 'n/a', '耗材', NULL, NULL, '1ml', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('B985BD27239196495DEBF0921A0E9A75', '73811EAEEABC115F90491365F9362008', '镊子', 'n/a', '耗材', NULL, NULL, '弯头，12.5cm', '2023-09-15 09:41:13.000000', '2023-09-15 09:41:13.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BA4FD5FB8104EB2DBA3096B90338DD41', 'E6B2CE5CD02BA982C85F87E07E9E5810', '丙二酸二乙酯', '阿拉丁', '试剂', NULL, NULL, '0.99', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:53.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('BA811731379B393602EE028EE202A3FF', '16F198F85AFBC4CB0627D77616A1BE4F', '2-(乙基氨基)-1-苯基丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:28.000000', '2023-09-15 09:39:28.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '乙卡西酮(盐酸盐)', '冷藏贮存', 'GASS-127', '瓶', '2-(ethylamino)-1-phenylpropan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '18259-37-5', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BACB9765FB721840FCE8233582967CF7', '40015F4CD54E97426885497442342617', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(戊-4-烯-1基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:36.000000', '2023-09-15 09:39:36.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ADB-4en-PINACA', '冷藏贮存', 'GASS-307', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-(pent-4-en-1-yl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '2659308-44-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BAE7F1585D7659C80C3385CC244536BA', 'E23DC2658F513EA31CB7F4A916477F47', '1-(4-甲氧基苯基-2,3,5,6-d4)丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:02.000000', '2023-09-15 09:40:02.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-PMA盐酸盐', '冷藏贮存', 'GASS-451', '瓶', '1-(4-methoxyphenyl-2,3,5,6-d4)propan-2-amine', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BB459FB3BD7646F6156F0037F6E59130', 'CA25C7883611B56B3BBF6A2471CFB9D2', '2-(二甲基氨基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:42.000000', '2023-09-15 09:39:42.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4-CNB;N,N-DMC', '冷藏贮存', 'GASS-331', '瓶', '2-(dimethylamino)-1-(p-tolyl)propan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '1448845-14-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BB86C4768D786B046F90B0606936B134', 'BFA9417CBCB68CACA9D12E616FA840EA', '手套', '科邦', '耗材', NULL, NULL, '橡胶，M号,200只/盒,200只/盒', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BBB674BA75BC742FA51A563716BC6370', '8579C5EC48ECB7BC3A60BE552B627DD7', '甲醇', 'Supelco', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:41:50.000000', '2023-09-15 09:41:51.000000', '1', '1', '/', NULL, 42, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('BBDF52EDDBE62CFF4E7F6EF76EEE1234', '61858E603F957D71B82C8DF2D013D772', '4-(三氟甲基)苄溴', '阿拉丁', '试剂', NULL, NULL, '98%，25g/瓶', '2023-09-15 09:42:14.000000', '2023-09-15 09:42:14.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '402-49-3', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('BC2575409239BC341EB3AAD96FAA7B79', 'E41BF5EB7724A4D4F80DF1EA8C134C18', '乙腈', 'OCEANPAK', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:41:51.000000', '2023-09-15 09:41:51.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('BCA595573F36D4E553A6507088C8DFAA', 'F02FF7641F41F92815BD7256B31103DF', 'DIC, N,N′-二异丙基碳二亚胺', '阿拉丁', '试剂', NULL, NULL, '≥98.5%，100ml/瓶', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '693-13-0', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('BCDC5061D2EB49217ED14556CB4E7CE2', 'E18C601E2300B3A0E171775E017217E9', '擦镜纸', 'KIMTECH', '耗材', NULL, NULL, '11.0*21.3cm', '2023-09-15 09:41:09.000000', '2023-09-15 09:41:09.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BCE660171CAD4DAD1C7492C273C62BE4', '3F1F2447DF50282F34D183372A7C3EFA', '镊子', 'n/a', '耗材', NULL, NULL, '直头，12.5cm', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BDCD543D751FDCF58F7666A03B987A1D', '4E2102D5311E50D90FBAF00A2BB84D0E', '移液管', 'MC', '耗材', NULL, NULL, '10ml', '2023-09-15 09:41:01.000000', '2023-09-15 09:41:01.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BE193F3DC6B7644B8BF732D82A7EF401', '14CC3BAD312ADCFA8828B7EFA085B9CC', 'HOBT, 1-羟基苯并三唑一水合物', '阿拉丁', '试剂', NULL, NULL, '≥97.0%, 100g/瓶', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '123333-53-9', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('BF013C42B74F2B70CC0ACB0C9C1C4193', '2FF9F3CC87F8F89F28F4A775A6C40251', '甲酸', '科密欧', '试剂', NULL, NULL, '500mL/瓶', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:40.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('BF258107FF019BBF1133BEC7E6C442D0', '41C67665A701AC937E7BB8D70AFE8E51', '二苯胺', 'Sigma-Aldrich', '试剂', NULL, NULL, '100g/瓶', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'ReagentPlus');
INSERT INTO `reagent_consumable_inventory` VALUES ('BF32FD1A944C7C7B3FBEEBAEFAF8E0E3', 'ABC430D888D8A07AB49CBC4312048D1C', '2-氯-N-(4-氟苯基) -N-(1-苯乙基哌啶-4-基) 乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:53.000000', '2023-09-15 09:39:53.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-384', '瓶', '2-chloro-N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BF535B52F2BE32105C29C6E53F849B31', 'A35E3480A19957DC21F191195AC9F495', '自吸过滤式防毒面具', '唐丰', '耗材', NULL, NULL, 'TF503型', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('BFC8D464FCC9C0EA595CD5C013A9D60D', '60155AD4B6048FC45671D08E256BFE01', '一次性塑料滴管 5mL', '国产', '耗材', NULL, NULL, '100支/包,100支/包', '2023-09-15 09:40:34.000000', '2023-09-15 09:40:34.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C0387BD647C61E0CB8F26F7B21DE89C5', 'C3312EBDAFD3F6CB828E37ADB029A564', '2ml注射器', '江苏治宇医疗器械', '耗材', NULL, NULL, '300个/盒,300个/盒', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '2002100', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C09539E6081287E43AB9EF1CAE5104DE', '1C48E826FC5387E767233A2A8D21FFFC', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:25.000000', '2023-09-15 09:39:25.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ADB-CHMINACA', '冷藏贮存', 'GASS-076', '瓶', 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1(cyclohexylmethyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1863065-92-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C196F2F22D954B992D85DCB457C451EA', 'AAEB871ED932F69A983D563AAE495F43', '活性炭口罩', '/', '耗材', NULL, NULL, '/,/', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C214EFAFDE467421F854A8D5542FAE3C', 'CD7CFF53924CAC2A9CD4CC4ABF8E23BE', '微孔滤膜-两相通用', 'Pall', '耗材', NULL, NULL, '13mm 0.2um GHP ,1000个/盒,1000个/盒', '2023-09-15 09:40:11.000000', '2023-09-15 09:40:11.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '2401', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C220CF49739345C7781C4836DE327F20', 'F6F55D3AE6695898D36E015322D4F78A', '研钵', '垒固', '耗材', NULL, NULL, '12ml', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C286ECE5190C9F29711AEF7CE769C886', '971EBC2FCD6880C2DA50DDB5DDADF4E4', '甲醇', 'Thermo', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C37F5912988FA9499A350DBCBDC24836', 'E81492B3D53AD1ECC3BB526F58189A4C', '5ml连盖离心管', 'CYPRESS', '耗材', NULL, NULL, '300个/包,300个/包', '2023-09-15 09:40:23.000000', '2023-09-15 09:40:23.000000', '1', '1', '/', NULL, 23, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, NULL, 1, '0200050', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C3F76176B42523CB820864DBDE4496C2', 'B8CF85D8D7E06ED5F61D737CEFF8DB3D', '乙酸铵', '大茂', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C46E99FCE7E3B9373F3D23D2EC996D99', '20670F07F63463027BF6621EBB58269F', '洗瓶', 'n/a', '耗材', NULL, NULL, '250ml', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', '/', NULL, 18, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C478943C109EC35978416081ADBCD240', 'D8035F1C195F9C77A7ECE58B9A38DD39', '2-(二甲基氨基)-1-苯基戊烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:44.000000', '2023-09-15 09:39:44.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '2-(二甲氨)-1-苯基-1-戊酮', '冷藏贮存', 'GASS-338', '瓶', '2-(dimethylamino)-1-phenylpentan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '2168229-67-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C485BF0F5CA21E68A33F185FCE10A423', '7E239EDFD94B38E1A53537F2E95DA730', '(7-氯-5-(2-氟苯基)-2,3-二氢-1H-苯并[e][1,4]二氮杂-2-基)甲胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:10.000000', '2023-09-15 09:40:10.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '咪达唑仑', '冷藏贮存', 'GASS-513', '瓶', '(7-chloro-5-(2-fluorophenyl)-2,3-dihydro-1H-benzo[e][1,4]diazepin-2-yl)methanamine', 1.00, NULL, NULL, NULL, 1, NULL, '59467-64-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C53739E2259C4804E681BBACCA70776E', '2EC31452101DA44B4255A2D9B095B2B9', '枪头', 'Sartorius', '耗材', NULL, NULL, '10ml，250个', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C5546C08EC7E51E27E4B80A7585034B1', '723C2769E172F25C2CA57814C162AB3E', 'D-缬氨酰胺盐酸盐', '阿拉丁', '试剂', NULL, NULL, '97%，1g/瓶', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, '133170-58-8', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C59E439165B63592EAFBC1C2F5248250', 'C2D89A53CFD8D3500559D72B5F6A0E82', 'N、N-二乙基-7-甲基-4,6,6a，7,8,9-六氢吲哚[4,3-fg]喹啉-9-羧酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:45.000000', '2023-09-15 09:39:45.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'LSD', '冷藏贮存', 'GASS-340', '瓶', 'N,N-diethyl-7-methyl-4,6,6a,7,8,9-hexahydroindolo[4,3-fg]quinoline-9-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '50-37-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C71967B6AD821C9F67DC3BA405F7E98B', '85108C2AE1FDFBD6385BF2D37F9FAD19', '氯化亚砜', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('C7553F90133ED8090683A1D1777E5CC3', '7E3F33D672B713B4B247E8B4D4B2B57A', '微孔滤膜-两相通用', 'Pall', '耗材', NULL, NULL, '13mm 0.2um GHP ,1000个/盒,1000个/盒', '2023-09-15 09:40:11.000000', '2023-09-15 09:40:11.000000', '1', '1', '/', NULL, 14, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水，毛发专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '2401', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C8681884C824146E3AFAFE28E3DF1854', '5B7EE38B31E6A45BE0966CC842F766F9', '(1-(2-吗啉乙基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:16.000000', '2023-09-15 09:39:16.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'A-796,260', '冷藏贮存', 'GASS-041', '瓶', '(1-(2-morpholinoethyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', 1.00, NULL, NULL, NULL, 1, NULL, '895155-26-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C869D71C112EBB581271F3AEEA5E2EA0', 'F0A05A0C9C0DD2044CD8131BCECA8A04', '三（羟甲基）氨基甲烷', '阿拉丁', '试剂', NULL, NULL, '0.999', '2023-09-15 09:42:00.000000', '2023-09-15 09:42:00.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, '标准缓冲物质');
INSERT INTO `reagent_consumable_inventory` VALUES ('C8D8F3E62CB6B541C759AC9B075E0F65', 'BAA5087BE3555ADAD7B176A38DC23588', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', '/', NULL, 30, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '17008609', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C99691134F5B96743A0C34A2292EFA61', '4F59166509074FDB772A6439C86C2DB1', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, 'WAT094226', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('C99EBC2F091DE3F9D8CF3B56B5877725', '18B3C0C8F33F318F29CDFCC51E0BCBE2', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '21*14cm', '2023-09-15 09:40:51.000000', '2023-09-15 09:40:51.000000', '1', '1', '/', NULL, 100, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CA85157CDD6C89AA65DDF6FD8B1C9B4D', '59DEBCB1F937E40093B2F03F4CDC9AF8', '乙腈', 'Supelco', '试剂', NULL, NULL, '2.5L/瓶', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', '/', NULL, 44, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumable_inventory` VALUES ('CB45EDA7AE7B44B42F77BA0003AFB78D', '6C20CAF7B46837CE1CC011A35D49E945', '1-(4-甲氧基苯基-2,3,5,6-d4)-N-甲基丙-2-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:02.000000', '2023-09-15 09:40:02.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-PMMA盐酸盐', '冷藏贮存', 'GASS-452', '瓶', '1-(4-methoxyphenyl-2,3,5,6-d4)-N-methylpropan-2-amine', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CB8C560FDB67AB2EB28C17EB3F808396', '05ECC45A59DCBEBF29BC2C0231900AB3', '洗瓶', 'n/a', '耗材', NULL, NULL, '500ml', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', '/', NULL, 11, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CB949A46973642AFC50B22FDB270F27D', '7F62AE4C65C32546E078678B86329641', '甲苯', 'fisher', '试剂', NULL, NULL, '4L/瓶', '2023-09-15 09:41:51.000000', '2023-09-15 09:41:51.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('CD1E2FA63AD9F4BCC5FC7AF20ECD93B9', 'C0603A989A20C8143226188887BA1230', '8-氯-6-苯基-4H-苯并[f[1,2,4]三唑并[4,3-a][1,4]二氮卓', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:01.000000', '2023-09-15 09:40:01.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '艾司唑仑', '冷藏贮存', 'GASS-411', '瓶', '8-chloro-6-phenyl-4H-benzo[f][1,2,4]triazolo[4,3-a][1,4]diazepine', 1.00, NULL, NULL, NULL, 1, NULL, '29975-16-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CE1A681E322ACA9C03A9991EBF6A84B6', '98ED5FA273E4D62F823F0DF8477F93AC', '氢氧化钾', '光富', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('CE356E9A37CF173D9236BB24CD213C34', '3C9FD09C0D5536BBF020E6A38F3632C6', '一次性塑料烧杯', 'n/a', '耗材', NULL, NULL, '50ml', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', '/', NULL, 18, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CE90E990408370BCD81EC7DA4EF7D260', '4D0BD69A936CF52B97EB38AEF3671481', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '186008056', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CE9BB9D929C278B7F54F84C8C52EB9C8', 'A5C12402375920A31592601B363A9EC5', '称量纸 90*90mm', '/', '耗材', NULL, NULL, ' 90*90mm,400张/包,400张/包', '2023-09-15 09:40:30.000000', '2023-09-15 09:40:30.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('CEB4EE169340261713A7939619241029', '4D6A5E835D0292667136906055B9C4FD', '进口滤膜', '津隆', '耗材', NULL, NULL, '25mm，100片/盒，水洗聚醚砜（PES），0.45um，货号：JLSP214502', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D0552749B7C4B57F8FB037DD0525F9A7', 'EB44071CD7123F8B51A061618769B9BC', '2-(4-氯-2,5-二甲氧基苯基)-N-(2-甲氧基苄基)乙烷-1-胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:00.000000', '2023-09-15 09:40:00.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'N-乙胺', '冷藏贮存', 'GASS-409', '瓶', '2-(4-chloro-2,5-dimethoxyphenyl)-N-(2-methoxybenzyl)ethan-1-amine', 1.00, NULL, NULL, NULL, 1, NULL, '1227608-02-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D0A9872F64CF9D111E8004F9C7FF27E2', '7B61333835F0127E8FA0815466FA6484', '定量滤纸', '新星', '耗材', NULL, NULL, '15cm，中速', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D11F226F92EDD17B078355D4ACA8FFF5', '5C5B5D817327A48EA6F509A61FA1E05C', '容量瓶', 'Brand', '耗材', NULL, NULL, '2ml', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', '/', NULL, 2, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D1E7B3E972E66A56DA9598E64E638B0B', '0E217BB02F8FAEDFB7579B1D10EF724A', ' 移液枪吸头5mL', '赛多利斯', '耗材', NULL, NULL, '250个/包,250个/包', '2023-09-15 09:40:36.000000', '2023-09-15 09:40:36.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D234A57F1B654B4F54057593D2DC1EC7', '200AC112BCE6DD33C34C67F08C69AD31', '滴管', 'n/a', '耗材', NULL, NULL, '12cm', '2023-09-15 09:41:05.000000', '2023-09-15 09:41:05.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D26C2BF286239A2ED3C96889123D0038', '6F74D9332C67CE4E1ECC986AED24C1AA', '氘代甲醇', 'CIL', '试剂', NULL, NULL, '0.6mLx10,99.8%', '2023-09-15 09:42:03.000000', '2023-09-15 09:42:03.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('D2A873F727FC89DA794DBD55BEC9834F', '3B512313A44260F994BC3AE12C5C4C2D', '研钵', '垒固', '耗材', NULL, NULL, '18cm', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D2F09B08BA6586533FD988B76CBE00A7', 'A36EA52631681329863B7F52DFAD86AF', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, NULL, '225mm,250支/盒,250支/盒', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', '/', NULL, 36, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '747720', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D3025A9534C1111EA747796860C3D134', '077150A62CFE686DAA7D8165D5B3578C', '定性滤纸', '皎洁', '耗材', NULL, NULL, '12.5cm，中速', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D38FC0814B4FDB0AB4DDBAECED4CF06A', '94742C810D254D0B8C470A9D034191B0', 'InfinityLab Poroshecll 120 PFP', 'agilent', '耗材', NULL, NULL, '4.6*250mm,4um', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', '/', NULL, 1, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D3979F7E5CEC79CC1A194D43B5D26AEE', 'EEA2D3EB75978EA4D12D127EDE3816FA', '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:32.000000', '2023-09-15 09:39:32.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-AMB-PICA', '冷藏贮存', 'GASS-262', '瓶', 'methyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)valinate', 1.00, NULL, NULL, NULL, 1, NULL, '1971007-87-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D42D042100F93D520B8FF02A18E9F265', '8FCFC45C25E6AC078758469412EA95AA', '茶碱', '百灵威', '试剂', NULL, NULL, '98%,5g/瓶', '2023-09-15 09:42:07.000000', '2023-09-15 09:42:07.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'RD');
INSERT INTO `reagent_consumable_inventory` VALUES ('D46062F2828981B7916D91B5D7C3A209', '7FEBAFE460DD219B226E33274E9CA05C', '1ml枪头', 'Brand', '耗材', NULL, NULL, '96个/盒,96个/盒', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', '/', NULL, 90, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '732232', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D4CE9FC42C35C2723B0AEBA0E29A31D2', '174A5895CF27CABEA6DCEC3413AF188B', '100ul有相机枪头', 'RAININ    100ul ', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008607,180个/盒,180个/盒', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', '/', NULL, 27, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '17008607', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D4D0B882E87BBC7E44EBB6E66C14EAF5', '42647666243EFF426967C6E716D7675F', '塑料离心管', 'n/a', '耗材', NULL, NULL, '5ml，400支/袋', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D4E1322C8B0B2988B8C526E554ACE5DB', '551F62C8FF44CB3E9CDEECDE59ADC7DD', '200ul枪头', 'Brand', '耗材', NULL, NULL, '容量200ul,96个/盒,96个/盒', '2023-09-15 09:40:17.000000', '2023-09-15 09:40:17.000000', '1', '1', '/', NULL, 30, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '732028', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D5A9F187BF3FE3F2DBED66A67696A839', '1F2BE676869D0EA714E5CD11D76F4777', '2-(2-氟苯基)-2-(甲氨基) 环已烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:59.000000', '2023-09-15 09:39:59.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '氟胺酮盐酸盐', '冷藏贮存', 'GASS-404', '瓶', '2-(2-fluorophenyl)-2-(methylamino)cyclohexan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '111982-49-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D5CAE73B9012452B809498CD3131C9F3', '7BD08EA869FE92DA6B49AADB9B2D6C5A', '小口试剂瓶', '蜀牛', '耗材', NULL, NULL, '2500ml', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D80AFEC2CEFB1380E46F273C335B4F02', 'BA52CF3BAD0FE841F9A22033BAFFAB1E', '3,4-二甲基-2-苯基吗啉', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:37.000000', '2023-09-15 09:39:37.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '苯甲曲秦', '冷藏贮存', 'GASS-312', '瓶', '3,4-dimethyl-2-phenylmorpholine', 1.00, NULL, NULL, NULL, 1, NULL, '634-03-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('D8F683B2D6FBBDA6454BD62F08D80026', 'B8B93FF4B0BC9D113C013B3D6DF3698B', '(1-((四氢-2H-吡喃-4-基)甲基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:16.000000', '2023-09-15 09:39:16.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'A-834,735', '冷藏贮存', 'GASS-042', '瓶', '(1-((tetrahydro-2H-pyran-4-yl)methyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', 1.00, NULL, NULL, NULL, 1, NULL, '895155-57-4', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DADBF7924A73D54DF5A1CA89F147418C', 'ABD05A369136E1D3B1897833143F19AF', '2-氨基-2-(2-氟苯基)环已烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:59.000000', '2023-09-15 09:39:59.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '去甲氟胺酮盐酸盐', '冷藏贮存', 'GASS-403', '瓶', '2-amino-2-(2-fluorophenyl)cyclohexan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '1956327-93-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DB2FA1B376C257B6E917B99B71CEFF04', '1C8530AC0C0ED16E6517F704A69E6FEA', '保鲜自封袋4号', '苹果', '耗材', NULL, NULL, '85x120mm', '2023-09-15 09:40:50.000000', '2023-09-15 09:40:50.000000', '1', '1', '/', NULL, 100, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DB87F577FA7C3961A363494CADC55F88', '7247103108ADD12071B069D83DCE8A74', '苯骈三氮唑', '阿拉丁', '试剂', NULL, NULL, '99%，100g/瓶', '2023-09-15 09:42:17.000000', '2023-09-15 09:42:17.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, ' 95-14-7 ', 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('DC180CCE600E32B1E409838C10B31D3A', '419660068FAE03C7D0784BB225D307B1', '200ul枪头', 'Brand', '耗材', NULL, NULL, '容量200ul,96个/盒,96个/盒', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', '/', NULL, 90, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '732028', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DE82A2A7741B7666A616C5F70C3EB23C', '7658E6DFD42A2C5FCD75C616700FAE29', '碳酸氢钠', '科密欧', '试剂', NULL, NULL, '500克/瓶', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '瓶', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, '优级纯');
INSERT INTO `reagent_consumable_inventory` VALUES ('DE8D4992764BC20868BF57D2F4DA6A2C', '0FEE0F26074B2BEBAAA4D8ABA7148316', '(4-乙基萘-1-基)(1-戊基-1H-吲哚-3-基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:22.000000', '2023-09-15 09:39:22.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'JWH-210', '冷藏贮存', 'GASS-064', '瓶', '(4-ethylnaphthalen-1-yl)(1-pentyl-1H-indol-3-yl)methanone', 1.00, NULL, NULL, NULL, 1, NULL, '824959-81-1', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('DF0BF1AE4C2F82EA328D3EA09D66877A', '7B4E5A4C90B645F3429542CC029E3F0A', '塑料烧杯', 'n/a', '耗材', NULL, NULL, '3000ml', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E0145B68893B3F61A558267E650C5728', 'A239A398F5E415CE81E8D49835A73617', '移液管', 'MC', '耗材', NULL, NULL, '50ml', '2023-09-15 09:41:01.000000', '2023-09-15 09:41:01.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E0181D5BC01F3B418B2F2D1210936764', '393C604EB02811198CF9ED3E7F07242E', '移液枪20-200uL', 'Brand', '耗材', NULL, NULL, '/,/', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, NULL, 1, '732228', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E14075D88269DC328CA02CFAB94A8961', '80160962DB7042A2987CF9E96581ACE7', '2-(2-溴苯基) -2-(甲氨基) 环己烷-1-酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:00.000000', '2023-09-15 09:40:00.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '溴胺酮盐酸盐', '冷藏贮存', 'GASS-405', '瓶', '2-(2-bromophenyl)-2-(methylamino)cyclohexan-1-one', 1.00, NULL, NULL, NULL, 1, NULL, '120807-70-7(base)', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E1561950F6A640DEBE21BCBEA16F39CB', '61D013604482A6865D7F6F9328855345', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:14.000000', '2023-09-15 09:39:14.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-AB-PINACA', '冷藏贮存', 'GASS-035', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1800101-60-3', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E1580AA80979CC686096B598DA7BCBEF', 'A7CE040844033871FA7EDF15ED9FB762', '2-((二甲基氨基)甲基)-1-(3-甲氧基苯基-2,4,5,6-d4)环己烷-1-醇', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:02.000000', '2023-09-15 09:40:02.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-曲马多盐酸盐', '冷藏贮存', 'GASS-453', '瓶', '2-((dimethylamino)methyl)-1-(3-methoxyphenyl-2,4,5,6-d4)cyclohexan-1-ol', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E25041F6F6DEED2CB971A44BE17511EC', '76D485504D6355A469848770A237ED51', '移液枪吸头200uL', '赛多利斯 ', '耗材', NULL, NULL, '960个/包,960个/包', '2023-09-15 09:40:36.000000', '2023-09-15 09:40:36.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '后续不再购买', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E2A2EEAEB24E59500BA5A450048B70E3', '1E09335E6A1D5EBBD56C549857EDEB09', '称量瓶', 'n/a', '耗材', NULL, NULL, '25x25', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', '/', NULL, 15, '普通耗材', '20', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E2A881D45CB4D9AD7537F0F2F3124D63', '379492203C4874F7B9DFB6C94FFC5EB7', '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-醇', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:30.000000', '2023-09-15 09:39:30.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '赛洛新', '冷藏贮存', 'GASS-198', '瓶', '3-(2-(dimethylamino)ethyl)-1H-indol-4-ol', 1.00, NULL, NULL, NULL, 1, NULL, '520-53-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E2FF84A55D7E276BE1856AA76833EC04', 'ADD7965BEEF93F364987254ECC3E57C9', '(2-甲基-1-丙基-1H-吲哚-3-基)(萘-1-基)甲酮', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:21.000000', '2023-09-15 09:39:21.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'JWH-015', '冷藏贮存', 'GASS-059', '瓶', '(2-methyl-1-propyl-1H-indol-3-yl)(naphthalen-1-yl)methanone', 1.00, NULL, NULL, NULL, 1, NULL, '155471-08-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E3D67E72DAE875C6A3DC8EC2F2DA1874', 'D45217182F255920E1DBEC42B54D0847', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸乙酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:35.000000', '2023-09-15 09:39:35.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-EDMB-PICA', '冷藏贮存', 'GASS-296', '瓶', 'ethyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E40492F641DD905E72AAB015E7BF28F2', '9C6CA2B9BD8CD0E8DECFE3900BDD70DE', '氯化钠', '科密欧', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 09:41:56.000000', '2023-09-15 09:42:08.000000', '1', '1', '/', NULL, 20, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('E4A340D4FC3B881A9212935491936633', 'E36F366E97BBCA68D8F6B4DD0C0E35B5', '容量瓶 100mL ', 'Brand', '耗材', NULL, NULL, '棕色,/,/', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, NULL, 1, '37487', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E4F46F5130C6CB57654C3799C3657860', '113697ED4C3BC10B00167483A744D6B3', '枪头', 'brand', '耗材', NULL, NULL, '50-1000ul', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', '/', NULL, 80, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E5568F52AC8047209427393C7137493D', '9494AAC43181B6DECF98865C1ACA12F3', '乙酸', '科密欧', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', '/', NULL, 9, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('E57A85FBCBFFF930E6C0E0B87D6423BE', '6DC9914D010BC133D74A5413FBDE9B21', '氯化亚砜', '科试', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:42:08.000000', '2023-09-15 09:42:08.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('E666F8F9BC7F7D90F94598F4B40390AC', '5BD8CCD02CA1125372AA07A2FA4F2B2E', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:38.000000', '2023-09-15 09:39:38.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'AB-FUBICA', '冷藏贮存', 'GASS-316', '瓶', 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1801338-22-6', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E66D910D90219441AFD863509311563B', 'F5B278B240F82AD5654FDE723873D717', '氘代氯仿', 'CIL', '试剂', NULL, NULL, '0.6mLx10,99.8%', '2023-09-15 09:42:07.000000', '2023-09-15 09:42:07.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('E71DEC7A42D7E6CFDA4F9CB882001F77', 'C3DB834133C33CD0C608CE6BE323BC5F', '吡嗪', 'Sigma-Aldrich', '试剂', NULL, NULL, '≥99，100g/瓶', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'FG级');
INSERT INTO `reagent_consumable_inventory` VALUES ('E725D77A6262F636F006D3E725601A47', '4D51D181A842BC6FCEB2DDFD48B07D0A', '塑料吸管', 'n/a', '耗材', NULL, NULL, '0.2ml，500支/袋', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '袋', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E732573CAD276C4FA8C82C098733BAE0', '9B4EA84A4B8E3274ADA5B562E5528E5B', '活性炭口罩', 'n/a', '耗材', NULL, NULL, '50支/盒', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', '/', NULL, 11, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E77BEA83C80E08EED93F325FB0DCF923', '44DDF1D1D1DE1AF45B22177E0F1420D1', '氨水', '沪试', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:42:01.000000', '2023-09-15 09:42:01.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('E782A803DC9F8E2135F47C828272C9AE', '0FC599C9CB20B28CCCE71DD750967A53', '保鲜自封袋10号', '苹果', '耗材', NULL, NULL, '340x240mm', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', '/', NULL, 100, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E8409CF1184729AD15A6E8A7805DE326', '498C25DDA5EB09AC3FAB8CB5D914BFAB', 'ZORBAX Eclipse Plus C18', 'agilent', '耗材', NULL, NULL, '4.6*150mm,5um', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', '/', NULL, 1, '色谱柱', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E848038A8136AC5088678456B873C8A7', '4052FBA489932F551BE5D85EB6D21AA1', '移液枪吸头0.5-20uL', 'Brand', '耗材', NULL, NULL, '10包/盒,10包/盒', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '732224', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E8E19E788E4CA84F20AFF93A928737BB', '394AFAA0B8527CEA922BAB514AA18B54', '试管', 'n/a', '耗材', NULL, NULL, '15*150mm', '2023-09-15 09:41:00.000000', '2023-09-15 09:41:00.000000', '1', '1', '/', NULL, 26, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E8EC57307CD21C2E81E6BAB9EC698B8B', '04E620281BD9A95D9EA1B6D62735A06E', '滴管', 'n/a', '耗材', NULL, NULL, '9cm', '2023-09-15 09:41:05.000000', '2023-09-15 09:41:05.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('E94A3315E0429A6A8E0E610A5EFA6CEE', 'B2081647707E68D1382633C7AC33188F', '移液枪吸头0.5-20uL', 'Brand', '耗材', NULL, NULL, '10包/盒,10包/盒', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '732224', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EA2A7C04BF801445BD5277242EFA4247', '42EF98B71D597C112B430F77AD7DB041', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, NULL, 'M', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', '/', NULL, 45, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EA6C7FD1117EF5267106E54C08EE6EC6', 'A8E5A5AA7B6E4C9A2D7E5D6A2553A72A', '白色滴瓶', 'n/a', '耗材', NULL, NULL, '125ml', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', '/', NULL, 20, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EAD7D0AC1C4B9A2336705C0A8F4A036D', 'DF8053EB65C291FD007A082B892A3EBD', '锥形瓶', 'Bomex', '耗材', NULL, NULL, '250ml', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EB8C0B11D4E36CEB89D595AC640F1505', '743140603D10195533CA89447ADC99F5', '醋酸纤维素滤膜', 'Whatman', '耗材', NULL, NULL, '10462701,100片/盒,100片/盒', '2023-09-15 09:40:14.000000', '2023-09-15 09:40:14.000000', '1', '1', '/', NULL, 43, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '10462701', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('ECFAA842184BC56E8BF967DBE614CB45', '6E676718BE57499E191972F748E45AF2', '滤膜', '上海新亚', '耗材', NULL, NULL, '有机，0.45um，50mm，50片/盒', '2023-09-15 09:41:37.000000', '2023-09-15 09:41:37.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('EF329854267C816C0AF10DF76A87E142', 'D0905DCFBFD594522E9B4BDBDB8D4554', '棕色滴瓶', 'n/a', '耗材', NULL, NULL, '125ml', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', '/', NULL, 10, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F044B9B2300D3D17B998596AE2E35A80', 'C2B9200F1BDA692ACB8BDCF37CBF478E', '一次性塑料滴管 3mL', 'Cypress', '耗材', NULL, NULL, '100支/包,100支/包', '2023-09-15 09:40:30.000000', '2023-09-15 09:40:30.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F106BB44856BB2D84574613554E25808', 'DCE70E420DD14B6EDCD7CD1EE1408E05', '二氯甲烷', 'CNW', '试剂', NULL, NULL, '4l/瓶', '2023-09-15 09:41:52.000000', '2023-09-15 09:41:52.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('F2D0E0939945365334D61C9898529B2E', '81CD8EFB07B60388FAAB97A2C65E42AB', '螺口试剂瓶', '蜀牛', '耗材', NULL, NULL, ' 1000mL(棕色),/,/', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '个', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F2E231665DB4938402AD189773C51BE3', '65E2F8D36017D0FE06C74AC4731FF249', '研钵', '垒固', '耗材', NULL, NULL, '15ml', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F3276E4DA228DC1FDA8286218466F1E4', '4DC5B30256DCF61811F45246878C8D22', '喹啉-8-基1-(5-氟戊基)-1H-吲哚-3-羧酸盐', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:15.000000', '2023-09-15 09:39:15.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '5F-PB-22', '冷藏贮存', 'GASS-039', '瓶', 'quinolin-8-yl 1-(5-fluoropentyl)-1H-indole-3-carboxylate', 1.00, NULL, NULL, NULL, 1, NULL, '1400742-41-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F3B90C7A5FB1F8036905C3D523EB1A06', 'F3C6A67A581E9706631226E0A5C65627', '微孔滤膜', 'GreenMall', '耗材', NULL, NULL, '有机系（尼龙）,50mm,0.22um,50片/盒', '2023-09-15 09:41:36.000000', '2023-09-15 09:41:36.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F58DB7353033226473D5A782AC2AE935', 'A234E5D39AD36DC08B512F0CDDD6ABD1', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:54.000000', '2023-09-15 09:39:54.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-386', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclobutanecarboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F593FC6CC0AD1D1422D2B6E6FB07D93F', '2AA86C4E632105C28977416DA8718C76', '利血平', 'Sigma-Aldrich', '试剂', NULL, NULL, '5g/瓶,99%', '2023-09-15 09:42:06.000000', '2023-09-15 09:42:06.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumable_inventory` VALUES ('F711075AA300919074E2734D36C9970A', '01587042216D167E989E80F468703A8D', '试管架', 'n/a', '耗材', NULL, NULL, '3x6', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', '/', NULL, 13, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F73773C91731EDC83EB4D7BEEE2CB327', '8CF9624228EE09D7BAC35DF4AF5F51B6', '物证封装袋', 'n/a', '耗材', NULL, NULL, '16.5*12cm', '2023-09-15 09:40:53.000000', '2023-09-15 09:40:53.000000', '1', '1', '/', NULL, 1300, '普通耗材', '100', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('F9EBD29F1EEA3D26164BC4E840BF6848', '662DD2C3B77FA3D097E98BF86C9A49D2', '称量瓶', 'n/a', '耗材', NULL, NULL, '50x30', '2023-09-15 09:41:26.000000', '2023-09-15 09:41:26.000000', '1', '1', '/', NULL, 9, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FA10C2ED70EA552DE6E7B7167BEE4657', '4EA3FE14F7BFE4FB3F4F8B55C86E5473', '移液管架', 'n/a', '耗材', NULL, NULL, 'n/a', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '个', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FACBF538D245E1142CBC5C9AC9A305B5', 'CDF19954AB0907B40FA48723F946273F', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)乙酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:54.000000', '2023-09-15 09:39:54.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '对氟苯基乙酰基芬太尼', '冷藏贮存', 'GASS-387', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', 1.00, NULL, NULL, NULL, 1, NULL, '244195-30-0', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FAD72A6FD9659DD966664F521706115B', '792941E2E497F9F9C49E34DAF09117EB', '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:40:06.000000', '2023-09-15 09:40:06.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'D4-5F-ADB', '冷藏贮存', 'GASS-503', '瓶', 'methyl 2-(1-(5-fluoropentyl)-1H-indazole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', 1.00, NULL, NULL, NULL, 1, NULL, '/', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FB7CD80057CFEABFDA0E2B64165A2A00', 'E9906DCDD37116A20A33CC82ABA20DF9', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)异丁酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:27.000000', '2023-09-15 09:39:27.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, '4-氟异丁酰芬太尼', '冷藏贮存', 'GASS-097', '瓶', 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)isobutyramide', 1.00, NULL, NULL, NULL, 1, NULL, '244195-32-2', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FB7E57065F992EB658584212B5B691C9', '3B1FB897E379463C5F96B5467C774B49', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, NULL, 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 09:40:12.000000', '2023-09-15 09:40:12.000000', '1', '1', '/', NULL, 60, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '污水专用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '17008609', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FBA38EAAA26D8DA2379DDC2969FA7EA0', '6CB5246FE84C0365052F5E426873DF1C', '标准漏斗', 'n/a', '耗材', NULL, NULL, 'n/a', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', '/', NULL, 19, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FBEB7FD4FF6EA63B213F5F566650A496', 'DAB893DDC8FB1146D40CA8BC9F467BD5', '氢氧化钠（片状）', '科密欧', '试剂', NULL, NULL, '500g/瓶', '2023-09-15 09:41:59.000000', '2023-09-15 09:41:59.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('FD1B667D3182C73F72E7F628D2D80C3F', 'FA3D7362F13431E0D5EB5E6496922BF1', '牛皮纸物证袋', 'n/a', '耗材', NULL, NULL, '30*17*46cm', '2023-09-15 09:40:51.000000', '2023-09-15 09:40:51.000000', '1', '1', '/', NULL, 160, '普通耗材', '10', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '包', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FD57A6F5430283CBA0A96587165D83CD', 'A922A34C0B51EB7E8ABA7C68E5122D43', '手术剪', '双鹿', '耗材', NULL, NULL, '12.5cm直尖', '2023-09-15 09:41:09.000000', '2023-09-15 09:41:09.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '把', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FE7C68B3BEDAC9CB206FBE2D7D401617', 'F341ED31873B1D3D33525F774CDDC59E', 'N-(金刚烷-1-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, NULL, '1mg/ml,1ml', '2023-09-15 09:39:37.000000', '2023-09-15 09:39:37.000000', '1', '1', '/', NULL, 1, '普通标准物质', '1', NULL, 0.000000000000000000000000000000, 'ACHMINACA', '冷藏贮存', 'GASS-309', '瓶', 'N-(adamantan-1-yl)-1-(cyclohexylmethyl)-1H-indazole-3-carboxamide', 1.00, NULL, NULL, NULL, 1, NULL, '1400742-33-7', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FEAFC849EF0EF33B7A2687B10E86F05C', 'A1DDD6395F3F5EDF0D263EE7D158F182', '梨形分液漏斗', 'Bomex', '耗材', NULL, NULL, '60ml', '2023-09-15 09:41:32.000000', '2023-09-15 09:41:32.000000', '1', '1', '/', NULL, 9, '普通耗材', '2', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FEBFF6A3913B666F90B9A85427BDD01D', '257235F43B75C9DCEB3E1DEC3F109495', '盐酸', '西陇', '试剂', NULL, NULL, '500ml/瓶', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '瓶', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumable_inventory` VALUES ('FEF6552F679344C0708E6DB32C2F30C7', '897B90FE8C0FFFB75535054AF61B9F5E', '2ml进样瓶', 'waters', '耗材', NULL, NULL, '18600847C（棕色）,100个/盒,100个/盒', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '盒', NULL, 1.00, NULL, NULL, NULL, 1, '18600847C', NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FFA23FCDFB79B8D17DFE5B8764A252A3', '2C5CF2C1F86B5C91FD51C69520A28A37', '顶空瓶', '安捷伦', '耗材', NULL, NULL, '10ml,5182-0838', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, 0.000000000000000000000000000000, '/', '常规贮存', NULL, '盒', '/', 1.00, NULL, NULL, NULL, 1, NULL, NULL, NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('FFA7AF24FAAF460635A160AD50142B8A', '3EC5D34BA368333230FC6601EA3987EE', '自封袋', '苹果牌京惠思创', '耗材', NULL, NULL, '9号，,100个/包,100个/包', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, 0.000000000000000000000000000000, NULL, '常规贮存', '通用', '包', NULL, 1.00, NULL, NULL, NULL, 1, '/', NULL, NULL);

-- ----------------------------
-- Table structure for reagent_consumable_stash
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumable_stash`;
CREATE TABLE `reagent_consumable_stash`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `category` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材id',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `total_quantity` int(55) NULL DEFAULT NULL COMMENT '(总数量)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类\r\n',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `unit_price` decimal(10, 0) NULL DEFAULT NULL COMMENT '单价',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS编号',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  `room_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '房间号\r\n',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumable_stash
-- ----------------------------
INSERT INTO `reagent_consumable_stash` VALUES ('0364E678C516A28F189AEABCB31D0AB1', '耗材', '20670F07F63463027BF6621EBB58269F', '洗瓶', 'n/a', NULL, '250ml', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', '/', NULL, 18, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('039793913FBCB7033C9DBDA71A933E7C', '试剂', '299EE1F820A25A4541806537ACC0707B', '碳酸氢钠', '大茂', NULL, '500g/瓶', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('04594804B3B445DB0C31AC42B7E741A0', '试剂', '9416FCBD533B2DB10CBEFAC521322640', '无水硫酸镁', '科密欧', NULL, '500g/瓶', '2023-09-15 09:41:56.000000', '2023-09-15 09:42:08.000000', '1', '1', '/', NULL, 10, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('053107FF8CB69A10219F22970AD8118E', '耗材', 'EFFED4D5671534815F6097E8B09ABBE5', '10ml注射器', '江苏治宇医疗器械', NULL, '/', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '2010100', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('05BFEC5FD5ABBFB5F27CEC66AD677B4A', '耗材', '33E222EF7CF6445AC3D5E3F075FA533F', '保鲜自封袋9号', '苹果', NULL, '280x200mm', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', '/', NULL, 400, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('05CD118065D94DF4841B3367BADB500F', '耗材', 'A239A398F5E415CE81E8D49835A73617', '移液管', 'MC', NULL, '50ml', '2023-09-15 09:41:01.000000', '2023-09-15 09:41:01.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('06D08EBD53C7C20C27F8490DAA1ADAEB', '耗材', 'FEAE8C4F8F0FB4D378900C3486BCD87B', '血清移液管', 'n/a', NULL, '25ml', '2023-09-15 09:41:03.000000', '2023-09-15 09:41:03.000000', '1', '1', '/', NULL, 21, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('071BDF9CF876B9FD4A2EB6EFE229F870', '耗材', '0FC599C9CB20B28CCCE71DD750967A53', '保鲜自封袋10号', '苹果', NULL, '340x240mm', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', '/', NULL, 100, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('07555AE98EB6ACED3194DBC75077FE9E', '耗材', 'B909FFFCC57A1D4D7767A13BAE7D2816', '容量瓶 50mL ', 'Brand', NULL, '棕色', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, '常规贮存', '通用', '个', NULL, 1, '37485', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('078D39FD4AE9C62B252CA34BA1A73DD8', '耗材', '73811EAEEABC115F90491365F9362008', '镊子', 'n/a', NULL, '弯头，12.5cm', '2023-09-15 09:41:13.000000', '2023-09-15 09:41:13.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('0884D569FEBFF3165DBE210CB0E9EC14', '耗材', '125CA7A5C61445DEF84C9C0EDA55A7B4', '进样小瓶', '安捷伦', NULL, '2ml,5182-0714，100个/盒', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('08AACE6B62B28C6A9C559BFBCE9DDC40', '耗材', 'DFC6069615DEDB9B661FE6E5B5E7DDCE', 'LG玻板抽滤漏斗', '垒固', NULL, '250ml', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('091F6EA7255DE4A93E8A65577958CAD0', '耗材', '04E620281BD9A95D9EA1B6D62735A06E', '滴管', 'n/a', NULL, '9cm', '2023-09-15 09:41:05.000000', '2023-09-15 09:41:05.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('0ABB959DD21CD30ED47AE5383598BA56', '耗材', '4D6A5E835D0292667136906055B9C4FD', '进口滤膜', '津隆', NULL, '25mm，100片/盒，水洗聚醚砜（PES），0.45um，货号：JLSP214502', '2023-09-15 09:41:36.000000', '2023-09-15 09:41:36.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('0B72AA9E2F50A7F9B21CB22EAF6FE4AD', '耗材', '45AB3C14928365CA5DC41DC75BA7D684', 'ACQUITY UPLC BEH C18                    ', 'Waters', NULL, '2.1*100mm,1.7um', '2023-09-15 09:40:56.000000', '2023-09-15 09:40:56.000000', '1', '1', '/', NULL, 4, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('0B9572CCFC8667BD7AEFD62A93FC8DAB', '耗材', 'EE1466A836761B76D7AC1151C7201D41', '试管', 'n/a', NULL, '18*180mm', '2023-09-15 09:41:00.000000', '2023-09-15 09:41:00.000000', '1', '1', '/', NULL, 30, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('0D300D07D363B15523EBBA300D814C80', '耗材', '2C39053AC21FA9BF3174A15F537385A6', '一次性玻璃巴氏吸管', 'Brand', NULL, '225mm', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '747720', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('0DD3FFEC17233E63C9BFC85EF7225F74', '耗材', 'B1A6FA2EFDF1B04A7B936084CD9C0C66', '螺口试剂瓶', '蜀牛', NULL, ' 1000mL(棕色)', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('0E28071A2B15435E8C26FB4F00619D91', '耗材', 'D23B9B2118B56D2E9DC364629C6CEA56', '手套', '科邦', NULL, '丁腈，s码', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', '/', NULL, 27, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('0E3BB26E5FAB76DC31654E6E2B2B992A', '耗材', '25C7BF1970F4DE169F45979DA6AACDD6', ' 针头过滤器 25mm', 'Whatman ', NULL, '25mm', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '盒', NULL, 1, '10462701', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('0E59599D34483955B3B2398716B0D767', '试剂', 'E20CD7352903DF0131FAFD4E3C304799', '氢氧化钾', '光复', NULL, '500g/瓶', '2023-09-15 09:41:59.000000', '2023-09-15 09:41:59.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('0EA9F30AB5DC2D5FCEC2D8601A7963DC', '试剂', 'DE8D403C4ACD6F0AB9395F38245C325C', '浓硫酸', '国产', NULL, '500mL/瓶', '2023-09-15 09:40:47.000000', '2023-09-15 09:40:47.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '分析纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('0F1AF4AB28434A3E656B3E60453F5EA2', '耗材', 'C1B9CE6531D6A723125DD757A6151E12', '收纳盒', 'n/a', NULL, 'n/a', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('0F3CB92FC151268740C5C22995942B43', '试剂', 'AA1B9E5857CF83C93DC73E2F90FE0175', '甲醇', 'Supelco', NULL, '2.5L/瓶', '2023-09-15 09:40:41.000000', '2023-09-15 09:40:41.000000', '1', '1', '/', NULL, 18, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'LC/MS级 ', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('0FE3C4CD553AB152292E5F31011E05BD', '耗材', 'C8A058787E1E9A09312B66A5721CFEB7', '螺口试剂瓶', '蜀牛', NULL, ' 5000mL', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('106077955FB0CFF22F680CA725B72691', '试剂', '450DBF607C4CBF40AAB4270885E1C892', '异丙醇', 'GRACE', NULL, '4L/瓶', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('11671F382978D8C28B04FDD679C4242E', '耗材', '51ED037EA4B3AA507EF16E3D1573B998', '一次性塑料离心管', 'Corning', NULL, '50ml', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', '/', NULL, 9, '普通耗材', '20', '/', '常规贮存', NULL, '箱', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('11C52BEBBA6DF943AA61706323E33498', '耗材', 'D0D69D2F2EB99936DD0D54145E2D4A3F', '塑料烧杯', 'n/a', NULL, '10ml', '2023-09-15 09:41:05.000000', '2023-09-15 09:41:05.000000', '1', '1', '/', NULL, 39, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('11D3BFEA49A5B3616E4A4D0DB04E19C4', '试剂', '28BA2905E7359407A2D994E1D73C22DA', '乙酸乙酯', '国药集团', NULL, '≥99.5', '2023-09-15 09:42:12.000000', '2023-09-15 09:42:12.000000', '1', '1', '/', NULL, 9, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('12273D175323BF9CA312D32DA237B314', '试剂', '7C82D2143591F0896F4979C655C8E5AB', '异丙醇', 'Supelco', NULL, '4L/瓶', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('12C273D87B41E3B2BEA8B5BF19939CDD', '试剂', '0C438408AE9AA3D42A80B85CE5127EB5', '1,3,5-三噁烷', 'Sigma-Aldrich', NULL, '≥99%', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('13A499D2CF93329DC9A117761FE6A858', '耗材', '4A1C2F0146449736397D4B6221AEFC3B', '保鲜自封袋8号', '苹果', NULL, '240x170mm', '2023-09-15 09:40:49.000000', '2023-09-15 09:40:49.000000', '1', '1', '/', NULL, 300, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('146C85851F13B258AA9A4678048A9B3B', '试剂', '8B9F0BE690AD489D2DC5544656AC70C0', '四氢呋喃', '阿拉丁', NULL, 'AR,99.0% (含250 ppm BHT稳定剂)，500ml', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('153872ED120906EAD0F5F252B2456E4B', '耗材', 'CB7BB85890F17AD825F90EBD27F30FFA', '15ml塑料离心管', 'CORNING　CentriStar', NULL, 'PET塑料', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, '常规贮存', '通用', '箱', NULL, 1, '430790', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('15FBD5FD28980A80845CCA7A722B4032', '耗材', 'E36F366E97BBCA68D8F6B4DD0C0E35B5', '容量瓶 100mL ', 'Brand', NULL, '棕色', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, '常规贮存', '通用', '个', NULL, 1, '37487', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('160204A5B9E6D5B7F317845722B0719E', '耗材', 'B8AD0BAA1596310ED07D25450C2CDE1A', '红色胶帽', '金利', NULL, 'n/a', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', '/', NULL, 200, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('164B58F64BDA951EC5361FE02111F871', '耗材', '72236D220A13C0AC544417A5888386EB', '200ul枪头', 'Brand', NULL, '容量200ul', '2023-09-15 09:40:17.000000', '2023-09-15 09:40:17.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '732028', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('16D8004CE999F58288355D9469BFF358', '试剂', '967E74E20A8667515E821ED64E6A29C8', '丙酸酐', '麦克林', NULL, '98%,500g/瓶', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('175BB11AD9BDC7A3285BB56972945E97', '耗材', 'F4092B60EACAEDD2092F244FC4DCFB52', '定量滤纸', '双联牌', NULL, '9cm，慢速', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('17D187A96705382365685FFBDCF698A3', '耗材', '890913D3505BB6C3BD12333CBDDF3700', '废液瓶架', 'n/a', NULL, 'n/a', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', '/', NULL, 14, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1814F55969711B766465BDF320C1AF48', '耗材', 'BB717CD102B22D868D189153E89F4612', '量筒', 'Bomex', NULL, '50ml', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', '/', NULL, 10, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('187FA7A2F36ED303003F6985FEC9A5FC', '试剂', 'B6FEB4E15A6281B70CBAD61C8C7262CC', '石油醚', '津东天正', NULL, '500ml/瓶', '2023-09-15 09:42:08.000000', '2023-09-15 09:42:08.000000', '1', '1', '/', NULL, 10, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('1895418C4FE83DB776E53660AED55C1A', '耗材', '0F6439F9C5F5B16EE237EBAAAD16A685', 'Shim-pack GIST', '岛津', NULL, '4.6*150mm,5um', '2023-09-15 09:40:55.000000', '2023-09-15 09:40:55.000000', '1', '1', '/', NULL, 4, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('18DD5828745550FD2876263D48910066', '耗材', '76D485504D6355A469848770A237ED51', '移液枪吸头200uL', '赛多利斯 ', NULL, '/', '2023-09-15 09:40:36.000000', '2023-09-15 09:40:36.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('199323E562075DC0B6A4FBEFF8104436', '试剂', '2AA86C4E632105C28977416DA8718C76', '利血平', 'Sigma-Aldrich', NULL, '5g/瓶,99%', '2023-09-15 09:42:06.000000', '2023-09-15 09:42:06.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('19F0F4E3035B6AC9883F182E6DCB925F', '耗材', '247CE80EDF5B15ECEA2C436CF0C1420E', '连盖离心管', 'AXYGEN', NULL, '2ml，500支/袋', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1A5F83BBF0B71D152E530B396BD5598E', '耗材', 'D413725D92649F66635A1EE0846B94FF', '保鲜自封袋6号', '苹果', NULL, '120x170mm', '2023-09-15 09:40:49.000000', '2023-09-15 09:40:49.000000', '1', '1', '/', NULL, 100, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1AC1155E1C51C8CCA2154F76871DC9DC', '耗材', '9454CFEE88EC72064CB3D2F388A86885', '容量瓶', 'Brand', NULL, '100ml', '2023-09-15 09:41:20.000000', '2023-09-15 09:41:20.000000', '1', '1', '/', NULL, 13, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1B426580BBDE0D354250A7CAABA79213', '耗材', '1DFAECBBE7DC56D9100EF0D269AE4718', '容量瓶', 'Brand', NULL, '5ml', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', '/', NULL, 44, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1D4E0A5B87E6FE454717E821F6FF69D9', '耗材', '077B2B308F7E87EF9C2569FFA2FB292B', '水系滤膜13mm*0.45um', '津隆', NULL, '/', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '盒', NULL, 1, 'JLSP054501', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('1DA9A898F2435E847FCBF450FC49491C', '试剂', '27EBED92B56143B773D448FB951B6B82', '乙腈', 'Fisher', NULL, '4L/瓶', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC，GC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('1DCE73776C4266B4F62C64DD2302D421', '耗材', '1E09335E6A1D5EBBD56C549857EDEB09', '称量瓶', 'n/a', NULL, '25x25', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', '/', NULL, 15, '普通耗材', '20', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1E20A7D6DDC1C43854671D3FF4C05AA2', '耗材', '69C44817233291C4FD6AAD91363D82E2', 'LG玻板抽滤漏斗', '垒固', NULL, '100ml', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1E39AB61EDC4717CC9EA4FCC66778C51', '耗材', '197536D9AA7F267FCE0917B3D3EA2890', '枪头', 'Brand', NULL, '1000ul', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', '/', NULL, 10, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1EA295A13CA417A5C6C57413BC262E1E', '耗材', 'FCFFFA32F3F2D9816375F26327E45D49', '移液管', 'MC', NULL, '5ml', '2023-09-15 09:41:00.000000', '2023-09-15 09:41:00.000000', '1', '1', '/', NULL, 25, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('1EA4617603CE91508B0FE47629D687B6', '耗材', 'CF576EBBF552DF7B431885D8CA84D08A', '定性滤纸', '皎洁', NULL, '11cm，中速', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('201274E0EA07ACBD3041FD6B2940615F', '耗材', '35E466DB1D7BBCDD6DD264D9497437EA', '量筒 50mL', '/', NULL, '/', '2023-09-15 09:40:29.000000', '2023-09-15 09:40:29.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('2038D495317DE50FE261218E154FA0B2', '耗材', '6883B42EF98AEC57B6096D243CF3B08A', '一次性塑料滴管 1mL', '国产', NULL, '/', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('20C5F947FFC85305DCD21005837B9A77', '试剂', 'DCE70E420DD14B6EDCD7CD1EE1408E05', '二氯甲烷', 'CNW', NULL, '4l/瓶', '2023-09-15 09:41:52.000000', '2023-09-15 09:41:52.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('227CD72444B209599D7080A5555852A1', '耗材', '7FEEDDDF461B32111FB4F56418255673', '滴管', 'n/a', NULL, '18cm', '2023-09-15 09:41:04.000000', '2023-09-15 09:41:04.000000', '1', '1', '/', NULL, 21, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('229E04021F181B2EF6C969D3563B087C', '耗材', '07E802BCBC780A8820E247AE2A9B7DE9', '50ml塑料离心管', 'CORNING　CentriStar', NULL, 'PET塑料', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, '常规贮存', '通用', '箱', NULL, 1, '430304', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('22EEF7282268EE929B78D5A280A3C29E', '耗材', '198DE3328BEDC5E3126CF1399BE2A950', '一次性玻璃巴氏吸管', 'Brand', NULL, '225mm', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '747720', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('231EDE4D1A398A2461236AB5412E12C2', '耗材', '1E4B184F35E24FEF1E60FFD0835F2F85', '量杯 塑料 3L', '/', NULL, '/', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('2324FE51917DF29361DD88494C4142D1', '耗材', 'F85D90430480862C84CC86F72B27A0B6', '15ml塑料离心管', 'CORNING　CentriStar', NULL, 'PET塑料', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', '/', NULL, 26, '普通耗材', '1', NULL, '常规贮存', '通用', '箱', NULL, 1, '430790', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('24FDC78C546CD676EBCC669F76EA22BB', '试剂', '7161859E0131302EB53EDC711C203D4D', '异辛烷', 'Supelco', NULL, '1L/瓶', '2023-09-15 09:42:12.000000', '2023-09-15 09:42:12.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('251E387B51B43AF18B8254D110426B22', '试剂', '723C2769E172F25C2CA57814C162AB3E', 'D-缬氨酰胺盐酸盐', '阿拉丁', NULL, '97%，1g/瓶', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '133170-58-8', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('2630CE100211526061767AF8E47F6A2B', '试剂', 'F5B278B240F82AD5654FDE723873D717', '氘代氯仿', 'CIL', NULL, '0.6mLx10,99.8%', '2023-09-15 09:42:07.000000', '2023-09-15 09:42:07.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('26C9869EDDF285D24BF63591E8279A5E', '耗材', '8C9580EA787F21B966FEA7F266988973', '量筒 100mL', '/', NULL, '/', '2023-09-15 09:40:29.000000', '2023-09-15 09:40:29.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('26E4D2BC52FF6F06A82BF0FE24FC884B', '耗材', 'F3C6A67A581E9706631226E0A5C65627', '微孔滤膜', 'GreenMall', NULL, '有机系（尼龙）,50mm,0.22um,50片/盒', '2023-09-15 09:41:36.000000', '2023-09-15 09:41:36.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2775D37F5E95E41238C217C9F31ACC02', '试剂', '9C6CA2B9BD8CD0E8DECFE3900BDD70DE', '氯化钠', '科密欧', NULL, '500g/瓶', '2023-09-15 09:41:56.000000', '2023-09-15 09:42:08.000000', '1', '1', '/', NULL, 20, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('278CF30725BDF019E12379F8FDE965E5', '耗材', 'C2B9200F1BDA692ACB8BDCF37CBF478E', '一次性塑料滴管 3mL', 'Cypress', NULL, '/', '2023-09-15 09:40:30.000000', '2023-09-15 09:40:30.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, '常规贮存', '通用', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('27C9A9F1237856E2994E8D2CE4CA4016', '耗材', 'C0D5990D42D46F67A438E48B201634C3', '物证提取袋', 'n/a', NULL, '15*10cm', '2023-09-15 09:40:52.000000', '2023-09-15 09:40:52.000000', '1', '1', '/', NULL, 950, '普通耗材', '50', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('27CC9F83152F79FBED7E395984CBA15B', '试剂', 'FC86FB6282EBB1E96EBD5531C467D311', '无水碳酸钠', '光富', NULL, '500克/瓶', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('27F68A0AF8E83BF60EBFE4129E167A14', '试剂', 'FE968C2932EE3900AE0D67AE5B7BD420', '1H-吲唑-3-羧酸甲酯', '阿拉丁', NULL, '97%，5g/瓶', '2023-09-15 09:42:12.000000', '2023-09-15 09:42:12.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '43120-28-1', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('28C8A48CE2D130574E7CC53920643FA0', '试剂', 'AEF5D5720419119DA512ADACCAD4FC0F', '丙二酸二乙酯', '麦克林', NULL, '99%，500ml/瓶', '2023-09-15 09:41:49.000000', '2023-09-15 09:41:49.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('293109A350DF588888F3179DB344779C', '试剂', '49248C881EC31157C67228EB50AA87E2', '三（羟甲基）氨基甲烷', '沪试', NULL, '100g/瓶', '2023-09-15 09:42:00.000000', '2023-09-15 09:42:00.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('29B09B6EFAC09FD4ED51AB1CBB28C103', '试剂', '8579C5EC48ECB7BC3A60BE552B627DD7', '甲醇', 'Supelco', NULL, '4L/瓶', '2023-09-15 09:41:50.000000', '2023-09-15 09:41:51.000000', '1', '1', '/', NULL, 42, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('2A9C7B5E7B467BA82F296797BFEB2CB7', '耗材', 'F7344745AADFA63355CD77995162006C', '一次性塑料烧杯', 'n/a', NULL, '100ml', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2AA05AD9C5C0461376A4FF1DB42EE2D5', '耗材', '498C25DDA5EB09AC3FAB8CB5D914BFAB', 'ZORBAX Eclipse Plus C18', 'agilent', NULL, '4.6*150mm,5um', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', '/', NULL, 1, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2B4456722D3B170E56834C30CDA96963', '耗材', '7AD48E51FFA16DA45475FF5E50B96318', '一次性使用无菌注射器 带针', '治宇', NULL, '2ml,200/支', '2023-09-15 09:41:37.000000', '2023-09-15 09:41:37.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2B6489C75FF179C34F95F0E50FF4B0EC', '试剂', 'F02FF7641F41F92815BD7256B31103DF', 'DIC, N,N′-二异丙基碳二亚胺', '阿拉丁', NULL, '≥98.5%，100ml/瓶', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '693-13-0', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('2BAEF37985C4EDFCDC5D427647C69B71', '耗材', '3B512313A44260F994BC3AE12C5C4C2D', '研钵', '垒固', NULL, '18cm', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2CBD81CC5696EDD5B194BCD0DE611E06', '耗材', 'DAA2E0556CC5014DABCF9EE749AE2B4F', '密封垫', '岛津', NULL, '货号221-48398-91，20个/盒', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2DEF9F4822CB10739792C5D3C1EE69B5', '试剂', '48CB9A92430B394784EB27E358C38A6F', 'DMAP, 4-二甲氨基吡啶', '阿拉丁', NULL, '99%, 100g/瓶', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '1122-58-3', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('2F61F1679BECBD72792EB86B262969DE', '耗材', '5D03BD377D3CF1E9494B3CADAE6D8B5B', '定量滤纸', '双联牌', NULL, '12.5cm，慢速', '2023-09-15 09:41:37.000000', '2023-09-15 09:41:37.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('2F652FCCB2674C00AEFB7195917D7A57', '试剂', 'AAC9843E4A561D0E7E4F392294D02C04', '三氯甲烷', '科隆', NULL, '500ml/瓶', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', '/', NULL, 19, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('2FFFA75757A1A45B3C1BA1089E26C3DD', '耗材', 'E92D84C413D598CBFD0BA5C51B95C985', '血清移液管', 'n/a', NULL, '2ml', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', '/', NULL, 17, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('31519F220D61506330F64711D7D0D82A', '耗材', '200AC112BCE6DD33C34C67F08C69AD31', '滴管', 'n/a', NULL, '12cm', '2023-09-15 09:41:05.000000', '2023-09-15 09:41:05.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('31619BEDCBFEAD0E12F25D24E0E5DA05', '耗材', '18BDC8CA4135D695BD43BA52C8AF873A', '容量瓶', 'Brand', NULL, '1ml', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', '/', NULL, 4, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3204E727C7FE1C1C5CB16B9CB88E4D8C', '耗材', 'E70D7605B45D2B13634EB3B450C87DCB', '进样小瓶盖', '安捷伦', NULL, '2ml,5182-0717，100个/包', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('32308D9D2616BC7405415FBBC64BE0AB', '试剂', '7247103108ADD12071B069D83DCE8A74', '苯骈三氮唑', '阿拉丁', NULL, '99%，100g/瓶', '2023-09-15 09:42:17.000000', '2023-09-15 09:42:17.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, ' 95-14-7 ', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('3240202746C7703C965928831FF8340C', '试剂', '454DF4463E9318A168F1B26E8D7C7E25', '氘代甲醇', 'CIL', NULL, '50ml', '2023-09-15 09:42:03.000000', '2023-09-15 09:42:03.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('331FAF1C17530098FAB94727FF4B1DD2', '耗材', 'D345A5483AD2E290EBE4F981D39817EB', '2ml进样瓶盖（无预开口）', '安捷伦', NULL, '5183-2076', '2023-09-15 09:40:19.000000', '2023-09-15 09:40:19.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, '常规贮存', '通用', '包', NULL, 1, '5183-2076', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('332959C16832DB7890990AA2DE832F9C', '耗材', '990C4C91BD70015F0430AD1132C0F499', '移液管', 'MC', NULL, '20ml', '2023-09-15 09:41:01.000000', '2023-09-15 09:41:01.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3390EC001378C55B64ECF64D9C79F1C8', '耗材', '2AA37711B87C9795203B25FD9204126B', '螺纹试剂瓶', '蜀牛', NULL, '250ml', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', '/', NULL, 8, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('345EE39F07DCC661E4E524765FC0FFA1', '耗材', 'E152507ED99B48ACFE178F1AC9D60064', '进口滤膜', '津隆', NULL, '13mm，水洗聚醚砜（PES）,0.22um，货号：JLSP042201', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3473E1CF61E66B967CA31D9EBFEC456D', '试剂', 'D646451D665485221A87C5831478E3D3', '二氯甲烷', '国药集团', NULL, '≥99.5', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', '/', NULL, 8, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('34D1E3BA272BC9C82CAB0C4243501D98', '耗材', 'C2917BB99B48F17877AE9FC545EFC21F', '刮刀', 'n/a', NULL, '25cm', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('35250BB36564C89E405E2EA88892A9A1', '试剂', 'EC9B88198F28D48AC3C588D5E1817C53', '磺胺', 'Sigma-Aldrich', NULL, '5g/瓶', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('35EF27ED478DA7B80539A747AEEC9D1D', '耗材', 'BD88151113D5A24ED22B9FF11E6F73D4', '量筒', 'Bomex', NULL, '100ml', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', '/', NULL, 9, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3609B10BEF9E64597FB52E7F24554455', '耗材', '4526E3C0FF9B7D161340BF869E11DF7D', '一次性玻璃巴氏吸管', 'Brand', NULL, '225mm', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', '/', NULL, 36, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '747720', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('3938FCA5E17724A70DDD1017FB7C4B7E', '试剂', '5101AF4A986EF4134D65BE30161D374F', '磷酸', '阿拉丁', NULL, '89-90%,500ml/瓶', '2023-09-15 09:41:50.000000', '2023-09-15 09:41:50.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('3A2858DA99F5E25EBB6B2393374AF5CE', '耗材', '0E320FC43138150A2D92F3D923B36A02', '牛皮纸物证袋', 'n/a', NULL, '10.2*8.8cm', '2023-09-15 09:40:50.000000', '2023-09-15 09:40:50.000000', '1', '1', '/', NULL, 170, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3A53036EF5DB855D210F1AF173678DCA', '耗材', 'A1DDD6395F3F5EDF0D263EE7D158F182', '梨形分液漏斗', 'Bomex', NULL, '60ml', '2023-09-15 09:41:32.000000', '2023-09-15 09:41:32.000000', '1', '1', '/', NULL, 9, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3B80CEEF582C0CC34AFD4ADEDCF982FB', '耗材', 'A03B319537BC215BE7A50504E76745A2', 'Kinetex Biphenyl', '飞诺美', NULL, '100*3.0mm,2.6um', '2023-09-15 09:40:55.000000', '2023-09-15 09:40:55.000000', '1', '1', '/', NULL, 1, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3B95D9BEC3C3BAE46D8B3D3A53B0B8DE', '耗材', 'B674507829F9D164DB818C68C09ADF4D', '擦镜纸', '杭州新星', NULL, '10*15cm', '2023-09-15 09:41:04.000000', '2023-09-15 09:41:04.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3C3A6F3C20ECACF55FD08C119AA58581', '耗材', '22DE82F7312A2A1C86F65794E5724C55', '滤膜', '上海新亚', NULL, '有机，0.22um，50mm，50片/盒', '2023-09-15 09:41:36.000000', '2023-09-15 09:41:36.000000', '1', '1', '/', NULL, 16, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3D94DC0D323B0F6226E16A82BF0AF762', '耗材', '4D51D181A842BC6FCEB2DDFD48B07D0A', '塑料吸管', 'n/a', NULL, '0.2ml，500支/袋', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3DFC168C396FD3C5F18EFB217CCEDE80', '耗材', '241072202AC0E870F1F26F469AE606CA', '螺口试剂瓶', '蜀牛', NULL, ' 5000mL', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('3E03BD4E085E16B9E96420DAC5DC3011', '耗材', '4B286C743CF9CDED4C31C03EFFD2D3AD', '瓶口分液器', 'sartorius', NULL, '0.2ml-1ml', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3E9B02CBC89D75F8F7F0753F0E13C6CB', '耗材', '640401F2DEB447FBA5625868977F36B5', '水系滤膜25mm*0.45um', '津隆', NULL, '/', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '盒', NULL, 1, 'JLSP214502', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('3EFAF240BA977C0EAE06CDCFB57F1FEA', '耗材', '551F62C8FF44CB3E9CDEECDE59ADC7DD', '200ul枪头', 'Brand', NULL, '容量200ul', '2023-09-15 09:40:17.000000', '2023-09-15 09:40:17.000000', '1', '1', '/', NULL, 30, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '732028', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('3F502801A983A6E2283365EA4FB04273', '耗材', '54418F86047EB9633A9005735693512C', '离心管架', 'n/a', NULL, '4X5，20孔', '2023-09-15 09:41:44.000000', '2023-09-15 09:41:44.000000', '1', '1', '/', NULL, 17, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3F6C81BC84AF9DE3F3E6E5CBC4D71DE6', '耗材', '80197BFD56B43EBFE36D4E2C2E8576DF', '自封袋', '苹果牌京惠思创', NULL, '4# 85*120mm', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', '/', NULL, 52, '普通耗材', '1', NULL, '常规贮存', '通用', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('3FB1D82A9C43931F97E42BD2FAA7A052', '耗材', '3BFEBC44F71866CD03A640112521656C', '量筒', 'Bomex', NULL, '25ml', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', '/', NULL, 11, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('3FEC803ED9F7F40CDAD1A5BAB0AC9B47', '试剂', '85108C2AE1FDFBD6385BF2D37F9FAD19', '氯化亚砜', '科密欧', NULL, '500ml/瓶', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('4044D47A45C7D5B4A72119E47D83FA2D', '耗材', '7E3F33D672B713B4B247E8B4D4B2B57A', '微孔滤膜-两相通用', 'Pall', NULL, '13mm 0.2um GHP ', '2023-09-15 09:40:11.000000', '2023-09-15 09:40:11.000000', '1', '1', '/', NULL, 14, '普通耗材', '1', NULL, '常规贮存', '污水，毛发专用', '盒', NULL, 1, '2401', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('4069AAB2CA8E34712757BAC2FD7BC5FA', '耗材', 'BFBBAA916263FD9F97001DE14FDF8F2C', '白色药瓶', 'n/a', NULL, '20ml', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4076FC88A2E8D20756167D70614C2661', '耗材', '942297ABB7F16A14DE9E95494D2DDBBB', '血清移液管', 'n/a', NULL, '50ml', '2023-09-15 09:41:04.000000', '2023-09-15 09:41:04.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('408FA4C7F05BDB32807A5D2B0774AC49', '耗材', 'D397FECEC8C47F522F0DC1F2C4C2EB02', '砂芯过滤装置全套', '津隆', NULL, '1000mL', '2023-09-15 09:40:15.000000', '2023-09-15 09:40:15.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, '常规贮存', '污水专用', '套', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('409B85A10239B172C7B95D63B6E159A0', '耗材', 'DE4A0D4E4CF7D8B62027413883F25927', '枪头', 'sartorius', NULL, '10ul', '2023-09-15 09:41:40.000000', '2023-09-15 09:41:40.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('409BFCE0E6541766476C42CC10C39185', '耗材', 'CA1977CEC5D59434488383DA0DBE3628', '白色滴瓶', 'n/a', NULL, '60ml', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', '/', NULL, 18, '普通耗材', '10', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4108E9794ECF4FE7F18A945D2CB8C4A8', '耗材', '7834AAB43551B63158DB15173108F7D1', '玻璃冻存管', 'n/a', NULL, '透明，5ml', '2023-09-15 09:41:06.000000', '2023-09-15 09:41:06.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('430A99CC54F418A57E510FAE609FB903', '试剂', '1CF613F9B1A3D3247FF41049698E0620', '石油醚', '利安隆博华', NULL, '500ml/瓶', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:57.000000', '1', '1', '/', NULL, 40, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('43C2AC1835A8327A32A7DC597D823F1B', '耗材', 'B038093FB8099C3586324EECC0085278', '移液管', 'MC', NULL, '2ml', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', '/', NULL, 15, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4455235F6703A1FC6E3DD6EE68D1AFB6', '耗材', 'E429C695B8C1C82B9689FDC51A04A046', '定量滤纸', '新星', NULL, '18cm，中速', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('44A9D3DC43905BFD8585845D0D1EAF62', '耗材', '7EE3D28D6C3416784C4DF4CA7B334E0B', '隔垫', '岛津', NULL, '货号221-76650-01,25个/盒', '2023-09-15 09:41:00.000000', '2023-09-15 09:41:00.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('44D3AE9FD16D807D3397889DAE6D60C2', '试剂', '2E9CBBC8D6C35641F846D3384BECAE48', '乙醇', '西陇', NULL, '500ml/瓶', '2023-09-15 09:41:50.000000', '2023-09-15 09:41:50.000000', '1', '1', '/', NULL, 9, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('45AD411C3E5E00C526DEE11DBFA66C1D', '耗材', '47D70559EF96B1C962BE5505ED357A03', '圆底烧瓶', '申迪', NULL, '500ml', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', '/', NULL, 19, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('461D9D1BE9EE05B7B4A24F438422D830', '试剂', 'F8B81CB0EAE10FA0363AC93C07B3337D', '乙酸铵', 'Sigma-Aldrich', NULL, '32301-500g/瓶，98%', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'ACS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('475301101D8FF474F1BF0E91CCA23BBC', '耗材', '42EF98B71D597C112B430F77AD7DB041', '一次性蓝色丁腈手套', '柯沃', NULL, 'M', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', '/', NULL, 45, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('482DC284EADAC725D4680ADE45333DD3', '耗材', '01587042216D167E989E80F468703A8D', '试管架', 'n/a', NULL, '3x6', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', '/', NULL, 13, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4894C132CC5711CCF932F5D3410E6ED5', '耗材', 'CD7CFF53924CAC2A9CD4CC4ABF8E23BE', '微孔滤膜-两相通用', 'Pall', NULL, '13mm 0.2um GHP ', '2023-09-15 09:40:11.000000', '2023-09-15 09:40:11.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, '常规贮存', '污水，毛发专用', '盒', NULL, 1, '2401', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('48AC371C744023F46AFB65759239B61D', '耗材', '60155AD4B6048FC45671D08E256BFE01', '一次性塑料滴管 5mL', '国产', NULL, '/', '2023-09-15 09:40:34.000000', '2023-09-15 09:40:34.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('4914DED9D58906A3CC25EEABC7C8EB8E', '耗材', '5F150FD2CB70C7DDC6C08899EB170954', '试管帽', 'n/a', NULL, 'Φ15', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', '/', NULL, 30, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4977BD275929104F3DE317DC2AF69820', '试剂', '971EBC2FCD6880C2DA50DDB5DDADF4E4', '甲醇', 'Thermo', NULL, '4L/瓶', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC，GC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('49ED12AC2E039AB1DCFF3594453BBB1D', '耗材', 'FEA92E1271EBDED89F8CFE6A5A06751C', '气相进样针', '岛津', NULL, '10ul', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', '/', NULL, 22, '进样针', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4BE152733B4A02FD32BD6B347D8AC471', '耗材', '3F1F2447DF50282F34D183372A7C3EFA', '镊子', 'n/a', NULL, '直头，12.5cm', '2023-09-15 09:41:13.000000', '2023-09-15 09:41:13.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4BFA9981B99F7C6FB083947B9A8CDF7F', '耗材', '76F5C88EDAF2FE5A652AB5A64B050B78', '梨形分液漏斗', 'Bomex', NULL, '250ml', '2023-09-15 09:41:32.000000', '2023-09-15 09:41:32.000000', '1', '1', '/', NULL, 10, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4C5C7BC5E48BF6CFF6AAAE9A9A6D53FB', '耗材', 'D0905DCFBFD594522E9B4BDBDB8D4554', '棕色滴瓶', 'n/a', NULL, '125ml', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', '/', NULL, 10, '普通耗材', '10', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4CE08ACE21B9AE52031BFFDD7C3404F1', '耗材', '04FBC043DC77C02EFC45BA2A687055AF', '带塞溶剂瓶', 'n/a', NULL, '250ml', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', '/', NULL, 19, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4D5101E36C76B0B5B03D6273C03A6D6E', '耗材', '525D2019FE3D47EFBA72CD2E3A64A46D', '容量瓶', 'Brand', NULL, '10ml', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', '/', NULL, 41, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4F1429DCCE4F1868B1C7C67CFDF07C6A', '耗材', 'EB67D3C18966168F7336F17C9065687F', 'DB-35MS', '安捷伦', NULL, '30m*0.25mm*0.25um，122-3832', '2023-09-15 09:41:08.000000', '2023-09-15 09:41:08.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '根', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('4F2913DF4C60604A36C5B4F204F0C4C4', '试剂', 'E6B2CE5CD02BA982C85F87E07E9E5810', '丙二酸二乙酯', '阿拉丁', NULL, '0.99', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:53.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('4F86B18EE70CE6C0EDCE6FB6EB2E0547', '耗材', '3F3010C2395BDA1DA29BAA9FD33BB599', '手套', '科邦', NULL, '橡胶，S号', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('504239FEDEB088EA5FDAC1929FCA5B6B', '试剂', 'BD51161FD43DB84AA9D0BF8B3540EDE8', '叔丁醇钾', '阿拉丁', NULL, '98%，500g/瓶', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('50AC8486A94787BCB657D80A3801D050', '试剂', '17713ECDE535925E8D358431B988F7CA', '4-氟苄溴', '阿拉丁', NULL, '97%，25g/瓶', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '459-46-1', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('50C4CDBE648026C206C028E4FEF9D9C3', '耗材', 'D64C2FBD9483AA3440A5E7F92C3EAA73', '丝口试剂瓶', '蜀玻', NULL, '2000ml', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', '/', NULL, 12, '普通耗材', '3', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('513F137B3FB3488822CEAF8D3A3B5419', '耗材', '3AE8634DEC1350DB23BCC23613EC9893', 'ACQUITY UPLC HSS T3 1.8um', 'Waters', NULL, '1.8，2.1*5mm Column', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', '/', NULL, 2, '色谱柱', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, '186003976', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('51CF571F5A44F4D965F9D921B86CD850', '耗材', '94742C810D254D0B8C470A9D034191B0', 'InfinityLab Poroshecll 120 PFP', 'agilent', NULL, '4.6*250mm,4um', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', '/', NULL, 1, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('52020BB408E8C3D60357283C769FBD23', '耗材', '85E25B24FEE067408CB4072BD8E4B035', '保鲜自封袋7号', '苹果', NULL, '200x140mm', '2023-09-15 09:40:49.000000', '2023-09-15 09:40:49.000000', '1', '1', '/', NULL, 400, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('521F0AE33A6392593610F86765DD6C8D', '试剂', 'AB3D4CD8FCDA293AA695044A293B2836', '乙酸铵', '大茂', NULL, '500克/瓶', '2023-09-15 09:40:43.000000', '2023-09-15 09:40:43.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('5338A5C8109149569CE27F8AEF4F97A8', '耗材', 'DF8053EB65C291FD007A082B892A3EBD', '锥形瓶', 'Bomex', NULL, '250ml', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('53560B715023C636AD2201A84024535E', '耗材', 'A904424B406E0C0F0313A18E22530DFE', 'ACQUITY UPLC BEH HILIC 1.7um', 'Waters', NULL, ' 1.7 µm, 2.1 mm X 50 mm', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', '/', NULL, 4, '色谱柱', '1', NULL, '常规贮存', '毛发专用', '根', NULL, 1, '186003461', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('541EBDE21EE9300FC6E906044C2A4E35', '耗材', '1C04C172EFA3E75B14C8438C636B9906', '棕色滴瓶', 'n/a', NULL, '60ml', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', '/', NULL, 20, '普通耗材', '10', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5460FE6AFE51B45BA58062FD1B64AB3B', '试剂', 'E20EB7FD779E9FDAA345E10F1DA811D2', '甲酸铵', '科密欧', NULL, '100克/瓶', '2023-09-15 09:40:39.000000', '2023-09-15 09:40:39.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1, '/', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('54793C4500716C3CFB76CFD4B79B6A23', '试剂', '9494AAC43181B6DECF98865C1ACA12F3', '乙酸', '科密欧', NULL, '500ml/瓶', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', '/', NULL, 9, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('54B76B542A85179DF1D1F3AF6766AD54', '耗材', '8F34A2593FB661BF7761A60D7870B060', '镊子', 'n/a', NULL, '直头，20cm', '2023-09-15 09:41:13.000000', '2023-09-15 09:41:13.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('54CBC1B34922C3C92BEB9CBF698A1E68', '耗材', 'D50C807A007B4972497124677FB699A8', 'O型圈', '岛津', NULL, '货号036-11203-84，5个/袋', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('552AEB7555502C321160F33E728CFC2F', '耗材', '456E323FC6F2687E4513DBE84C7B0689', '砂芯过滤装置全套', '津隆', NULL, '1000mL', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, '常规贮存', '污水专用', '套', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('5638AF8F55E0D1B0BCE06CDEE770075D', '耗材', '355B41480BBD209260994C0D4C83408C', '封口膜', 'PARAFILM', NULL, 'PM-996', '2023-09-15 09:40:17.000000', '2023-09-15 09:40:17.000000', '1', '1', '/', NULL, 11, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, 'PM-996', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('56B6F737568DA311AE5E06765A9F9049', '耗材', '31872878597ED68D69F805768669B885', '移液枪', 'Sartorius', NULL, '500-5000ul', '2023-09-15 09:41:08.000000', '2023-09-15 09:41:08.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('57CAEEF5AA57157857E4492153D196CA', '耗材', '552B06C2701AD157E2954CFA0ED79E26', '一次性塑料滴管 3mL', '国产', NULL, '/', '2023-09-15 09:40:34.000000', '2023-09-15 09:40:34.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('587D086AA040B0BD824F5A6CB4B07669', '耗材', '645A4EF9AC2ABA18494DB77EC436D2FE', 'Hypersil GOLD VANQUISH', '赛默飞', NULL, '100*2.1um', '2023-09-15 09:40:55.000000', '2023-09-15 09:40:55.000000', '1', '1', '/', NULL, 1, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('592D2E728023B71816DDB1ACDDE1BEFE', '耗材', '0C27631010F2DFFB8F1240A247B478A7', '梨形分液漏斗', 'Bomex', NULL, '125ml', '2023-09-15 09:41:32.000000', '2023-09-15 09:41:32.000000', '1', '1', '/', NULL, 10, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('59A5B8249B1B509E26F843EAA717D563', '耗材', 'C3A072C51050E7F9AD5F03781A1F0191', 'Astec CHIROBIOTIC V2', 'merck', NULL, '25cm*4.6mm,5um', '2023-09-15 09:40:55.000000', '2023-09-15 09:40:55.000000', '1', '1', '/', NULL, 2, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('59D273D401282A7FE44191E01C4D2616', '耗材', '3B1FB897E379463C5F96B5467C774B49', '1ml有机相枪头', 'RAININ　1000ul', NULL, 'disposable capillaries/pistons 17008609', '2023-09-15 09:40:12.000000', '2023-09-15 09:40:12.000000', '1', '1', '/', NULL, 60, '普通耗材', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008609', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('5B8DADE1E9721D14CC0D1A83E9D5AE04', '耗材', '4D579A7F9BED49D472051621D166E876', '高硼硅量筒', 'Bomex', NULL, '250ml', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', '/', NULL, 16, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5BD43249E5DAEB2C1DA1DE0EDDBDEDB4', '耗材', 'AD0F2ECB3EBAE6D4D351EC70F0840AFD', ' Oasis HLB Direct Connect HP 20µm', 'Waters', NULL, '20µm, 2.1mmX 30 mm', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', '/', NULL, 3, '色谱柱', '1', NULL, '常规贮存', '污水专用', '根', NULL, 1, '186005231', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('5BE4C1CABF5557E6F8453495A6F47557', '试剂', 'B4C472ECB042F6789C1D81F43A19259C', '三乙胺', '百灵威', NULL, '1L/瓶,99.7%', '2023-09-15 09:42:01.000000', '2023-09-15 09:42:01.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('5C0606E97194AE4A4AB697404F44D7BC', '耗材', '562B5FF640CD5B1BCB9C7ED641A13C25', '表面皿', 'n/a', NULL, 'Φ60mm，10个/盒', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5D17FE8FBF484F3DEC274F3CFF10A81D', '耗材', 'A73E1BEA33E47A6B708E7EFCFA329226', '量筒', 'Bomex', NULL, '10ml', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', '/', NULL, 19, '普通耗材', '20', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5D7D27FE03D60F313987F276BB6BA592', '试剂', '3243325B04F655B4718FA21459241211', '八氟萘', 'Merck', NULL, '1g/瓶,96%', '2023-09-15 09:42:06.000000', '2023-09-15 09:42:06.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('5DF4174804B217B39B68DB980609EBCD', '试剂', '92C1F62DE74E6FB46CBBE572AD074713', 'DCC , N,N\'-二环己基碳二亚胺', '阿拉丁', NULL, '99%, 100g/瓶', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '538-75-0', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('5DF5D796CCE3FD55889B874FE78A356D', '耗材', '5C5B5D817327A48EA6F509A61FA1E05C', '容量瓶', 'Brand', NULL, '2ml', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', '/', NULL, 2, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('5ECCEB63EB429113C51B7B69D7C72A24', '试剂', '30B4E2057855E7A971EECE8DA89298AB', '甲醇', 'Supelco', NULL, '4L，LC/MS级', '2023-09-15 09:42:02.000000', '2023-09-15 09:42:02.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'LC/MS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('5F6E3F2DD7DDBF303276C0F08DE20720', '试剂', '35318CE9A4C5A709B8295D6132D8B7DE', '4-氟氯苄', '阿拉丁', NULL, '98%，25g/瓶', '2023-09-15 09:42:14.000000', '2023-09-15 09:42:14.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '352-11-4', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('5FD5B646AF1FC7FDB31A6CB3C2B061EA', '耗材', '245AC451C13892483D735AE474DBDE13', '容量瓶', 'Bomex', NULL, '250ml', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', '/', NULL, 11, '普通耗材', '6', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('61C497BB45133D5788563A65457383A6', '耗材', '662DD2C3B77FA3D097E98BF86C9A49D2', '称量瓶', 'n/a', NULL, '50x30', '2023-09-15 09:41:26.000000', '2023-09-15 09:41:26.000000', '1', '1', '/', NULL, 9, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('628B1DCEAFAB8E1048E40DD8A146CD2E', '耗材', '174A5895CF27CABEA6DCEC3413AF188B', '100ul有相机枪头', 'RAININ    100ul ', NULL, 'disposable capillaries/pistons 17008607', '2023-09-15 09:40:14.000000', '2023-09-15 09:40:14.000000', '1', '1', '/', NULL, 27, '普通耗材', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008607', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('6355E00D476A2DF72BBCF9DDDE9D87F4', '耗材', 'D104AD6846A8E068644A0D77D561AC62', '容量瓶', 'Brand', NULL, '25ml', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', '/', NULL, 36, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('63AAC052D30984782E085484D6147DD0', '耗材', 'CDEF95C2CC4A0CB3225DE13996D860C6', '水系滤膜25mm*0.22um', '津隆', NULL, '/', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '盒', NULL, 1, 'JLSP202202', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('63B7057F7E24396C091CBA1470FFCB9F', '耗材', '8DF08FA6573190F2754B993627B56D2F', '试管刷', 'n/a', NULL, '无', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', '/', NULL, 75, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('64D5DE92E7285DA713DA7FAAE6ECF932', '试剂', 'A6FDA5C129551F3C24ADD54C7FAE8122', '无水磷酸二氢钠', '麦克林', NULL, 'HPLC,50G', '2023-09-15 09:42:02.000000', '2023-09-15 09:42:02.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('6508094E8A3A780156948193CD437845', '耗材', '3E365746633672F936B49F30AEA70055', '色谱柱ACQUITY UPLC BEH C18 Column, ', 'Waters', NULL, ' 1.7 µm, 2.1 mm X 100 mm', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', '/', NULL, 3, '色谱柱', '1', NULL, '常规贮存', '通用', '根', NULL, 1, '186002352', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('665AA362EDDE7F4A09E0C929E023182A', '试剂', 'CDD9FB21899588A7B53BE08A52F2C6BA', '甲酸', 'Themo Fisher', NULL, '50mL/瓶', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:40.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1, '/', NULL, 'LC/MS级 ', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('66A3109DE9122AC1E373050C3F451B45', '耗材', '7FEBAFE460DD219B226E33274E9CA05C', '1ml枪头', 'Brand', NULL, '/', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', '/', NULL, 90, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '732232', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('6756F00FB262294F5888595F47920E83', '试剂', 'D5ADE45224609FEFFAE4910124A78C2F', '1,4-二甲氧基苯', 'Sigma-Aldrich', NULL, '100g/瓶,99%', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RP', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('67D18F9AE0A2A8EF9D01369F7A69CF55', '耗材', '3EC5D34BA368333230FC6601EA3987EE', '自封袋', '苹果牌京惠思创', NULL, '9号，', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, '常规贮存', '通用', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('67FFD8FCBBA36E65F80A3D37FF16E6AE', '耗材', 'F22ED2F61BFF68EF9418E0153CE31E7C', '密封垫', '岛津', NULL, '货号221-48972-91，20个/盒', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('68DD1878C516BC56C2B275B7A2B87B21', '耗材', 'BC2DFA9E7F1B7D78E433F4C43D422640', '物证封装袋', 'n/a', NULL, '30*22cm', '2023-09-15 09:40:53.000000', '2023-09-15 09:40:53.000000', '1', '1', '/', NULL, 1300, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('69773782D719142E293240911532BCAD', '耗材', '8660204040845B73D240DF61E7603145', '枪头', 'Brand', NULL, '200ul', '2023-09-15 09:41:40.000000', '2023-09-15 09:41:40.000000', '1', '1', '/', NULL, 8, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('69D5B84A7B131E86F86B580CCC2072CB', '耗材', '4FDE6FC7A7CDF234EEF898554D57934B', '称量瓶', 'n/a', NULL, '25x40', '2023-09-15 09:41:26.000000', '2023-09-15 09:41:26.000000', '1', '1', '/', NULL, 10, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6A75E9311CD2475736EBD09FC79A527B', '耗材', 'A922A34C0B51EB7E8ABA7C68E5122D43', '手术剪', '双鹿', NULL, '12.5cm直尖', '2023-09-15 09:41:09.000000', '2023-09-15 09:41:09.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '把', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6AB0CDEF21284A7C544C8B4FCFF14F02', '试剂', '359F3C30772DC679591BDC6B077691BD', '氘代DMSO', 'CIL', NULL, '0.6mLx10,99.8%', '2023-09-15 09:42:03.000000', '2023-09-15 09:42:03.000000', '1', '1', '/', NULL, 8, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('6AF55BBAE1E7AA6122F4E075BF1E83DA', '耗材', 'E81492B3D53AD1ECC3BB526F58189A4C', '5ml连盖离心管', 'CYPRESS', NULL, '/', '2023-09-15 09:40:23.000000', '2023-09-15 09:40:23.000000', '1', '1', '/', NULL, 23, '普通耗材', '1', NULL, '常规贮存', '通用', '包', NULL, 1, '0200050', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('6C4D4C7B0364E953478B97D83F398D10', '耗材', '86EDA27C7B88EEF4F391D3C2ABA17944', 'captiva针头过滤器', '安捷伦', NULL, '纤维素膜，25mm直径，0.2μm孔径 ', '2023-09-15 09:40:11.000000', '2023-09-15 09:40:11.000000', '1', '1', '/', NULL, 37, '普通耗材', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, '5190-5110', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('6C8B503B0D1DED3F3CDC129CDA9B9FFC', '耗材', 'BE3F6F57BCFDD40108D86EF7ED743C74', '进口滤膜', '津隆', NULL, '25mm，100片/盒，水洗聚醚砜（PES），0.22um，货号：JLSP202202', '2023-09-15 09:41:36.000000', '2023-09-15 09:41:36.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6CBBA55D576E122417C73D523AD97DAB', '耗材', '0E217BB02F8FAEDFB7579B1D10EF724A', ' 移液枪吸头5mL', '赛多利斯', NULL, '/', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('6CF7EC570059F869AA98D57C531832FD', '耗材', '57E338F1AF3D29FA410DF14073B94A9D', '封口膜', 'Bemis', NULL, '4IN.*125FT.ROLL，PM-996', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', '/', NULL, 1300, '普通耗材', '100', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6CFAA7F2CE4089E308C170334107D5D2', '耗材', 'D0420BD501E2C6BDDE9B232677DFAB03', '移液枪吸头 10mL', '赛多利斯 ', NULL, '/', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('6DF3A8C559D4418B8DD7B4FBED1EBD9C', '试剂', 'C3DB834133C33CD0C608CE6BE323BC5F', '吡嗪', 'Sigma-Aldrich', NULL, '≥99，100g/瓶', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'FG级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('6E2EA1D35B62AA7226200B71E004F79A', '耗材', '4E2102D5311E50D90FBAF00A2BB84D0E', '移液管', 'MC', NULL, '10ml', '2023-09-15 09:41:01.000000', '2023-09-15 09:41:01.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6E40EA464A8BDD772C8C75CD8D9388DA', '耗材', 'BBA01ACA2011EEBADF9D535D6F1BD484', '塑料吸管', 'n/a', NULL, '1ml，100支/袋', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('6E9D5D2D9944B2AF6B63F999027D78AF', '试剂', '7F62AE4C65C32546E078678B86329641', '甲苯', 'fisher', NULL, '4L/瓶', '2023-09-15 09:41:51.000000', '2023-09-15 09:41:51.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('6F85C761DDAFCE3284CA5E9BFB2CD148', '耗材', 'C4856A6A24A410691DCA6E5E1EF45386', '100ul有相机枪头', 'RAININ    100ul ', NULL, 'disposable capillaries/pistons 17008607', '2023-09-15 09:40:14.000000', '2023-09-15 09:40:14.000000', '1', '1', '/', NULL, 60, '普通耗材', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008607', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('71005BCA9CE3F110DC79B053ADE66EA8', '试剂', '308098B56AED7E02B4331818423F1A4F', '乙腈', 'fisher', NULL, '4L/瓶', '2023-09-15 09:40:42.000000', '2023-09-15 09:40:42.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'LC/MS级 ', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('710F0C7C606041C678B0B3B29ED45A56', '耗材', '897B90FE8C0FFFB75535054AF61B9F5E', '2ml进样瓶', 'waters', NULL, '18600847C（棕色）', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '18600847C', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('71D7718BC03F5E4620B8570E51435F1E', '耗材', '7F7E8C0DBAE5BDAD097F8DA2618907D9', '血清移液管', 'n/a', NULL, '5ml', '2023-09-15 09:41:03.000000', '2023-09-15 09:41:03.000000', '1', '1', '/', NULL, 18, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7250A95B5A7821DD3396493A3688C5B3', '耗材', 'C78D1DE85AFF91F1B4269CC98F0FF320', '防冲击眼罩', '3M', NULL, '1621型', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', '/', NULL, 11, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('726CC1C90C42D7CC2010D401A7B04B5F', '耗材', '8CF9624228EE09D7BAC35DF4AF5F51B6', '物证封装袋', 'n/a', NULL, '16.5*12cm', '2023-09-15 09:40:53.000000', '2023-09-15 09:40:53.000000', '1', '1', '/', NULL, 1300, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('72A9E92AD46F05854817994C6EAC03B6', '耗材', '3138EFADF8974B88C87552F176D3093E', '定性滤纸', '皎洁', NULL, '7cm，中速', '2023-09-15 09:41:42.000000', '2023-09-15 09:41:42.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('73549AF9D031B5232F1283E769BE2FB8', '试剂', 'C13936E3063C960C0AC07EAE937471E0', '丙酮', 'CNW', NULL, '4L/瓶', '2023-09-15 09:40:41.000000', '2023-09-15 09:40:41.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('737FC83389881CF898610F1B00BF8A52', '耗材', '8EB7B527BFEC3F6877D8D6D6B4377AAF', '2ml进样瓶', 'waters', NULL, '18600307C（透明）', '2023-09-15 09:40:19.000000', '2023-09-15 09:40:19.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '18600307C', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('73E1CF5C6CDC15ECB3A74452C88C0D49', '耗材', 'A36EA52631681329863B7F52DFAD86AF', '一次性玻璃巴氏吸管', 'Brand', NULL, '225mm', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', '/', NULL, 36, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '747720', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('74603CD3F40213274BA8D65021AFB56C', '耗材', '3C9FD09C0D5536BBF020E6A38F3632C6', '一次性塑料烧杯', 'n/a', NULL, '50ml', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', '/', NULL, 18, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7525DE9F8B799C0682C6EBD43C9C362B', '耗材', 'C782E01E577EC9ACD1B858B2E628536A', '物证封装袋', 'n/a', NULL, '43*31cm', '2023-09-15 09:40:53.000000', '2023-09-15 09:40:53.000000', '1', '1', '/', NULL, 1300, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('75AEE478C750C711C67CA5FE889CB697', '试剂', 'DF8D74B8166E41DC091523612C140BD8', '正己烷', 'CNW', NULL, '4l/瓶', '2023-09-15 09:41:52.000000', '2023-09-15 09:41:52.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('7617C2D58E897131D8643F8BB2F1568A', '耗材', '6A15F16D4C76770AA7B589206FE4758D', '定性滤纸', '皎洁', NULL, '15cm，中速', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('773410B291C1948F7CF2E61745C51CED', '耗材', '6E676718BE57499E191972F748E45AF2', '滤膜', '上海新亚', NULL, '有机，0.45um，50mm，50片/盒', '2023-09-15 09:41:37.000000', '2023-09-15 09:41:37.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('77A1474009808500F945FBEB7895F56E', '试剂', '257235F43B75C9DCEB3E1DEC3F109495', '盐酸', '西陇', NULL, '500ml/瓶', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('79020E53DF9D0FB3C027C1640E98FB04', '试剂', 'F27A62C5B4F9E765A3F4783E6A9C3FB6', '氢氧化钾', '科密欧', NULL, '500克/瓶', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('7A78F3AA9C26F3C7DB691378D30E06EA', '耗材', '6860021A6DF4E609AD02CAE9A0C7C6CD', '一次性蓝色丁腈手套', '柯沃', NULL, 'L', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', '/', NULL, 1, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7AD4438CA6C19468E48BB0D296185B3B', '耗材', 'D4DD1B054A7088AC665F9D5F3283E171', '牛皮纸物证袋', 'n/a', NULL, '40*20cm', '2023-09-15 09:40:52.000000', '2023-09-15 09:40:52.000000', '1', '1', '/', NULL, 170, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7B2D411FF49D59381DCE5CC2E02C091D', '耗材', 'FA3D7362F13431E0D5EB5E6496922BF1', '牛皮纸物证袋', 'n/a', NULL, '30*17*46cm', '2023-09-15 09:40:51.000000', '2023-09-15 09:40:51.000000', '1', '1', '/', NULL, 160, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7B50443B2D951BC50C4F157836F75592', '耗材', 'F39D2397301D900FBAFE7FF7E79D9607', '100ul有相机枪头', 'RAININ    100ul ', NULL, 'disposable capillaries/pistons 17008607', '2023-09-15 09:40:14.000000', '2023-09-15 09:40:14.000000', '1', '1', '/', NULL, 60, '普通耗材', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008607', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('7B8870B6BE89D3E3768733C14A67BC9C', '耗材', '3E5CDA4C2A5BCF0AD817AC0F41CF1525', '称量纸 100*100mm', '/', NULL, ' 100*100mm', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, '常规贮存', '通用', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('7BC5ADE3B16BEED85FDA63E5E62C837E', '耗材', '5E8AF96BD4F097D2103D43600D8FF403', '一次性使用无菌注射器 带针', '治宇', NULL, '1ml，200支/盒', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7CC52666BEA42C4198208F5BB643A773', '耗材', 'C86D5601E22FE886ECEF3781AB1EDA34', '手术剪', '安其生', NULL, '12.5cm弯尖', '2023-09-15 09:41:09.000000', '2023-09-15 09:41:09.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '把', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7CC55CE09B5B1136959E416988E888A3', '耗材', '2EC31452101DA44B4255A2D9B095B2B9', '枪头', 'Sartorius', NULL, '10ml，250个', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7D241970FFD8A718D553F7CB922E7EB8', '耗材', '41051744D73806C4BC57812A239894E8', '试管架', 'n/a', NULL, '4x6', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', '/', NULL, 16, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7DF007E6BE7E3489CD85BA5EAC674C9C', '试剂', '6C25424EE5A614A903D86C98559AD2E6', 'L-缬氨酰胺盐酸盐', '阿拉丁', NULL, '98%，25g/瓶', '2023-09-15 09:42:14.000000', '2023-09-15 09:42:14.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '3014-80-0', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('7E0897A9B9947CD30D30179DBA09DFEA', '试剂', 'AAD8885FD1DC02862EC669ED2FD9744C', '乙腈', 'Merck', NULL, '2.5L/瓶', '2023-09-15 09:40:42.000000', '2023-09-15 09:40:43.000000', '1', '1', '/', NULL, 28, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'LC/MS级 ', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('7E0DACF04905441F299DC69E94DDE192', '耗材', 'EE9EE191280EB65632E6847791E67AFB', '牛皮纸物证袋', 'n/a', NULL, '50*30cm', '2023-09-15 09:40:52.000000', '2023-09-15 09:40:52.000000', '1', '1', '/', NULL, 190, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7E3730049BC448E9CBA921FB720A4255', '耗材', '0E9DD4432436817C47CCF5419099CE73', '药匙', 'n/a', NULL, '20cm', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('7F0485739842E76712B81258E5B11B4A', '试剂', '6DC9914D010BC133D74A5413FBDE9B21', '氯化亚砜', '科试', NULL, '500ml/瓶', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('7F98A6CF235306B2FB187FF483CFFFD9', '耗材', '9BB0E015B6ABB9F36520281C31492C6E', '塑料吸管', 'n/a', NULL, '3ml，100支/袋', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('808DEBA0F1D6539D3968087172BE35AF', '耗材', '22761335B9567DBD1806B3E0A31B3379', '干燥器', 'n/a', NULL, '210mm', '2023-09-15 09:41:26.000000', '2023-09-15 09:41:26.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('80F5547F25789B82BA276953A38D26D6', '耗材', '11EC94688A3C78885500B19915CF0938', '螺纹试剂瓶', '蜀牛', NULL, '80ml', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', '/', NULL, 9, '普通耗材', '20', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('814FD4F1472D2AC35B3D762CA6829E53', '耗材', 'DE64DA86DE21E38DCF1CDFD9B1B06657', '密度计', '垒固', NULL, '0.6-2.0', '2023-09-15 09:41:44.000000', '2023-09-15 09:41:44.000000', '1', '1', '/', NULL, 14, '普通耗材', '14', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8183DC49F9F17D45A05949868014FDC7', '耗材', '4635A4733B0A1BFC3422202F435FCEE6', '定性滤纸', '皎洁', NULL, '9cm，中速', '2023-09-15 09:41:42.000000', '2023-09-15 09:41:42.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('81E499D09882C8B7751EC9B4308301B4', '耗材', '2C661FC2EE3BF25AE1B88885B40E2FD3', 'O型圈', '安捷伦', NULL, '货号5188-5365，10个/盒', '2023-09-15 09:40:59.000000', '2023-09-15 09:40:59.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('82D0FAB6A14481A536B16C486CE25B8C', '试剂', 'DAB893DDC8FB1146D40CA8BC9F467BD5', '氢氧化钠（片状）', '科密欧', NULL, '500g/瓶', '2023-09-15 09:42:00.000000', '2023-09-15 09:42:00.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('82FF3B1DCD90763B817483DB9CE91221', '试剂', '6AB6B0C25FA307974AFE7CDC8BD82CA6', '乙酸乙酯', '沪试', NULL, '500ml/瓶', '2023-09-15 09:41:54.000000', '2023-09-15 09:41:54.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('839823EA8350FC443452892B0D9DEC8E', '耗材', 'CA9208570FD532AE39C0E20ECF948DB5', '250uL有机枪头', 'RAININ　250ul', NULL, 'disposable capillaries/pistons 17008608', '2023-09-15 09:40:12.000000', '2023-09-15 09:40:12.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008608', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('850225C1F035965C666EA634C6E0FEF6', '试剂', 'E1AB53C6590430A2A275A0EFE9CB5174', '乙腈', 'Supelco', NULL, '4L/瓶', '2023-09-15 09:40:42.000000', '2023-09-15 09:40:42.000000', '1', '1', '/', NULL, 8, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '1.00030.4008', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('851A8F155405A173649AB10CED1732BA', '耗材', '5291A9F745D4D79AE74F7755E977CF27', ' 移液枪吸头10uL', '赛多利斯', NULL, '/', '2023-09-15 09:40:36.000000', '2023-09-15 09:40:36.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('860F16898608D785ECFC2E0106DF7752', '耗材', '18B3C0C8F33F318F29CDFCC51E0BCBE2', '牛皮纸物证袋', 'n/a', NULL, '21*14cm', '2023-09-15 09:40:51.000000', '2023-09-15 09:40:51.000000', '1', '1', '/', NULL, 100, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8718E317582B497340AD807E6E9907BA', '试剂', '7796D3BC8BD100B3EC1738C4C40CE5DA', '二氯甲烷', '科密欧', NULL, '500ml/瓶', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:53.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('872DF64AAEE1BBE9843B53AFA8682B7D', '试剂', '39F277D35CFA356EC3C9EFA8DFE61B77', '甲醇', 'Supelco', NULL, '4L/瓶', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:41.000000', '1', '1', '/', NULL, 21, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '1.06007.4008', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('873D9FA669375A76C96C5A98FCD1D160', '耗材', '4F65CF5B8D244ABDF6831D2B3D6FCFDC', '高硼硅量筒', 'Bomex', NULL, '500ml', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', '/', NULL, 9, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('88A083E7A8239D86623543727F825351', '耗材', '77C6A86F7B19391BC94E4475D5F0EC9F', '一次性塑料滴管 2mL', '国产', NULL, '/', '2023-09-15 09:40:34.000000', '2023-09-15 09:40:34.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('891EA643E84856A2C6B4A7F6D3C5868A', '耗材', 'ADF5FFACE2B49EA5BA76758E34B160FE', '称量纸 120*120mm', '/', NULL, ' 120*120mm', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, '常规贮存', '通用', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('8B9C412F631FEC1AEF03342AF073F0D7', '耗材', 'C3312EBDAFD3F6CB828E37ADB029A564', '2ml注射器', '江苏治宇医疗器械', NULL, '/', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '2002100', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('8D5DDD2F5D3B2BFEFA468165097A263E', '耗材', '4EA3FE14F7BFE4FB3F4F8B55C86E5473', '移液管架', 'n/a', NULL, 'n/a', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8DDAC121E25CF6950B73EB057B14F7AA', '试剂', 'E41BF5EB7724A4D4F80DF1EA8C134C18', '乙腈', 'OCEANPAK', NULL, '4L/瓶', '2023-09-15 09:41:51.000000', '2023-09-15 09:41:51.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('8E6BF93CAE8E8DF440E24BB6C4C6B4D0', '耗材', 'EDF51E2CDA22C4552BA3B161429B9D1E', '进口滤膜', '津隆', NULL, '25mm，100片/盒，有机尼龙66，0.22um，货号：JLSN172202', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('8F5A2FB29295066BFEC094877F95F43C', '试剂', 'E5099634624EE833F6082799FE8D8E45', '乙醇', '利安隆博华', NULL, '500ml/瓶', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', '/', NULL, 20, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('9226E8BA57329F568D457B1BAC6F5F7B', '耗材', '6CB5246FE84C0365052F5E426873DF1C', '标准漏斗', 'n/a', NULL, 'n/a', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', '/', NULL, 19, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('924377D7545249C5A9B960B6296663D7', '耗材', 'F6F55D3AE6695898D36E015322D4F78A', '研钵', '垒固', NULL, '12ml', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('92D60E4496BC3190614F34588D6B8818', '耗材', '2C5CF2C1F86B5C91FD51C69520A28A37', '顶空瓶', '安捷伦', NULL, '10ml,5182-0838', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('93E45FE2F0C9606FD124E3987B1936FB', '耗材', 'A35E3480A19957DC21F191195AC9F495', '自吸过滤式防毒面具', '唐丰', NULL, 'TF503型', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('95977C7DDEB7BD35F1EB99A226F9EE0E', '耗材', '93C3D92CAF5F1EDE60922CC88B68CC1D', '血清移液管', 'n/a', NULL, '10ml', '2023-09-15 09:41:03.000000', '2023-09-15 09:41:03.000000', '1', '1', '/', NULL, 18, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('96D025B43D28FC1B4D30FE7E88A863E6', '试剂', 'EE84B193966F9095F04DCD6AD45CEBC8', '4-(三氟甲基)氯苄', '阿拉丁', NULL, '>97.0%(GC)，25g/瓶', '2023-09-15 09:42:14.000000', '2023-09-15 09:42:14.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '939-99-1', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('9994CF88D1225BAFB945C030AA216247', '耗材', '4D0BD69A936CF52B97EB38AEF3671481', '1ml有机相枪头', 'RAININ　1000ul', NULL, 'disposable capillaries/pistons 17008609', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, '186008056', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('99F5402932086D8BF2A205367B404FF0', '耗材', '27035C770A6B6BBDFBDF66357F00F7DA', '一次性玻璃巴氏吸管', 'Brand', NULL, '225mm', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', '/', NULL, 24, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '747720', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('9AAE3321A35326A8AE28EAAB2F4CFA13', '耗材', 'D3BC47EEAF1EF000C371A294ADD7A96C', '进口滤膜', '津隆', NULL, '13mm，水洗聚醚砜（PES）,0.45um，货号：JLSP054501', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9AC9FB7D8D4A857F61AA27BA75C9773B', '耗材', 'A54EBD843EA5320C238FBF84EB33A84A', '15ml塑料离心管', 'CORNING　CentriStar', NULL, 'PET塑料', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', '/', NULL, 28, '普通耗材', '1', NULL, '常规贮存', '通用', '箱', NULL, 1, '430790', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('9D12212ED4A51C65E58A551301F10529', '耗材', 'AEF610FEFA08F9ADB107F3E44235F080', '2ml进样瓶', 'waters', NULL, '18600307C（透明）', '2023-09-15 09:40:19.000000', '2023-09-15 09:40:19.000000', '1', '1', '/', NULL, 14, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '18600307C', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('9DA0498EB1A41FD557B3CD374ECE58D5', '试剂', 'BE756DD4716A61735D360A3E402601AD', '吡拉西坦', 'Sigma-Aldrich', NULL, '25g/瓶', '2023-09-15 09:41:49.000000', '2023-09-15 09:41:49.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('9DA5E59B3E557D2C85B36A05AA997D75', '耗材', '639371CD27C1D1B2B769624B0A4E257A', '药匙', 'n/a', NULL, '16cm', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9DB81982EA034F8DF8FDA5E9731B4158', '耗材', '05ECC45A59DCBEBF29BC2C0231900AB3', '洗瓶', 'n/a', NULL, '500ml', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', '/', NULL, 11, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9E52800A7F0184BF7382E0C07997377E', '耗材', 'D722AE6D6380A81A9FA61F38B799448A', '点样毛细管', '垒固', NULL, '0.3x1000，1000支', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', '/', NULL, 36, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9E613ECA97359607FCCBFEA9095855EC', '耗材', '0958943CE19417663A640B2A59866275', '塑料吸管', 'n/a', NULL, '5ml，100支/袋', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('9FAE45056FDAAA9CE36A880A1E84D064', '耗材', '419660068FAE03C7D0784BB225D307B1', '200ul枪头', 'Brand', NULL, '容量200ul', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', '/', NULL, 90, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '732028', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('A0283199AE62468C152F47F804F648DE', '耗材', '0B8FE2FE91AD843D6CAE116D53BCF6F0', '橡皮吸球', 'n/a', NULL, '3ml', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', '/', NULL, 16, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A07D413A8AA802EBB1A5FB96CF87544F', '耗材', '0C2F7C03F10240A8FA248200B4CBC327', 'ACQUITY UPLC BEH HILIC 1.7um VanGuard Pre-Column', 'Waters', NULL, '1.7，2.1*5mm Column', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', '/', NULL, 1, '色谱柱', '1', NULL, '常规贮存', '毛发专用', '盒', NULL, 1, '186003980', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('A0823D1C1887CF88EFF60ED1D5AA367E', '耗材', '65E2F8D36017D0FE06C74AC4731FF249', '研钵', '垒固', NULL, '15ml', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A112BF44E35AD8DB99D68BD0CA57D484', '耗材', 'E8611C2E513CD92AB4A93A9781BF4633', '牛皮纸物证袋', 'n/a', NULL, '16.5*9.8cm', '2023-09-15 09:40:51.000000', '2023-09-15 09:40:51.000000', '1', '1', '/', NULL, 160, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A1309B695351A1253F891BF5A7520BAA', '耗材', '9BA638A8B41EBCEFC1DC0913B30D8879', '玻璃冻存管', 'n/a', NULL, '棕色，5ml', '2023-09-15 09:41:06.000000', '2023-09-15 09:41:06.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A190CDB6787A3EDF702B60D890A030ED', '耗材', '1C8530AC0C0ED16E6517F704A69E6FEA', '保鲜自封袋4号', '苹果', NULL, '85x120mm', '2023-09-15 09:40:50.000000', '2023-09-15 09:40:50.000000', '1', '1', '/', NULL, 100, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A1D994899BC57E09212B568D81223DD5', '耗材', '435FDD84DFB468A3F3BA5D97B89F8865', '丝口试剂瓶', 'n/a', NULL, '5000ml', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A2034FEF7200BB51A9145346CE9882A8', '耗材', '17EEC6810918AD4E059CC8C48DC9AF4D', '血清移液管', 'n/a', NULL, '1ml', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A265511E8A30C09F34B9B2234E06C59F', '耗材', '2CF83118F62C3629A618092C93EDFFD1', '容量瓶 250mL ', 'Brand', NULL, '棕色', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, '常规贮存', '通用', '个', NULL, 1, '37489', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('A45082BE95B0A1BF6E48252617A79732', '试剂', 'B42576642EA31063D0B7344784D49AF9', '丁乙酸', '大茂', NULL, '500mL/瓶', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', '/', NULL, 6, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('A4F9E96A2DB6EE1E609159BA441FBB90', '耗材', '2E69CB380FA15D22EC529E5D1A8B3F4D', '枪头', 'sartorius', NULL, '200ul', '2023-09-15 09:41:40.000000', '2023-09-15 09:41:40.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A51C6589DF042F22AAD0BABEFDFC54FE', '试剂', '9EF7259DD51F1B48C91F2CB0735F01DD', '浓盐酸', '国产', NULL, '500mL/瓶', '2023-09-15 09:40:47.000000', '2023-09-15 09:40:47.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '分析纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('A5C6A8A81063629DE6A2612EB44E46DB', '试剂', '3FC01BA0AB79ADAA4B46C504A829EB65', '氢氧化钠', '欧博凯', NULL, '500g/瓶', '2023-09-15 09:41:59.000000', '2023-09-15 09:41:59.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A6316439C983EB532A7BC051E8875E51', '试剂', '0D94CC8DB5AFBAFEAFC894DA2928CE5D', 'TBTU, O-苯并三氮唑-N,N,N\',N\'-四甲基脲四氟硼酸酯', '阿拉丁', NULL, '98%, 100g/瓶', '2023-09-15 09:42:17.000000', '2023-09-15 09:42:17.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '125700-67-6', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A65FE52C6F95AA550FFBD7BD1F00D1C2', '耗材', '25647C58C24307D8ABA2E5722FDCAD76', '无尘纸', 'KIMTECH', NULL, '/', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '34155', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('A66B317CF6F948AD679C84440313AECF', '试剂', '41A7EE2C7F4B95EAC496C90FA724DFFC', '茶碱', 'TCI', NULL, '25g/瓶,98%', '2023-09-15 09:42:01.000000', '2023-09-15 09:42:01.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('A6AC8BAF9E999819A6FB5BA48649C6B9', '耗材', '4052FBA489932F551BE5D85EB6D21AA1', '移液枪吸头0.5-20uL', 'Brand', NULL, '/', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '732224', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('A778ECC69751299C2CC9D8D908E3955C', '耗材', '2666DF7EAC537BF35F455A69244934F3', '量筒 500mL', '/', NULL, '/', '2023-09-15 09:40:30.000000', '2023-09-15 09:40:30.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('A8511AEEE843907B33E9AE7139B3D78E', '耗材', '7013103EA4DAACE02EF574C9F210355E', '定量滤纸', '新星', NULL, '11cm，中速', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A89283B66DF68B3B90B31788DCE3F0E8', '耗材', 'FD04A21D4828EC85E11F8962AF55598F', '载玻片', 'SAIL BRAND', NULL, '25.4x76.2mm，50片，7102', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', '/', NULL, 39, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('A8F9BF1F35C1B913061E881FF52E92FD', '耗材', '08EBBA7C98286883381407D656057DE5', '2ml连盖离心管', 'CYPRESS', NULL, '/', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, '常规贮存', '通用', '包', NULL, 1, '0200020', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('AB776BCD0A7464EB60BB8D9DCBB87176', '试剂', '449A8B561DCF967DA42F8A16A504779B', '乙醇', 'GRACE', NULL, '4L/瓶', '2023-09-15 09:41:52.000000', '2023-09-15 09:41:52.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('AC4DF383CC9E58E5E0F0377914D3D0A7', '试剂', '188B7696A7D5F77CAC568A2E1A0E12AD', 'EDCI , 1-乙基-(3-二甲基氨基丙基)碳二亚胺盐酸盐', '阿拉丁', NULL, '98%，100g/瓶', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '25952-53-8', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('AC6D4B8110FC1BF9236885E29F49C892', '耗材', '46ED4560123BFAF02D0990E57C8FDA82', '定量滤纸', '双联牌', NULL, '7cm,快速', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('ACD667B4F0A37D4DA935162C2C26F337', '耗材', '4F59166509074FDB772A6439C86C2DB1', '1ml有机相枪头', 'RAININ　1000ul', NULL, 'disposable capillaries/pistons 17008609', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, 'WAT094226', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('AD49D37696276090ADFA9C2C2C8F595C', '耗材', '9B4EA84A4B8E3274ADA5B562E5528E5B', '活性炭口罩', 'n/a', NULL, '50支/盒', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', '/', NULL, 11, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('AE396876AE71254932B74603800569ED', '试剂', '41C67665A701AC937E7BB8D70AFE8E51', '二苯胺', 'Sigma-Aldrich', NULL, '100g/瓶', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'ReagentPlus', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('AE97AEADBD75E81B0E5A1CC40E3760F6', '试剂', '31D889994CD1280AE0E0D9673C1139B4', '丙酮', '西陇', NULL, '500ml/瓶', '2023-09-15 09:41:51.000000', '2023-09-15 09:41:51.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('AEDF01A6A2307CBEDA0F4246530DC88B', '耗材', 'E07254315F0F58D88C9BE6163C4C9285', '小口试剂瓶', 'n/a', NULL, '1000ml', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', '/', NULL, 19, '普通耗材', '6', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('AF0C4CA50D7DE1531B0E326B6F9F6338', '试剂', '1D77658AA2567DACF6F18C2812DD6ACB', '无水硫酸钠', '科密欧', NULL, '500g/瓶', '2023-09-15 09:41:56.000000', '2023-09-15 09:41:56.000000', '1', '1', '/', NULL, 6, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('B0B697BE5E8D779C3377BC57BD1DD51A', '耗材', '077150A62CFE686DAA7D8165D5B3578C', '定性滤纸', '皎洁', NULL, '12.5cm，中速', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B0E30AEA532682954A9F157089CF072B', '试剂', '44DDF1D1D1DE1AF45B22177E0F1420D1', '氨水', '沪试', NULL, '500ml/瓶', '2023-09-15 09:42:01.000000', '2023-09-15 09:42:01.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('B1C6C8CBB5ACE5F0238A7FFEAEB5DF94', '试剂', 'CE60C9240C420B8EE05F851026657D83', '正己烷', '科密欧', NULL, '500ml/瓶', '2023-09-15 09:41:54.000000', '2023-09-15 09:42:12.000000', '1', '1', '/', NULL, 15, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('B209E76FE214245A57FED88A52CFE658', '耗材', 'FBF9A258C13CCFDF57C4235F55591382', '核磁管', 'NORELL', NULL, '100个/盒', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', '/', NULL, 1, '核磁管', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B336A429634D35B760D07006B85F9C26', '试剂', '98ED5FA273E4D62F823F0DF8477F93AC', '氢氧化钾', '光富', NULL, '500克/瓶', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('B40640E41CADF2214AB01852345EFD16', '耗材', '5877EE1E7F59D054330B7F353312A061', '进口滤膜', '津隆', NULL, '25mm，100片/盒，有机尼龙66，0.45um，货号：JLSN184502', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B4148790934EF261B2248B46E1A47339', '耗材', '6D83AFF4B3D12E1E87D1BC558FF5E558', '枪头', 'Brand', NULL, '5ml，200支/包', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B440CFACFBA80F106EF414A4F3F4C9C6', '耗材', '58613A4E9015EAA9ECAA0CA3E6A1BC99', '移液枪', 'Sartorius', NULL, '0.1-3ul', '2023-09-15 09:41:08.000000', '2023-09-15 09:41:08.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B536A714C54FEAC448B5611EFE5E627F', '耗材', 'D23FEDFC8560C47F51ED6CD007B88873', '移液枪', '普兰德', NULL, '500-5000ul', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B5E3893603D4308255E2B4E58CF0FBA0', '试剂', 'A7882EB8D3506C77253443A230AEE9FA', '乙酸乙酯', '利安隆博华', NULL, '500ml/瓶', '2023-09-15 09:41:56.000000', '2023-09-15 09:41:56.000000', '1', '1', '/', NULL, 20, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('B625A2AD61E8DA41D7AA221B19E6A1AE', '耗材', 'D9903D15D36E4EC73CF0B2A62466CE8B', '枪头', 'n/a', NULL, '5ml，200支/包', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B67D74246621646771A01D725F1E4AF4', '耗材', '6EFF75143C5F24BF03CF47CA89DBFF5A', '刮刀', 'n/a', NULL, '10cm', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B76A094CB07CCED0A2F4DAAF33A47397', '耗材', 'E18C601E2300B3A0E171775E017217E9', '擦镜纸', 'KIMTECH', NULL, '11.0*21.3cm', '2023-09-15 09:41:09.000000', '2023-09-15 09:41:09.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B88966FB32A07C15A9BE2F73E69D1BB7', '试剂', 'FFE0AC694F9F0ABF8A00D9CA694A312A', '叔丁醇', '科密欧', NULL, '500ml/瓶', '2023-09-15 09:42:01.000000', '2023-09-15 09:42:01.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('B932B43C2022873275993F1DFC0ED39B', '耗材', '3E799A7F18FB3047D04D9AE88EB96C3F', '容量瓶', 'Brand', NULL, '50ml', '2023-09-15 09:41:20.000000', '2023-09-15 09:41:20.000000', '1', '1', '/', NULL, 11, '普通耗材', '2', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('B9BB557E27AFA7A81A6FD7326306B8D8', '耗材', '393C604EB02811198CF9ED3E7F07242E', '移液枪20-200uL', 'Brand', NULL, '/', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, '常规贮存', '通用', '个', NULL, 1, '732228', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('BA251A248956D9FFADA8D31DA6CA5E1F', '耗材', '22E824F29834DFDB74D3E9F29E39F52A', '锥形瓶', '环球', NULL, '50ml', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', '/', NULL, 7, '普通耗材', '12', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('BB3B27D00505783F77AEE64577118C9A', '耗材', '7D545169D3201CB42FB4DE22D03C916E', '锥形瓶', '环球', NULL, '250ml', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', '/', NULL, 6, '普通耗材', '12', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('BC539C5B31534362D24A81B1FF60CB00', '耗材', 'E9AB7FAAFA2653CD83B9303CC3DD5514', '容量瓶 200mL ', 'Brand', NULL, '棕色', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, '常规贮存', '通用', '个', NULL, 1, '37488', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('BCA6CC9BFC99B11D3DB8E555C9E01434', '试剂', '08DC8DB942FB7B6B79314D7AEA9504C2', '甲酸', 'SturdeeSeal', NULL, '50ml/瓶', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'LC/MS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('BDC36393EDE98131C71E67E562FB0E30', '耗材', 'B7F9B5C8C94BFC57BA1D86EBFA11AE39', '保鲜自封袋5号', '苹果', NULL, '100x150mm', '2023-09-15 09:40:50.000000', '2023-09-15 09:40:50.000000', '1', '1', '/', NULL, 400, '普通耗材', '100', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('BDE04BAD6659D94461DBDA8FDC3996F9', '试剂', 'CE9328E0BB4C4F801C8B42BAABCDE82E', '乙腈', 'Thermo', NULL, '4L/瓶', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC，GC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('BF1A11B5D3F7BF985566C0F2941E12E7', '试剂', '8FCFC45C25E6AC078758469412EA95AA', '茶碱', '百灵威', NULL, '98%,5g/瓶', '2023-09-15 09:42:07.000000', '2023-09-15 09:42:07.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RD', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('BF2F300167B9F819B40FB80E716B4F07', '耗材', 'A8E5A5AA7B6E4C9A2D7E5D6A2553A72A', '白色滴瓶', 'n/a', NULL, '125ml', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', '/', NULL, 20, '普通耗材', '10', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('BF4E22B138206CAF6324C26CE14F8938', '耗材', 'E7B37DA138D357B9122CB81FA35B3029', '手套', '科邦', NULL, '橡胶，M号', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('C0088D2B40C022B8CB1EBD6A503FC97D', '耗材', '456927C499B7A44C928468E0DE811EFE', '连盖离心管', 'n/a', NULL, '2ml，300个', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', '/', NULL, 6, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C048FB63FA37EA02E6A00F5E8D6C8F3F', '试剂', 'F0A05A0C9C0DD2044CD8131BCECA8A04', '三（羟甲基）氨基甲烷', '阿拉丁', NULL, '0.999', '2023-09-15 09:42:00.000000', '2023-09-15 09:42:00.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, '标准缓冲物质', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C06BA5D98F530522369090BC1B5F045B', '耗材', '2D87C29CF6BC457C5CA614FBFD8D827F', '滴管', 'n/a', NULL, '15cm', '2023-09-15 09:41:06.000000', '2023-09-15 09:41:06.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C10FA4589050EB01CCE3ACEA3AFC2F23', '耗材', 'AA62C7E1DBEB302D9018B988E00E34AF', '移液枪', 'Sartorius', NULL, '1-10ml', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C1A5F0F6A4D9EB0DDF58ACA5F96B374F', '耗材', '471207B280E62EA391BDB5FCB2CF05B6', '一次性塑料烧杯', 'n/a', NULL, '250ml', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C25B9793F063457B1D6510EE4E0FA0A9', '耗材', 'BAA5087BE3555ADAD7B176A38DC23588', '1ml有机相枪头', 'RAININ　1000ul', NULL, 'disposable capillaries/pistons 17008609', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', '/', NULL, 30, '普通耗材', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008609', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('C2DFA903272272B154D74EABF251D9EB', '耗材', '48C4DA20EE9CA9D9F01FE70DF5F39557', '移液枪500-5000uL', '赛多利斯 ', NULL, '/', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '个', NULL, 1, '39086984', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('C3322CD7C3DDAA265564C7DEFDCC4173', '耗材', 'BFA9417CBCB68CACA9D12E616FA840EA', '手套', '科邦', NULL, '橡胶，M号', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('C362B8BAAAEAA488A02904C3BADB0AD1', '耗材', 'B8807086DFA9C8C41DB7380ABCFEDFF8', '连盖离心管', 'CYPRESS', NULL, '5ml，300支/袋', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', '/', NULL, 30, '普通耗材', '1', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C3A9DC28BF710AB94FFDA2E24F3189F9', '试剂', 'EC1CA8EC4E9C8113AAB20A2A025D9CCD', 'HBTU, 苯并三氮唑-N,N,N\',N\'-四甲基脲六氟磷酸酯', '阿拉丁', NULL, '99%, 100g/瓶', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '94790-37-1', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C3C923DE3D2922FCA835D7540F7224D3', '耗材', '07BD50C160F79E5310B380CE54AE4BBB', '单凹片载玻片', 'SAIL BRAND', NULL, '25.4x76.2mm，50片，7103', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C47D227A8A2EE9140447860BD844E6A9', '耗材', 'CF096D9D6566815E49C838B7255ABECB', '试管帽', 'n/a', NULL, 'Φ18', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', '/', NULL, 30, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('C4FDB6F5978EE2A1618CA11A32943642', '耗材', 'D88529487A6DC6FE7BF6B598CDD26A35', '移液枪吸头0.5-20uL', 'Brand', NULL, '/', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '732224', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('C578B380A886335FF3FA0E2792BC0471', '试剂', '93BB0816361BE670731DBB57BA88274F', '乙醇', 'GRACE', NULL, '4L/瓶', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('C62094EB4309D90EEEECF9C0DEA407B4', '试剂', 'B8CF85D8D7E06ED5F61D737CEFF8DB3D', '乙酸铵', '大茂', NULL, '500g/瓶', '2023-09-15 09:41:59.000000', '2023-09-15 09:41:59.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'GR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C7966CC063C1EBA31458739D8F47AF93', '耗材', 'B8FEAAD3A90DD3CB93B3C35C2CF55DF2', ' 移液枪吸头1mL', '赛多利斯', NULL, '/', '2023-09-15 09:40:36.000000', '2023-09-15 09:40:36.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('C805B6D8CB9AAE230FD3816DAEB482F2', '试剂', 'D08C864C88ECB205E5CA237BD6E61723', '甲醇', '科密欧', NULL, '500ml/瓶', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:53.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C8511A852AD20D96C7F7F70917FE2F62', '试剂', '14CC3BAD312ADCFA8828B7EFA085B9CC', 'HOBT, 1-羟基苯并三唑一水合物', '阿拉丁', NULL, '≥97.0%, 100g/瓶', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '123333-53-9', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C8D0B8A0AA4A39EF67D32669987C8D63', '试剂', 'EC68E5485FD8C78DE087F63330B38F04', '硝酸', '西陇', NULL, '500ml/瓶', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('C964B7CF04B16431E28F34BF17A61EE3', '耗材', '7667AF7FB7D9C67E563E7D08770535DE', 'ACQUITY UPLC BEH C18 1.7um VanGuard Pre-Column', 'Waters', NULL, '1.8，2.1*5mm Column', '2023-09-15 09:40:39.000000', '2023-09-15 09:40:39.000000', '1', '1', '/', NULL, 3, '色谱柱', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '186003975', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('CBD5E5E7D7D2D0849D32C913973CAD26', '耗材', '685B478804075BAA5AC5B72FAEA99AA5', '干燥器', 'n/a', NULL, '300mm', '2023-09-15 09:41:44.000000', '2023-09-15 09:41:44.000000', '1', '1', '/', NULL, 4, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('CC1381284E3D2C245CEDFB37D4B5330F', '试剂', '52C6946719373961114CD26E2785804A', '氘代DMSO', 'CIL', NULL, '50ml/瓶', '2023-09-15 09:42:06.000000', '2023-09-15 09:42:06.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('CD828DEDF90BEC450459390F8381DC8D', '耗材', '7F8B3DDA222FDDBE3DA61861923071C9', '进口滤膜', '津隆', NULL, '13mm，有机尼龙66,0.45um，货号：JLSN024501', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('CDFBD5D49319542ECAD96124965E13FE', '耗材', '113697ED4C3BC10B00167483A744D6B3', '枪头', 'brand', NULL, '50-1000ul', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', '/', NULL, 80, '普通耗材', '10', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('CE4A69B374C40FE1863B07652A57A15B', '耗材', '394AFAA0B8527CEA922BAB514AA18B54', '试管', 'n/a', NULL, '15*150mm', '2023-09-15 09:41:00.000000', '2023-09-15 09:41:00.000000', '1', '1', '/', NULL, 26, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('CF65D588EB95A01616A2AD8592C2AC9D', '耗材', 'B64E12D5D17A57E607F1D2B47BCE2CE7', '带塞溶剂瓶', 'n/a', NULL, '500ml', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', '/', NULL, 18, '普通耗材', '8', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D16E1E0A67570F495159423D9FE9886D', '耗材', 'E008813B7D0C0AB9BA26237CF12C3724', 'ACQUITY UPLC BEN HILIC VanGuard Pre-Column 3/Pk', 'Waters', NULL, '2.1*5mm,1.7um,3个/盒', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', '/', NULL, 2, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D174840C32FCE5411B07A48222D446AF', '耗材', '3FD9B40B044C587C7EAEB839EB6D1512', '容量瓶', 'Bomex', NULL, '250ml', '2023-09-15 09:41:20.000000', '2023-09-15 09:41:20.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D22EF4F76E0D52616A1971C4B93CC554', '耗材', 'AD2672965E361D90B98300A4CF87F023', '橡皮吸球', 'n/a', NULL, '1ml', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D2C1D45D68FE327F31D41A7FBAC710CD', '试剂', '2E731700107E5F5D316DDC0D4E0CE183', '白凡士林', '上海商习伟康', NULL, '500g/瓶', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, '其他', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D2CD64745C967676A22BF370CD69E9F6', '试剂', '7658E6DFD42A2C5FCD75C616700FAE29', '碳酸氢钠', '科密欧', NULL, '500克/瓶', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('D42BF84173CF39A118460FAC39D11FBB', '试剂', 'C190C2FA5BF592057542C3C12186EB92', '磷酸', 'Sigma-Aldrich', NULL, '0.85', '2023-09-15 09:41:49.000000', '2023-09-15 09:41:49.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D5C043953114C67027BB2D37ECA56C8D', '耗材', 'D46A6F1F6D725A18F5D5FF138591BEA5', '梨形分液漏斗', 'n/a', NULL, '10ml', '2023-09-15 09:41:32.000000', '2023-09-15 09:41:32.000000', '1', '1', '/', NULL, 10, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D5C935B5F37F5D95F20AE1B2E8842CA5', '试剂', '820E4F6497E262A698FFE6D683CD0EFB', '浓硫酸', '沪试', NULL, '500mL/瓶', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '分析纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('D61B39205CC5E9B27B1DD512C51BF7C5', '试剂', 'BAF53FCF8CB5937151AE9F5307A9B72B', '孕酮', 'VETEC', NULL, '25g/瓶,98%', '2023-09-15 09:42:07.000000', '2023-09-15 09:42:07.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'RG', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('D677200688ED30A35FF7E38616F0C7DC', '耗材', 'AD8194EE0FD93924DEF02122A50D256C', '固相萃取小柱', 'waters', NULL, 'Oasis®PRiME MCX3cc(60mg)Extraction Cartridges', '2023-09-15 09:40:15.000000', '2023-09-15 09:40:15.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, '186008918', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('D97A4579B63068CAF105AFBD27B1808F', '耗材', '51ABFF9E84E07F835ED686078241FB0F', '10ml连盖离心管', 'CYPRESS', NULL, '/', '2023-09-15 09:40:23.000000', '2023-09-15 09:40:23.000000', '1', '1', '/', NULL, 19, '普通耗材', '1', NULL, '常规贮存', '通用', '包', NULL, 1, '200100', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('D99B48D2F216C21623B054FF7A967F3D', '耗材', 'A5C12402375920A31592601B363A9EC5', '称量纸 90*90mm', '/', NULL, ' 90*90mm', '2023-09-15 09:40:30.000000', '2023-09-15 09:40:30.000000', '1', '1', '/', NULL, 10, '普通耗材', '1', NULL, '常规贮存', '通用', '包', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('D9CF04C039118058ABBB079717447563', '耗材', '69352D3DDA9A015558F77C2D3452A92A', 'DB-5', '安捷伦', NULL, '30m*0.25mm*0.25um，122-5032', '2023-09-15 09:41:08.000000', '2023-09-15 09:41:08.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '根', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('D9D0DF51FF1B4182A1FF75C05147F382', '耗材', '2AF6260D30F924A0CD49111372959483', '瓶口移液器 0.4-2mL', '赛多利斯 ', NULL, '/', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, '常规贮存', '后续不再购买', '个', NULL, 1, '2005075', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('DA1BF31609E8DF3FCA4B2A66E7367EBA', '试剂', '37EE9A29F8B3EA81EDAE1FFFAAAC0D13', '马来酸', 'Sigma-Aldrich', NULL, '100g/瓶，99%', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('DB38FB151A84B4225CE35D7C0903EC34', '耗材', '4E75A260FD7C3F9C12500F6D41BECCD0', '5ml连盖离心管', 'CYPRESS', NULL, '/', '2023-09-15 09:40:23.000000', '2023-09-15 09:40:23.000000', '1', '1', '/', NULL, 17, '普通耗材', '1', NULL, '常规贮存', '通用', '包', NULL, 1, '0200050', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('DC0071770D892A926D6746869C9BFE28', '试剂', 'CDDAE83411B208C32FF65BB5E4EA071F', '丙酸酐', '成都艾科', NULL, '98%，500g/瓶', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('DCF3CD509BB07361128223654FB8B3B4', '试剂', '8A8671C556F7F49AAEBD791C2B4A59E5', '正己烷', 'Supelco', NULL, '4L/瓶', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('DD0A9307DD0A5897B2B796AE99F0F8D1', '试剂', '0E1B011FA0A4E5BEA61AD6EEA11062F0', 'DIPEA, N,N-二异丙基乙胺', '阿拉丁', NULL, '99.5%, 100ml/瓶', '2023-09-15 09:42:17.000000', '2023-09-15 09:42:17.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '7087-68-5', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('DD376B8AD2D0B52E14C68FE14AB46916', '耗材', '7B61333835F0127E8FA0815466FA6484', '定量滤纸', '新星', NULL, '15cm，中速', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('DD7DD6CC51F9F7C9F0FBF649E70B742F', '耗材', 'FE8724675A073DB36777CF6B1E8F0DCC', 'ACQUITY UPLC CSH C18', 'Waters', NULL, '2.1*100mm,1.7um', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', '/', NULL, 2, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('DE95590BA087858781FE842A73FFFB56', '试剂', 'F24692FBF75A8082257F46DE567A9E00', '正十九烷', 'Sigma-Aldrich', NULL, '25g/瓶,99%', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, '其他', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('DEA0CA69B267D073FD4881DB8D4F696B', '耗材', '0D4F17A8FFE1956831E513D830170624', '容量瓶架 10mL 12孔', '/', NULL, '/', '2023-09-15 09:40:29.000000', '2023-09-15 09:40:29.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('DEBB27E2C4FF9735C25EB34009BC6A37', '试剂', 'B9DD1F2EE946152093B80025224AA6A2', '浓硝酸', '国产', NULL, '500mL/瓶', '2023-09-15 09:40:47.000000', '2023-09-15 09:40:47.000000', '1', '1', '/', NULL, 6, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '分析纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('DF3F0F4ACF37734C146598D31C6C2E69', '耗材', '928892C7A41AD28A35AE36DC780AC100', 'ACQUITY UPLC ENH HILIC ', 'Waters', NULL, '2.1*100mm,1.7um', '2023-09-15 09:40:56.000000', '2023-09-15 09:40:56.000000', '1', '1', '/', NULL, 6, '色谱柱', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('DF818DFCBCECACE7BD4C45A0D674D185', '耗材', '7B4E5A4C90B645F3429542CC029E3F0A', '塑料烧杯', 'n/a', NULL, '3000ml', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', '/', NULL, 7, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E043655ED784799B74F207342371CCB4', '试剂', 'F8363BDC39F4155474D59FF6BB8080BB', '甲酸铵', 'Honeywell', NULL, '50克/瓶', '2023-09-15 09:40:39.000000', '2023-09-15 09:40:39.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1, '55674-50G', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('E134D1AD0E6D4308866C1723A01389C6', '试剂', '502801F43C9C512758F4C1621DA34EE9', '碳酸氢钠', '光富', NULL, '500克/瓶', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('E17E689F5AE87E51C91AE289045B7B20', '试剂', '8C14877EEAD66E79829ED4423D90D232', '烟酰胺', 'Sigma-Aldrich', NULL, '100g/瓶', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'HPLC级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E267126FEFA26E6EBF3FEE2FFDE27F00', '耗材', '743140603D10195533CA89447ADC99F5', '醋酸纤维素滤膜', 'Whatman', NULL, '10462701', '2023-09-15 09:40:14.000000', '2023-09-15 09:40:14.000000', '1', '1', '/', NULL, 43, '普通耗材', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, '10462701', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('E3F2188D99022DB06DF1ED254A2050AC', '耗材', '0BEE7032CEAEB1875F2C9D078E784275', '50ml塑料离心管', 'CORNING　CentriStar', NULL, 'PET塑料', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, '常规贮存', '通用', '箱', NULL, 1, '430304', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('E4158A05D6182F53B2DC9B05921FA34D', '试剂', '8C4286907714CB649A5CFDE16B62249B', '氢氧化钠', '欧博凯', NULL, '500克/瓶', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('E459211A23238A661065ECE2E7D192AA', '耗材', 'DB54FE102443663296819FF0AC96D688', '橡皮吸球', 'n/a', NULL, '10ml', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', '/', NULL, 13, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E4D7E3ABFBCB4FD6F855EBCF3CC1FDB5', '试剂', '3A106647E37FE11211B27916DDBA7FCD', '氢氧化钠', '大茂', NULL, '500克/瓶', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('E5CE9929ED952F4EECD5368740719C48', '耗材', '81CD8EFB07B60388FAAB97A2C65E42AB', '螺口试剂瓶', '蜀牛', NULL, ' 1000mL(棕色)', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('E5F531CB5BA890C9B8A9C2D099FB19A7', '试剂', '7D2AF419F87355259B8D4B331DC45980', '二甲基砜', 'Sigma-Aldrich', NULL, '100g/瓶', '2023-09-15 09:41:49.000000', '2023-09-15 09:41:49.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E69C9B3CFB4ABEA0FB2B0AECD4C68567', '耗材', '70E9D390FE33A1C240D822EC2BE1309C', '定性滤纸', '皎洁', NULL, '18cm，中速', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E7AF92DFF09307DA84DC27963AE46BC5', '试剂', '1860D9A2811164003A3266AA9ECE245E', '乙酸乙酯', 'GRACE', NULL, '4L/瓶', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('E8240F71EE4F8ABD895C16B5DA01047E', '试剂', '4458CE56B9654CC1CA8EF99F58C72EA2', '乙酸乙酯', '科密欧', NULL, '500ml/瓶', '2023-09-15 09:41:54.000000', '2023-09-15 09:41:54.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('E8840397B48701475E561C565BA5AB1C', '耗材', '93640B3951E6EEF0C6C360E3A16A6585', '1ml枪头', 'Brand', NULL, '/', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', '/', NULL, 60, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '732232', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('E8F9FDA25E4DFDEFB5D01688DD483E46', '耗材', 'B2081647707E68D1382633C7AC33188F', '移液枪吸头0.5-20uL', 'Brand', NULL, '/', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '732224', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('E928B4DFD1449346B2D2DFA94805A2E7', '耗材', '2B9AFE07DA5E34AA288D503C5E2F2D67', '温度计', 'MC', NULL, '200ml', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('E9BA1B3E93A45B17AE01FE1A32D2918B', '耗材', '0EB7ACEAD9C44059C7EF5B3C7C80AF3E', '固相萃取小柱', '睿科', NULL, 'RayCure MCX 60mg/3mL，50/pk', '2023-09-15 09:40:15.000000', '2023-09-15 09:40:15.000000', '1', '1', '/', NULL, 49, '普通耗材', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, 'E0122502', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('EAAB94CA4E6D12E7197C02BA78EF997A', '试剂', 'F209F1F62969798053388397821C0887', '乙酸铵', 'Sigma', NULL, '500克/瓶', '2023-09-15 09:40:39.000000', '2023-09-15 09:40:39.000000', '1', '1', '/', NULL, 4, '普通试剂', '1', NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1, '32301-500G', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('EBA96C4F7000FECE43C7AF66243159C3', '试剂', '1A08797F684A04C970F471FE7E4117F1', '甲醇', 'Supelco', NULL, '2.5L，LC/MS级', '2023-09-15 09:42:02.000000', '2023-09-15 09:42:02.000000', '1', '1', '/', NULL, 8, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'LC/MS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('EDAD2FC6D544B3568BD348A5627633E7', '耗材', 'AAEB871ED932F69A983D563AAE495F43', '活性炭口罩', '/', NULL, '/', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', '/', NULL, 9, '普通耗材', '1', NULL, '常规贮存', '通用', '盒', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('EE6B94C63686654384F818221E600BEA', '耗材', 'E1E9CC559CBFABD857F8B61DD11AA2E0', '塑料吸管', 'n/a', NULL, '2ml，100支/袋', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('EE8C4B493BDF6727A6B8796F242CE8B0', '耗材', 'BACE406ED26C2AEF6D809CADE40770FE', '15ml塑料离心管', 'CORNING　CentriStar', NULL, 'PET塑料', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', NULL, '常规贮存', '通用', '箱', NULL, 1, '430790', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('EF9F0E70A9EFD7DF039F6CF5EF3AA67E', '试剂', '79A86F130E5929B06D2FBF5F8B1FB4A7', '四氢呋喃', '阿拉丁', NULL, '500ml/瓶,99%', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('EFA0F98C4750BD986E84A060F1E4FE18', '耗材', 'C3FC498C3659EB9660AAA98602F80BF0', '塑料离心管', 'n/a', NULL, '8ml,，225支/袋', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F0AC9C2CB4CBB44CF55DF9187556DF66', '试剂', '6F74D9332C67CE4E1ECC986AED24C1AA', '氘代甲醇', 'CIL', NULL, '0.6mLx10,99.8%', '2023-09-15 09:42:03.000000', '2023-09-15 09:42:03.000000', '1', '1', '/', NULL, 5, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('F20D5C5994C29D6C1D5045391B4AA9BB', '耗材', '7BD08EA869FE92DA6B49AADB9B2D6C5A', '小口试剂瓶', '蜀牛', NULL, '2500ml', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F2BF2F854F216DFC372ECA1437BDBA0D', '耗材', '42647666243EFF426967C6E716D7675F', '塑料离心管', 'n/a', NULL, '5ml，400支/袋', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', '/', NULL, 2, '普通耗材', '1', '/', '常规贮存', NULL, '袋', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F3BBE0BCF3CDC38869FDC77EAE1A3718', '耗材', '30833E5C492C0D35126C132C18F12EBF', '滴管', 'n/a', NULL, '10cm', '2023-09-15 09:41:05.000000', '2023-09-15 09:41:05.000000', '1', '1', '/', NULL, 20, '普通耗材', '1', '/', '常规贮存', NULL, '个', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F6062AFAA4E1D98A31C47A35729FFCE0', '耗材', 'D70BAE054531162A4EF8C9DE2C7395A3', '隔垫', '岛津', NULL, '货号221-75180，50个/盒', '2023-09-15 09:40:59.000000', '2023-09-15 09:40:59.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F665EDE8C8F84C424331EDB6B2F9FC9C', '耗材', 'BFC749B79A86350992587AB1412F7CA1', '药匙', 'n/a', NULL, '3x1', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', '/', NULL, 8, '普通耗材', '1', '/', '常规贮存', NULL, '套', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('F680204C7DAFCFAE5CDDC4435AFC7195', '耗材', '73117BAD1B76B386755C38C1F7B33018', '螺口试剂瓶', '蜀牛', NULL, ' 5000mL', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', '/', NULL, 1, '普通耗材', '1', NULL, '常规贮存', '通用', '个', NULL, 1, '/', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('F6E768E581215E3B67346F0EFEC52A6D', '耗材', 'C7DDD9984BD5B86964B3FBD356062CF0', '1ml有机相枪头', 'RAININ　1000ul', NULL, 'disposable capillaries/pistons 17008609', '2023-09-15 09:40:12.000000', '2023-09-15 09:40:12.000000', '1', '1', '/', NULL, 3, '普通耗材', '1', NULL, '常规贮存', '污水专用', '盒', NULL, 1, '17008609', NULL, NULL, '607');
INSERT INTO `reagent_consumable_stash` VALUES ('F84E5A153C088EEFA653FE02BB43E444', '试剂', '1718FB39B441E91634A9F5BBC716C073', '丙三醇', '科密欧', NULL, '500ml/瓶', '2023-09-15 09:41:57.000000', '2023-09-15 09:42:08.000000', '1', '1', '/', NULL, 30, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('F867D7AAE518CAE527BD3D862FBC4D3B', '试剂', '2FF9F3CC87F8F89F28F4A775A6C40251', '甲酸', '科密欧', NULL, '500mL/瓶', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:40.000000', '1', '1', '/', NULL, 3, '普通试剂', '1', NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 1, '/', NULL, 'HPLC级', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('F9C51F5A7AFEDFBBE5D7B2D65119FDE0', '耗材', '1BE10FD8B79178FAAD126A984657660A', '石墨垫圈', '安捷伦', NULL, '货号5080-8853，10个/盒', '2023-09-15 09:40:59.000000', '2023-09-15 09:40:59.000000', '1', '1', '/', NULL, 5, '普通耗材', '1', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('FA25DED95A2F60F60997D33A9265A9FF', '耗材', 'B0D1DB8BB0D89EC43BD0216ACA25C549', '称量纸', 'n/a', NULL, '10cm', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', '/', NULL, 30, '普通耗材', '10', '/', '常规贮存', NULL, '包', '/', 1, NULL, NULL, NULL, '707');
INSERT INTO `reagent_consumable_stash` VALUES ('FAFAC469BDC4CBD50486DC6CF0B9707A', '试剂', '59DEBCB1F937E40093B2F03F4CDC9AF8', '乙腈', 'Supelco', NULL, '2.5L/瓶', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', '/', NULL, 44, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'LC/MS级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('FB506F5B39E418EC9EFDBC76534BF7E8', '试剂', '919DC6333571F7B12AAC4EEEC983AAE2', '无水碳酸钠', '科密欧', NULL, '500克/瓶', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', '/', NULL, 1, '普通试剂', '1', NULL, '常规贮存', '通用', '瓶', NULL, 1, '/', NULL, '优级纯', '606');
INSERT INTO `reagent_consumable_stash` VALUES ('FC9E0398BCE4A129279EB09E0EA92E77', '试剂', '13AF00ED59F9D0F245428353573F2D76', '正庚烷', '科密欧', NULL, '500ml/瓶', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', '/', NULL, 7, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, NULL, 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('FE77760CE7D14B76ADC12BACFEB063FA', '试剂', '61858E603F957D71B82C8DF2D013D772', '4-(三氟甲基)苄溴', '阿拉丁', NULL, '98%，25g/瓶', '2023-09-15 09:42:14.000000', '2023-09-15 09:42:14.000000', '1', '1', '/', NULL, 2, '普通试剂', '1', '/', '常规贮存', NULL, '瓶', '/', 1, NULL, '402-49-3', 'AR级', '706');
INSERT INTO `reagent_consumable_stash` VALUES ('FF9C32E87B5C41E8E2A61B01BF90BDE4', '耗材', 'D008B3A3C54A2A737226B86FCC79D6BC', '一次性蓝色丁腈手套', '柯沃', NULL, 'S', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', '/', NULL, 42, '普通耗材', '10', '/', '常规贮存', NULL, '盒', '/', 1, NULL, NULL, NULL, '707');

-- ----------------------------
-- Table structure for reagent_consumables
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables`;
CREATE TABLE `reagent_consumables`  (
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '品牌',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类别',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) NULL DEFAULT NULL COMMENT '单价',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装单位',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `configuration_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '配置浓度',
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'CAS号',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `purity_grade` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纯度等级',
  PRIMARY KEY (`reagent_consumable_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材类)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumables
-- ----------------------------
INSERT INTO `reagent_consumables` VALUES ('01587042216D167E989E80F468703A8D', '试管架', 'n/a', '耗材', NULL, '普通耗材', '3x6', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('020FD4278A612BFE6291FE1D0B935599', '5-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:47.000000', '2023-09-15 09:39:47.000000', '1', '1', '/', NULL, 1.00, '5-chloro-N-(1-phenethylpiperidin-4-yl)-N-(ptolyl)pentanamide', '1', '对甲苯基5-氯戊酰基芬太尼', '冷藏贮存', 'GASS-369', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('02CC0F09CDC2E5B82A90318235B31079', '1-(4-氰基丁基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:08.000000', '2023-09-15 09:40:08.000000', '1', '1', '/', NULL, 1.00, '1-(4-cyanobutyl)-N-(2-phenylpropan-2-yl)-1H-indazole-4,5,6,7-d4-3-carboxamide', '1', 'D4-4CN-CUMYL-BUTINACA', '冷藏贮存', 'GASS-507', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('04E620281BD9A95D9EA1B6D62735A06E', '滴管', 'n/a', '耗材', NULL, '普通耗材', '9cm', '2023-09-15 09:41:05.000000', '2023-09-15 09:41:05.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('04FBC043DC77C02EFC45BA2A687055AF', '带塞溶剂瓶', 'n/a', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('05419F1805C570FA313C59C69511185B', '1-(苯并[d][1,3]二羟基-5-基)-2-(吡咯烷-1-基)戊-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:28.000000', '2023-09-15 09:39:28.000000', '1', '1', '/', NULL, 1.00, '1-(benzo[d][1,3]dioxol-5-yl)-2-(pyrrolidin-1-yl)pentan-1-one', '1', 'MDPV(盐酸盐)', '冷藏贮存', 'GASS-162', '瓶', NULL, 0.000000000000000000000000000000, '24622-62-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('05ECC45A59DCBEBF29BC2C0231900AB3', '洗瓶', 'n/a', '耗材', NULL, '普通耗材', '500ml', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('06A268803E9871B63D5CABCB6A8B8B80', 'N-(1-苯乙基哌啶-4-基)-N-苯基呋喃-2-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:27.000000', '2023-09-15 09:39:27.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-phenylfuran-2-carboxamide', '1', '呋喃芬太尼', '冷藏贮存', 'GASS-095', '瓶', NULL, 0.000000000000000000000000000000, '101345-66-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('07382D8A7896BCDF574D81A5F65A8B5C', '1-(3-氯苯基)-2-(二甲基氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:43.000000', '2023-09-15 09:39:43.000000', '1', '1', '/', NULL, 1.00, '1-(3-chlorophenyl)-2-(dimethylamino)propan-1-one', '1', 'N-甲基-间氯-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-334', '瓶', NULL, 0.000000000000000000000000000000, '514168-22-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('077150A62CFE686DAA7D8165D5B3578C', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '12.5cm，中速', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('077B2B308F7E87EF9C2569FFA2FB292B', '水系滤膜13mm*0.45um', '津隆', '耗材', NULL, '普通耗材', '100个/盒,100个/盒', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '盒', NULL, 0.000000000000000000000000000000, NULL, 'JLSP054501', NULL);
INSERT INTO `reagent_consumables` VALUES ('07BD50C160F79E5310B380CE54AE4BBB', '单凹片载玻片', 'SAIL BRAND', '耗材', NULL, '普通耗材', '25.4x76.2mm，50片，7103', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('07E802BCBC780A8820E247AE2A9B7DE9', '50ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, '普通耗材', 'PET塑料,20包/箱 1包/25,20包/箱 1包/25', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '箱', NULL, 0.000000000000000000000000000000, NULL, '430304', NULL);
INSERT INTO `reagent_consumables` VALUES ('08DC8DB942FB7B6B79314D7AEA9504C2', '甲酸', 'SturdeeSeal', '试剂', NULL, '普通试剂', '50ml/瓶', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumables` VALUES ('08EBBA7C98286883381407D656057DE5', '2ml连盖离心管', 'CYPRESS', '耗材', NULL, '普通耗材', '500个/包,500个/包', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '0200020', NULL);
INSERT INTO `reagent_consumables` VALUES ('0958943CE19417663A640B2A59866275', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '5ml，100支/袋', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0ABB32708CF8D635A383C91070178EF0', '喹啉-8-基-1-戊基-1H-吲哚-3-羧酸盐', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:23.000000', '2023-09-15 09:39:23.000000', '1', '1', '/', NULL, 1.00, 'quinolin-8-y1-pentyl-1H-indole-3-carboxylate', '1', 'PB-22', '冷藏贮存', 'GASS-069', '瓶', NULL, 0.000000000000000000000000000000, '1400742-17-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0B336F468A09D147447059B737329F90', '2-(1-丁基-1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:06.000000', '2023-09-15 09:40:06.000000', '1', '1', '/', NULL, 1.00, '2-(1-butyl-1H-indazole-3-carboxamido)-3,3-dimethylbutanoic acid', '1', 'ADB-BUTINACA代谢物', '冷藏贮存', 'GASS-502', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0B3597F76245A533BE9DC9CC3DFFB08D', '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:35.000000', '2023-09-15 09:39:35.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobutyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', '1', '4F-MDMB-BUTICA', '冷藏贮存', 'GASS-293', '瓶', NULL, 0.000000000000000000000000000000, '2682867-53-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0B8FE2FE91AD843D6CAE116D53BCF6F0', '橡皮吸球', 'n/a', '耗材', NULL, '普通耗材', '3ml', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0BEE7032CEAEB1875F2C9D078E784275', '50ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, '普通耗材', 'PET塑料,20包/箱 1包/25,20包/箱 1包/25', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '箱', NULL, 0.000000000000000000000000000000, NULL, '430304', NULL);
INSERT INTO `reagent_consumables` VALUES ('0C27631010F2DFFB8F1240A247B478A7', '梨形分液漏斗', 'Bomex', '耗材', NULL, '普通耗材', '125ml', '2023-09-15 09:41:32.000000', '2023-09-15 09:41:32.000000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0C2F7C03F10240A8FA248200B4CBC327', 'ACQUITY UPLC BEH HILIC 1.7um VanGuard Pre-Column', 'Waters', '耗材', NULL, '色谱柱', '1.7，2.1*5mm Column,3根/1盒,3根/1盒', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '毛发专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '186003980', NULL);
INSERT INTO `reagent_consumables` VALUES ('0C438408AE9AA3D42A80B85CE5127EB5', '1,3,5-三噁烷', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '≥99%', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('0D4F17A8FFE1956831E513D830170624', '容量瓶架 10mL 12孔', '/', '耗材', NULL, '普通耗材', '1个/盒,1个/盒', '2023-09-15 09:40:29.000000', '2023-09-15 09:40:29.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('0D94CC8DB5AFBAFEAFC894DA2928CE5D', 'TBTU, O-苯并三氮唑-N,N,N\',N\'-四甲基脲四氟硼酸酯', '阿拉丁', '试剂', NULL, '普通试剂', '98%, 100g/瓶', '2023-09-15 09:42:17.000000', '2023-09-15 09:42:17.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '125700-67-6', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('0E1B011FA0A4E5BEA61AD6EEA11062F0', 'DIPEA, N,N-二异丙基乙胺', '阿拉丁', '试剂', NULL, '普通试剂', '99.5%, 100ml/瓶', '2023-09-15 09:42:17.000000', '2023-09-15 09:42:17.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '7087-68-5', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('0E217BB02F8FAEDFB7579B1D10EF724A', ' 移液枪吸头5mL', '赛多利斯', '耗材', NULL, '普通耗材', '250个/包,250个/包', '2023-09-15 09:40:36.000000', '2023-09-15 09:40:36.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('0E320FC43138150A2D92F3D923B36A02', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '10.2*8.8cm', '2023-09-15 09:40:50.000000', '2023-09-15 09:40:50.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0E9DD4432436817C47CCF5419099CE73', '药匙', 'n/a', '耗材', NULL, '普通耗材', '20cm', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0EB7ACEAD9C44059C7EF5B3C7C80AF3E', '固相萃取小柱', '睿科', '耗材', NULL, '普通耗材', 'RayCure MCX 60mg/3mL，50/pk,50个/盒,50个/盒', '2023-09-15 09:40:15.000000', '2023-09-15 09:40:15.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, 'E0122502', NULL);
INSERT INTO `reagent_consumables` VALUES ('0F6439F9C5F5B16EE237EBAAAD16A685', 'Shim-pack GIST', '岛津', '耗材', NULL, '色谱柱', '4.6*150mm,5um', '2023-09-15 09:40:55.000000', '2023-09-15 09:40:55.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0FC599C9CB20B28CCCE71DD750967A53', '保鲜自封袋10号', '苹果', '耗材', NULL, '普通耗材', '340x240mm', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('0FEE0F26074B2BEBAAA4D8ABA7148316', '(4-乙基萘-1-基)(1-戊基-1H-吲哚-3-基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:22.000000', '2023-09-15 09:39:22.000000', '1', '1', '/', NULL, 1.00, '(4-ethylnaphthalen-1-yl)(1-pentyl-1H-indol-3-yl)methanone', '1', 'JWH-210', '冷藏贮存', 'GASS-064', '瓶', NULL, 0.000000000000000000000000000000, '824959-81-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('113697ED4C3BC10B00167483A744D6B3', '枪头', 'brand', '耗材', NULL, '普通耗材', '50-1000ul', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('11EC94688A3C78885500B19915CF0938', '螺纹试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', '80ml', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', '/', NULL, 1.00, '/', '20', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('125C0F1217C94B93C17F03E0E92F2C48', '1,4-二苄基哌嗪', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:56.000000', '2023-09-15 09:39:56.000000', '1', '1', '/', NULL, 1.00, '1,4-dibenzylpiperazine', '1', '二苄基哌嗪', '冷藏贮存', 'GASS-392', '瓶', NULL, 0.000000000000000000000000000000, '1034-11-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('125CA7A5C61445DEF84C9C0EDA55A7B4', '进样小瓶', '安捷伦', '耗材', NULL, '普通耗材', '2ml,5182-0714，100个/盒', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1344306FD43F352F84C0A6F83239A0CB', '1-(5-氟戊基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:08.000000', '2023-09-15 09:40:08.000000', '1', '1', '/', NULL, 1.00, '1-(5-fluoropentyl)-N-(2-phenylpropan-2-yl)-1H-indazole-4,5,6,7-d4-3-carboxamide', '1', 'D4-5F-CUMYL-PINACA', '冷藏贮存', 'GASS-508', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('13AF00ED59F9D0F245428353573F2D76', '正庚烷', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('14CC3BAD312ADCFA8828B7EFA085B9CC', 'HOBT, 1-羟基苯并三唑一水合物', '阿拉丁', '试剂', NULL, '普通试剂', '≥97.0%, 100g/瓶', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '123333-53-9', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('16F198F85AFBC4CB0627D77616A1BE4F', '2-(乙基氨基)-1-苯基丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:28.000000', '2023-09-15 09:39:28.000000', '1', '1', '/', NULL, 1.00, '2-(ethylamino)-1-phenylpropan-1-one', '1', '乙卡西酮(盐酸盐)', '冷藏贮存', 'GASS-127', '瓶', NULL, 0.000000000000000000000000000000, '18259-37-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1718FB39B441E91634A9F5BBC716C073', '丙三醇', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:41:57.000000', '2023-09-15 09:41:57.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('174A5895CF27CABEA6DCEC3413AF188B', '100ul有相机枪头', 'RAININ    100ul ', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008607,180个/盒,180个/盒', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008607', NULL);
INSERT INTO `reagent_consumables` VALUES ('17713ECDE535925E8D358431B988F7CA', '4-氟苄溴', '阿拉丁', '试剂', NULL, '普通试剂', '97%，25g/瓶', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '459-46-1', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('177CBEE4102EA2F66427BEC00FDD1C6C', '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:25.000000', '2023-09-15 09:39:25.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(5-fluoropentyl)-1H-indazole-3-carboxamido)-3,3-dimethylbutanoate', '1', '5F-ADB', '冷藏贮存', 'GASS-078', '瓶', NULL, 0.000000000000000000000000000000, '1715016-75-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('17EEC6810918AD4E059CC8C48DC9AF4D', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '1ml', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1860D9A2811164003A3266AA9ECE245E', '乙酸乙酯', 'GRACE', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('188B7696A7D5F77CAC568A2E1A0E12AD', 'EDCI , 1-乙基-(3-二甲基氨基丙基)碳二亚胺盐酸盐', '阿拉丁', '试剂', NULL, '普通试剂', '98%，100g/瓶', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '25952-53-8', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('18B3C0C8F33F318F29CDFCC51E0BCBE2', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '21*14cm', '2023-09-15 09:40:51.000000', '2023-09-15 09:40:51.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('18BDC8CA4135D695BD43BA52C8AF873A', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '1ml', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('197536D9AA7F267FCE0917B3D3EA2890', '枪头', 'Brand', '耗材', NULL, '普通耗材', '1000ul', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('198DE3328BEDC5E3126CF1399BE2A950', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, '普通耗材', '225mm,250支/盒,250支/盒', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '747720', NULL);
INSERT INTO `reagent_consumables` VALUES ('1A08797F684A04C970F471FE7E4117F1', '甲醇', 'Supelco', '试剂', NULL, '普通试剂', '2.5L，LC/MS级', '2023-09-15 09:42:02.000000', '2023-09-15 09:42:02.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumables` VALUES ('1BE10FD8B79178FAAD126A984657660A', '石墨垫圈', '安捷伦', '耗材', NULL, '普通耗材', '货号5080-8853，10个/盒', '2023-09-15 09:40:59.000000', '2023-09-15 09:40:59.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1C04C172EFA3E75B14C8438C636B9906', '棕色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '60ml', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1C48E826FC5387E767233A2A8D21FFFC', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:25.000000', '2023-09-15 09:39:25.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1(cyclohexylmethyl)-1H-indazole-3-carboxamide', '1', 'ADB-CHMINACA', '冷藏贮存', 'GASS-076', '瓶', NULL, 0.000000000000000000000000000000, '1863065-92-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1C8530AC0C0ED16E6517F704A69E6FEA', '保鲜自封袋4号', '苹果', '耗材', NULL, '普通耗材', '85x120mm', '2023-09-15 09:40:50.000000', '2023-09-15 09:40:50.000000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1CF613F9B1A3D3247FF41049698E0620', '石油醚', '利安隆博华', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:53.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('1D0223DA1D70AC588A258DC74E483D14', '3-甲基-N-(1-苯基哌啶-4-基)-N-(对甲苯基) 丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:48.000000', '2023-09-15 09:39:48.000000', '1', '1', '/', NULL, 1.00, '3-methyl-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)butanamide', '1', '对甲苯基异戊酰基芬太尼', '冷藏贮存', 'GASS-372', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1D77658AA2567DACF6F18C2812DD6ACB', '无水硫酸钠', '科密欧', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 09:41:56.000000', '2023-09-15 09:41:56.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('1DEBD4A342C544DAA5D35F00372DAD95', '2-(1-(4-氟苄基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:22.000000', '2023-09-15 09:39:22.000000', '1', '1', '/', NULL, 1.00, 'methyl2-(1-(4-fluorobenzyl)-1H-indazole-3-carboxamido)-3,3-dimethylbutanoate', '1', 'MDMB-FUBINACA', '冷藏贮存', 'GASS-068', '瓶', NULL, 0.000000000000000000000000000000, '1715016-77-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1DFAECBBE7DC56D9100EF0D269AE4718', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '5ml', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1E09335E6A1D5EBBD56C549857EDEB09', '称量瓶', 'n/a', '耗材', NULL, '普通耗材', '25x25', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', '/', NULL, 1.00, '/', '20', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1E4B184F35E24FEF1E60FFD0835F2F85', '量杯 塑料 3L', '/', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('1F2BE676869D0EA714E5CD11D76F4777', '2-(2-氟苯基)-2-(甲氨基) 环已烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:59.000000', '2023-09-15 09:39:59.000000', '1', '1', '/', NULL, 1.00, '2-(2-fluorophenyl)-2-(methylamino)cyclohexan-1-one', '1', '氟胺酮盐酸盐', '冷藏贮存', 'GASS-404', '瓶', NULL, 0.000000000000000000000000000000, '111982-49-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('1FCD9A78F8BAC7DD89183AAFD4E84C24', '2-(1-(4-氟苄基) -1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:38.000000', '2023-09-15 09:39:38.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobenzyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', '1', 'MDMB-FUBICA', '冷藏贮存', 'GASS-315', '瓶', NULL, 0.000000000000000000000000000000, '1971007-91-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('200AC112BCE6DD33C34C67F08C69AD31', '滴管', 'n/a', '耗材', NULL, '普通耗材', '12cm', '2023-09-15 09:41:05.000000', '2023-09-15 09:41:05.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('20670F07F63463027BF6621EBB58269F', '洗瓶', 'n/a', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('21ADF18AD4823F7603DADC9E158A5D1C', '1-(2-氟苯基)丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:11.000000', '2023-09-15 09:39:11.000000', '1', '1', '/', NULL, 1.00, '1-(2-fluorophenyl)propan-2-amine', '1', '2-FA', '冷藏贮存', 'GASS-001', '瓶', NULL, 0.000000000000000000000000000000, '1716-60-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('21ED56FB81B1EB66D52FD602CB03C66F', '2-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯)乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:49.000000', '2023-09-15 09:39:49.000000', '1', '1', '/', NULL, 1.00, '2-chloro-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', '1', '对甲苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-373', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('22761335B9567DBD1806B3E0A31B3379', '干燥器', 'n/a', '耗材', NULL, '普通耗材', '210mm', '2023-09-15 09:41:26.000000', '2023-09-15 09:41:26.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('22DE82F7312A2A1C86F65794E5724C55', '滤膜', '上海新亚', '耗材', NULL, '普通耗材', '有机，0.22um，50mm，50片/盒', '2023-09-15 09:41:36.000000', '2023-09-15 09:41:36.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('22E824F29834DFDB74D3E9F29E39F52A', '锥形瓶', '环球', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', '/', NULL, 1.00, '/', '12', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('241072202AC0E870F1F26F469AE606CA', '螺口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', ' 5000mL,/,/', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('245AC451C13892483D735AE474DBDE13', '容量瓶', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', '/', NULL, 1.00, '/', '6', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('247CE80EDF5B15ECEA2C436CF0C1420E', '连盖离心管', 'AXYGEN', '耗材', NULL, '普通耗材', '2ml，500支/袋', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('25647C58C24307D8ABA2E5722FDCAD76', '无尘纸', 'KIMTECH', '耗材', NULL, '普通耗材', '1个/盒　11*21cm,1个/盒　11*21cm', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '34155', NULL);
INSERT INTO `reagent_consumables` VALUES ('257235F43B75C9DCEB3E1DEC3F109495', '盐酸', '西陇', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('2577F7225E4C0262B531E591EFCDE892', '2-(乙基氨基) -2-苯基环已烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:09.000000', '2023-09-15 09:40:09.000000', '1', '1', '/', NULL, 1.00, '2-(ethylamino)-2-phenylcyclohexan-1-one', '1', '去氯乙基氯胺酮盐酸盐', '冷藏贮存', 'GASS-510', '瓶', NULL, 0.000000000000000000000000000000, '4551-92-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('25AA02D52308E3575183B5B4896E454A', '(E)-N\'-(1-(5-氟戊基)-2-氧代吲哚-3-亚基) 苯甲酰肼', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:05.000000', '2023-09-15 09:40:05.000000', '1', '1', '/', NULL, 1.00, '(E)-N\'-(1-(5-fluoropentyl)-2-oxoindolin-3-ylidene)benzohydrazide', '1', '5F-MDA-19', '冷藏贮存', 'GASS-501', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('25BDBC9B658154CB164B3C874309941E', '1-(4-甲氧基苯基)丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:05.000000', '2023-09-15 09:40:05.000000', '1', '1', '/', NULL, 1.00, '1-(4-methoxyphenyl)propan-2-amine', '1', 'PMA盐酸盐', '冷藏贮存', 'GASS-467', '瓶', NULL, 0.000000000000000000000000000000, '3706-26-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('25C7BF1970F4DE169F45979DA6AACDD6', ' 针头过滤器 25mm', 'Whatman ', '耗材', NULL, '普通耗材', '25mm,50/盒,50/盒', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '盒', NULL, 0.000000000000000000000000000000, NULL, '10462701', NULL);
INSERT INTO `reagent_consumables` VALUES ('2666DF7EAC537BF35F455A69244934F3', '量筒 500mL', '/', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 09:40:30.000000', '2023-09-15 09:40:30.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('27035C770A6B6BBDFBDF66357F00F7DA', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, '普通耗材', '225mm,250支/盒,250支/盒', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '747720', NULL);
INSERT INTO `reagent_consumables` VALUES ('27EBED92B56143B773D448FB951B6B82', '乙腈', 'Fisher', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumables` VALUES ('28BA2905E7359407A2D994E1D73C22DA', '乙酸乙酯', '国药集团', '试剂', NULL, '普通试剂', '≥99.5', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('299EE1F820A25A4541806537ACC0707B', '碳酸氢钠', '大茂', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('29AC5085B79BAA972C85FBFDF45E15B0', '5-乙基-5-(苯基-d5)嘧啶-2,4,6 (1H，3H，5H)-三酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:10.000000', '2023-09-15 09:40:10.000000', '1', '1', '/', NULL, 1.00, '5-ethyl-5-(phenyl-d5)pyrimidine-2,4,6(1H,3H,5H)-trione', '1', 'Ds-苯巴比妥', '冷藏贮存', 'GASS-512', '瓶', NULL, 0.000000000000000000000000000000, '72793-46-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('29D61882D9F0EF01AE0E660028FA75BC', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:26.000000', '2023-09-15 09:39:26.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)butyramide', '1', '4-氟丁酰芬太尼', '冷藏贮存', 'GASS-090', '瓶', NULL, 0.000000000000000000000000000000, '244195-31-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2A29550308BCEF02B5AAFD1E9B6030F1', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基) 环己烷甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:53.000000', '2023-09-15 09:39:53.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclohexanecarboxamide', '1', '对氟苯基环己甲酰基芬太尼', '冷藏贮存', 'GASS-385', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2AA37711B87C9795203B25FD9204126B', '螺纹试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2AA86C4E632105C28977416DA8718C76', '利血平', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '5g/瓶,99%', '2023-09-15 09:42:06.000000', '2023-09-15 09:42:06.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('2AF6260D30F924A0CD49111372959483', '瓶口移液器 0.4-2mL', '赛多利斯 ', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '个', NULL, 0.000000000000000000000000000000, NULL, '2005075', NULL);
INSERT INTO `reagent_consumables` VALUES ('2B87AA1E1E019E92B23C0A07346122C1', 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:15.000000', '2023-09-15 09:39:15.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', '1', '5F-APINACA', '冷藏贮存', 'GASS-038', '瓶', NULL, 0.000000000000000000000000000000, '1400742-13-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2B9AFE07DA5E34AA288D503C5E2F2D67', '温度计', 'MC', '耗材', NULL, '普通耗材', '200ml', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2C39053AC21FA9BF3174A15F537385A6', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, '普通耗材', '225mm,250支/盒,250支/盒', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '747720', NULL);
INSERT INTO `reagent_consumables` VALUES ('2C5CF2C1F86B5C91FD51C69520A28A37', '顶空瓶', '安捷伦', '耗材', NULL, '普通耗材', '10ml,5182-0838', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2C661FC2EE3BF25AE1B88885B40E2FD3', 'O型圈', '安捷伦', '耗材', NULL, '普通耗材', '货号5188-5365，10个/盒', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2CF83118F62C3629A618092C93EDFFD1', '容量瓶 250mL ', 'Brand', '耗材', NULL, '普通耗材', '棕色,/,/', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '37489', NULL);
INSERT INTO `reagent_consumables` VALUES ('2D87C29CF6BC457C5CA614FBFD8D827F', '滴管', 'n/a', '耗材', NULL, '普通耗材', '15cm', '2023-09-15 09:41:06.000000', '2023-09-15 09:41:06.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2E214604818892CC6614A10FD17E0C0B', '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺基)丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:34.000000', '2023-09-15 09:39:34.000000', '1', '1', '/', NULL, 1.00, 'methyl 3,3-dimethyl-2-(1-(pent-4-en-1-yl)-1H-indazole-3-carboxamido)butanoate', '1', 'MDMB-4en-PINACA', '冷藏贮存', 'GASS-292', '瓶', NULL, 0.000000000000000000000000000000, '2504100-70-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2E69CB380FA15D22EC529E5D1A8B3F4D', '枪头', 'sartorius', '耗材', NULL, '普通耗材', '200ul', '2023-09-15 09:41:40.000000', '2023-09-15 09:41:40.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2E731700107E5F5D316DDC0D4E0CE183', '白凡士林', '上海商习伟康', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, '其他');
INSERT INTO `reagent_consumables` VALUES ('2E9CBBC8D6C35641F846D3384BECAE48', '乙醇', '西陇', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:41:50.000000', '2023-09-15 09:41:50.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('2EC31452101DA44B4255A2D9B095B2B9', '枪头', 'Sartorius', '耗材', NULL, '普通耗材', '10ml，250个', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('2FF9F3CC87F8F89F28F4A775A6C40251', '甲酸', '科密欧', '试剂', NULL, '普通试剂', '500mL/瓶', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:40.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('308098B56AED7E02B4331818423F1A4F', '乙腈', 'fisher', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:40:42.000000', '2023-09-15 09:40:42.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'LC/MS级 ');
INSERT INTO `reagent_consumables` VALUES ('30833E5C492C0D35126C132C18F12EBF', '滴管', 'n/a', '耗材', NULL, '普通耗材', '10cm', '2023-09-15 09:41:05.000000', '2023-09-15 09:41:05.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('30B4E2057855E7A971EECE8DA89298AB', '甲醇', 'Supelco', '试剂', NULL, '普通试剂', '4L，LC/MS级', '2023-09-15 09:42:02.000000', '2023-09-15 09:42:02.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumables` VALUES ('3138EFADF8974B88C87552F176D3093E', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '7cm，中速', '2023-09-15 09:41:42.000000', '2023-09-15 09:41:42.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('31872878597ED68D69F805768669B885', '移液枪', 'Sartorius', '耗材', NULL, '普通耗材', '500-5000ul', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('31D889994CD1280AE0E0D9673C1139B4', '丙酮', '西陇', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:41:51.000000', '2023-09-15 09:41:51.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('3243325B04F655B4718FA21459241211', '八氟萘', 'Merck', '试剂', NULL, '普通试剂', '1g/瓶,96%', '2023-09-15 09:42:06.000000', '2023-09-15 09:42:06.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('33E222EF7CF6445AC3D5E3F075FA533F', '保鲜自封袋9号', '苹果', '耗材', NULL, '普通耗材', '280x200mm', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('35318CE9A4C5A709B8295D6132D8B7DE', '4-氟氯苄', '阿拉丁', '试剂', NULL, '普通试剂', '98%，25g/瓶', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '352-11-4', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('355B41480BBD209260994C0D4C83408C', '封口膜', 'PARAFILM', '耗材', NULL, '普通耗材', 'PM-996,1个/盒,1个/盒', '2023-09-15 09:40:17.000000', '2023-09-15 09:40:17.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, 'PM-996', NULL);
INSERT INTO `reagent_consumables` VALUES ('359C0E71AC228762F5B3A35023B78082', '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-基磷酸二氢盐', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:31.000000', '2023-09-15 09:39:31.000000', '1', '1', '/', NULL, 1.00, '3-(2-(dimethylamino)ethyl)-1H-indol-4-yl dihydrogenphosphate', '1', '赛洛西宾', '冷藏贮存', 'GASS-199', '瓶', NULL, 0.000000000000000000000000000000, '520-52-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('359F3C30772DC679591BDC6B077691BD', '氘代DMSO', 'CIL', '试剂', NULL, '普通试剂', '0.6mLx10,99.8%', '2023-09-15 09:42:03.000000', '2023-09-15 09:42:03.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('35E466DB1D7BBCDD6DD264D9497437EA', '量筒 50mL', '/', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 09:40:29.000000', '2023-09-15 09:40:29.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('374F438E242804BE9E1C2C400FAA0489', '2,2,2-三氯-N-(1-苯乙基哌啶-4-基) -N-(对甲苯基) 乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:50.000000', '2023-09-15 09:39:50.000000', '1', '1', '/', NULL, 1.00, '2,2,2-trichloro-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', '1', '对甲苯基三氯乙酰基芬太尼', '冷藏贮存', 'GASS-376', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('379492203C4874F7B9DFB6C94FFC5EB7', '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-醇', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:30.000000', '2023-09-15 09:39:30.000000', '1', '1', '/', NULL, 1.00, '3-(2-(dimethylamino)ethyl)-1H-indol-4-ol', '1', '赛洛新', '冷藏贮存', 'GASS-198', '瓶', NULL, 0.000000000000000000000000000000, '520-53-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('37EE9A29F8B3EA81EDAE1FFFAAAC0D13', '马来酸', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶，99%', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('393C604EB02811198CF9ED3E7F07242E', '移液枪20-200uL', 'Brand', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '732228', NULL);
INSERT INTO `reagent_consumables` VALUES ('394AFAA0B8527CEA922BAB514AA18B54', '试管', 'n/a', '耗材', NULL, '普通耗材', '15*150mm', '2023-09-15 09:41:00.000000', '2023-09-15 09:41:00.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('39F277D35CFA356EC3C9EFA8DFE61B77', '甲醇', 'Supelco', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:40.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '1.06007.4008', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('3A0E936DA686EA01FAE9EC31CB45A943', 'N-(1-苯乙基哌啶-4-基)-N-(苯基-d5)丙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:09.000000', '2023-09-15 09:40:09.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(phenyl-d5)propionamide', '1', 'D5-芬太尼', '冷藏贮存', 'GASS-509', '瓶', NULL, 0.000000000000000000000000000000, '118357-29-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3A106647E37FE11211B27916DDBA7FCD', '氢氧化钠', '大茂', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('3AE8634DEC1350DB23BCC23613EC9893', 'ACQUITY UPLC HSS T3 1.8um', 'Waters', '耗材', NULL, '色谱柱', '1.8，2.1*5mm Column,3根/1盒,3根/1盒', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '186003976', NULL);
INSERT INTO `reagent_consumables` VALUES ('3B1FB897E379463C5F96B5467C774B49', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 09:40:12.000000', '2023-09-15 09:40:12.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008609', NULL);
INSERT INTO `reagent_consumables` VALUES ('3B512313A44260F994BC3AE12C5C4C2D', '研钵', '垒固', '耗材', NULL, '普通耗材', '18cm', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3BA574819F1D6432259A1232EED5BC79', '2-(2-氯苯基-3,4,5,6-d4) -2-(甲氨基) 环己烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:04.000000', '2023-09-15 09:40:04.000000', '1', '1', '/', NULL, 1.00, '2-(2-chlorophenyl-3,4,5,6-d4)-2-(methylamino)cyclohexan-1-one', '1', 'D4-氯胺酮盐酸盐', '冷藏贮存', 'GASS-459', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3BFEBC44F71866CD03A640112521656C', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '25ml', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3C9FD09C0D5536BBF020E6A38F3632C6', '一次性塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3CC6FB80D9CF4BED7C433842DDE76695', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环戊酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:50.000000', '2023-09-15 09:39:50.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclopentanecarboxamide', '1', '对甲苯基环戊甲酰基芬太尼', '冷藏贮存', 'GASS-375', '瓶', NULL, 0.000000000000000000000000000000, '2748409-67-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3E365746633672F936B49F30AEA70055', '色谱柱ACQUITY UPLC BEH C18 Column, ', 'Waters', '耗材', NULL, '色谱柱', ' 1.7 µm, 2.1 mm X 100 mm,1/根,1/根', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '根', NULL, 0.000000000000000000000000000000, NULL, '186002352', NULL);
INSERT INTO `reagent_consumables` VALUES ('3E5CDA4C2A5BCF0AD817AC0F41CF1525', '称量纸 100*100mm', '/', '耗材', NULL, '普通耗材', ' 100*100mm,500张/包,500张/包', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('3E799A7F18FB3047D04D9AE88EB96C3F', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 09:41:20.000000', '2023-09-15 09:41:20.000000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3EC5D34BA368333230FC6601EA3987EE', '自封袋', '苹果牌京惠思创', '耗材', NULL, '普通耗材', '9号，,100个/包,100个/包', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('3F1F2447DF50282F34D183372A7C3EFA', '镊子', 'n/a', '耗材', NULL, '普通耗材', '直头，12.5cm', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('3F3010C2395BDA1DA29BAA9FD33BB599', '手套', '科邦', '耗材', NULL, '普通耗材', '橡胶，S号,200只/盒,200只/盒', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('3FC01BA0AB79ADAA4B46C504A829EB65', '氢氧化钠', '欧博凯', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 09:41:59.000000', '2023-09-15 09:41:59.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('3FD9B40B044C587C7EAEB839EB6D1512', '容量瓶', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 09:41:20.000000', '2023-09-15 09:41:20.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('40015F4CD54E97426885497442342617', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(戊-4-烯-1基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:36.000000', '2023-09-15 09:39:36.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-(pent-4-en-1-yl)-1H-indazole-3-carboxamide', '1', 'ADB-4en-PINACA', '冷藏贮存', 'GASS-307', '瓶', NULL, 0.000000000000000000000000000000, '2659308-44-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4011C009C6AFF675AFDC29E92A74F257', '2-(1-(4-氟丁基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:07.000000', '2023-09-15 09:40:07.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobutyl)-1H-indazole-3-carboxamido4,5,6,7-d4)-33-dimethylbutanoate', '1', 'D4-4F-MDMB-BUTINACA', '冷藏贮存', 'GASS-506', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4052FBA489932F551BE5D85EB6D21AA1', '移液枪吸头0.5-20uL', 'Brand', '耗材', NULL, '普通耗材', '10包/盒,10包/盒', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732224', NULL);
INSERT INTO `reagent_consumables` VALUES ('40BF0917D6C9A8E6D2A0433F02BC404C', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(5-氟戊基-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:14.000000', '2023-09-15 09:39:14.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', '1', '5F-ADBICA', '冷藏贮存', 'GASS-036', '瓶', NULL, 0.000000000000000000000000000000, '1801338-27-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('41051744D73806C4BC57812A239894E8', '试管架', 'n/a', '耗材', NULL, '普通耗材', '4x6', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('419660068FAE03C7D0784BB225D307B1', '200ul枪头', 'Brand', '耗材', NULL, '普通耗材', '容量200ul,96个/盒,96个/盒', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732028', NULL);
INSERT INTO `reagent_consumables` VALUES ('41A7EE2C7F4B95EAC496C90FA724DFFC', '茶碱', 'TCI', '试剂', NULL, '普通试剂', '25g/瓶,98%', '2023-09-15 09:42:01.000000', '2023-09-15 09:42:01.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('41C67665A701AC937E7BB8D70AFE8E51', '二苯胺', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'ReagentPlus');
INSERT INTO `reagent_consumables` VALUES ('42647666243EFF426967C6E716D7675F', '塑料离心管', 'n/a', '耗材', NULL, '普通耗材', '5ml，400支/袋', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('42EF98B71D597C112B430F77AD7DB041', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, '普通耗材', 'M', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('435FDD84DFB468A3F3BA5D97B89F8865', '丝口试剂瓶', 'n/a', '耗材', NULL, '普通耗材', '5000ml', '2023-09-15 09:41:19.000000', '2023-09-15 09:41:19.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4458CE56B9654CC1CA8EF99F58C72EA2', '乙酸乙酯', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:41:54.000000', '2023-09-15 09:41:54.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('44599655CF68C169195C0CEB553B0C91', '(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)(萘-1-基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:30.000000', '2023-09-15 09:39:30.000000', '1', '1', '/', NULL, 1.00, '(1-((1-methylpiperidin-2-yl)methyl)-1H-indol-3-yl)(naphthalen-1-yl)methanone', '1', 'AM-1220', '冷藏贮存', 'GASS-048', '瓶', NULL, 0.000000000000000000000000000000, '137642-54-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('449A8B561DCF967DA42F8A16A504779B', '乙醇', 'GRACE', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:41:52.000000', '2023-09-15 09:41:52.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('44DDF1D1D1DE1AF45B22177E0F1420D1', '氨水', '沪试', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:42:01.000000', '2023-09-15 09:42:01.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('450DBF607C4CBF40AAB4270885E1C892', '异丙醇', 'GRACE', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('4526E3C0FF9B7D161340BF869E11DF7D', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, '普通耗材', '225mm,250支/盒,250支/盒', '2023-09-15 09:40:19.000000', '2023-09-15 09:40:19.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '747720', NULL);
INSERT INTO `reagent_consumables` VALUES ('454DF4463E9318A168F1B26E8D7C7E25', '氘代甲醇', 'CIL', '试剂', NULL, '普通试剂', '50ml', '2023-09-15 09:42:03.000000', '2023-09-15 09:42:03.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('456927C499B7A44C928468E0DE811EFE', '连盖离心管', 'n/a', '耗材', NULL, '普通耗材', '2ml，300个', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('456E323FC6F2687E4513DBE84C7B0689', '砂芯过滤装置全套', '津隆', '耗材', NULL, '普通耗材', '1000mL,套,套', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '套', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('459F147F03A9DD158FC52E3F749FE269', '1-(4-氯-2,5-二甲氧基苯基)丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:12.000000', '2023-09-15 09:39:12.000000', '1', '1', '/', NULL, 1.00, '1-(4-chloro-2,5-dimethoxyphenyl)propan-2-amine', '1', 'DoC', '冷藏贮存', 'GASS-013', '瓶', NULL, 0.000000000000000000000000000000, '123431-31-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('45AB3C14928365CA5DC41DC75BA7D684', 'ACQUITY UPLC BEH C18                    ', 'Waters', '耗材', NULL, '色谱柱', '2.1*100mm,1.7um', '2023-09-15 09:40:56.000000', '2023-09-15 09:40:56.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4635A4733B0A1BFC3422202F435FCEE6', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '9cm，中速', '2023-09-15 09:41:42.000000', '2023-09-15 09:41:42.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('46ED4560123BFAF02D0990E57C8FDA82', '定量滤纸', '双联牌', '耗材', NULL, '普通耗材', '7cm,快速', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('471207B280E62EA391BDB5FCB2CF05B6', '一次性塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('47D70559EF96B1C962BE5505ED357A03', '圆底烧瓶', '申迪', '耗材', NULL, '普通耗材', '500ml', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('486181CE91BD40119DC4938332A5A999', '1-苯基-2-(吡咯烷-1-基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:44.000000', '2023-09-15 09:39:44.000000', '1', '1', '/', NULL, 1.00, '1-phenyl-2-(pyrrolidin-1-yl)propan-1-one', '1', 'PPP盐酸盐', '冷藏贮存', 'GASS-337', '瓶', NULL, 0.000000000000000000000000000000, '92040-10-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('48C4DA20EE9CA9D9F01FE70DF5F39557', '移液枪500-5000uL', '赛多利斯 ', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '个', NULL, 0.000000000000000000000000000000, NULL, '39086984', NULL);
INSERT INTO `reagent_consumables` VALUES ('48CB9A92430B394784EB27E358C38A6F', 'DMAP, 4-二甲氨基吡啶', '阿拉丁', '试剂', NULL, '普通试剂', '99%, 100g/瓶', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '1122-58-3', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('49248C881EC31157C67228EB50AA87E2', '三（羟甲基）氨基甲烷', '沪试', '试剂', NULL, '普通试剂', '100g/瓶', '2023-09-15 09:42:00.000000', '2023-09-15 09:42:00.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('498C25DDA5EB09AC3FAB8CB5D914BFAB', 'ZORBAX Eclipse Plus C18', 'agilent', '耗材', NULL, '色谱柱', '4.6*150mm,5um', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('49D243C5948854D3D72E5A4FEF2D065B', '2-(苯甲基亚磺酰基)乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:36.000000', '2023-09-15 09:39:36.000000', '1', '1', '/', NULL, 1.00, '2-(benzhydrylsulfinyl)acetamide', '1', '莫达非尼', '冷藏贮存', 'GASS-298', '瓶', NULL, 0.000000000000000000000000000000, '68693-11-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4A1C2F0146449736397D4B6221AEFC3B', '保鲜自封袋8号', '苹果', '耗材', NULL, '普通耗材', '240x170mm', '2023-09-15 09:40:49.000000', '2023-09-15 09:40:49.000000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4B286C743CF9CDED4C31C03EFFD2D3AD', '瓶口分液器', 'sartorius', '耗材', NULL, '普通耗材', '0.2ml-1ml', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4CAA0B1E9143971E00AB3835F76DF832', '1-(4-氯苯基)-2-(二甲基氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:58.000000', '2023-09-15 09:39:58.000000', '1', '1', '/', NULL, 1.00, '1-(4-chlorophenyl)-2-(dimethylamino)propan-1-one', '1', '对氯-N,N-二甲基卡西酮盐酸盐', '冷藏贮存', 'GASS-395', '瓶', NULL, 0.000000000000000000000000000000, '2493977-47-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4D0BD69A936CF52B97EB38AEF3671481', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '186008056', NULL);
INSERT INTO `reagent_consumables` VALUES ('4D51D181A842BC6FCEB2DDFD48B07D0A', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '0.2ml，500支/袋', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4D579A7F9BED49D472051621D166E876', '高硼硅量筒', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4D6A5E835D0292667136906055B9C4FD', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，水洗聚醚砜（PES），0.45um，货号：JLSP214502', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4DB056F46F2255AB2103B5988CBC3E6D', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲哚-4,5,6,7-d4-3-羧酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:04.000000', '2023-09-15 09:40:04.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indole-4,5,6,7-d4-3-carboxamide', '1', 'D4-AB-FUBICA', '冷藏贮存', 'GASS-463', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4DC5B30256DCF61811F45246878C8D22', '喹啉-8-基1-(5-氟戊基)-1H-吲哚-3-羧酸盐', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:15.000000', '2023-09-15 09:39:15.000000', '1', '1', '/', NULL, 1.00, 'quinolin-8-yl 1-(5-fluoropentyl)-1H-indole-3-carboxylate', '1', '5F-PB-22', '冷藏贮存', 'GASS-039', '瓶', NULL, 0.000000000000000000000000000000, '1400742-41-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4E2102D5311E50D90FBAF00A2BB84D0E', '移液管', 'MC', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 09:41:01.000000', '2023-09-15 09:41:01.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4E75A260FD7C3F9C12500F6D41BECCD0', '5ml连盖离心管', 'CYPRESS', '耗材', NULL, '普通耗材', '300个/包,300个/包', '2023-09-15 09:40:23.000000', '2023-09-15 09:40:23.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '0200050', NULL);
INSERT INTO `reagent_consumables` VALUES ('4EA3FE14F7BFE4FB3F4F8B55C86E5473', '移液管架', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4F59166509074FDB772A6439C86C2DB1', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, 'WAT094226', NULL);
INSERT INTO `reagent_consumables` VALUES ('4F65CF5B8D244ABDF6831D2B3D6FCFDC', '高硼硅量筒', 'Bomex', '耗材', NULL, '普通耗材', '500ml', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('4FDE6FC7A7CDF234EEF898554D57934B', '称量瓶', 'n/a', '耗材', NULL, '普通耗材', '25x40', '2023-09-15 09:41:26.000000', '2023-09-15 09:41:26.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('502801F43C9C512758F4C1621DA34EE9', '碳酸氢钠', '光富', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('5101AF4A986EF4134D65BE30161D374F', '磷酸', '阿拉丁', '试剂', NULL, '普通试剂', '89-90%,500ml/瓶', '2023-09-15 09:41:50.000000', '2023-09-15 09:41:50.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('51ABFF9E84E07F835ED686078241FB0F', '10ml连盖离心管', 'CYPRESS', '耗材', NULL, '普通耗材', '200个/包,200个/包', '2023-09-15 09:40:23.000000', '2023-09-15 09:40:23.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '200100', NULL);
INSERT INTO `reagent_consumables` VALUES ('51ED037EA4B3AA507EF16E3D1573B998', '一次性塑料离心管', 'Corning', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', '/', NULL, 1.00, '/', '20', '/', '常规贮存', NULL, '箱', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('525D2019FE3D47EFBA72CD2E3A64A46D', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5291A9F745D4D79AE74F7755E977CF27', ' 移液枪吸头10uL', '赛多利斯', '耗材', NULL, '普通耗材', '1000个/包,1000个/包', '2023-09-15 09:40:35.000000', '2023-09-15 09:40:35.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('52C6946719373961114CD26E2785804A', '氘代DMSO', 'CIL', '试剂', NULL, '普通试剂', '50ml/瓶', '2023-09-15 09:42:06.000000', '2023-09-15 09:42:06.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('54418F86047EB9633A9005735693512C', '离心管架', 'n/a', '耗材', NULL, '普通耗材', '4X5，20孔', '2023-09-15 09:41:44.000000', '2023-09-15 09:41:44.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('551F62C8FF44CB3E9CDEECDE59ADC7DD', '200ul枪头', 'Brand', '耗材', NULL, '普通耗材', '容量200ul,96个/盒,96个/盒', '2023-09-15 09:40:17.000000', '2023-09-15 09:40:17.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732028', NULL);
INSERT INTO `reagent_consumables` VALUES ('552B06C2701AD157E2954CFA0ED79E26', '一次性塑料滴管 3mL', '国产', '耗材', NULL, '普通耗材', '100支/包,100支/包', '2023-09-15 09:40:34.000000', '2023-09-15 09:40:34.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('5546C9D92ECA2AE1EABF4FD10E1136B9', '(1-(戊-4-烯-1-基) -1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:33.000000', '2023-09-15 09:39:33.000000', '1', '1', '/', NULL, 1.00, 'methyl(1-(pent-4-en-1-yl)-1H-indole-3-carbonyl)valinate', '1', 'AMB-4en-PICA', '冷藏贮存', 'GASS-269', '瓶', NULL, 0.000000000000000000000000000000, '2659308-31-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('55B50A150CDBB2DC26F92C1EBB7F372F', '1-(苯并[d][1,3]二羟基-5-基)-2-(甲氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:29.000000', '2023-09-15 09:39:29.000000', '1', '1', '/', NULL, 1.00, '1-(benzo[d][1,3]dioxol-5-yl)-2-(methylamino)propan-1-one', '1', '3,4-亚甲二氧基甲卡西酮(盐酸盐)', '冷藏贮存', 'GASS-165', '瓶', NULL, 0.000000000000000000000000000000, '186028-79-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('562B5FF640CD5B1BCB9C7ED641A13C25', '表面皿', 'n/a', '耗材', NULL, '普通耗材', 'Φ60mm，10个/盒', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('57E338F1AF3D29FA410DF14073B94A9D', '封口膜', 'Bemis', '耗材', NULL, '普通耗材', '4IN.*125FT.ROLL，PM-996', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('58613A4E9015EAA9ECAA0CA3E6A1BC99', '移液枪', 'Sartorius', '耗材', NULL, '普通耗材', '0.1-3ul', '2023-09-15 09:41:08.000000', '2023-09-15 09:41:08.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5877EE1E7F59D054330B7F353312A061', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，有机尼龙66，0.45um，货号：JLSN184502', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('59DEBCB1F937E40093B2F03F4CDC9AF8', '乙腈', 'Supelco', '试剂', NULL, '普通试剂', '2.5L/瓶', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'LC/MS级');
INSERT INTO `reagent_consumables` VALUES ('5A9FA9FBDC81576DD77AE0EE7AECF500', '2-(二甲基氨基)-1-苯基丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:40.000000', '2023-09-15 09:39:40.000000', '1', '1', '/', NULL, 1.00, '2-(dimethylamino)-1-phenylpropan-1-one', '1', 'N-甲基-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-326', '瓶', NULL, 0.000000000000000000000000000000, '10105-90-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5B7EE38B31E6A45BE0966CC842F766F9', '(1-(2-吗啉乙基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:16.000000', '2023-09-15 09:39:16.000000', '1', '1', '/', NULL, 1.00, '(1-(2-morpholinoethyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', '1', 'A-796,260', '冷藏贮存', 'GASS-041', '瓶', NULL, 0.000000000000000000000000000000, '895155-26-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5BD8CCD02CA1125372AA07A2FA4F2B2E', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:38.000000', '2023-09-15 09:39:38.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indole-3-carboxamide', '1', 'AB-FUBICA', '冷藏贮存', 'GASS-316', '瓶', NULL, 0.000000000000000000000000000000, '1801338-22-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5C5B5D817327A48EA6F509A61FA1E05C', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '2ml', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5C7A9F87126028CF393F24EFC581F812', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-丁基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:35.000000', '2023-09-15 09:39:35.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-butyl-1H-indazole-3-carboxamide', '1', 'ADB-BUTINACA', '冷藏贮存', 'GASS-295', '瓶', NULL, 0.000000000000000000000000000000, '2682867-55-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5D03BD377D3CF1E9494B3CADAE6D8B5B', '定量滤纸', '双联牌', '耗材', NULL, '普通耗材', '12.5cm，慢速', '2023-09-15 09:41:37.000000', '2023-09-15 09:41:37.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5E7829F8E70F861F8CA92A955A3B9B4E', 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:24.000000', '2023-09-15 09:39:24.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', '1', '5F-APICA(STS-135)', '冷藏贮存', 'GASS-072', '瓶', NULL, 0.000000000000000000000000000000, '1354631-26-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5E8AF96BD4F097D2103D43600D8FF403', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, '普通耗材', '1ml，200支/盒', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5F150FD2CB70C7DDC6C08899EB170954', '试管帽', 'n/a', '耗材', NULL, '普通耗材', 'Φ15', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('5F8CECB2556D5EF1B3C2074260BB78F0', '(2-碘代苯基)(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:19.000000', '2023-09-15 09:39:19.000000', '1', '1', '/', NULL, 1.00, '(2-iodophenyl)(1-((1-methylpiperidin-2-yl)methyl)-1H-indol-3-yl)methanone', '1', 'AM-2233', '冷藏贮存', 'GASS-050', '瓶', NULL, 0.000000000000000000000000000000, '444912-75-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('60155AD4B6048FC45671D08E256BFE01', '一次性塑料滴管 5mL', '国产', '耗材', NULL, '普通耗材', '100支/包,100支/包', '2023-09-15 09:40:34.000000', '2023-09-15 09:40:34.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('60A310F90C859492E970DF57B42EA31B', '2-氨基-2-(2-氯苯基) 环已烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:45.000000', '2023-09-15 09:39:45.000000', '1', '1', '/', NULL, 1.00, '2-amino-2-(2-chlorophenyl)cyclohexan-1-one', '1', '去甲氯胺酮盐酸盐', '冷藏贮存', 'GASS-341', '瓶', NULL, 0.000000000000000000000000000000, '79499-59-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('60EC0189826D4F81E05D86B54AE55AEE', 'N-(1-苯乙基哌啶-4-基)-N-苯基环丁烷甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:55.000000', '2023-09-15 09:39:55.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-phenylcyclobutanecarboxamide', '1', '苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-389', '瓶', NULL, 0.000000000000000000000000000000, '2306827-55-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6122F486EF079542379911B3FD0A1BA4', 'N-(1-苯乙基哌啶-4-基)-N-苯基环丙烷甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:56.000000', '2023-09-15 09:39:56.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-phenylcyclopropanecarboxamide', '1', '苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-390', '瓶', NULL, 0.000000000000000000000000000000, '1169-68-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('61858E603F957D71B82C8DF2D013D772', '4-(三氟甲基)苄溴', '阿拉丁', '试剂', NULL, '普通试剂', '98%，25g/瓶', '2023-09-15 09:42:14.000000', '2023-09-15 09:42:14.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '402-49-3', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('61D013604482A6865D7F6F9328855345', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:14.000000', '2023-09-15 09:39:14.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', '1', '5F-AB-PINACA', '冷藏贮存', 'GASS-035', '瓶', NULL, 0.000000000000000000000000000000, '1800101-60-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('639371CD27C1D1B2B769624B0A4E257A', '药匙', 'n/a', '耗材', NULL, '普通耗材', '16cm', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('63D86916A5A8A6C5C135BC626E1A2D88', '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸乙酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:36.000000', '2023-09-15 09:39:36.000000', '1', '1', '/', NULL, 1.00, 'ethyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)valinate', '1', '5F-EMB-PICA', '冷藏贮存', 'GASS-308', '瓶', NULL, 0.000000000000000000000000000000, '2648861-83-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('640401F2DEB447FBA5625868977F36B5', '水系滤膜25mm*0.45um', '津隆', '耗材', NULL, '普通耗材', '100个/盒,100个/盒', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '盒', NULL, 0.000000000000000000000000000000, NULL, 'JLSP214502', NULL);
INSERT INTO `reagent_consumables` VALUES ('645A4EF9AC2ABA18494DB77EC436D2FE', 'Hypersil GOLD VANQUISH', '赛默飞', '耗材', NULL, '色谱柱', '100*2.1um', '2023-09-15 09:40:55.000000', '2023-09-15 09:40:55.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('65629F03353D3443F0F0B68A4D4E7019', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:31.000000', '2023-09-15 09:39:31.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', '1', '5F-MDMB-PICA', '冷藏贮存', 'GASS-259', '瓶', NULL, 0.000000000000000000000000000000, '1971007-88-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('65E2F8D36017D0FE06C74AC4731FF249', '研钵', '垒固', '耗材', NULL, '普通耗材', '15ml', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('662DD2C3B77FA3D097E98BF86C9A49D2', '称量瓶', 'n/a', '耗材', NULL, '普通耗材', '50x30', '2023-09-15 09:41:26.000000', '2023-09-15 09:41:26.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('66546FA038BCDB99D5FBB70B42DFA15E', 'N-(金刚烷-1-基)-1-戊基-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:19.000000', '2023-09-15 09:39:19.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-pentyl-1H-indole-3-carboxamide', '1', 'APICA', '冷藏贮存', 'GASS-051', '瓶', NULL, 0.000000000000000000000000000000, '1345973-50-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('67A78793CFA8B7865C6A204132E93D02', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:13.000000', '2023-09-15 09:39:13.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(5-fluoropentyl)-1H-indole-3-carboxamide', '1', '5F-ABICA', '冷藏贮存', 'GASS-034', '瓶', NULL, 0.000000000000000000000000000000, '1801338-26-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('685B478804075BAA5AC5B72FAEA99AA5', '干燥器', 'n/a', '耗材', NULL, '普通耗材', '300mm', '2023-09-15 09:41:44.000000', '2023-09-15 09:41:44.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6860021A6DF4E609AD02CAE9A0C7C6CD', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, '普通耗材', 'L', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6883B42EF98AEC57B6096D243CF3B08A', '一次性塑料滴管 1mL', '国产', '耗材', NULL, '普通耗材', '100支/包,100支/包', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('69352D3DDA9A015558F77C2D3452A92A', 'DB-5', '安捷伦', '耗材', NULL, '普通耗材', '30m*0.25mm*0.25um，122-5032', '2023-09-15 09:41:08.000000', '2023-09-15 09:41:08.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '根', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('69C44817233291C4FD6AAD91363D82E2', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, '普通耗材', '100ml', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6A15F16D4C76770AA7B589206FE4758D', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '15cm，中速', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6A8A3FC36B804D66E73577E1393B592E', '萘-1-基(4-(戊基氧基)萘-1-基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:20.000000', '2023-09-15 09:39:20.000000', '1', '1', '/', NULL, 1.00, 'naphthalen-1-yl(4-(pentyloxy)naphthalen-1-yl)methanone', '1', 'CB-13', '冷藏贮存', 'GASS-053', '瓶', NULL, 0.000000000000000000000000000000, '432047-72-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6AB6B0C25FA307974AFE7CDC8BD82CA6', '乙酸乙酯', '沪试', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:41:54.000000', '2023-09-15 09:41:54.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('6C20CAF7B46837CE1CC011A35D49E945', '1-(4-甲氧基苯基-2,3,5,6-d4)-N-甲基丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:02.000000', '2023-09-15 09:40:02.000000', '1', '1', '/', NULL, 1.00, '1-(4-methoxyphenyl-2,3,5,6-d4)-N-methylpropan-2-amine', '1', 'D4-PMMA盐酸盐', '冷藏贮存', 'GASS-452', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6C25424EE5A614A903D86C98559AD2E6', 'L-缬氨酰胺盐酸盐', '阿拉丁', '试剂', NULL, '普通试剂', '98%，25g/瓶', '2023-09-15 09:42:14.000000', '2023-09-15 09:42:14.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '3014-80-0', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('6CB5246FE84C0365052F5E426873DF1C', '标准漏斗', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6CEF7F10C4E8589E6D3309EBE61204E9', 'N-(金刚烷-1-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:24.000000', '2023-09-15 09:39:24.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(4-fluorobenzyl)-1H-indazole-3-carboxamide', '1', 'FUB-APINACA', '冷藏贮存', 'GASS-075', '瓶', NULL, 0.000000000000000000000000000000, '2180933-90-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6D83AFF4B3D12E1E87D1BC558FF5E558', '枪头', 'Brand', '耗材', NULL, '普通耗材', '5ml，200支/包', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6DC9914D010BC133D74A5413FBDE9B21', '氯化亚砜', '科试', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:42:08.000000', '2023-09-15 09:42:08.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('6E64BCD3757B5B3CAF8AC90E9646B285', '2-(1-(4-氟苄基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3.二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:04.000000', '2023-09-15 09:40:04.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobenzyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', '1', 'D4-MDMB-FUBICA', '冷藏贮存', 'GASS-464', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6E676718BE57499E191972F748E45AF2', '滤膜', '上海新亚', '耗材', NULL, '普通耗材', '有机，0.45um，50mm，50片/盒', '2023-09-15 09:41:37.000000', '2023-09-15 09:41:37.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6EB9D241CA63DAAD4E005995BF945E48', '2-(二乙基氨基)-1-苯基丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:41.000000', '2023-09-15 09:39:41.000000', '1', '1', '/', NULL, 1.00, '2-(diethylamino)-1-phenylpropan-1-one', '1', '安非拉酮盐酸盐', '冷藏贮存', 'GASS-330', '瓶', NULL, 0.000000000000000000000000000000, '134-80-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6EFF75143C5F24BF03CF47CA89DBFF5A', '刮刀', 'n/a', '耗材', NULL, '普通耗材', '10cm', '2023-09-15 09:41:13.000000', '2023-09-15 09:41:13.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('6F74D9332C67CE4E1ECC986AED24C1AA', '氘代甲醇', 'CIL', '试剂', NULL, '普通试剂', '0.6mLx10,99.8%', '2023-09-15 09:42:03.000000', '2023-09-15 09:42:03.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('6F9E836CD424F7D3B37BDD7EF97C03A7', '(1-(5-氟戊基)-1H-吲哚-3-羰基)苯丙氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:33.000000', '2023-09-15 09:39:33.000000', '1', '1', '/', NULL, 1.00, 'methyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)phenylalaninate', '1', '5F-MPP-PICA', '冷藏贮存', 'GASS-271', '瓶', NULL, 0.000000000000000000000000000000, '2682867-54-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7013103EA4DAACE02EF574C9F210355E', '定量滤纸', '新星', '耗材', NULL, '普通耗材', '11cm，中速', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('706B425DDB8A95A00497E4691950A3FA', '2-(二乙基氨基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:42.000000', '2023-09-15 09:39:42.000000', '1', '1', '/', NULL, 1.00, '2-(diethylamino)-1-(p-tolyl)propan-1-one', '1', 'N-乙基-对甲-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-332', '瓶', NULL, 0.000000000000000000000000000000, '676316-90-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('708FB5BC5D99B71E9E70FBDD0C5AFE17', '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-苯基丙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:56.000000', '2023-09-15 09:39:56.000000', '1', '1', '/', NULL, 1.00, '3-cyclopentyl-N-(1-phenethylpiperidin-4-yl)-N-phenylpropanamide', '1', '苯基环戊丙酰基芬太尼', '冷藏贮存', 'GASS-391', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('70E9D390FE33A1C240D822EC2BE1309C', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '18cm，中速', '2023-09-15 09:41:42.000000', '2023-09-15 09:41:42.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7161859E0131302EB53EDC711C203D4D', '异辛烷', 'Supelco', '试剂', NULL, '普通试剂', '1L/瓶', '2023-09-15 09:42:12.000000', '2023-09-15 09:42:12.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('72236D220A13C0AC544417A5888386EB', '200ul枪头', 'Brand', '耗材', NULL, '普通耗材', '容量200ul,96个/盒,96个/盒', '2023-09-15 09:40:17.000000', '2023-09-15 09:40:17.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732028', NULL);
INSERT INTO `reagent_consumables` VALUES ('723C2769E172F25C2CA57814C162AB3E', 'D-缬氨酰胺盐酸盐', '阿拉丁', '试剂', NULL, '普通试剂', '97%，1g/瓶', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '133170-58-8', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('7247103108ADD12071B069D83DCE8A74', '苯骈三氮唑', '阿拉丁', '试剂', NULL, '普通试剂', '99%，100g/瓶', '2023-09-15 09:42:17.000000', '2023-09-15 09:42:17.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, ' 95-14-7 ', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('73117BAD1B76B386755C38C1F7B33018', '螺口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', ' 5000mL,/,/', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('73811EAEEABC115F90491365F9362008', '镊子', 'n/a', '耗材', NULL, '普通耗材', '弯头，12.5cm', '2023-09-15 09:41:13.000000', '2023-09-15 09:41:13.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('743140603D10195533CA89447ADC99F5', '醋酸纤维素滤膜', 'Whatman', '耗材', NULL, '普通耗材', '10462701,100片/盒,100片/盒', '2023-09-15 09:40:14.000000', '2023-09-15 09:40:14.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '10462701', NULL);
INSERT INTO `reagent_consumables` VALUES ('755E691DDBFE0FC83D27FCC1B486EF95', '2-苯基-2-(哌啶-2-基)乙酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:38.000000', '2023-09-15 09:39:38.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-phenyl-2-(piperidin-2-yl)acetate', '1', '哌甲酯盐酸盐', '冷藏贮存', 'GASS-314', '瓶', NULL, 0.000000000000000000000000000000, '20748-11-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('75891031891D1DBCAADB5FDF9D8D97F4', '(1-(5-氟戊基)-1H-吲唑-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:15.000000', '2023-09-15 09:39:15.000000', '1', '1', '/', NULL, 1.00, 'methyl (1-(5-fluoropentyl)-1H-indazole-3-carbonyl)valinate', '1', '5F-AMB', '冷藏贮存', 'GASS-037', '瓶', NULL, 0.000000000000000000000000000000, '1715016-74-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7658E6DFD42A2C5FCD75C616700FAE29', '碳酸氢钠', '科密欧', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('7667AF7FB7D9C67E563E7D08770535DE', 'ACQUITY UPLC BEH C18 1.7um VanGuard Pre-Column', 'Waters', '耗材', NULL, '色谱柱', '1.8，2.1*5mm Column,3根/1盒,3根/1盒', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '186003975', NULL);
INSERT INTO `reagent_consumables` VALUES ('76D485504D6355A469848770A237ED51', '移液枪吸头200uL', '赛多利斯 ', '耗材', NULL, '普通耗材', '960个/包,960个/包', '2023-09-15 09:40:36.000000', '2023-09-15 09:40:36.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('76F5C88EDAF2FE5A652AB5A64B050B78', '梨形分液漏斗', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 09:41:32.000000', '2023-09-15 09:41:32.000000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7796D3BC8BD100B3EC1738C4C40CE5DA', '二氯甲烷', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:53.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('77C6A86F7B19391BC94E4475D5F0EC9F', '一次性塑料滴管 2mL', '国产', '耗材', NULL, '普通耗材', '100支/包,100支/包', '2023-09-15 09:40:34.000000', '2023-09-15 09:40:34.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('7834AAB43551B63158DB15173108F7D1', '玻璃冻存管', 'n/a', '耗材', NULL, '普通耗材', '透明，5ml', '2023-09-15 09:41:06.000000', '2023-09-15 09:41:06.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('792941E2E497F9F9C49E34DAF09117EB', '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:06.000000', '2023-09-15 09:40:06.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(5-fluoropentyl)-1H-indazole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', '1', 'D4-5F-ADB', '冷藏贮存', 'GASS-503', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('79A86F130E5929B06D2FBF5F8B1FB4A7', '四氢呋喃', '阿拉丁', '试剂', NULL, '普通试剂', '500ml/瓶,99%', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('7AD48E51FFA16DA45475FF5E50B96318', '一次性使用无菌注射器 带针', '治宇', '耗材', NULL, '普通耗材', '2ml,200/支', '2023-09-15 09:41:37.000000', '2023-09-15 09:41:37.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7B4E5A4C90B645F3429542CC029E3F0A', '塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '3000ml', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7B61333835F0127E8FA0815466FA6484', '定量滤纸', '新星', '耗材', NULL, '普通耗材', '15cm，中速', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7BD08EA869FE92DA6B49AADB9B2D6C5A', '小口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', '2500ml', '2023-09-15 09:41:28.000000', '2023-09-15 09:41:28.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7C82D2143591F0896F4979C655C8E5AB', '异丙醇', 'Supelco', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('7D2AF419F87355259B8D4B331DC45980', '二甲基砜', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶', '2023-09-15 09:41:49.000000', '2023-09-15 09:41:49.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('7D545169D3201CB42FB4DE22D03C916E', '锥形瓶', '环球', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', '/', NULL, 1.00, '/', '12', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7E239EDFD94B38E1A53537F2E95DA730', '(7-氯-5-(2-氟苯基)-2,3-二氢-1H-苯并[e][1,4]二氮杂-2-基)甲胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:10.000000', '2023-09-15 09:40:10.000000', '1', '1', '/', NULL, 1.00, '(7-chloro-5-(2-fluorophenyl)-2,3-dihydro-1H-benzo[e][1,4]diazepin-2-yl)methanamine', '1', '咪达唑仑', '冷藏贮存', 'GASS-513', '瓶', NULL, 0.000000000000000000000000000000, '59467-64-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7E3F33D672B713B4B247E8B4D4B2B57A', '微孔滤膜-两相通用', 'Pall', '耗材', NULL, '普通耗材', '13mm 0.2um GHP ,1000个/盒,1000个/盒', '2023-09-15 09:40:11.000000', '2023-09-15 09:40:11.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水，毛发专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '2401', NULL);
INSERT INTO `reagent_consumables` VALUES ('7EE3D28D6C3416784C4DF4CA7B334E0B', '隔垫', '岛津', '耗材', NULL, '普通耗材', '货号221-76650-01,25个/盒', '2023-09-15 09:40:59.000000', '2023-09-15 09:40:59.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7F62AE4C65C32546E078678B86329641', '甲苯', 'fisher', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:41:51.000000', '2023-09-15 09:41:51.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('7F7E8C0DBAE5BDAD097F8DA2618907D9', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '5ml', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7F8B3DDA222FDDBE3DA61861923071C9', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '13mm，有机尼龙66,0.45um，货号：JLSN024501', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('7FEBAFE460DD219B226E33274E9CA05C', '1ml枪头', 'Brand', '耗材', NULL, '普通耗材', '96个/盒,96个/盒', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732232', NULL);
INSERT INTO `reagent_consumables` VALUES ('7FEEDDDF461B32111FB4F56418255673', '滴管', 'n/a', '耗材', NULL, '普通耗材', '18cm', '2023-09-15 09:41:04.000000', '2023-09-15 09:41:04.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('80160962DB7042A2987CF9E96581ACE7', '2-(2-溴苯基) -2-(甲氨基) 环己烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:00.000000', '2023-09-15 09:40:00.000000', '1', '1', '/', NULL, 1.00, '2-(2-bromophenyl)-2-(methylamino)cyclohexan-1-one', '1', '溴胺酮盐酸盐', '冷藏贮存', 'GASS-405', '瓶', NULL, 0.000000000000000000000000000000, '120807-70-7(base)', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('80197BFD56B43EBFE36D4E2C2E8576DF', '自封袋', '苹果牌京惠思创', '耗材', NULL, '普通耗材', '4# 85*120mm,100个/包,100个/包', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('81CD8EFB07B60388FAAB97A2C65E42AB', '螺口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', ' 1000mL(棕色),/,/', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('820E4F6497E262A698FFE6D683CD0EFB', '浓硫酸', '沪试', '试剂', NULL, '普通试剂', '500mL/瓶', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '分析纯');
INSERT INTO `reagent_consumables` VALUES ('847255B91803492156AD6EE89E0A7846', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:05.000000', '2023-09-15 09:40:05.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', '1', 'D4-5F-MDMB-PICA', '冷藏贮存', 'GASS-465', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('85108C2AE1FDFBD6385BF2D37F9FAD19', '氯化亚砜', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('8579C5EC48ECB7BC3A60BE552B627DD7', '甲醇', 'Supelco', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:41:50.000000', '2023-09-15 09:41:50.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('85E25B24FEE067408CB4072BD8E4B035', '保鲜自封袋7号', '苹果', '耗材', NULL, '普通耗材', '200x140mm', '2023-09-15 09:40:49.000000', '2023-09-15 09:40:49.000000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8660204040845B73D240DF61E7603145', '枪头', 'Brand', '耗材', NULL, '普通耗材', '200ul', '2023-09-15 09:41:40.000000', '2023-09-15 09:41:40.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('86EDA27C7B88EEF4F391D3C2ABA17944', 'captiva针头过滤器', '安捷伦', '耗材', NULL, '普通耗材', '纤维素膜，25mm直径，0.2μm孔径 ,100个/盒,100个/盒', '2023-09-15 09:40:11.000000', '2023-09-15 09:40:11.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '5190-5110', NULL);
INSERT INTO `reagent_consumables` VALUES ('890913D3505BB6C3BD12333CBDDF3700', '废液瓶架', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('897B90FE8C0FFFB75535054AF61B9F5E', '2ml进样瓶', 'waters', '耗材', NULL, '普通耗材', '18600847C（棕色）,100个/盒,100个/盒', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '18600847C', NULL);
INSERT INTO `reagent_consumables` VALUES ('8A8671C556F7F49AAEBD791C2B4A59E5', '正己烷', 'Supelco', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('8AE64ABF6D11EF1B6580F3C7B2E2DBDA', 'N-(4-氟苯基)-3甲基-N-(1-苯乙基哌啶-4-基)丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:53.000000', '2023-09-15 09:39:53.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-3-methyl-N-(1-phenethylpiperidin-4-yl)butanamide', '1', '对氟苯基3-甲基丁酰基芬太尼', '冷藏贮存', 'GASS-383', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8B9F0BE690AD489D2DC5544656AC70C0', '四氢呋喃', '阿拉丁', '试剂', NULL, '普通试剂', 'AR,99.0% (含250 ppm BHT稳定剂)，500ml', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('8C14877EEAD66E79829ED4423D90D232', '烟酰胺', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('8C4286907714CB649A5CFDE16B62249B', '氢氧化钠', '欧博凯', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('8C9580EA787F21B966FEA7F266988973', '量筒 100mL', '/', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 09:40:29.000000', '2023-09-15 09:40:29.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('8CCAD9D9A64BCB94732B1C21CF7B3A9B', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:17.000000', '2023-09-15 09:39:17.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(4-fluorobenzyl)-1H-indazole-3-carboxamide', '1', 'AB-FUBINACA', '冷藏贮存', 'GASS-044', '瓶', NULL, 0.000000000000000000000000000000, '1629062-56-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8CF9624228EE09D7BAC35DF4AF5F51B6', '物证封装袋', 'n/a', '耗材', NULL, '普通耗材', '16.5*12cm', '2023-09-15 09:40:53.000000', '2023-09-15 09:40:53.000000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8DF08FA6573190F2754B993627B56D2F', '试管刷', 'n/a', '耗材', NULL, '普通耗材', '无', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8EB7B527BFEC3F6877D8D6D6B4377AAF', '2ml进样瓶', 'waters', '耗材', NULL, '普通耗材', '18600307C（透明）,100个/盒,100个/盒', '2023-09-15 09:40:19.000000', '2023-09-15 09:40:19.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '18600307C', NULL);
INSERT INTO `reagent_consumables` VALUES ('8F34A2593FB661BF7761A60D7870B060', '镊子', 'n/a', '耗材', NULL, '普通耗材', '直头，20cm', '2023-09-15 09:41:13.000000', '2023-09-15 09:41:13.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8F3A7EA446CEE4C0AAC2924E3C6E5418', 'N-(1-氨基-3-甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:18.000000', '2023-09-15 09:39:18.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-pentyl-1H-indazole-3-carboxamide', '1', 'AB-PINACA', '冷藏贮存', 'GASS-045', '瓶', NULL, 0.000000000000000000000000000000, '1445583-20-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('8FCFC45C25E6AC078758469412EA95AA', '茶碱', '百灵威', '试剂', NULL, '普通试剂', '98%,5g/瓶', '2023-09-15 09:42:07.000000', '2023-09-15 09:42:07.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('919DC6333571F7B12AAC4EEEC983AAE2', '无水碳酸钠', '科密欧', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('91D5F07BA63587A0277C59C27F77D84A', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)环丙烷甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:48.000000', '2023-09-15 09:39:48.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclopropanecarboxamide', '1', '对甲苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-370', '瓶', NULL, 0.000000000000000000000000000000, '2749910-42-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('928892C7A41AD28A35AE36DC780AC100', 'ACQUITY UPLC ENH HILIC ', 'Waters', '耗材', NULL, '色谱柱', '2.1*100mm,1.7um', '2023-09-15 09:40:56.000000', '2023-09-15 09:40:56.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('92C1F62DE74E6FB46CBBE572AD074713', 'DCC , N,N\'-二环己基碳二亚胺', '阿拉丁', '试剂', NULL, '普通试剂', '99%, 100g/瓶', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '538-75-0', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('9328CEE34038D597ACD4A99398040D5B', '5-乙基-1,2-二甲基-4,4-二苯基-3,4-二氢-2H-吡咯-1-鎓', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:39.000000', '2023-09-15 09:39:39.000000', '1', '1', '/', NULL, 1.00, '5-ethyl-1,2-dimethyl-4,4-diphenyl-3,4-dihydro-2H-pyrrol-1-ium', '1', 'EDDP(高氯酸盐)', '冷藏贮存', 'GASS-317', '瓶', NULL, 0.000000000000000000000000000000, '31161-17-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('93640B3951E6EEF0C6C360E3A16A6585', '1ml枪头', 'Brand', '耗材', NULL, '普通耗材', '96个/盒,96个/盒', '2023-09-15 09:40:16.000000', '2023-09-15 09:40:16.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732232', NULL);
INSERT INTO `reagent_consumables` VALUES ('93BB0816361BE670731DBB57BA88274F', '乙醇', 'GRACE', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:40:44.000000', '2023-09-15 09:40:44.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('93C3D92CAF5F1EDE60922CC88B68CC1D', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 09:41:03.000000', '2023-09-15 09:41:03.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9416FCBD533B2DB10CBEFAC521322640', '无水硫酸镁', '科密欧', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 09:41:56.000000', '2023-09-15 09:41:56.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('942297ABB7F16A14DE9E95494D2DDBBB', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 09:41:03.000000', '2023-09-15 09:41:03.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9454CFEE88EC72064CB3D2F388A86885', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '100ml', '2023-09-15 09:41:20.000000', '2023-09-15 09:41:20.000000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('94742C810D254D0B8C470A9D034191B0', 'InfinityLab Poroshecll 120 PFP', 'agilent', '耗材', NULL, '色谱柱', '4.6*250mm,4um', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9494AAC43181B6DECF98865C1ACA12F3', '乙酸', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('9648185FC7BDB91A10B946888EDAC790', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲哚-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:18.000000', '2023-09-15 09:39:18.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-pentyl-1H-indole-3-carboxamide', '1', 'ADBICA', '冷藏贮存', 'GASS-046', '瓶', NULL, 0.000000000000000000000000000000, '1445583-48-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('967E74E20A8667515E821ED64E6A29C8', '丙酸酐', '麦克林', '试剂', NULL, '普通试剂', '98%,500g/瓶', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('971EBC2FCD6880C2DA50DDB5DDADF4E4', '甲醇', 'Thermo', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumables` VALUES ('98D00ABFFAFA90F393E2FDA8357B8735', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:28.000000', '2023-09-15 09:39:28.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)-propionamide', '1', '对氟芬太尼', '冷藏贮存', 'GASS-108', '瓶', NULL, 0.000000000000000000000000000000, '90736-23-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('98ED5FA273E4D62F823F0DF8477F93AC', '氢氧化钾', '光富', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('990C4C91BD70015F0430AD1132C0F499', '移液管', 'MC', '耗材', NULL, '普通耗材', '20ml', '2023-09-15 09:41:01.000000', '2023-09-15 09:41:01.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9A97AC7A30D631859DBC7FD09AB65331', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)戊酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:52.000000', '2023-09-15 09:39:52.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)pentanamide', '1', '对氟苯基正戊基芬太尼', '冷藏贮存', 'GASS-381', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9AAA9CFE3182BF205A17EB978F45F97F', '2-(吡咯烷-1-基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:43.000000', '2023-09-15 09:39:43.000000', '1', '1', '/', NULL, 1.00, '2-(pyrrolidin-1-yl)-1-(p-tolyl)propan-1-one', '1', 'N-环丁基-对甲-卡西酮盐酸盐', '冷藏贮存', 'GASS-333', '瓶', NULL, 0.000000000000000000000000000000, '1313393-58-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9AC537A982A6CC05A5A24ACE396341B4', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:50.000000', '2023-09-15 09:39:50.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)pentanamide', '1', '对甲苯基正戊酰基芬太尼', '冷藏贮存', 'GASS-377', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9B4EA84A4B8E3274ADA5B562E5528E5B', '活性炭口罩', 'n/a', '耗材', NULL, '普通耗材', '50支/盒', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9BA638A8B41EBCEFC1DC0913B30D8879', '玻璃冻存管', 'n/a', '耗材', NULL, '普通耗材', '棕色，5ml', '2023-09-15 09:41:06.000000', '2023-09-15 09:41:06.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9BB0E015B6ABB9F36520281C31492C6E', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '3ml，100支/袋', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9C6CA2B9BD8CD0E8DECFE3900BDD70DE', '氯化钠', '科密欧', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 09:41:56.000000', '2023-09-15 09:41:56.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('9DE34D19F6D633CB012E363B211A0666', '1-(3-氯苯基)-2-(吡咯烷-1-基) 丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:44.000000', '2023-09-15 09:39:44.000000', '1', '1', '/', NULL, 1.00, '1-(3-chlorophenyl)-2-(pyrrolidin-1-yl)propan-1-one', '1', 'N-环丁基-间氯-卡西酮盐酸盐', '冷藏贮存', 'GASS-336', '瓶', NULL, 0.000000000000000000000000000000, '1152959-71-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('9EF7259DD51F1B48C91F2CB0735F01DD', '浓盐酸', '国产', '试剂', NULL, '普通试剂', '500mL/瓶', '2023-09-15 09:40:47.000000', '2023-09-15 09:40:47.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '分析纯');
INSERT INTO `reagent_consumables` VALUES ('9F87AB38FDF82BFDFBFFB5481C470DBD', '1-(4-肉桂酰哌嗪-1-基)丁-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:01.000000', '2023-09-15 09:40:01.000000', '1', '1', '/', NULL, 1.00, '1-(4-cinnamylpiperazin-1-yl)butan-1-one', '1', '布桂嗪', '冷藏贮存', 'GASS-410', '瓶', NULL, 0.000000000000000000000000000000, '2624256-67-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A03B319537BC215BE7A50504E76745A2', 'Kinetex Biphenyl', '飞诺美', '耗材', NULL, '色谱柱', '100*3.0mm,2.6um', '2023-09-15 09:40:55.000000', '2023-09-15 09:40:55.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A1DDD6395F3F5EDF0D263EE7D158F182', '梨形分液漏斗', 'Bomex', '耗材', NULL, '普通耗材', '60ml', '2023-09-15 09:41:32.000000', '2023-09-15 09:41:32.000000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A234E5D39AD36DC08B512F0CDDD6ABD1', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:54.000000', '2023-09-15 09:39:54.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclobutanecarboxamide', '1', '对氟苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-386', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A239A398F5E415CE81E8D49835A73617', '移液管', 'MC', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 09:41:01.000000', '2023-09-15 09:41:01.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A27B448FCC0401FE56CC4FF28692B870', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)庚酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:46.000000', '2023-09-15 09:39:46.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)heptanamide', '1', '对甲苯基庚酰基芬太尼', '冷藏贮存', 'GASS-366', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A35E3480A19957DC21F191195AC9F495', '自吸过滤式防毒面具', '唐丰', '耗材', NULL, '普通耗材', 'TF503型', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A36EA52631681329863B7F52DFAD86AF', '一次性玻璃巴氏吸管', 'Brand', '耗材', NULL, '普通耗材', '225mm,250支/盒,250支/盒', '2023-09-15 09:40:20.000000', '2023-09-15 09:40:20.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '747720', NULL);
INSERT INTO `reagent_consumables` VALUES ('A4300A206ECC54DCFE6DA593080FFD4D', 'N-(1-氨基-1-氧代-3-苯基内-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:23.000000', '2023-09-15 09:39:23.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-1-oxo-3-phenylpropan-2-yl)-1-(5-fluoropentyl)-1H-indazole-3-carboxamide', '1', 'PX-2', '冷藏贮存', 'GASS-070', '瓶', NULL, 0.000000000000000000000000000000, '2205029-76-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A52012E8116116D5A53B50DC6F69F699', '2-(甲氨基)-2-苯基环已烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:58.000000', '2023-09-15 09:39:58.000000', '1', '1', '/', NULL, 1.00, '2-(methylamino)-2-phenylcyclohexan-1-one', '1', '去氯氯胺酮盐酸盐', '冷藏贮存', 'GASS-402', '瓶', NULL, 0.000000000000000000000000000000, '4631-27-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A54EBD843EA5320C238FBF84EB33A84A', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, '普通耗材', 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 09:40:21.000000', '2023-09-15 09:40:21.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '箱', NULL, 0.000000000000000000000000000000, NULL, '430790', NULL);
INSERT INTO `reagent_consumables` VALUES ('A5C12402375920A31592601B363A9EC5', '称量纸 90*90mm', '/', '耗材', NULL, '普通耗材', ' 90*90mm,400张/包,400张/包', '2023-09-15 09:40:30.000000', '2023-09-15 09:40:30.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('A60C242E5ED5097754719470FCF48D98', '1-(4-甲氧基苯基)-N-甲基丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:13.000000', '2023-09-15 09:39:13.000000', '1', '1', '/', NULL, 1.00, '1-(4-methoxyphenyl)-N-methylpropan-2-amine', '1', 'PMMA盐酸盐', '冷藏贮存', 'GASS-017', '瓶', NULL, 0.000000000000000000000000000000, '22331-70-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A6FDA5C129551F3C24ADD54C7FAE8122', '无水磷酸二氢钠', '麦克林', '试剂', NULL, '普通试剂', 'HPLC,50G', '2023-09-15 09:42:02.000000', '2023-09-15 09:42:02.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('A73E1BEA33E47A6B708E7EFCFA329226', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', '/', NULL, 1.00, '/', '20', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A7882EB8D3506C77253443A230AEE9FA', '乙酸乙酯', '利安隆博华', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('A7CB79CC328C9E81CCF1D89B5BD190E8', '(1-(4-氟苄基)-1H-吲哚-3-基)(萘-1-基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:20.000000', '2023-09-15 09:39:20.000000', '1', '1', '/', NULL, 1.00, '(1-(4-fluorobenzyl)-1H-indol-3-yl)(naphthalen-1-yl)methanone', '1', 'FUB-JWH-018', '冷藏贮存', 'GASS-056', '瓶', NULL, 0.000000000000000000000000000000, '2365471-45-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A7CE040844033871FA7EDF15ED9FB762', '2-((二甲基氨基)甲基)-1-(3-甲氧基苯基-2,4,5,6-d4)环己烷-1-醇', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:02.000000', '2023-09-15 09:40:02.000000', '1', '1', '/', NULL, 1.00, '2-((dimethylamino)methyl)-1-(3-methoxyphenyl-2,4,5,6-d4)cyclohexan-1-ol', '1', 'D4-曲马多盐酸盐', '冷藏贮存', 'GASS-453', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A8E5A5AA7B6E4C9A2D7E5D6A2553A72A', '白色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '125ml', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A904424B406E0C0F0313A18E22530DFE', 'ACQUITY UPLC BEH HILIC 1.7um', 'Waters', '耗材', NULL, '色谱柱', ' 1.7 µm, 2.1 mm X 50 mm,1/根,1/根', '2023-09-15 09:40:38.000000', '2023-09-15 09:40:38.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '毛发专用', '根', NULL, 0.000000000000000000000000000000, NULL, '186003461', NULL);
INSERT INTO `reagent_consumables` VALUES ('A922A34C0B51EB7E8ABA7C68E5122D43', '手术剪', '双鹿', '耗材', NULL, '普通耗材', '12.5cm直尖', '2023-09-15 09:41:09.000000', '2023-09-15 09:41:09.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '把', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('A9FD8F8364E4138421A73DE9A99425D9', '1-(4-氯苯基)-2-(吡咯烷-1-基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:58.000000', '2023-09-15 09:39:58.000000', '1', '1', '/', NULL, 1.00, '1-(4-chlorophenyl)-2-(pyrrolidin-1-yl)propan-1-one', '1', '4-氯苯基-N-吡咯烷基卡西酮盐酸盐', '冷藏贮存', 'GASS-396', '瓶', NULL, 0.000000000000000000000000000000, '93307-24-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AA1B9E5857CF83C93DC73E2F90FE0175', '甲醇', 'Supelco', '试剂', NULL, '普通试剂', '2.5L/瓶', '2023-09-15 09:40:41.000000', '2023-09-15 09:40:41.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'LC/MS级 ');
INSERT INTO `reagent_consumables` VALUES ('AA62C7E1DBEB302D9018B988E00E34AF', '移液枪', 'Sartorius', '耗材', NULL, '普通耗材', '1-10ml', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AAC9843E4A561D0E7E4F392294D02C04', '三氯甲烷', '科隆', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:41:57.000000', '2023-09-15 09:41:57.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('AAD8885FD1DC02862EC669ED2FD9744C', '乙腈', 'Merck', '试剂', NULL, '普通试剂', '2.5L/瓶', '2023-09-15 09:40:42.000000', '2023-09-15 09:40:42.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'LC/MS级 ');
INSERT INTO `reagent_consumables` VALUES ('AAEB871ED932F69A983D563AAE495F43', '活性炭口罩', '/', '耗材', NULL, '普通耗材', '/,/', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('AB3D4CD8FCDA293AA695044A293B2836', '乙酸铵', '大茂', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 09:40:43.000000', '2023-09-15 09:40:43.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('ABC430D888D8A07AB49CBC4312048D1C', '2-氯-N-(4-氟苯基) -N-(1-苯乙基哌啶-4-基) 乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:53.000000', '2023-09-15 09:39:53.000000', '1', '1', '/', NULL, 1.00, '2-chloro-N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', '1', '对氟苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-384', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('ABD05A369136E1D3B1897833143F19AF', '2-氨基-2-(2-氟苯基)环已烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:59.000000', '2023-09-15 09:39:59.000000', '1', '1', '/', NULL, 1.00, '2-amino-2-(2-fluorophenyl)cyclohexan-1-one', '1', '去甲氟胺酮盐酸盐', '冷藏贮存', 'GASS-403', '瓶', NULL, 0.000000000000000000000000000000, '1956327-93-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AD0F2ECB3EBAE6D4D351EC70F0840AFD', ' Oasis HLB Direct Connect HP 20µm', 'Waters', '耗材', NULL, '色谱柱', '20µm, 2.1mmX 30 mm,1/根,1/根', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '根', NULL, 0.000000000000000000000000000000, NULL, '186005231', NULL);
INSERT INTO `reagent_consumables` VALUES ('AD2672965E361D90B98300A4CF87F023', '橡皮吸球', 'n/a', '耗材', NULL, '普通耗材', '1ml', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AD8194EE0FD93924DEF02122A50D256C', '固相萃取小柱', 'waters', '耗材', NULL, '普通耗材', 'Oasis®PRiME MCX3cc(60mg)Extraction Cartridges,100个/盒,100个/盒', '2023-09-15 09:40:15.000000', '2023-09-15 09:40:15.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '186008918', NULL);
INSERT INTO `reagent_consumables` VALUES ('ADD7965BEEF93F364987254ECC3E57C9', '(2-甲基-1-丙基-1H-吲哚-3-基)(萘-1-基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:21.000000', '2023-09-15 09:39:21.000000', '1', '1', '/', NULL, 1.00, '(2-methyl-1-propyl-1H-indol-3-yl)(naphthalen-1-yl)methanone', '1', 'JWH-015', '冷藏贮存', 'GASS-059', '瓶', NULL, 0.000000000000000000000000000000, '155471-08-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('ADF5FFACE2B49EA5BA76758E34B160FE', '称量纸 120*120mm', '/', '耗材', NULL, '普通耗材', ' 120*120mm,400张/包,400张/包', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('AE03D87996E2C5E783D41A5F06D73D2C', 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:18.000000', '2023-09-15 09:39:18.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3,3-dimethyl-1-oxobutan-2-yl)-1-pentyl-1H-indazole-3-carboxamide', '1', 'ADB-PINACA', '冷藏贮存', 'GASS-047', '瓶', NULL, 0.000000000000000000000000000000, '1633766-73-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AE38AA8B70594BFD0682587613E6F9B0', '1-(4-溴苯基)-2-(二甲基氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:40.000000', '2023-09-15 09:39:40.000000', '1', '1', '/', NULL, 1.00, '1-(4-bromophenyl)-2-(dimethylamino)propan-1-one', '1', 'N-甲基-对溴-甲卡西酮盐酸盐', '冷藏贮存', 'GASS-327', '瓶', NULL, 0.000000000000000000000000000000, '1157737-03-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('AEF5D5720419119DA512ADACCAD4FC0F', '丙二酸二乙酯', '麦克林', '试剂', NULL, '普通试剂', '99%，500ml/瓶', '2023-09-15 09:41:49.000000', '2023-09-15 09:41:49.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('AEF610FEFA08F9ADB107F3E44235F080', '2ml进样瓶', 'waters', '耗材', NULL, '普通耗材', '18600307C（透明）,100个/盒,100个/盒', '2023-09-15 09:40:18.000000', '2023-09-15 09:40:18.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '18600307C', NULL);
INSERT INTO `reagent_consumables` VALUES ('B038093FB8099C3586324EECC0085278', '移液管', 'MC', '耗材', NULL, '普通耗材', '2ml', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B0D1DB8BB0D89EC43BD0216ACA25C549', '称量纸', 'n/a', '耗材', NULL, '普通耗材', '10cm', '2023-09-15 09:41:24.000000', '2023-09-15 09:41:24.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B18775FE9C7C231273912F6DD8670281', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丙烷甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:51.000000', '2023-09-15 09:39:51.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclopropanecarboxamide', '1', '对氟苯基环丙甲酰基芬太尼', '冷藏贮存', 'GASS-380', '瓶', NULL, 0.000000000000000000000000000000, '2306825-52-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B1A6FA2EFDF1B04A7B936084CD9C0C66', '螺口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', ' 1000mL(棕色),/,/', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('B2081647707E68D1382633C7AC33188F', '移液枪吸头0.5-20uL', 'Brand', '耗材', NULL, '普通耗材', '10包/盒,10包/盒', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732224', NULL);
INSERT INTO `reagent_consumables` VALUES ('B20E34ADBC2DD88352C66EBE2588BF61', '2-(2-氟苯基-3,4,5,6-d4)-2-(甲氨基)环己烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:03.000000', '2023-09-15 09:40:03.000000', '1', '1', '/', NULL, 1.00, '2-(2-fluorophenyl-3,4,5,6-d4)-2-(methylamino)cyclohexan-1-one', '1', 'D4-氟胺酮盐酸盐', '冷藏贮存', 'GASS-456', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B3374AC86EBBABFFC8E91AB3650CBF51', '萘-1-基-1-(5-氟戊基)-1H-吲唑-3-羧酸盐', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:34.000000', '2023-09-15 09:39:34.000000', '1', '1', '/', NULL, 1.00, 'naphthalen-1-yl 1-(5-fluoropentyl)-1H-indazole-3-carboxylate', '1', '5F-SDB-005', '冷藏贮存', 'GASS-291', '瓶', NULL, 0.000000000000000000000000000000, '2185863-14-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B3ECFEB5FFE8A925BDB6F366055E6268', '1-(苯并[d][1,3]二羟基-5-基)-N-乙基丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:39.000000', '2023-09-15 09:39:39.000000', '1', '1', '/', NULL, 1.00, '1-(benzo[d][1,3]dioxol-5-yl)-N-ethylpropan-2-amine', '1', 'MDEA', '冷藏贮存', 'GASS-325', '瓶', NULL, 0.000000000000000000000000000000, '74341-78-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B42576642EA31063D0B7344784D49AF9', '丁乙酸', '大茂', '试剂', NULL, '普通试剂', '500mL/瓶', '2023-09-15 09:40:48.000000', '2023-09-15 09:40:48.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('B4C472ECB042F6789C1D81F43A19259C', '三乙胺', '百灵威', '试剂', NULL, '普通试剂', '1L/瓶,99.7%', '2023-09-15 09:42:00.000000', '2023-09-15 09:42:00.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('B64E12D5D17A57E607F1D2B47BCE2CE7', '带塞溶剂瓶', 'n/a', '耗材', NULL, '普通耗材', '500ml', '2023-09-15 09:41:33.000000', '2023-09-15 09:41:33.000000', '1', '1', '/', NULL, 1.00, '/', '8', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B674507829F9D164DB818C68C09ADF4D', '擦镜纸', '杭州新星', '耗材', NULL, '普通耗材', '10*15cm', '2023-09-15 09:41:04.000000', '2023-09-15 09:41:04.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B68686AB51647AC8E4EEC5065B519B5C', '1-(4-氰基丁基)-N-(2-苯基丙-2-基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:32.000000', '2023-09-15 09:39:32.000000', '1', '1', '/', NULL, 1.00, '1-(4-cyanobutyl)-N-(2-phenylpropan-2-yl)-1H-indazole-3-carboxamide', '1', '4CN-CUMYL-BUTINACA', '冷藏贮存', 'GASS-265', '瓶', NULL, 0.000000000000000000000000000000, '1631074-54-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B6FEB4E15A6281B70CBAD61C8C7262CC', '石油醚', '津东天正', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:42:08.000000', '2023-09-15 09:42:08.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('B7F9B5C8C94BFC57BA1D86EBFA11AE39', '保鲜自封袋5号', '苹果', '耗材', NULL, '普通耗材', '100x150mm', '2023-09-15 09:40:50.000000', '2023-09-15 09:40:50.000000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B8807086DFA9C8C41DB7380ABCFEDFF8', '连盖离心管', 'CYPRESS', '耗材', NULL, '普通耗材', '5ml，300支/袋', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B8AD0BAA1596310ED07D25450C2CDE1A', '红色胶帽', '金利', '耗材', NULL, '普通耗材', 'n/a', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B8B93FF4B0BC9D113C013B3D6DF3698B', '(1-((四氢-2H-吡喃-4-基)甲基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:16.000000', '2023-09-15 09:39:16.000000', '1', '1', '/', NULL, 1.00, '(1-((tetrahydro-2H-pyran-4-yl)methyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', '1', 'A-834,735', '冷藏贮存', 'GASS-042', '瓶', NULL, 0.000000000000000000000000000000, '895155-57-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('B8CF85D8D7E06ED5F61D737CEFF8DB3D', '乙酸铵', '大茂', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 09:41:58.000000', '2023-09-15 09:41:58.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('B8FEAAD3A90DD3CB93B3C35C2CF55DF2', ' 移液枪吸头1mL', '赛多利斯', '耗材', NULL, '普通耗材', '480个/盒,480个/盒', '2023-09-15 09:40:36.000000', '2023-09-15 09:40:36.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('B909FFFCC57A1D4D7767A13BAE7D2816', '容量瓶 50mL ', 'Brand', '耗材', NULL, '普通耗材', '棕色,/,/', '2023-09-15 09:40:26.000000', '2023-09-15 09:40:26.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '37485', NULL);
INSERT INTO `reagent_consumables` VALUES ('B9DD1F2EE946152093B80025224AA6A2', '浓硝酸', '国产', '试剂', NULL, '普通试剂', '500mL/瓶', '2023-09-15 09:40:47.000000', '2023-09-15 09:40:47.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '分析纯');
INSERT INTO `reagent_consumables` VALUES ('BA1EE600B4E13A93DD8584F111AD6297', '喹啉-8-基-1-(4-氟苄基)-1H-吲哚-3-羧酸盐', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:21.000000', '2023-09-15 09:39:21.000000', '1', '1', '/', NULL, 1.00, 'quinolin-8-yl 1-(4-fluorobenzyl)-1H-indole-3-carboxylate', '1', 'FUB-PB-22', '冷藏贮存', 'GASS-057', '瓶', NULL, 0.000000000000000000000000000000, '1800098-36-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BA52CF3BAD0FE841F9A22033BAFFAB1E', '3,4-二甲基-2-苯基吗啉', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:37.000000', '2023-09-15 09:39:37.000000', '1', '1', '/', NULL, 1.00, '3,4-dimethyl-2-phenylmorpholine', '1', '苯甲曲秦', '冷藏贮存', 'GASS-312', '瓶', NULL, 0.000000000000000000000000000000, '634-03-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BAA5087BE3555ADAD7B176A38DC23588', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 09:40:13.000000', '2023-09-15 09:40:13.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008609', NULL);
INSERT INTO `reagent_consumables` VALUES ('BACE406ED26C2AEF6D809CADE40770FE', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, '普通耗材', 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '箱', NULL, 0.000000000000000000000000000000, NULL, '430790', NULL);
INSERT INTO `reagent_consumables` VALUES ('BAF53FCF8CB5937151AE9F5307A9B72B', '孕酮', 'VETEC', '试剂', NULL, '普通试剂', '25g/瓶,98%', '2023-09-15 09:42:07.000000', '2023-09-15 09:42:07.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RG');
INSERT INTO `reagent_consumables` VALUES ('BB1903A6A180390D46C495BA57EBC9B2', '1-(4-氟苯基)丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:12.000000', '2023-09-15 09:39:12.000000', '1', '1', '/', NULL, 1.00, '1-(4-fluorophenyl)propan-2-amine', '1', '4-FA', '冷藏贮存', 'GASS-007', '瓶', NULL, 0.000000000000000000000000000000, '459-02-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BB717CD102B22D868D189153E89F4612', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '50ml', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BBA01ACA2011EEBADF9D535D6F1BD484', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '1ml，100支/袋', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BBBB96926E495948A71F51BFED80118E', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:47.000000', '2023-09-15 09:39:47.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)isobutyramide', '1', '对甲苯基异丁酰基芬太尼', '冷藏贮存', 'GASS-367', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BC2DFA9E7F1B7D78E433F4C43D422640', '物证封装袋', 'n/a', '耗材', NULL, '普通耗材', '30*22cm', '2023-09-15 09:40:53.000000', '2023-09-15 09:40:53.000000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BD51161FD43DB84AA9D0BF8B3540EDE8', '叔丁醇钾', '阿拉丁', '试剂', NULL, '普通试剂', '98%，500g/瓶', '2023-09-15 09:42:13.000000', '2023-09-15 09:42:13.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('BD6FF814B8AEE95F188E1B768CDBFDDE', '2-(甲氨基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:29.000000', '2023-09-15 09:39:29.000000', '1', '1', '/', NULL, 1.00, '2-(methylamino)-1-(p-tolyl)propan-1-one', '1', '4-甲基甲卡西酮(盐酸盐)', '冷藏贮存', 'GASS-164', '瓶', NULL, 0.000000000000000000000000000000, '1189726-22-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BD88151113D5A24ED22B9FF11E6F73D4', '量筒', 'Bomex', '耗材', NULL, '普通耗材', '100ml', '2023-09-15 09:41:25.000000', '2023-09-15 09:41:25.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BDB063E0E3963B5FB18B4DCEEF4F89D4', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:46.000000', '2023-09-15 09:39:46.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)acetamide', '1', '对甲苯基乙酰基芬太尼', '冷藏贮存', 'GASS-365', '瓶', NULL, 0.000000000000000000000000000000, '90736-12-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BE3F6F57BCFDD40108D86EF7ED743C74', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，水洗聚醚砜（PES），0.22um，货号：JLSP202202', '2023-09-15 09:41:36.000000', '2023-09-15 09:41:36.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BE756DD4716A61735D360A3E402601AD', '吡拉西坦', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '25g/瓶', '2023-09-15 09:41:49.000000', '2023-09-15 09:41:49.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('BFA9417CBCB68CACA9D12E616FA840EA', '手套', '科邦', '耗材', NULL, '普通耗材', '橡胶，M号,200只/盒,200只/盒', '2023-09-15 09:40:31.000000', '2023-09-15 09:40:31.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('BFBBAA916263FD9F97001DE14FDF8F2C', '白色药瓶', 'n/a', '耗材', NULL, '普通耗材', '20ml', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BFC749B79A86350992587AB1412F7CA1', '药匙', 'n/a', '耗材', NULL, '普通耗材', '3x1', '2023-09-15 09:41:11.000000', '2023-09-15 09:41:11.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '套', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('BFE3406387B2DB7239D6354BCA1AE6CB', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:49.000000', '2023-09-15 09:39:49.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)cyclobutanecarboxamide', '1', '对甲苯基环丁甲酰基芬太尼', '冷藏贮存', 'GASS-374', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C0603A989A20C8143226188887BA1230', '8-氯-6-苯基-4H-苯并[f[1,2,4]三唑并[4,3-a][1,4]二氮卓', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:01.000000', '2023-09-15 09:40:01.000000', '1', '1', '/', NULL, 1.00, '8-chloro-6-phenyl-4H-benzo[f][1,2,4]triazolo[4,3-a][1,4]diazepine', '1', '艾司唑仑', '冷藏贮存', 'GASS-411', '瓶', NULL, 0.000000000000000000000000000000, '29975-16-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C0D5990D42D46F67A438E48B201634C3', '物证提取袋', 'n/a', '耗材', NULL, '普通耗材', '15*10cm', '2023-09-15 09:40:52.000000', '2023-09-15 09:40:52.000000', '1', '1', '/', NULL, 1.00, '/', '50', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C13936E3063C960C0AC07EAE937471E0', '丙酮', 'CNW', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:40:41.000000', '2023-09-15 09:40:41.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('C190C2FA5BF592057542C3C12186EB92', '磷酸', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '0.85', '2023-09-15 09:41:48.000000', '2023-09-15 09:41:48.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('C1B9CE6531D6A723125DD757A6151E12', '收纳盒', 'n/a', '耗材', NULL, '普通耗材', 'n/a', '2023-09-15 09:41:34.000000', '2023-09-15 09:41:34.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C1EADA258AA079698C77BE4F692FAA9E', '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:47.000000', '2023-09-15 09:39:47.000000', '1', '1', '/', NULL, 1.00, '3-cyclopentyl-N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)propanamide', '1', '对甲苯基环戊丙酰基芬太尼', '冷藏贮存', 'GASS-368', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C2917BB99B48F17877AE9FC545EFC21F', '刮刀', 'n/a', '耗材', NULL, '普通耗材', '25cm', '2023-09-15 09:41:14.000000', '2023-09-15 09:41:14.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C2B9200F1BDA692ACB8BDCF37CBF478E', '一次性塑料滴管 3mL', 'Cypress', '耗材', NULL, '普通耗材', '100支/包,100支/包', '2023-09-15 09:40:30.000000', '2023-09-15 09:40:30.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('C2D89A53CFD8D3500559D72B5F6A0E82', 'N、N-二乙基-7-甲基-4,6,6a，7,8,9-六氢吲哚[4,3-fg]喹啉-9-羧酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:45.000000', '2023-09-15 09:39:45.000000', '1', '1', '/', NULL, 1.00, 'N,N-diethyl-7-methyl-4,6,6a,7,8,9-hexahydroindolo[4,3-fg]quinoline-9-carboxamide', '1', 'LSD', '冷藏贮存', 'GASS-340', '瓶', NULL, 0.000000000000000000000000000000, '50-37-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C3199742A6DE511DBB65C3E0DBD19B55', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环戊酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:52.000000', '2023-09-15 09:39:52.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)cyclopentanecarboxamide', '1', '对氟苯基环戊甲酰基芬太尼', '冷藏贮存', 'GASS-382', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C3312EBDAFD3F6CB828E37ADB029A564', '2ml注射器', '江苏治宇医疗器械', '耗材', NULL, '普通耗材', '300个/盒,300个/盒', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '2002100', NULL);
INSERT INTO `reagent_consumables` VALUES ('C3A072C51050E7F9AD5F03781A1F0191', 'Astec CHIROBIOTIC V2', 'merck', '耗材', NULL, '色谱柱', '25cm*4.6mm,5um', '2023-09-15 09:40:54.000000', '2023-09-15 09:40:54.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C3DB834133C33CD0C608CE6BE323BC5F', '吡嗪', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '≥99，100g/瓶', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'FG级');
INSERT INTO `reagent_consumables` VALUES ('C3FC498C3659EB9660AAA98602F80BF0', '塑料离心管', 'n/a', '耗材', NULL, '普通耗材', '8ml,，225支/袋', '2023-09-15 09:41:16.000000', '2023-09-15 09:41:16.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C4856A6A24A410691DCA6E5E1EF45386', '100ul有相机枪头', 'RAININ    100ul ', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008607,180个/盒,180个/盒', '2023-09-15 09:40:14.000000', '2023-09-15 09:40:14.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008607', NULL);
INSERT INTO `reagent_consumables` VALUES ('C4CCA1ED377301B50A7A19F24392D787', '1-(4-溴苯基)-2-(二乙基氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:41.000000', '2023-09-15 09:39:41.000000', '1', '1', '/', NULL, 1.00, '1-(4-bromophenyl)-2-(diethylamino)propan-1-one', '1', 'N-乙基-对溴-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-328', '瓶', NULL, 0.000000000000000000000000000000, '92104-89-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C612A680014A9CB60A6B8AB9A9C02CAA', 'N-(金刚烷-1-基)-1-戊基-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:20.000000', '2023-09-15 09:39:20.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-pentyl-1H-indazole-3-carboxamide', '1', 'APINACA', '冷藏贮存', 'GASS-052', '瓶', NULL, 0.000000000000000000000000000000, '1345973-53-6', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C782E01E577EC9ACD1B858B2E628536A', '物证封装袋', 'n/a', '耗材', NULL, '普通耗材', '43*31cm', '2023-09-15 09:40:53.000000', '2023-09-15 09:40:53.000000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C78D1DE85AFF91F1B4269CC98F0FF320', '防冲击眼罩', '3M', '耗材', NULL, '普通耗材', '1621型', '2023-09-15 09:41:23.000000', '2023-09-15 09:41:23.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C7DDD9984BD5B86964B3FBD356062CF0', '1ml有机相枪头', 'RAININ　1000ul', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008609,180个/盒,180个/盒', '2023-09-15 09:40:12.000000', '2023-09-15 09:40:12.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008609', NULL);
INSERT INTO `reagent_consumables` VALUES ('C86D5601E22FE886ECEF3781AB1EDA34', '手术剪', '安其生', '耗材', NULL, '普通耗材', '12.5cm弯尖', '2023-09-15 09:41:09.000000', '2023-09-15 09:41:09.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '把', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('C8A058787E1E9A09312B66A5721CFEB7', '螺口试剂瓶', '蜀牛', '耗材', NULL, '普通耗材', ' 5000mL,/,/', '2023-09-15 09:40:25.000000', '2023-09-15 09:40:25.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('C97DD4FA24821E0EEF75E44A38F0BD1D', 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:17.000000', '2023-09-15 09:39:17.000000', '1', '1', '/', NULL, 1.00, 'N-(1-amino-3-methyl-1-oxobutan-2-yl)-1-(cyclohexylmethyl)-1H-indazole-3-carboxamide', '1', 'AB-CHMINACA', '冷藏贮存', 'GASS-043', '瓶', NULL, 0.000000000000000000000000000000, '1185887-21-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CA1977CEC5D59434488383DA0DBE3628', '白色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '60ml', '2023-09-15 09:41:17.000000', '2023-09-15 09:41:17.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CA25C7883611B56B3BBF6A2471CFB9D2', '2-(二甲基氨基)-1-(对甲苯基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:42.000000', '2023-09-15 09:39:42.000000', '1', '1', '/', NULL, 1.00, '2-(dimethylamino)-1-(p-tolyl)propan-1-one', '1', '4-CNB;N,N-DMC', '冷藏贮存', 'GASS-331', '瓶', NULL, 0.000000000000000000000000000000, '1448845-14-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CA9208570FD532AE39C0E20ECF948DB5', '250uL有机枪头', 'RAININ　250ul', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008608,180个/盒,180个/盒', '2023-09-15 09:40:12.000000', '2023-09-15 09:40:12.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008608', NULL);
INSERT INTO `reagent_consumables` VALUES ('CB7BB85890F17AD825F90EBD27F30FFA', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, '普通耗材', 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '箱', NULL, 0.000000000000000000000000000000, NULL, '430790', NULL);
INSERT INTO `reagent_consumables` VALUES ('CD0AE1F7EF5CF07686C821EE520DA4DD', 'N-(1-苯乙基哌啶-4-基)-N-苯基异丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:26.000000', '2023-09-15 09:39:26.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-phenylisobutyramide', '1', '异丁酰芬太尼', '冷藏贮存', 'GASS-091', '瓶', NULL, 0.000000000000000000000000000000, '119618-70-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CD7CFF53924CAC2A9CD4CC4ABF8E23BE', '微孔滤膜-两相通用', 'Pall', '耗材', NULL, '普通耗材', '13mm 0.2um GHP ,1000个/盒,1000个/盒', '2023-09-15 09:40:11.000000', '2023-09-15 09:40:11.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水，毛发专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '2401', NULL);
INSERT INTO `reagent_consumables` VALUES ('CDD9FB21899588A7B53BE08A52F2C6BA', '甲酸', 'Themo Fisher', '试剂', NULL, '普通试剂', '50mL/瓶', '2023-09-15 09:40:40.000000', '2023-09-15 09:40:40.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'LC/MS级 ');
INSERT INTO `reagent_consumables` VALUES ('CDDAE83411B208C32FF65BB5E4EA071F', '丙酸酐', '成都艾科', '试剂', NULL, '普通试剂', '98%，500g/瓶', '2023-09-15 09:42:09.000000', '2023-09-15 09:42:09.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('CDEF95C2CC4A0CB3225DE13996D860C6', '水系滤膜25mm*0.22um', '津隆', '耗材', NULL, '普通耗材', '100个/盒,100个/盒', '2023-09-15 09:40:33.000000', '2023-09-15 09:40:33.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '盒', NULL, 0.000000000000000000000000000000, NULL, 'JLSP202202', NULL);
INSERT INTO `reagent_consumables` VALUES ('CDF19954AB0907B40FA48723F946273F', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:54.000000', '2023-09-15 09:39:54.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', '1', '对氟苯基乙酰基芬太尼', '冷藏贮存', 'GASS-387', '瓶', NULL, 0.000000000000000000000000000000, '244195-30-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CE60C9240C420B8EE05F851026657D83', '正己烷', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:41:54.000000', '2023-09-15 09:41:54.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('CE9328E0BB4C4F801C8B42BAABCDE82E', '乙腈', 'Thermo', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC，GC级');
INSERT INTO `reagent_consumables` VALUES ('CEF9539D205CC2E20D1D53261DD898EA', '2-氯-N-(2-氟苯基) N-(1-苯乙基哌啶-4-基) 乙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:55.000000', '2023-09-15 09:39:55.000000', '1', '1', '/', NULL, 1.00, '2-chloro-N-(2-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)acetamide', '1', '邻氟苯基氯乙酰基芬太尼', '冷藏贮存', 'GASS-388', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CF096D9D6566815E49C838B7255ABECB', '试管帽', 'n/a', '耗材', NULL, '普通耗材', 'Φ18', '2023-09-15 09:41:12.000000', '2023-09-15 09:41:12.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('CF576EBBF552DF7B431885D8CA84D08A', '定性滤纸', '皎洁', '耗材', NULL, '普通耗材', '11cm，中速', '2023-09-15 09:41:43.000000', '2023-09-15 09:41:43.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D008B3A3C54A2A737226B86FCC79D6BC', '一次性蓝色丁腈手套', '柯沃', '耗材', NULL, '普通耗材', 'S', '2023-09-15 09:41:41.000000', '2023-09-15 09:41:41.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D0420BD501E2C6BDDE9B232677DFAB03', '移液枪吸头 10mL', '赛多利斯 ', '耗材', NULL, '普通耗材', '250/包,250/包', '2023-09-15 09:40:37.000000', '2023-09-15 09:40:37.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '后续不再购买', '包', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('D08C864C88ECB205E5CA237BD6E61723', '甲醇', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:53.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('D0905DCFBFD594522E9B4BDBDB8D4554', '棕色滴瓶', 'n/a', '耗材', NULL, '普通耗材', '125ml', '2023-09-15 09:41:18.000000', '2023-09-15 09:41:18.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D0D69D2F2EB99936DD0D54145E2D4A3F', '塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 09:41:04.000000', '2023-09-15 09:41:04.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D1049D194F92877743D0B652F3CD8356', '1-(4-氯苯基)-2-(二乙基氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:57.000000', '2023-09-15 09:39:57.000000', '1', '1', '/', NULL, 1.00, '1-(4-chlorophenyl)-2-(diethylamino)propan-1-one', '1', '对氯-N,N-二乙基卡西酮盐酸盐', '冷藏贮存', 'GASS-394', '瓶', NULL, 0.000000000000000000000000000000, '92105-44-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D104AD6846A8E068644A0D77D561AC62', '容量瓶', 'Brand', '耗材', NULL, '普通耗材', '25ml', '2023-09-15 09:41:21.000000', '2023-09-15 09:41:21.000000', '1', '1', '/', NULL, 1.00, '/', '2', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D23B9B2118B56D2E9DC364629C6CEA56', '手套', '科邦', '耗材', NULL, '普通耗材', '丁腈，s码,100只/盒,100只/盒', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('D23FEDFC8560C47F51ED6CD007B88873', '移液枪', '普兰德', '耗材', NULL, '普通耗材', '500-5000ul', '2023-09-15 09:41:07.000000', '2023-09-15 09:41:07.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D345A5483AD2E290EBE4F981D39817EB', '2ml进样瓶盖（无预开口）', '安捷伦', '耗材', NULL, '普通耗材', '5183-2076,100个/包,100个/包', '2023-09-15 09:40:19.000000', '2023-09-15 09:40:19.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '5183-2076', NULL);
INSERT INTO `reagent_consumables` VALUES ('D397FECEC8C47F522F0DC1F2C4C2EB02', '砂芯过滤装置全套', '津隆', '耗材', NULL, '普通耗材', '1000mL,套,套', '2023-09-15 09:40:15.000000', '2023-09-15 09:40:15.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '套', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('D3BC47EEAF1EF000C371A294ADD7A96C', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '13mm，水洗聚醚砜（PES）,0.45um，货号：JLSP054501', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D413725D92649F66635A1EE0846B94FF', '保鲜自封袋6号', '苹果', '耗材', NULL, '普通耗材', '120x170mm', '2023-09-15 09:40:49.000000', '2023-09-15 09:40:49.000000', '1', '1', '/', NULL, 1.00, '/', '100', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D45217182F255920E1DBEC42B54D0847', '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸乙酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:35.000000', '2023-09-15 09:39:35.000000', '1', '1', '/', NULL, 1.00, 'ethyl 2-(1-(5-fluoropentyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', '1', '5F-EDMB-PICA', '冷藏贮存', 'GASS-296', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D46A6F1F6D725A18F5D5FF138591BEA5', '梨形分液漏斗', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D47AF2049A09F939E51B7FE394B34141', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:48.000000', '2023-09-15 09:39:48.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)butyramide', '1', '对甲苯基正丁酰基芬太尼', '冷藏贮存', 'GASS-371', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D4DD1B054A7088AC665F9D5F3283E171', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '40*20cm', '2023-09-15 09:40:52.000000', '2023-09-15 09:40:52.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D50C807A007B4972497124677FB699A8', 'O型圈', '岛津', '耗材', NULL, '普通耗材', '货号036-11203-84，5个/袋', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D5ADE45224609FEFFAE4910124A78C2F', '1,4-二甲氧基苯', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '100g/瓶,99%', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RP');
INSERT INTO `reagent_consumables` VALUES ('D646451D665485221A87C5831478E3D3', '二氯甲烷', '国药集团', '试剂', NULL, '普通试剂', '≥99.5', '2023-09-15 09:42:11.000000', '2023-09-15 09:42:11.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('D64C2FBD9483AA3440A5E7F92C3EAA73', '丝口试剂瓶', '蜀玻', '耗材', NULL, '普通耗材', '2000ml', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', '/', NULL, 1.00, '/', '3', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D70BAE054531162A4EF8C9DE2C7395A3', '隔垫', '岛津', '耗材', NULL, '普通耗材', '货号221-75180，50个/盒', '2023-09-15 09:40:59.000000', '2023-09-15 09:40:59.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D722AE6D6380A81A9FA61F38B799448A', '点样毛细管', '垒固', '耗材', NULL, '普通耗材', '0.3x1000，1000支', '2023-09-15 09:41:46.000000', '2023-09-15 09:41:46.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D8035F1C195F9C77A7ECE58B9A38DD39', '2-(二甲基氨基)-1-苯基戊烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:44.000000', '2023-09-15 09:39:44.000000', '1', '1', '/', NULL, 1.00, '2-(dimethylamino)-1-phenylpentan-1-one', '1', '2-(二甲氨)-1-苯基-1-戊酮', '冷藏贮存', 'GASS-338', '瓶', NULL, 0.000000000000000000000000000000, '2168229-67-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('D88529487A6DC6FE7BF6B598CDD26A35', '移液枪吸头0.5-20uL', 'Brand', '耗材', NULL, '普通耗材', '10包/盒,10包/盒', '2023-09-15 09:40:28.000000', '2023-09-15 09:40:28.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '732224', NULL);
INSERT INTO `reagent_consumables` VALUES ('D9903D15D36E4EC73CF0B2A62466CE8B', '枪头', 'n/a', '耗材', NULL, '普通耗材', '5ml，200支/包', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DAA2E0556CC5014DABCF9EE749AE2B4F', '密封垫', '岛津', '耗材', NULL, '普通耗材', '货号221-48398-91，20个/盒', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DAB893DDC8FB1146D40CA8BC9F467BD5', '氢氧化钠（片状）', '科密欧', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 09:41:59.000000', '2023-09-15 09:41:59.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('DB54FE102443663296819FF0AC96D688', '橡皮吸球', 'n/a', '耗材', NULL, '普通耗材', '10ml', '2023-09-15 09:41:10.000000', '2023-09-15 09:41:10.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DCE70E420DD14B6EDCD7CD1EE1408E05', '二氯甲烷', 'CNW', '试剂', NULL, '普通试剂', '4l/瓶', '2023-09-15 09:41:52.000000', '2023-09-15 09:41:52.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('DE4A0D4E4CF7D8B62027413883F25927', '枪头', 'sartorius', '耗材', NULL, '普通耗材', '10ul', '2023-09-15 09:41:40.000000', '2023-09-15 09:41:40.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DE64DA86DE21E38DCF1CDFD9B1B06657', '密度计', '垒固', '耗材', NULL, '普通耗材', '0.6-2.0', '2023-09-15 09:41:44.000000', '2023-09-15 09:41:44.000000', '1', '1', '/', NULL, 1.00, '/', '14', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DE8D403C4ACD6F0AB9395F38245C325C', '浓硫酸', '国产', '试剂', NULL, '普通试剂', '500mL/瓶', '2023-09-15 09:40:47.000000', '2023-09-15 09:40:47.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '分析纯');
INSERT INTO `reagent_consumables` VALUES ('DF8053EB65C291FD007A082B892A3EBD', '锥形瓶', 'Bomex', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 09:41:47.000000', '2023-09-15 09:41:47.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('DF8D74B8166E41DC091523612C140BD8', '正己烷', 'CNW', '试剂', NULL, '普通试剂', '4l/瓶', '2023-09-15 09:41:52.000000', '2023-09-15 09:41:52.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('DFC6069615DEDB9B661FE6E5B5E7DDCE', 'LG玻板抽滤漏斗', '垒固', '耗材', NULL, '普通耗材', '250ml', '2023-09-15 09:41:31.000000', '2023-09-15 09:41:31.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E008813B7D0C0AB9BA26237CF12C3724', 'ACQUITY UPLC BEN HILIC VanGuard Pre-Column 3/Pk', 'Waters', '耗材', NULL, '色谱柱', '2.1*5mm,1.7um,3个/盒', '2023-09-15 09:40:56.000000', '2023-09-15 09:40:56.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E06742B11952F635C13F1BFC37EA1E26', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:51.000000', '2023-09-15 09:39:51.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)propionamide', '1', '对甲苯基正丙酰基芬太尼', '冷藏贮存', 'GASS-379', '瓶', NULL, 0.000000000000000000000000000000, '1838-67-1', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E07254315F0F58D88C9BE6163C4C9285', '小口试剂瓶', 'n/a', '耗材', NULL, '普通耗材', '1000ml', '2023-09-15 09:41:29.000000', '2023-09-15 09:41:29.000000', '1', '1', '/', NULL, 1.00, '/', '6', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E0BAE40A82781A72400DF9CCFED102F5', '1-(3-氯苯基)-2-(二乙基氨基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:43.000000', '2023-09-15 09:39:43.000000', '1', '1', '/', NULL, 1.00, '1-(3-chlorophenyl)-2-(diethylamino)propan-1-one', '1', 'N-乙基-间氯-乙卡西酮盐酸盐', '冷藏贮存', 'GASS-335', '瓶', NULL, 0.000000000000000000000000000000, '1152853-89-8', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E13D71FF957564490FBEF69130BFF840', '7-溴-5-(2-氯苯基)-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:13.000000', '2023-09-15 09:39:13.000000', '1', '1', '/', NULL, 1.00, '7-bromo-5-(2-chlorophenyl)-1,3-dihydro-2H-benzo[e][1,4]diazepin-2-one', '1', 'Phenazepam(芬纳西洋)', '冷藏贮存', 'GASS-018', '瓶', NULL, 0.000000000000000000000000000000, '51753-57-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E152507ED99B48ACFE178F1AC9D60064', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '13mm，水洗聚醚砜（PES）,0.22um，货号：JLSP042201', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E18C601E2300B3A0E171775E017217E9', '擦镜纸', 'KIMTECH', '耗材', NULL, '普通耗材', '11.0*21.3cm', '2023-09-15 09:41:09.000000', '2023-09-15 09:41:09.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E1AB53C6590430A2A275A0EFE9CB5174', '乙腈', 'Supelco', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:40:42.000000', '2023-09-15 09:40:42.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '1.00030.4008', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('E1BA5F0A46028A16CFFAFFCD673FC3EE', '2-(1-(环己基甲基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:22.000000', '2023-09-15 09:39:22.000000', '1', '1', '/', NULL, 1.00, 'methyl2-(1-(cyclohexylmethyl)-1H-indole-3-carboxamido)-3,3-dimethylbutanoate', '1', 'MDMB-CHMICA', '冷藏贮存', 'GASS-067', '瓶', NULL, 0.000000000000000000000000000000, '1971007-95-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E1E9CC559CBFABD857F8B61DD11AA2E0', '塑料吸管', 'n/a', '耗材', NULL, '普通耗材', '2ml，100支/袋', '2023-09-15 09:41:15.000000', '2023-09-15 09:41:15.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '袋', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E20CD7352903DF0131FAFD4E3C304799', '氢氧化钾', '光复', '试剂', NULL, '普通试剂', '500g/瓶', '2023-09-15 09:41:59.000000', '2023-09-15 09:41:59.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'GR级');
INSERT INTO `reagent_consumables` VALUES ('E20EB7FD779E9FDAA345E10F1DA811D2', '甲酸铵', '科密欧', '试剂', NULL, '普通试剂', '100克/瓶', '2023-09-15 09:40:39.000000', '2023-09-15 09:40:39.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('E23DC2658F513EA31CB7F4A916477F47', '1-(4-甲氧基苯基-2,3,5,6-d4)丙-2-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:02.000000', '2023-09-15 09:40:02.000000', '1', '1', '/', NULL, 1.00, '1-(4-methoxyphenyl-2,3,5,6-d4)propan-2-amine', '1', 'D4-PMA盐酸盐', '冷藏贮存', 'GASS-451', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E340C3C43D6C67C53F0E010E9E085234', '(1-(4-氟苄基)-1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:33.000000', '2023-09-15 09:39:33.000000', '1', '1', '/', NULL, 1.00, 'methyl(1-(4-fluorobenzyl)-1H-indole-3-carbonyl)valinate', '1', 'AMB-FUBICA', '冷藏贮存', 'GASS-275', '瓶', NULL, 0.000000000000000000000000000000, '1971007-90-5', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E36F366E97BBCA68D8F6B4DD0C0E35B5', '容量瓶 100mL ', 'Brand', '耗材', NULL, '普通耗材', '棕色,/,/', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '37487', NULL);
INSERT INTO `reagent_consumables` VALUES ('E41BF5EB7724A4D4F80DF1EA8C134C18', '乙腈', 'OCEANPAK', '试剂', NULL, '普通试剂', '4L/瓶', '2023-09-15 09:41:51.000000', '2023-09-15 09:41:51.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('E429C695B8C1C82B9689FDC51A04A046', '定量滤纸', '新星', '耗材', NULL, '普通耗材', '18cm，中速', '2023-09-15 09:41:39.000000', '2023-09-15 09:41:39.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E5099634624EE833F6082799FE8D8E45', '乙醇', '利安隆博华', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('E63098297233C576D284F0C961A7CA19', '(1-(环己基甲基)-1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:26.000000', '2023-09-15 09:39:26.000000', '1', '1', '/', NULL, 1.00, 'methyl(1-(cyclohexylmethyl)-1H-indole-3-carbonyl)valinate', '1', 'AMB-CHMICA', '冷藏贮存', 'GASS-079', '瓶', NULL, 0.000000000000000000000000000000, '1971007-94-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E6B2CE5CD02BA982C85F87E07E9E5810', '丙二酸二乙酯', '阿拉丁', '试剂', NULL, '普通试剂', '0.99', '2023-09-15 09:41:53.000000', '2023-09-15 09:41:53.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('E70D7605B45D2B13634EB3B450C87DCB', '进样小瓶盖', '安捷伦', '耗材', NULL, '普通耗材', '2ml,5182-0717，100个/包', '2023-09-15 09:41:27.000000', '2023-09-15 09:41:27.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E7B37DA138D357B9122CB81FA35B3029', '手套', '科邦', '耗材', NULL, '普通耗材', '橡胶，M号,200只/盒,200只/盒', '2023-09-15 09:40:32.000000', '2023-09-15 09:40:32.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '/', NULL);
INSERT INTO `reagent_consumables` VALUES ('E81492B3D53AD1ECC3BB526F58189A4C', '5ml连盖离心管', 'CYPRESS', '耗材', NULL, '普通耗材', '300个/包,300个/包', '2023-09-15 09:40:23.000000', '2023-09-15 09:40:23.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '包', NULL, 0.000000000000000000000000000000, NULL, '0200050', NULL);
INSERT INTO `reagent_consumables` VALUES ('E819B0A1912C9BB8FCCAE900C5D1E20D', '1-(苯并[d][1,3]二羟基-5-基)-2-(二甲基氨基)戊-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:09.000000', '2023-09-15 09:40:09.000000', '1', '1', '/', NULL, 1.00, '1-(benzo[d][1,3]dioxol-5-yl)-2-(dimethylamino)pentan-1-one', '1', 'N,N-Dimethylpentylone (hydrochloride)', '冷藏贮存', 'GASS-511', '瓶', NULL, 0.000000000000000000000000000000, '17763-13-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E8611C2E513CD92AB4A93A9781BF4633', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '16.5*9.8cm', '2023-09-15 09:40:51.000000', '2023-09-15 09:40:51.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E8A3C2D712537B7C97170495247CB665', '(1-(4-氟苄基)-1H-吲唑-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:24.000000', '2023-09-15 09:39:24.000000', '1', '1', '/', NULL, 1.00, 'methyl(1-(4-fluorobenzyl)-1H-indazole-3-carbonyl)valinate', '1', 'AMB-FUBINACA', '冷藏贮存', 'GASS-074', '瓶', NULL, 0.000000000000000000000000000000, '1715016-76-4', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E8A82945E565FEAC137F16D0BB3B42B1', '2-(乙基氨基)-2-(噻吩-2-基) 环己烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:00.000000', '2023-09-15 09:40:00.000000', '1', '1', '/', NULL, 1.00, '2-(ethylamino)-2-(thiophen-2-yl)cyclohexan-1-one', '1', '乙基噻吩胺酮盐酸盐', '冷藏贮存', 'GASS-406', '瓶', NULL, 0.000000000000000000000000000000, '14176-50-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E92D84C413D598CBFD0BA5C51B95C985', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '2ml', '2023-09-15 09:41:02.000000', '2023-09-15 09:41:02.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E9906DCDD37116A20A33CC82ABA20DF9', 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)异丁酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:27.000000', '2023-09-15 09:39:27.000000', '1', '1', '/', NULL, 1.00, 'N-(4-fluorophenyl)-N-(1-phenethylpiperidin-4-yl)isobutyramide', '1', '4-氟异丁酰芬太尼', '冷藏贮存', 'GASS-097', '瓶', NULL, 0.000000000000000000000000000000, '244195-32-2', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('E9AB7FAAFA2653CD83B9303CC3DD5514', '容量瓶 200mL ', 'Brand', '耗材', NULL, '普通耗材', '棕色,/,/', '2023-09-15 09:40:27.000000', '2023-09-15 09:40:27.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '个', NULL, 0.000000000000000000000000000000, NULL, '37488', NULL);
INSERT INTO `reagent_consumables` VALUES ('EB44071CD7123F8B51A061618769B9BC', '2-(4-氯-2,5-二甲氧基苯基)-N-(2-甲氧基苄基)乙烷-1-胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:00.000000', '2023-09-15 09:40:00.000000', '1', '1', '/', NULL, 1.00, '2-(4-chloro-2,5-dimethoxyphenyl)-N-(2-methoxybenzyl)ethan-1-amine', '1', 'N-乙胺', '冷藏贮存', 'GASS-409', '瓶', NULL, 0.000000000000000000000000000000, '1227608-02-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EB67D3C18966168F7336F17C9065687F', 'DB-35MS', '安捷伦', '耗材', NULL, '普通耗材', '30m*0.25mm*0.25um，122-3832', '2023-09-15 09:41:08.000000', '2023-09-15 09:41:08.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '根', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EC1CA8EC4E9C8113AAB20A2A025D9CCD', 'HBTU, 苯并三氮唑-N,N,N\',N\'-四甲基脲六氟磷酸酯', '阿拉丁', '试剂', NULL, '普通试剂', '99%, 100g/瓶', '2023-09-15 09:42:16.000000', '2023-09-15 09:42:16.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '94790-37-1', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('EC68E5485FD8C78DE087F63330B38F04', '硝酸', '西陇', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:42:10.000000', '2023-09-15 09:42:10.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('EC9B88198F28D48AC3C588D5E1817C53', '磺胺', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '5g/瓶', '2023-09-15 09:42:04.000000', '2023-09-15 09:42:04.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'RD');
INSERT INTO `reagent_consumables` VALUES ('ED581393950CBFC219E92AFBA6F82E6C', '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酯甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:07.000000', '2023-09-15 09:40:07.000000', '1', '1', '/', NULL, 1.00, 'methyl 2-(1-(4-fluorobutyl)-1H-indole-3-carboxamido-4,5,6,7-d4)-3,3-dimethylbutanoate', '1', 'D4-4F-MDMB-BICA', '冷藏贮存', 'GASS-504', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EDF51E2CDA22C4552BA3B161429B9D1E', '进口滤膜', '津隆', '耗材', NULL, '普通耗材', '25mm，100片/盒，有机尼龙66，0.22um，货号：JLSN172202', '2023-09-15 09:41:35.000000', '2023-09-15 09:41:35.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EE1466A836761B76D7AC1151C7201D41', '试管', 'n/a', '耗材', NULL, '普通耗材', '18*180mm', '2023-09-15 09:41:00.000000', '2023-09-15 09:41:00.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EE84B193966F9095F04DCD6AD45CEBC8', '4-(三氟甲基)氯苄', '阿拉丁', '试剂', NULL, '普通试剂', '>97.0%(GC)，25g/瓶', '2023-09-15 09:42:14.000000', '2023-09-15 09:42:14.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '939-99-1', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('EE9EE191280EB65632E6847791E67AFB', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '50*30cm', '2023-09-15 09:40:52.000000', '2023-09-15 09:40:52.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EEA2D3EB75978EA4D12D127EDE3816FA', '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:32.000000', '2023-09-15 09:39:32.000000', '1', '1', '/', NULL, 1.00, 'methyl(1-(5-fluoropentyl)-1H-indole-3-carbonyl)valinate', '1', '5F-AMB-PICA', '冷藏贮存', 'GASS-262', '瓶', NULL, 0.000000000000000000000000000000, '1971007-87-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EFCEF27B4E70949C04F1B390D5564062', '7-氯-5-(2-氯苯基-3,4.5,6-d4) -3-羟基-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:03.000000', '2023-09-15 09:40:03.000000', '1', '1', '/', NULL, 1.00, '7-chloro-5-(2-chlorophenyl-3,4,5,6-d4)-3-hydroxy-13-dihydro-2H-benzole][1,4]diazepin-2-one', '1', 'D4-劳拉西半', '冷藏贮存', 'GASS-454', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('EFFED4D5671534815F6097E8B09ABBE5', '10ml注射器', '江苏治宇医疗器械', '耗材', NULL, '普通耗材', '100个/盒,100个/盒', '2023-09-15 09:40:24.000000', '2023-09-15 09:40:24.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '盒', NULL, 0.000000000000000000000000000000, NULL, '2010100', NULL);
INSERT INTO `reagent_consumables` VALUES ('F02FF7641F41F92815BD7256B31103DF', 'DIC, N,N′-二异丙基碳二亚胺', '阿拉丁', '试剂', NULL, '普通试剂', '≥98.5%，100ml/瓶', '2023-09-15 09:42:15.000000', '2023-09-15 09:42:15.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '693-13-0', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('F0A05A0C9C0DD2044CD8131BCECA8A04', '三（羟甲基）氨基甲烷', '阿拉丁', '试剂', NULL, '普通试剂', '0.999', '2023-09-15 09:42:00.000000', '2023-09-15 09:42:00.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, '标准缓冲物质');
INSERT INTO `reagent_consumables` VALUES ('F209F1F62969798053388397821C0887', '乙酸铵', 'Sigma', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 09:40:39.000000', '2023-09-15 09:40:39.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '32301-500G', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('F22ED2F61BFF68EF9418E0153CE31E7C', '密封垫', '岛津', '耗材', NULL, '普通耗材', '货号221-48972-91，20个/盒', '2023-09-15 09:40:58.000000', '2023-09-15 09:40:58.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F24692FBF75A8082257F46DE567A9E00', '正十九烷', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '25g/瓶,99%', '2023-09-15 09:41:55.000000', '2023-09-15 09:41:55.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, '其他');
INSERT INTO `reagent_consumables` VALUES ('F2689B9A4F80FF076D0420D4837F1ED1', '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)丁酸甲酯', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:40:07.000000', '2023-09-15 09:40:07.000000', '1', '1', '/', NULL, 1.00, 'methyl 3,3-dimethyl-2-(1-(pent-4-en-1-yl)-1H-indazole-3-carboxamido-4,5,6,7-d4)butanoate', '1', 'D4-MDMB-4en-PINACA', '冷藏贮存', 'GASS-505', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F27A62C5B4F9E765A3F4783E6A9C3FB6', '氢氧化钾', '科密欧', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 09:40:46.000000', '2023-09-15 09:40:46.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('F341ED31873B1D3D33525F774CDDC59E', 'N-(金刚烷-1-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:37.000000', '2023-09-15 09:39:37.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(cyclohexylmethyl)-1H-indazole-3-carboxamide', '1', 'ACHMINACA', '冷藏贮存', 'GASS-309', '瓶', NULL, 0.000000000000000000000000000000, '1400742-33-7', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F39D2397301D900FBAFE7FF7E79D9607', '100ul有相机枪头', 'RAININ    100ul ', '耗材', NULL, '普通耗材', 'disposable capillaries/pistons 17008607,180个/盒,180个/盒', '2023-09-15 09:40:14.000000', '2023-09-15 09:40:14.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水专用', '盒', NULL, 0.000000000000000000000000000000, NULL, '17008607', NULL);
INSERT INTO `reagent_consumables` VALUES ('F3C6A67A581E9706631226E0A5C65627', '微孔滤膜', 'GreenMall', '耗材', NULL, '普通耗材', '有机系（尼龙）,50mm,0.22um,50片/盒', '2023-09-15 09:41:36.000000', '2023-09-15 09:41:36.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F4092B60EACAEDD2092F244FC4DCFB52', '定量滤纸', '双联牌', '耗材', NULL, '普通耗材', '9cm，慢速', '2023-09-15 09:41:38.000000', '2023-09-15 09:41:38.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F5B278B240F82AD5654FDE723873D717', '氘代氯仿', 'CIL', '试剂', NULL, '普通试剂', '0.6mLx10,99.8%', '2023-09-15 09:42:07.000000', '2023-09-15 09:42:07.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('F5F9896B44CA782698CF6E4A98ABFE5C', '2-(二乙基氨基)-1-苯基戊烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:57.000000', '2023-09-15 09:39:57.000000', '1', '1', '/', NULL, 1.00, '2-(diethylamino)-1-phenylpentan-1-one', '1', 'N,N-二乙基戊卡西酮盐酸盐', '冷藏贮存', 'GASS-393', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F6F55D3AE6695898D36E015322D4F78A', '研钵', '垒固', '耗材', NULL, '普通耗材', '12ml', '2023-09-15 09:41:22.000000', '2023-09-15 09:41:22.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F7344745AADFA63355CD77995162006C', '一次性塑料烧杯', 'n/a', '耗材', NULL, '普通耗材', '100ml', '2023-09-15 09:41:30.000000', '2023-09-15 09:41:30.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F8363BDC39F4155474D59FF6BB8080BB', '甲酸铵', 'Honeywell', '试剂', NULL, '普通试剂', '50克/瓶', '2023-09-15 09:40:39.000000', '2023-09-15 09:40:39.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '污水，毛发专用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '55674-50G', 'HPLC级');
INSERT INTO `reagent_consumables` VALUES ('F83C7F6C4BE9AD05CBE721B5ED035296', '2-(乙基氨基)-2-(3-甲氧基苯基)环已烷-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:30.000000', '2023-09-15 09:39:30.000000', '1', '1', '/', NULL, 1.00, '2-(ethylamino)-2-(3-methoxyphenyl)cyclohexan-1-one', '1', '2-(3-甲氧基苯基)-2-乙复基环己酮', '冷藏贮存', 'GASS-167', '瓶', NULL, 0.000000000000000000000000000000, '1239943-76-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('F85D90430480862C84CC86F72B27A0B6', '15ml塑料离心管', 'CORNING　CentriStar', '耗材', NULL, '普通耗材', 'PET塑料,10包/箱  1包/50,10包/箱  1包/50', '2023-09-15 09:40:22.000000', '2023-09-15 09:40:22.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '箱', NULL, 0.000000000000000000000000000000, NULL, '430790', NULL);
INSERT INTO `reagent_consumables` VALUES ('F8B81CB0EAE10FA0363AC93C07B3337D', '乙酸铵', 'Sigma-Aldrich', '试剂', NULL, '普通试剂', '32301-500g/瓶，98%', '2023-09-15 09:42:05.000000', '2023-09-15 09:42:05.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'ACS级');
INSERT INTO `reagent_consumables` VALUES ('FA3D7362F13431E0D5EB5E6496922BF1', '牛皮纸物证袋', 'n/a', '耗材', NULL, '普通耗材', '30*17*46cm', '2023-09-15 09:40:51.000000', '2023-09-15 09:40:51.000000', '1', '1', '/', NULL, 1.00, '/', '10', '/', '常规贮存', NULL, '包', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FA7A0CA1908376BE2DFB61082AB105D6', 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)辛酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:51.000000', '2023-09-15 09:39:51.000000', '1', '1', '/', NULL, 1.00, 'N-(1-phenethylpiperidin-4-yl)-N-(p-tolyl)octanamide', '1', '对甲苯基正辛酰基芬太尼', '冷藏贮存', 'GASS-378', '瓶', NULL, 0.000000000000000000000000000000, '/', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FA8612A1C548990977411A37B83DF1C9', '(1-(5-氟戊基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:16.000000', '2023-09-15 09:39:16.000000', '1', '1', '/', NULL, 1.00, '(1-(5-fluoropentyl)-1H-indol-3-yl)(2,2,3,3-tetramethylcyclopropyl)methanone', '1', '5F-UR-144', '冷藏贮存', 'GASS-040', '瓶', NULL, 0.000000000000000000000000000000, '1364933-54-9', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FBE0954C2221B9D88DFDE8E303BD8637', '1-(4-溴苯基)-2-(吡咯烷-1-基)丙-1-酮', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:41.000000', '2023-09-15 09:39:41.000000', '1', '1', '/', NULL, 1.00, '1-(4-bromophenyl)-2-(pyrrolidin-1-yl)propan-1-one', '1', 'N-环丁基-对溴-卡西酮盐酸盐', '冷藏贮存', 'GASS-329', '瓶', NULL, 0.000000000000000000000000000000, '1152859-02-3', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FBF9A258C13CCFDF57C4235F55591382', '核磁管', 'NORELL', '耗材', NULL, '核磁管', '100个/盒', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FC86FB6282EBB1E96EBD5531C467D311', '无水碳酸钠', '光富', '试剂', NULL, '普通试剂', '500克/瓶', '2023-09-15 09:40:45.000000', '2023-09-15 09:40:45.000000', '1', '1', '/', NULL, 1.00, NULL, '1', NULL, '常规贮存', '通用', '瓶', NULL, 0.000000000000000000000000000000, NULL, '/', '优级纯');
INSERT INTO `reagent_consumables` VALUES ('FCFFFA32F3F2D9816375F26327E45D49', '移液管', 'MC', '耗材', NULL, '普通耗材', '5ml', '2023-09-15 09:41:00.000000', '2023-09-15 09:41:00.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FD04A21D4828EC85E11F8962AF55598F', '载玻片', 'SAIL BRAND', '耗材', NULL, '普通耗材', '25.4x76.2mm，50片，7102', '2023-09-15 09:41:45.000000', '2023-09-15 09:41:45.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '盒', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FDD22893F422F3DF72188BDD70EF6D10', 'N-(金刚烷-1-基)-1-(5-氯戊基)-1H-吲唑-3-甲酰胺', '公安部', '标准物质', NULL, '普通标准物质', '1mg/ml,1ml', '2023-09-15 09:39:31.000000', '2023-09-15 09:39:31.000000', '1', '1', '/', NULL, 1.00, 'N-(adamantan-1-yl)-1-(5-chloropentyl)-1H-indazole-3-carboxamide', '1', '5CI-APINACA', '冷藏贮存', 'GASS-260', '瓶', NULL, 0.000000000000000000000000000000, '2160555-52-0', NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FE8724675A073DB36777CF6B1E8F0DCC', 'ACQUITY UPLC CSH C18', 'Waters', '耗材', NULL, '色谱柱', '2.1*100mm,1.7um', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FE968C2932EE3900AE0D67AE5B7BD420', '1H-吲唑-3-羧酸甲酯', '阿拉丁', '试剂', NULL, '普通试剂', '97%，5g/瓶', '2023-09-15 09:42:12.000000', '2023-09-15 09:42:12.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, '43120-28-1', NULL, 'AR级');
INSERT INTO `reagent_consumables` VALUES ('FEA92E1271EBDED89F8CFE6A5A06751C', '气相进样针', '岛津', '耗材', NULL, '进样针', '10ul', '2023-09-15 09:40:57.000000', '2023-09-15 09:40:57.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FEAE8C4F8F0FB4D378900C3486BCD87B', '血清移液管', 'n/a', '耗材', NULL, '普通耗材', '25ml', '2023-09-15 09:41:03.000000', '2023-09-15 09:41:03.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '个', NULL, 0.000000000000000000000000000000, NULL, NULL, NULL);
INSERT INTO `reagent_consumables` VALUES ('FFE0AC694F9F0ABF8A00D9CA694A312A', '叔丁醇', '科密欧', '试剂', NULL, '普通试剂', '500ml/瓶', '2023-09-15 09:42:01.000000', '2023-09-15 09:42:01.000000', '1', '1', '/', NULL, 1.00, '/', '1', '/', '常规贮存', NULL, '瓶', NULL, 0.000000000000000000000000000000, NULL, NULL, 'AR级');

-- ----------------------------
-- Table structure for reagent_consumables_set
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables_set`;
CREATE TABLE `reagent_consumables_set`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `purpose` int(6) NULL DEFAULT NULL COMMENT '用途 ：0 案件 1 科研',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  `application_for_use_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用申请表ID',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `quantity_delivered` int(255) NULL DEFAULT NULL COMMENT '实际领用数量',
  `outgoing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库明细ID',
  `reagent_consumable_stash_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材集合)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumables_set
-- ----------------------------

-- ----------------------------
-- Table structure for reference_material
-- ----------------------------
DROP TABLE IF EXISTS `reference_material`;
CREATE TABLE `reference_material`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类ID',
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(11) NULL DEFAULT NULL COMMENT '状态 0为可以使用，-1为停用,-2为降级使用、-3 已被领用,-4 使用完毕,报废',
  `reagent_consumable_inventory_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '库存类ID',
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `custodian_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '管理员名称',
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '定值结果',
  `service_status` int(6) NULL DEFAULT NULL COMMENT '使用状态 0 正常使用、-2降级使用',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `mass` double NULL DEFAULT NULL COMMENT '质量',
  `reference_material_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '单位',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reference_material
-- ----------------------------
INSERT INTO `reference_material` VALUES ('01021B06F71231EE35152AA52C0DC587', 'D4-MDMB-4en-PINACA-2023-7-1', 'F2689B9A4F80FF076D0420D4837F1ED1', 'AC216477B39E53F88DD86D6D1BC609D3', '2023-09-15 09:40:07.000000', '2023-09-15 09:40:07.000000', '1', '1', 0, '7C94C0C48E846F0C596FC942087EF533', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-MDMB-4en-PINACA-2023-7-1', NULL, NULL, '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('02532E70FFF96AEEEE902A165D5EB1D8', '布桂嗪-2023-7-1', '9F87AB38FDF82BFDFBFFB5481C470DBD', 'E3DF0E9D2489487F70337356DBBB2091', '2023-09-15 09:40:01.000000', '2023-09-15 09:40:01.000000', '1', '1', 0, '463A52B1FBF70806E4DAE69A2118C631', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '布桂嗪-2023-7-1', NULL, NULL, '1-(4-肉桂酰哌嗪-1-基)丁-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('04C7A00C1AFDF9CA3DE3987741EE4AFE', 'ADBICA-2023-7-1', '9648185FC7BDB91A10B946888EDAC790', '1AB05404C2F21C8C5B053DF9160E5CF5', '2023-09-15 09:39:18.000000', '2023-09-15 09:39:18.000000', '1', '1', 0, '12563A09F32F0D3B20BF7B9F73D76C36', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ADBICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲哚-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('07E16B1C9D118F84C6CB8A798FDD4F6A', '苯基环丙甲酰基芬太尼-2023-7-1', '6122F486EF079542379911B3FD0A1BA4', '9F6374687783205279991F895CEADB44', '2023-09-15 09:39:56.000000', '2023-09-15 09:39:56.000000', '1', '1', 0, '30AE78BB776D5FBE9D1ABA0C7D200C5A', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '苯基环丙甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-苯基环丙烷甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('080AC2407F6F0F877580713316AD495A', 'APICA-2023-7-1', '66546FA038BCDB99D5FBB70B42DFA15E', '949F2C3FEF2AE015136EB7B825A31D5A', '2023-09-15 09:39:19.000000', '2023-09-15 09:39:19.000000', '1', '1', 0, '47576878BF0A607CA50E85AD2D3E529C', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'APICA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-戊基-1H-吲哚-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('08E45AD6277A2EB8BE081ACDF597732A', 'D4-4CN-CUMYL-BUTINACA-2023-7-1', '02CC0F09CDC2E5B82A90318235B31079', '7AAB3C4E7B193A45112C2183EE700AB2', '2023-09-15 09:40:08.000000', '2023-09-15 09:40:08.000000', '1', '1', 0, '97C02803351C328E98C109B3925A453C', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-4CN-CUMYL-BUTINACA-2023-7-1', NULL, NULL, '1-(4-氰基丁基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('0A388B512C11A42EEB4AF203AC1D845A', 'Phenazepam(芬纳西洋)-2023-7-1', 'E13D71FF957564490FBEF69130BFF840', 'B90FADF47C9D27AA2ADC0476A7F10D93', '2023-09-15 09:39:13.000000', '2023-09-15 09:39:13.000000', '1', '1', 0, '5DD4FF440F74F1A7C5E88B05D9208698', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'Phenazepam(芬纳西洋)-2023-7-1', NULL, NULL, '7-溴-5-(2-氯苯基)-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('0AFD613390D00CD0FBDB11EADCA660D5', '溴胺酮盐酸盐-2023-7-1', '80160962DB7042A2987CF9E96581ACE7', '2BC5A946E6669F2C9D4E6962A83BC814', '2023-09-15 09:40:00.000000', '2023-09-15 09:40:00.000000', '1', '1', 0, 'E14075D88269DC328CA02CFAB94A8961', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '溴胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(2-溴苯基) -2-(甲氨基) 环己烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('0BA40E6F6789154F3F6E0623C32B1B6D', 'N-环丁基-间氯-卡西酮盐酸盐-2023-7-1', '9DE34D19F6D633CB012E363B211A0666', '202F0BE338F9012EE83768802408A189', '2023-09-15 09:39:44.000000', '2023-09-15 09:39:44.000000', '1', '1', 0, '11B7F3C1053EE9B44C6E59BDFE15B700', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-环丁基-间氯-卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(3-氯苯基)-2-(吡咯烷-1-基) 丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('0C9A17528EE79B6AEADFB54BB17D3832', 'A-834,735-2023-7-1', 'B8B93FF4B0BC9D113C013B3D6DF3698B', '027499F7FA739B633F3946A7F613EEAB', '2023-09-15 09:39:16.000000', '2023-09-15 09:39:16.000000', '1', '1', 0, 'D8F683B2D6FBBDA6454BD62F08D80026', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'A-834,735-2023-7-1', NULL, NULL, '(1-((四氢-2H-吡喃-4-基)甲基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('10D71981CF4B59F140BF36FA03CE635E', '对甲苯基庚酰基芬太尼-2023-7-1', 'A27B448FCC0401FE56CC4FF28692B870', 'FB85C5B7B592E3A8FD5610ED99F77F13', '2023-09-15 09:39:46.000000', '2023-09-15 09:39:46.000000', '1', '1', 0, '69399FA600BB9E82146C8CC8FBF70121', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基庚酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)庚酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('11B3282F12880011128BCE7359BE4A51', 'N-甲基-对溴-甲卡西酮盐酸盐-2023-7-1', 'AE38AA8B70594BFD0682587613E6F9B0', '6647740182868205488535444D82FFD8', '2023-09-15 09:39:40.000000', '2023-09-15 09:39:40.000000', '1', '1', 0, '6440B6325A4EE73E771372E4BD9EDC80', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-甲基-对溴-甲卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-溴苯基)-2-(二甲基氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('133564D977C1A7A478BB28D6C18AE24C', '对氯-N,N-二乙基卡西酮盐酸盐-2023-7-1', 'D1049D194F92877743D0B652F3CD8356', 'BF2181D1AA35F46F86C5BDE5AC154670', '2023-09-15 09:39:57.000000', '2023-09-15 09:39:57.000000', '1', '1', 0, '03076678E50D63C86E0C335DDC475E3B', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氯-N,N-二乙基卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-氯苯基)-2-(二乙基氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('13FC6A4A8C24D3072007E66505045C62', '苯基环丁甲酰基芬太尼-2023-7-1', '60EC0189826D4F81E05D86B54AE55AEE', '9071D6BBD7751333CB49F00B61335215', '2023-09-15 09:39:55.000000', '2023-09-15 09:39:55.000000', '1', '1', 0, '674710D9DEB0297B3BAAE58837740654', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '苯基环丁甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-苯基环丁烷甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('14CAB6F881E90DD78F5896FABB42D6D5', 'EDDP(高氯酸盐)-2023-7-1', '9328CEE34038D597ACD4A99398040D5B', 'CE8487AA98082C0AEB18FF9F6FCEF3D0', '2023-09-15 09:39:39.000000', '2023-09-15 09:39:39.000000', '1', '1', 0, '72BFED3567B0321C9FAA3D858ED20E92', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'EDDP(高氯酸盐)-2023-7-1', NULL, NULL, '5-乙基-1,2-二甲基-4,4-二苯基-3,4-二氢-2H-吡咯-1-鎓', 1, 'mL');
INSERT INTO `reference_material` VALUES ('18B804923A739363D2FE213D64D03B93', 'FUB-PB-22-2023-7-1', 'BA1EE600B4E13A93DD8584F111AD6297', 'B70DC2439453CA96B19CB1C6296CCCF0', '2023-09-15 09:39:21.000000', '2023-09-15 09:39:21.000000', '1', '1', 0, '19D8D55041B0C617C2BE371ED7D8C615', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'FUB-PB-22-2023-7-1', NULL, NULL, '喹啉-8-基-1-(4-氟苄基)-1H-吲哚-3-羧酸盐', 1, 'mL');
INSERT INTO `reference_material` VALUES ('1BA505C216A6126C826F323823486FEB', 'ADB-BUTINACA-2023-7-1', '5C7A9F87126028CF393F24EFC581F812', '0A4A9ABDE7663B46336587F246E43804', '2023-09-15 09:39:35.000000', '2023-09-15 09:39:35.000000', '1', '1', 0, 'B6A8E204D616BBF0A3D0B3F854321684', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ADB-BUTINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-丁基-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('1D1ADD9C377333E2A61D9BD61FBC4440', '去氯氯胺酮盐酸盐-2023-7-1', 'A52012E8116116D5A53B50DC6F69F699', 'F0F325CF35FFC3894CACCDB48F9CE2BC', '2023-09-15 09:39:59.000000', '2023-09-15 09:39:59.000000', '1', '1', 0, '3BF55E29B4BCF9D7DDB17CF2F7953FB4', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '去氯氯胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(甲氨基)-2-苯基环已烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('1EB2CEEFB4BEB53138D2F1719322536A', 'D4-氟胺酮盐酸盐-2023-7-1', 'B20E34ADBC2DD88352C66EBE2588BF61', '33801AA7DCA317012D8913437ADAAC7F', '2023-09-15 09:40:03.000000', '2023-09-15 09:40:03.000000', '1', '1', 0, '45D6E7784CB7D7C7AD85A4F65E9DA8F9', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-氟胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(2-氟苯基-3,4,5,6-d4)-2-(甲氨基)环己烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('22D907E0596A22B93405AB4B1FE9A973', '苯甲曲秦-2023-7-1', 'BA52CF3BAD0FE841F9A22033BAFFAB1E', '1E270E435413458E15E7F626D1624C06', '2023-09-15 09:39:37.000000', '2023-09-15 09:39:37.000000', '1', '1', 0, 'D80AFEC2CEFB1380E46F273C335B4F02', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', '苯甲曲秦-2023-7-1', NULL, NULL, '3,4-二甲基-2-苯基吗啉', 1, 'mL');
INSERT INTO `reference_material` VALUES ('250FCDBFDC5095E9BD1F0E5561EEEC4B', 'N-乙基-对甲-乙卡西酮盐酸盐-2023-7-1', '706B425DDB8A95A00497E4691950A3FA', '0BC73A14D12AF4CB3B6C1BBCDED3551B', '2023-09-15 09:39:42.000000', '2023-09-15 09:39:42.000000', '1', '1', 0, '103D303B339129BD29F7B2A393C6A22C', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-乙基-对甲-乙卡西酮盐酸盐-2023-7-1', NULL, NULL, '2-(二乙基氨基)-1-(对甲苯基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('2BBB6477C89270D676AA49C0988BCE5C', '乙基噻吩胺酮盐酸盐-2023-7-1', 'E8A82945E565FEAC137F16D0BB3B42B1', '1A780DCD48C930DCE0A152C4161EB3A0', '2023-09-15 09:40:00.000000', '2023-09-15 09:40:00.000000', '1', '1', 0, '1A6AE46C8C66C7146169C122E968D290', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '乙基噻吩胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(乙基氨基)-2-(噻吩-2-基) 环己烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('303E389DC251CC6A509A97CD1A382D8C', '对氟芬太尼-2023-7-1', '98D00ABFFAFA90F393E2FDA8357B8735', '4444A8F437EB8CC962CE99371086D600', '2023-09-15 09:39:28.000000', '2023-09-15 09:39:28.000000', '1', '1', 0, '77043214069224C260D616956A1E1302', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('33B7AC8C14A8156BFD58265B543475CB', '对甲苯基异戊酰基芬太尼-2023-7-1', '1D0223DA1D70AC588A258DC74E483D14', '07B84DB888FCBE479AC55662B51A5CDD', '2023-09-15 09:39:49.000000', '2023-09-15 09:39:49.000000', '1', '1', 0, '91F2EFEEC33E9914D8B18C1553CB0E28', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基异戊酰基芬太尼-2023-7-1', NULL, NULL, '3-甲基-N-(1-苯基哌啶-4-基)-N-(对甲苯基) 丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('35E2A55AB48AC112AAFFBF72D8497F9A', '对甲苯基正辛酰基芬太尼-2023-7-1', 'FA7A0CA1908376BE2DFB61082AB105D6', '0667FAC9E9F3E2B64072D16C8ABA1A3E', '2023-09-15 09:39:51.000000', '2023-09-15 09:39:51.000000', '1', '1', 0, '68E1E00F9183D3BCC45BA38BB6A76A9C', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基正辛酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)辛酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('39588D50FCA1D059BC0EFB2305CCEEB2', 'D4-MDMB-FUBICA-2023-7-1', '6E64BCD3757B5B3CAF8AC90E9646B285', '595BD60CFA23D6CE66666FDB6BABEDBB', '2023-09-15 09:40:04.000000', '2023-09-15 09:40:04.000000', '1', '1', 0, '18ECC3C26494E1E9BFAEA8A6A30B707E', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-MDMB-FUBICA-2023-7-1', NULL, NULL, '2-(1-(4-氟苄基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3.二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('3A7914903BAA7A01FCA1DAEEC98A4BFD', '艾司唑仑-2023-7-1', 'C0603A989A20C8143226188887BA1230', '97413194EFD0DB8F639D4161D0BB4D45', '2023-09-15 09:40:01.000000', '2023-09-15 09:40:01.000000', '1', '1', 0, 'CD1E2FA63AD9F4BCC5FC7AF20ECD93B9', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '艾司唑仑-2023-7-1', NULL, NULL, '8-氯-6-苯基-4H-苯并[f[1,2,4]三唑并[4,3-a][1,4]二氮卓', 1, 'mL');
INSERT INTO `reference_material` VALUES ('3D968AC684800C08503430D26D481C86', 'PMA盐酸盐-2023-7-1', '25BDBC9B658154CB164B3C874309941E', '7E230F9CD6771525F2FB7CBCBF18F4A4', '2023-09-15 09:40:05.000000', '2023-09-15 09:40:05.000000', '1', '1', 0, 'AEEC45DFC0A92E57163936678B4D6AAF', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'PMA盐酸盐-2023-7-1', NULL, NULL, '1-(4-甲氧基苯基)丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('3DCE86D5D23280A577ED52A237DE51FA', '对氟苯基正戊基芬太尼-2023-7-1', '9A97AC7A30D631859DBC7FD09AB65331', 'A2190B613E17DC147FFA523A9DFCA90D', '2023-09-15 09:39:52.000000', '2023-09-15 09:39:52.000000', '1', '1', 0, '9DC19C5528368E428D6CD40BF84642B1', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基正戊基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)戊酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('3E72C01E96440C38A079E3E8383FC78D', 'CB-13-2023-7-1', '6A8A3FC36B804D66E73577E1393B592E', '606A84748C46C7A18A9C17E373241816', '2023-09-15 09:39:20.000000', '2023-09-15 09:39:20.000000', '1', '1', 0, '5C5C9615A5A0FF435415EF4B32C0933C', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'CB-13-2023-7-1', NULL, NULL, '萘-1-基(4-(戊基氧基)萘-1-基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('3ECFBC9AE0D092E8203B756789C83E91', '去甲氟胺酮盐酸盐-2023-7-1', 'ABD05A369136E1D3B1897833143F19AF', '24CCFB47A62D7DD1A65AC3FB7BBDC26D', '2023-09-15 09:39:59.000000', '2023-09-15 09:39:59.000000', '1', '1', 0, 'DADBF7924A73D54DF5A1CA89F147418C', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '去甲氟胺酮盐酸盐-2023-7-1', NULL, NULL, '2-氨基-2-(2-氟苯基)环已烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('41A5D5243FDD7173CF1F15A474924305', 'MDMB-FUBINACA-2023-7-1', '1DEBD4A342C544DAA5D35F00372DAD95', '4ED57794364D995771BB1F6E70EAF3C8', '2023-09-15 09:39:22.000000', '2023-09-15 09:39:22.000000', '1', '1', 0, '035AFEC3208735FA13817A560C7E44BC', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'MDMB-FUBINACA-2023-7-1', NULL, NULL, '2-(1-(4-氟苄基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('43CD349A611DDF8D91E5563CD7862A7A', 'PB-22-2023-7-1', '0ABB32708CF8D635A383C91070178EF0', 'AB2A5EBF8EB021DB7D5C653FCF613C85', '2023-09-15 09:39:23.000000', '2023-09-15 09:39:23.000000', '1', '1', 0, 'A616F3D88256309F83F6B7064981B544', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'PB-22-2023-7-1', NULL, NULL, '喹啉-8-基-1-戊基-1H-吲哚-3-羧酸盐', 1, 'mL');
INSERT INTO `reference_material` VALUES ('4570E81B6A453C7B159780AAC76E95DB', 'D4-氯胺酮盐酸盐-2023-7-1', '3BA574819F1D6432259A1232EED5BC79', 'C9CE5C969DCE2CE02CD1C8C78DA60959', '2023-09-15 09:40:04.000000', '2023-09-15 09:40:04.000000', '1', '1', 0, '658C11309C03ED2B61618997BEC12CCE', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-氯胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(2-氯苯基-3,4,5,6-d4) -2-(甲氨基) 环己烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('4825340F2A86DFF05D21725789C66622', '4-甲基甲卡西酮(盐酸盐)-2023-7-1', 'BD6FF814B8AEE95F188E1B768CDBFDDE', 'ED98222240A35F7EA6A203883F6D3DA4', '2023-09-15 09:39:29.000000', '2023-09-15 09:39:29.000000', '1', '1', 0, 'AC5FFD1C8433E2A0A8AFA83531ADA5EE', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4-甲基甲卡西酮(盐酸盐)-2023-7-1', NULL, NULL, '2-(甲氨基)-1-(对甲苯基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('4C4926ED1F060700120EAB6E6B4BCCE5', 'MDMB-CHMICA-2023-7-1', 'E1BA5F0A46028A16CFFAFFCD673FC3EE', '8D203683D294E29230BC90482FAC4C3C', '2023-09-15 09:39:22.000000', '2023-09-15 09:39:22.000000', '1', '1', 0, '0D695B0EDDD5885CD7EFCFD195A4DA5A', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'MDMB-CHMICA-2023-7-1', NULL, NULL, '2-(1-(环己基甲基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('4CE67FC11404EBE3B436EC9959B00502', '对甲苯基乙酰基芬太尼-2023-7-1', 'BDB063E0E3963B5FB18B4DCEEF4F89D4', '8ED7AFC73D4B3F4E25AB9ECADF29A3BF', '2023-09-15 09:39:46.000000', '2023-09-15 09:39:46.000000', '1', '1', 0, '037EA0734FBFEAB2183313EAB227391F', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基乙酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('51B270A1774044F3DA6859449FD4D8F7', '氟胺酮盐酸盐-2023-7-1', '1F2BE676869D0EA714E5CD11D76F4777', '793331E1C6931CD42720AD31CB64980D', '2023-09-15 09:39:59.000000', '2023-09-15 09:39:59.000000', '1', '1', 0, 'D5A9F187BF3FE3F2DBED66A67696A839', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '氟胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(2-氟苯基)-2-(甲氨基) 环已烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('51DA23A643F352E4F0302675639477A0', 'MDMB-4en-PINACA-2023-7-1', '2E214604818892CC6614A10FD17E0C0B', '030276AD35E15E2BD504EAA2FC3E72AE', '2023-09-15 09:39:34.000000', '2023-09-15 09:39:34.000000', '1', '1', 0, '563866FA34822F7554941C1FF70F6627', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'MDMB-4en-PINACA-2023-7-1', NULL, NULL, '3,3-二甲基-2-(1-(戊-4-烯-1-基)-1H-吲唑-3-甲酰胺基)丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('55653B6A3256B08C6F007622875E1B96', 'D4-5F-ADB-2023-7-1', '792941E2E497F9F9C49E34DAF09117EB', '6388A1911F188DE4CD970D5FE1B663F1', '2023-09-15 09:40:06.000000', '2023-09-15 09:40:06.000000', '1', '1', 0, 'FAD72A6FD9659DD966664F521706115B', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-5F-ADB-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('562446C252E0A4B776E956F82D8250E6', 'AB-FUBICA-2023-7-1', '5BD8CCD02CA1125372AA07A2FA4F2B2E', '5122CB5E35221E1D31BBD73E44C7E9CD', '2023-09-15 09:39:39.000000', '2023-09-15 09:39:39.000000', '1', '1', 0, 'E666F8F9BC7F7D90F94598F4B40390AC', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AB-FUBICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('59328B78F0F83A75F353DFA96B0B050F', '对氟苯基环戊甲酰基芬太尼-2023-7-1', 'C3199742A6DE511DBB65C3E0DBD19B55', '3B9055C78029D4B3CC1D21CD94D1CB31', '2023-09-15 09:39:52.000000', '2023-09-15 09:39:52.000000', '1', '1', 0, '5D84474F684FB7982B18E3AD23AD0543', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基环戊甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环戊酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('5B5F08C5179D1DB38A47FA7840AB6BDA', '对甲苯基异丁酰基芬太尼-2023-7-1', 'BBBB96926E495948A71F51BFED80118E', '454237690BF12A07CAB3E6E795F04CF9', '2023-09-15 09:39:47.000000', '2023-09-15 09:39:47.000000', '1', '1', 0, '9873E38BDE58D7EFB22B9C8E263A4A2A', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基异丁酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6309E2E5BF9FB6A617F51370D44D7DD4', '5F-MDA-19-2023-7-1', '25AA02D52308E3575183B5B4896E454A', 'F895C286AD2E8C7ADDB1BF185B73BB3C', '2023-09-15 09:40:06.000000', '2023-09-15 09:40:06.000000', '1', '1', 0, '939D7998106AA6A4E0C952BB8FB54938', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-MDA-19-2023-7-1', NULL, NULL, '(E)-N\'-(1-(5-氟戊基)-2-氧代吲哚-3-亚基) 苯甲酰肼', 1, 'mL');
INSERT INTO `reference_material` VALUES ('63D6566B897F6877F0C6BC9C03709FA2', '5F-AMB-2023-7-1', '75891031891D1DBCAADB5FDF9D8D97F4', 'B2A8B1679F509E4B9B12C610CA60D637', '2023-09-15 09:39:15.000000', '2023-09-15 09:39:15.000000', '1', '1', 0, '62548BB29A1355DDF1B057DAAC7B59D4', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-AMB-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲唑-3-羰基)缬氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('648267A9342066F9E1EAF9E7016AD311', '对氟苯基环己甲酰基芬太尼-2023-7-1', '2A29550308BCEF02B5AAFD1E9B6030F1', '120DE67A363D90E3213278F0BDF013D7', '2023-09-15 09:39:54.000000', '2023-09-15 09:39:54.000000', '1', '1', 0, '6A7D35770595EB123414074BA62FE15D', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基环己甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基) 环己烷甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('66C52690CFECE9C7CC1681AA754F0E44', '对甲苯基环丁甲酰基芬太尼-2023-7-1', 'BFE3406387B2DB7239D6354BCA1AE6CB', '0290BE6F9ECDF4DD6A32FDBEA76C8715', '2023-09-15 09:39:49.000000', '2023-09-15 09:39:49.000000', '1', '1', 0, 'A82658E93F69ADAC3D1A1A9F1109473C', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基环丁甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('67607152339EDD0F97107FE29101CFF2', '对甲苯基正丙酰基芬太尼-2023-7-1', 'E06742B11952F635C13F1BFC37EA1E26', 'D04651986576F1F8D135497637B955C9', '2023-09-15 09:39:51.000000', '2023-09-15 09:39:51.000000', '1', '1', 0, '1A4487B15A2553E528952C2032A84977', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基正丙酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('688A97AA56E4007DC8F96DFE7C5DC6F5', 'D4-劳拉西半-2023-7-1', 'EFCEF27B4E70949C04F1B390D5564062', '84E27589A6E83316A5187DAD991DF36E', '2023-09-15 09:40:03.000000', '2023-09-15 09:40:03.000000', '1', '1', 0, '10B81B8047FB1C75A1FC3D9A7C4D09D2', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-劳拉西半-2023-7-1', NULL, NULL, '7-氯-5-(2-氯苯基-3,4.5,6-d4) -3-羟基-1,3-二氢-2H-苯并[e][1,4]二氮杂-2-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6A85133EE2CDFC9DBDAA525026738E65', '4-氟异丁酰芬太尼-2023-7-1', 'E9906DCDD37116A20A33CC82ABA20DF9', 'AF8621676AF82272A7CE8A0FC1A6254A', '2023-09-15 09:39:27.000000', '2023-09-15 09:39:27.000000', '1', '1', 0, 'FB7CD80057CFEABFDA0E2B64165A2A00', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4-氟异丁酰芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)异丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6CFC4F7CA6E81098B53F9AFC47C06350', 'D4-AB-FUBICA-2023-7-1', '4DB056F46F2255AB2103B5988CBC3E6D', '5D8EB185B3AD7B729A0E49B87549CAE0', '2023-09-15 09:40:04.000000', '2023-09-15 09:40:04.000000', '1', '1', 0, 'B31E89B959F9D7BEA36EDC0E6DCDB601', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-AB-FUBICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲哚-4,5,6,7-d4-3-羧酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6D75972890274EC857FD9D28AA9B280A', '哌甲酯盐酸盐-2023-7-1', '755E691DDBFE0FC83D27FCC1B486EF95', '476AE54F23E6DB528290104F3D7C9B3B', '2023-09-15 09:39:38.000000', '2023-09-15 09:39:38.000000', '1', '1', 0, '259AEC14EDED33746D5C6DB7AD9B969E', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', '哌甲酯盐酸盐-2023-7-1', NULL, NULL, '2-苯基-2-(哌啶-2-基)乙酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6DCDDB7938E5302CE1ACA321667658E0', 'ADB-4en-PINACA-2023-7-1', '40015F4CD54E97426885497442342617', 'E49BD6E2BABFEABCDC7AD03AAE1868D9', '2023-09-15 09:39:36.000000', '2023-09-15 09:39:36.000000', '1', '1', 0, 'BACB9765FB721840FCE8233582967CF7', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ADB-4en-PINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(戊-4-烯-1基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('6F67A86558F351287EB0860348E4D7FB', 'DoC-2023-7-1', '459F147F03A9DD158FC52E3F749FE269', 'B6AFE96EE194C491D79414078F369025', '2023-09-15 09:39:12.000000', '2023-09-15 09:39:12.000000', '1', '1', 0, '27C1F3BBB642F1B17C3779DB72171147', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'DoC-2023-7-1', NULL, NULL, '1-(4-氯-2,5-二甲氧基苯基)丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('7322A12B84F0086C205EBF058C85EC06', '4-氟丁酰芬太尼-2023-7-1', '29D61882D9F0EF01AE0E660028FA75BC', '8EC96B5AAF071D2404FF00A05DE12453', '2023-09-15 09:39:26.000000', '2023-09-15 09:39:26.000000', '1', '1', 0, '2852684B55E4E681B43A67FB6F530446', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4-氟丁酰芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('7328516AE85A7E8A1AB95B0AEAFCDB0F', 'D4-4F-MDMB-BUTINACA-2023-7-1', '4011C009C6AFF675AFDC29E92A74F257', 'F242800157A8AA4E4EBEDEB374CE5C39', '2023-09-15 09:40:07.000000', '2023-09-15 09:40:07.000000', '1', '1', 0, '717233299E2EAA1D19A6B38616E74DD9', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-4F-MDMB-BUTINACA-2023-7-1', NULL, NULL, '2-(1-(4-氟丁基)-1H-吲唑-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('740241746EDF7F65FC725B4DB139652F', '4CN-CUMYL-BUTINACA-2023-7-1', 'B68686AB51647AC8E4EEC5065B519B5C', 'A4BA4246E5E2F9A30159160609ED4ACA', '2023-09-15 09:39:32.000000', '2023-09-15 09:39:32.000000', '1', '1', 0, '02CC86BA80514EA2B6958D61BDF8AC7F', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4CN-CUMYL-BUTINACA-2023-7-1', NULL, NULL, '1-(4-氰基丁基)-N-(2-苯基丙-2-基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('76F4659ABCBA1DCFBF40F85D1A4888D2', '乙卡西酮(盐酸盐)-2023-7-1', '16F198F85AFBC4CB0627D77616A1BE4F', '5F486A78A9B1763F9F5CFE1EE52C2C77', '2023-09-15 09:39:28.000000', '2023-09-15 09:39:28.000000', '1', '1', 0, 'BA811731379B393602EE028EE202A3FF', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '乙卡西酮(盐酸盐)-2023-7-1', NULL, NULL, '2-(乙基氨基)-1-苯基丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('7715639181934276C9C472C30DA80EE6', '5F-ADB-2023-7-1', '177CBEE4102EA2F66427BEC00FDD1C6C', '084E585D075AD115EC8E2175189DD515', '2023-09-15 09:39:25.000000', '2023-09-15 09:39:25.000000', '1', '1', 0, '6A40318DBFE517C24CE9686EB4E88980', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-ADB-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲唑-3-甲酰胺)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('77DD8920DB7AA1F6858D369B61202CD3', '莫达非尼-2023-7-1', '49D243C5948854D3D72E5A4FEF2D065B', '41C475770A88EFCEBB743F680A6CB033', '2023-09-15 09:39:36.000000', '2023-09-15 09:39:36.000000', '1', '1', 0, '9E5DD5F2E9FFCA91790AF6EAE105DB3E', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '莫达非尼-2023-7-1', NULL, NULL, '2-(苯甲基亚磺酰基)乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('782FD0F153068DAFB57BDC714B081996', 'N-环丁基-对溴-卡西酮盐酸盐-2023-7-1', 'FBE0954C2221B9D88DFDE8E303BD8637', 'E0AF90FEDD87B9B90E1E7652BB45D0EA', '2023-09-15 09:39:41.000000', '2023-09-15 09:39:41.000000', '1', '1', 0, '829CE3D2D0FF3BE4B74D1519D6FC0BBA', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-环丁基-对溴-卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-溴苯基)-2-(吡咯烷-1-基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('7946F9BD8CF438F90E9443097AAF1B16', 'JWH-015-2023-7-1', 'ADD7965BEEF93F364987254ECC3E57C9', '7291094D451CB467338C5319C10A7F92', '2023-09-15 09:39:21.000000', '2023-09-15 09:39:21.000000', '1', '1', 0, 'E2FF84A55D7E276BE1856AA76833EC04', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'JWH-015-2023-7-1', NULL, NULL, '(2-甲基-1-丙基-1H-吲哚-3-基)(萘-1-基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('7DA02BC5839498789AEA86E736E2B29A', 'AB-CHMINACA-2023-7-1', 'C97DD4FA24821E0EEF75E44A38F0BD1D', 'FFFDC32BF686CCBA6C82B4825022EA8A', '2023-09-15 09:39:17.000000', '2023-09-15 09:39:17.000000', '1', '1', 0, '2D178415E08157AE51AA1A62FED0C6D1', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AB-CHMINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('7E92FFCF498456D4F43338321FC471DB', 'MDEA-2023-7-1', 'B3ECFEB5FFE8A925BDB6F366055E6268', '661155F946CB87782ACF1625C3F4DB50', '2023-09-15 09:39:39.000000', '2023-09-15 09:39:39.000000', '1', '1', 0, '7421EEBE22BB5F28208A1255B4AB717C', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'MDEA-2023-7-1', NULL, NULL, '1-(苯并[d][1,3]二羟基-5-基)-N-乙基丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('7F533358A70656067C52B9CA26ABF271', 'N-甲基-甲卡西酮盐酸盐-2023-7-1', '5A9FA9FBDC81576DD77AE0EE7AECF500', '5634F4B93C32BF5317582812E0C95EA1', '2023-09-15 09:39:40.000000', '2023-09-15 09:39:40.000000', '1', '1', 0, '5EFE961875158A7857DB434D3F3C0C94', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-甲基-甲卡西酮盐酸盐-2023-7-1', NULL, NULL, '2-(二甲基氨基)-1-苯基丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('80667BFD4CC39C32BFBC87F82FCDAF02', '对甲苯基环戊甲酰基芬太尼-2023-7-1', '3CC6FB80D9CF4BED7C433842DDE76695', '835D8533686FF85DD32C9E0EAE398D6E', '2023-09-15 09:39:50.000000', '2023-09-15 09:39:50.000000', '1', '1', 0, '66975F91039EA07C42EC96DF180B74D0', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基环戊甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基) 环戊酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('8175EBCA22F26F2711B167A72D083DAF', 'N,N-二乙基戊卡西酮盐酸盐-2023-7-1', 'F5F9896B44CA782698CF6E4A98ABFE5C', 'CBDA61416547D4B5282BA8E3F15296F7', '2023-09-15 09:39:57.000000', '2023-09-15 09:39:57.000000', '1', '1', 0, '4DB50AB28A5454A433B6478A81730683', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N,N-二乙基戊卡西酮盐酸盐-2023-7-1', NULL, NULL, '2-(二乙基氨基)-1-苯基戊烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('85C62205CEC5BF063639B0A865AF681F', 'MDPV(盐酸盐)-2023-7-1', '05419F1805C570FA313C59C69511185B', '93C974EF45BC46C223F57CE56AFFAB04', '2023-09-15 09:39:28.000000', '2023-09-15 09:39:28.000000', '1', '1', 0, '6C874208E4BFAA889D86001F2280FD01', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'MDPV(盐酸盐)-2023-7-1', NULL, NULL, '1-(苯并[d][1,3]二羟基-5-基)-2-(吡咯烷-1-基)戊-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('8727BB9A861C7178E090FED2D05CE9E7', '2-(二甲氨)-1-苯基-1-戊酮-2023-7-1', 'D8035F1C195F9C77A7ECE58B9A38DD39', '99EB3E228FC68148E2CB7438C6792161', '2023-09-15 09:39:45.000000', '2023-09-15 09:39:45.000000', '1', '1', 0, 'C478943C109EC35978416081ADBCD240', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', '2-(二甲氨)-1-苯基-1-戊酮-2023-7-1', NULL, NULL, '2-(二甲基氨基)-1-苯基戊烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('881C5E06BB9080D7827B7640BEAA33DA', 'Ds-苯巴比妥-2023-7-1', '29AC5085B79BAA972C85FBFDF45E15B0', 'E3FEC5AB0506A52FCCE5AA04DE1C25E0', '2023-09-15 09:40:10.000000', '2023-09-15 09:40:10.000000', '1', '1', 0, '2D3273B2914373497D5B8E443ECA8A79', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'Ds-苯巴比妥-2023-7-1', NULL, NULL, '5-乙基-5-(苯基-d5)嘧啶-2,4,6 (1H，3H，5H)-三酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('8B79F3F3653018AEFCD78C74563C24FF', 'D4-4F-MDMB-BICA-2023-7-1', 'ED581393950CBFC219E92AFBA6F82E6C', '73C37413E0C5E865ACAB1EDD29AA679E', '2023-09-15 09:40:07.000000', '2023-09-15 09:40:07.000000', '1', '1', 0, '64652C8F7C2BA2FDA0E4576A51C0A1A8', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-4F-MDMB-BICA-2023-7-1', NULL, NULL, '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酯甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('9065DBD41CCBCC3089CE4E037A175EAD', 'ADB-PINACA-2023-7-1', 'AE03D87996E2C5E783D41A5F06D73D2C', 'F7E020628DFDF56196A17B8F395B1916', '2023-09-15 09:39:18.000000', '2023-09-15 09:39:18.000000', '1', '1', 0, '13159AB97A8D48A53AD8D33774619428', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ADB-PINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('90B65307097BC0044CC02990F5AE5AA7', '5F-EDMB-PICA-2023-7-1', 'D45217182F255920E1DBEC42B54D0847', '56B5F518810686FA18CB8A3CABE6DF23', '2023-09-15 09:39:35.000000', '2023-09-15 09:39:35.000000', '1', '1', 0, 'E3D67E72DAE875C6A3DC8EC2F2DA1874', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-EDMB-PICA-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸乙酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('9180A058E11E5CD5F0BD5324C1D5EBFB', '5F-ABICA-2023-7-1', '67A78793CFA8B7865C6A204132E93D02', '08007D03488DBDFCCFEC117BEA9BE53D', '2023-09-15 09:39:13.000000', '2023-09-15 09:39:13.000000', '1', '1', 0, '7E45807031C55B127932CA8DBA64F111', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-ABICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('92DE5B11BF1621C5C7E645DC5A736EB5', '4-CNB;N,N-DMC-2023-7-1', 'CA25C7883611B56B3BBF6A2471CFB9D2', 'FF34E10B946583C5894CB1BA57806DFC', '2023-09-15 09:39:42.000000', '2023-09-15 09:39:42.000000', '1', '1', 0, 'BB459FB3BD7646F6156F0037F6E59130', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4-CNB;N,N-DMC-2023-7-1', NULL, NULL, '2-(二甲基氨基)-1-(对甲苯基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('93F721C170F400E51C60ECF6BF9A432D', '5F-MDMB-PICA-2023-7-1', '65629F03353D3443F0F0B68A4D4E7019', '61D259AAB8E08216FC452301A4B305AA', '2023-09-15 09:39:31.000000', '2023-09-15 09:39:31.000000', '1', '1', 0, '3B1C3F1D9785837B6EB587CBCA503B86', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-MDMB-PICA-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('941DA60CA3FE192FFD8409CAA063199B', 'N-乙基-间氯-乙卡西酮盐酸盐-2023-7-1', 'E0BAE40A82781A72400DF9CCFED102F5', 'EA5EF74CECBD65CD0A64679D2D9320F9', '2023-09-15 09:39:43.000000', '2023-09-15 09:39:43.000000', '1', '1', 0, '7187C797EB7F653B1507B2FEF93C2BF4', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-乙基-间氯-乙卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(3-氯苯基)-2-(二乙基氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('943BE58F2869134ECAEFAC96A4EE45C1', 'ACHMINACA-2023-7-1', 'F341ED31873B1D3D33525F774CDDC59E', '8DC2357F8D067A382D3D98CAF09E307D', '2023-09-15 09:39:37.000000', '2023-09-15 09:39:37.000000', '1', '1', 0, 'FE7C68B3BEDAC9CB206FBE2D7D401617', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ACHMINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('996A65B37F13D05900B6CB42C78C5B3E', '苯基环戊丙酰基芬太尼-2023-7-1', '708FB5BC5D99B71E9E70FBDD0C5AFE17', '34F179FFE3DD302779315D8A665CEE35', '2023-09-15 09:39:56.000000', '2023-09-15 09:39:56.000000', '1', '1', 0, 'ABF92AEA22C0005B320B18968CF5CA68', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '苯基环戊丙酰基芬太尼-2023-7-1', NULL, NULL, '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-苯基丙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('9C13A635526DD88C80025AA2E6660A9B', 'D4-PMA盐酸盐-2023-7-1', 'E23DC2658F513EA31CB7F4A916477F47', 'FF4DDD9EA476FBB80CEA603CAEB416EA', '2023-09-15 09:40:02.000000', '2023-09-15 09:40:02.000000', '1', '1', 0, 'BAE7F1585D7659C80C3385CC244536BA', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-PMA盐酸盐-2023-7-1', NULL, NULL, '1-(4-甲氧基苯基-2,3,5,6-d4)丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('9C54A0E04EB08663E4B703CAFE34B258', '4-氯苯基-N-吡咯烷基卡西酮盐酸盐-2023-7-1', 'A9FD8F8364E4138421A73DE9A99425D9', 'A7E67225B3829F7097B1EB5C6595790E', '2023-09-15 09:39:58.000000', '2023-09-15 09:39:58.000000', '1', '1', 0, '41B39440340E8DB30C55D4747C4FB3CB', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4-氯苯基-N-吡咯烷基卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-氯苯基)-2-(吡咯烷-1-基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('9D5E8F68C429A8471AE9C485359BF368', '对甲苯基正丁酰基芬太尼-2023-7-1', 'D47AF2049A09F939E51B7FE394B34141', '3F880FDF184FE047FCF78B8BDA7071EE', '2023-09-15 09:39:48.000000', '2023-09-15 09:39:48.000000', '1', '1', 0, '10CFC2F0DB172772DD3F817F68150A00', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基正丁酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A2BD032390FF899E94ED1EAF4F48977C', '5F-EMB-PICA-2023-7-1', '63D86916A5A8A6C5C135BC626E1A2D88', '2C6578A303B64E29AD7FBE91A152827D', '2023-09-15 09:39:37.000000', '2023-09-15 09:39:37.000000', '1', '1', 0, '7EAA5A72F7D4E16A0AB71630214A431E', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-EMB-PICA-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸乙酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A300D9EBA42A494D14AC06128CB5D5C1', '5F-SDB-005-2023-7-1', 'B3374AC86EBBABFFC8E91AB3650CBF51', 'BBECF959E952569BADF7F08DF642E932', '2023-09-15 09:39:34.000000', '2023-09-15 09:39:34.000000', '1', '1', 0, '31DEAAE69A7791E36BA178DA32C699E5', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-SDB-005-2023-7-1', NULL, NULL, '萘-1-基-1-(5-氟戊基)-1H-吲唑-3-羧酸盐', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A64E2DA0D6808742CAE407753D805C86', '去甲氯胺酮盐酸盐-2023-7-1', '60A310F90C859492E970DF57B42EA31B', '06DC287C6ABA39B5BE7BBA5815EDCD1D', '2023-09-15 09:39:45.000000', '2023-09-15 09:39:45.000000', '1', '1', 0, '002C2A26624B5E946F2256A8FE1258E9', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '去甲氯胺酮盐酸盐-2023-7-1', NULL, NULL, '2-氨基-2-(2-氯苯基) 环已烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A7B5CD01BB735D586B95A9F6F4582F04', '对甲苯基环丙甲酰基芬太尼-2023-7-1', '91D5F07BA63587A0277C59C27F77D84A', 'AD143CA0B0615E6278513E1BD1C974BF', '2023-09-15 09:39:48.000000', '2023-09-15 09:39:48.000000', '1', '1', 0, '00719F06B5C56052AAF274BA0CB0E7F3', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基环丙甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)环丙烷甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A7B8E9D781FB3257122C29296ABFD134', '对氟苯基3-甲基丁酰基芬太尼-2023-7-1', '8AE64ABF6D11EF1B6580F3C7B2E2DBDA', 'FFC312DDFA693C38F1424C0361F3A950', '2023-09-15 09:39:53.000000', '2023-09-15 09:39:53.000000', '1', '1', 0, '466AB710895E4C7053BB694E0912BDA0', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基3-甲基丁酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-3甲基-N-(1-苯乙基哌啶-4-基)丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('A9567F56ECC1661F273725179191C8D8', '对氟苯基乙酰基芬太尼-2023-7-1', 'CDF19954AB0907B40FA48723F946273F', '55ABA7A7028A3645F5D26EC104C9A0CA', '2023-09-15 09:39:54.000000', '2023-09-15 09:39:54.000000', '1', '1', 0, 'FACBF538D245E1142CBC5C9AC9A305B5', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基乙酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('AB719FF56E2F09679A4F5DAF1DD62FF3', '对甲苯基三氯乙酰基芬太尼-2023-7-1', '374F438E242804BE9E1C2C400FAA0489', '96D9AEE533A76910D3C547E1BE22A89C', '2023-09-15 09:39:50.000000', '2023-09-15 09:39:50.000000', '1', '1', 0, '7D9AC199C638476F751B86A6B4FE15AB', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基三氯乙酰基芬太尼-2023-7-1', NULL, NULL, '2,2,2-三氯-N-(1-苯乙基哌啶-4-基) -N-(对甲苯基) 乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('ACBD8A140347B85DF9C5CA25FF04D629', 'ADB-BUTINACA代谢物-2023-7-1', '0B336F468A09D147447059B737329F90', 'C81039FD75016776EE706F28638269CE', '2023-09-15 09:40:06.000000', '2023-09-15 09:40:06.000000', '1', '1', 0, '622E61AE883FAA974BBAD6D47B0E190C', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ADB-BUTINACA代谢物-2023-7-1', NULL, NULL, '2-(1-丁基-1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸', 1, 'mL');
INSERT INTO `reference_material` VALUES ('AD33FE746E61F94292C023929F5B40A6', 'N-乙胺-2023-7-1', 'EB44071CD7123F8B51A061618769B9BC', '836E234BD1F31D20B6C408100B73A45A', '2023-09-15 09:40:00.000000', '2023-09-15 09:40:00.000000', '1', '1', 0, 'D0552749B7C4B57F8FB037DD0525F9A7', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-乙胺-2023-7-1', NULL, NULL, '2-(4-氯-2,5-二甲氧基苯基)-N-(2-甲氧基苄基)乙烷-1-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('AE47F179C9D936237CA9D042DD779EFD', 'FUB-APINACA-2023-7-1', '6CEF7F10C4E8589E6D3309EBE61204E9', '56732B400B03E8FE05090E379518B02B', '2023-09-15 09:39:25.000000', '2023-09-15 09:39:25.000000', '1', '1', 0, '3DF6E8326958674A68133B51F753DA51', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'FUB-APINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B1672674CDEB6A2116D25CF5AE215A26', 'D5-芬太尼-2023-7-1', '3A0E936DA686EA01FAE9EC31CB45A943', '04AA970A7FBCBE977CA8BC534995F8F3', '2023-09-15 09:40:09.000000', '2023-09-15 09:40:09.000000', '1', '1', 0, '96EFE5B7B98A60EA45F56E246706A2E3', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D5-芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(苯基-d5)丙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B1AC37E0C7F07B42E0B60EB8B87C875D', '去氯乙基氯胺酮盐酸盐-2023-7-1', '2577F7225E4C0262B531E591EFCDE892', '8BF7F027B1D913F1416588A113EC40E7', '2023-09-15 09:40:09.000000', '2023-09-15 09:40:09.000000', '1', '1', 0, '0AF2644F30102A9C81289F298B184F91', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '去氯乙基氯胺酮盐酸盐-2023-7-1', NULL, NULL, '2-(乙基氨基) -2-苯基环已烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B3F1D963DE96AF9D29FE6BA4785D5CA0', 'N,N-Dimethylpentylone (hydrochloride)-2023-7-1', 'E819B0A1912C9BB8FCCAE900C5D1E20D', 'F5654C27D2698E72131B9BEA7B65DA89', '2023-09-15 09:40:10.000000', '2023-09-15 09:40:10.000000', '1', '1', 0, '896F2D6A4EF8FEE96819498DD9204ACC', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N,N-Dimethylpentylone (hydrochloride)-2023-7-1', NULL, NULL, '1-(苯并[d][1,3]二羟基-5-基)-2-(二甲基氨基)戊-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B425A08F4BA8BD378D06B666B3C10CE8', '2-FA-2023-7-1', '21ADF18AD4823F7603DADC9E158A5D1C', 'D3D26E1277651E55EC943A25751DF51F', '2023-09-15 09:39:11.000000', '2023-09-15 09:39:11.000000', '1', '1', 0, '0C8DD67058E3704F7C33BE8D3E408BEA', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '2-FA-2023-7-1', NULL, NULL, '1-(2-氟苯基)丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B432904BADF1BFAEF21CC2FDC2B97B86', '5F-ADBICA-2023-7-1', '40BF0917D6C9A8E6D2A0433F02BC404C', '4B663485B44BF33AE4A392CF8E1176B2', '2023-09-15 09:39:14.000000', '2023-09-15 09:39:14.000000', '1', '1', 0, '7EA6ECDE2889FA713431A7D164DB0E45', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-ADBICA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(5-氟戊基-1H-吲哚-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B474C7E2D1F166B46D38F36421BCED24', 'PPP盐酸盐-2023-7-1', '486181CE91BD40119DC4938332A5A999', '9C390664817BC5B0D3F5B44D7D444DB5', '2023-09-15 09:39:44.000000', '2023-09-15 09:39:44.000000', '1', '1', 0, '87DF01C3837F71B629D85EA2D0E0289B', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'PPP盐酸盐-2023-7-1', NULL, NULL, '1-苯基-2-(吡咯烷-1-基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B4964A9A5751E2958A8C0E4E8BBEC1BF', 'LSD-2023-7-1', 'C2D89A53CFD8D3500559D72B5F6A0E82', '30B6BE387F7B88CF31455CA06E7758AE', '2023-09-15 09:39:45.000000', '2023-09-15 09:39:45.000000', '1', '1', 0, 'C59E439165B63592EAFBC1C2F5248250', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'LSD-2023-7-1', NULL, NULL, 'N、N-二乙基-7-甲基-4,6,6a，7,8,9-六氢吲哚[4,3-fg]喹啉-9-羧酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B58F6F3ED1E98F7F2641BD9676C23A27', 'N-乙基-对溴-乙卡西酮盐酸盐-2023-7-1', 'C4CCA1ED377301B50A7A19F24392D787', 'B10568410C1B37F7DF2D587F9A60AAC7', '2023-09-15 09:39:41.000000', '2023-09-15 09:39:41.000000', '1', '1', 0, '15A6E21400FA1B0FE7B51498730ADEEC', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-乙基-对溴-乙卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-溴苯基)-2-(二乙基氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B5D5D41AF7B310CB1A21ACF08F6B120F', 'PX-2-2023-7-1', 'A4300A206ECC54DCFE6DA593080FFD4D', '4B651CB08DDD709DCB3AB165D4B11F3A', '2023-09-15 09:39:23.000000', '2023-09-15 09:39:23.000000', '1', '1', 0, '8666B7CD2AD4BDB19EFC72703B9F438C', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'PX-2-2023-7-1', NULL, NULL, 'N-(1-氨基-1-氧代-3-苯基内-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B5FE4BB163D96BE40CF48DE551908E64', 'D4-5F-CUMYL-PINACA-2023-7-1', '1344306FD43F352F84C0A6F83239A0CB', 'B7C37B7EC88DE899CE5785087E6AFDE9', '2023-09-15 09:40:08.000000', '2023-09-15 09:40:08.000000', '1', '1', 0, '6878EA7E76871CDBC91334345019B350', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-5F-CUMYL-PINACA-2023-7-1', NULL, NULL, '1-(5-氟戊基)-N-(2-苯基丙-2-基) -1H-吲唑-4,5,6,7-d4-3-羧酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B79CBC548E367880E77E47942731489F', '5F-APINACA-2023-7-1', '2B87AA1E1E019E92B23C0A07346122C1', 'D6D4C2B5895DF6897D01B60127263512', '2023-09-15 09:39:15.000000', '2023-09-15 09:39:15.000000', '1', '1', 0, 'A2BD1F69A968F313DCF8B747491519FA', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-APINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B900C936B153774A69043C1DB83D815F', 'AMB-FUBICA-2023-7-1', 'E340C3C43D6C67C53F0E010E9E085234', '23909C7B13D452B2C12378C067AAF321', '2023-09-15 09:39:34.000000', '2023-09-15 09:39:34.000000', '1', '1', 0, '0335B068564BD5F6B9087C5EBC883B07', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AMB-FUBICA-2023-7-1', NULL, NULL, '(1-(4-氟苄基)-1H-吲哚-3-羰基)缬氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B9155ADCFEA6ED15267B8958237986A2', '3,4-亚甲二氧基甲卡西酮(盐酸盐)-2023-7-1', '55B50A150CDBB2DC26F92C1EBB7F372F', 'F6F83471731E75483F98ADEC7170A1FA', '2023-09-15 09:39:29.000000', '2023-09-15 09:39:29.000000', '1', '1', 0, '58922650C747E64B9AD25D269BDA7B01', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '3,4-亚甲二氧基甲卡西酮(盐酸盐)-2023-7-1', NULL, NULL, '1-(苯并[d][1,3]二羟基-5-基)-2-(甲氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('B941A18A1D7AE66450777BBE8BFA6E05', 'N-环丁基-对甲-卡西酮盐酸盐-2023-7-1', '9AAA9CFE3182BF205A17EB978F45F97F', 'A947678ADF09A0EE9CE9357C843EEBAB', '2023-09-15 09:39:43.000000', '2023-09-15 09:39:43.000000', '1', '1', 0, '66F156F17F66A3E666A343B11D1555BD', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-环丁基-对甲-卡西酮盐酸盐-2023-7-1', NULL, NULL, '2-(吡咯烷-1-基)-1-(对甲苯基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('BAB19C86DB795D59939912BA4889DB75', '5F-AB-PINACA-2023-7-1', '61D013604482A6865D7F6F9328855345', 'BF9305473FA69EA7CE8D04852FDAAE11', '2023-09-15 09:39:14.000000', '2023-09-15 09:39:14.000000', '1', '1', 0, 'E1561950F6A640DEBE21BCBEA16F39CB', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-AB-PINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(5-氟戊基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('BC724AA294BDF034A9E51E60D807CABF', 'N-甲基-间氯-甲卡西酮盐酸盐-2023-7-1', '07382D8A7896BCDF574D81A5F65A8B5C', '04B9B6F5209062EB1EB12E3124C97FD4', '2023-09-15 09:39:43.000000', '2023-09-15 09:39:43.000000', '1', '1', 0, '56EBF29FC8D1826C7742A74348E58AFD', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'N-甲基-间氯-甲卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(3-氯苯基)-2-(二甲基氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('BCCEA539D3ADAC652882E871C3E97E06', '对甲苯基正戊酰基芬太尼-2023-7-1', '9AC537A982A6CC05A5A24ACE396341B4', 'FA926D37839AFA28490BD253151F897A', '2023-09-15 09:39:50.000000', '2023-09-15 09:39:50.000000', '1', '1', 0, '3959FE9208466E50119894C241CBC821', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基正戊酰基芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C046CE1B638BB72ACED059454DDC033D', '5F-MPP-PICA-2023-7-1', '6F9E836CD424F7D3B37BDD7EF97C03A7', '16F70E2A16741006F6501BA11244E02A', '2023-09-15 09:39:33.000000', '2023-09-15 09:39:33.000000', '1', '1', 0, '31A536A8AA4427C3DDDD90A1A7E6506D', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-MPP-PICA-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲哚-3-羰基)苯丙氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C137DBC0E157B504F91A8134789E497B', '赛洛新-2023-7-1', '379492203C4874F7B9DFB6C94FFC5EB7', '712AE57CF9AE32B81C7A2105E13EBE11', '2023-09-15 09:39:30.000000', '2023-09-15 09:39:30.000000', '1', '1', 0, 'E2A881D45CB4D9AD7537F0F2F3124D63', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '赛洛新-2023-7-1', NULL, NULL, '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-醇', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C3A257D0BCA34C9A098DB413314B3CFF', '5F-APICA(STS-135)-2023-7-1', '5E7829F8E70F861F8CA92A955A3B9B4E', 'A0687A5C1221658F404C76F597A2E4A4', '2023-09-15 09:39:24.000000', '2023-09-15 09:39:24.000000', '1', '1', 0, '1C5537AC469A6C372F2C9C65DD65980C', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-APICA(STS-135)-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(5-氟戊基)-1H-吲哚-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C43048C317209B11589E1CE2074DF7F5', 'AMB-FUBINACA-2023-7-1', 'E8A3C2D712537B7C97170495247CB665', 'E9380D8ACAB1E7402A7BB50A92F4E012', '2023-09-15 09:39:24.000000', '2023-09-15 09:39:24.000000', '1', '1', 0, '5B1FD8F1896B069F2C7211FB81901E46', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AMB-FUBINACA-2023-7-1', NULL, NULL, '(1-(4-氟苄基)-1H-吲唑-3-羰基)缬氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C5906E3C76FD01574507821E50A4E367', '对氟苯基氯乙酰基芬太尼-2023-7-1', 'ABC430D888D8A07AB49CBC4312048D1C', '5278522114FEB696ABCFC5C8E6B169FF', '2023-09-15 09:39:53.000000', '2023-09-15 09:39:53.000000', '1', '1', 0, 'BF32FD1A944C7C7B3FBEEBAEFAF8E0E3', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基氯乙酰基芬太尼-2023-7-1', NULL, NULL, '2-氯-N-(4-氟苯基) -N-(1-苯乙基哌啶-4-基) 乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C61284308E4D59D804124685A7C6F11E', 'AB-FUBINACA-2023-7-1', '8CCAD9D9A64BCB94732B1C21CF7B3A9B', '9C74F6E0436CF8C3449F2816A4978DC8', '2023-09-15 09:39:17.000000', '2023-09-15 09:39:17.000000', '1', '1', 0, '1C79B1125D16040A3FF956A00DA522B3', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AB-FUBINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基)-1-(4-氟苄基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('C927DB2AD3649447ADDE01760F4D460F', '5F-AMB-PICA-2023-7-1', 'EEA2D3EB75978EA4D12D127EDE3816FA', '64B4F3DC734C72CF21B81D4E51E5EB41', '2023-09-15 09:39:32.000000', '2023-09-15 09:39:32.000000', '1', '1', 0, 'D3979F7E5CEC79CC1A194D43B5D26AEE', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-AMB-PICA-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲哚-3-羰基)缬氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('CD0566348DC7693248387614AEF2C842', '5F-UR-144-2023-7-1', 'FA8612A1C548990977411A37B83DF1C9', '388556D5C7C386F4EA3E8E1100C0D26C', '2023-09-15 09:39:16.000000', '2023-09-15 09:39:16.000000', '1', '1', 0, '997E6257B2170951EE0FE12BD8001872', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-UR-144-2023-7-1', NULL, NULL, '(1-(5-氟戊基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('CD5E1FD8D96E0EC5270DB91875CEB2EF', '5F-PB-22-2023-7-1', '4DC5B30256DCF61811F45246878C8D22', '3A9AA1D41FCD2E580A8C769ACD93CCBC', '2023-09-15 09:39:15.000000', '2023-09-15 09:39:15.000000', '1', '1', 0, 'F3276E4DA228DC1FDA8286218466F1E4', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5F-PB-22-2023-7-1', NULL, NULL, '喹啉-8-基1-(5-氟戊基)-1H-吲哚-3-羧酸盐', 1, 'mL');
INSERT INTO `reference_material` VALUES ('CD95AA78D956CE0004C39357960E70A7', '赛洛西宾-2023-7-1', '359C0E71AC228762F5B3A35023B78082', 'E1B2F7FA0BC8FF5565A8BFBA3BEAA42A', '2023-09-15 09:39:31.000000', '2023-09-15 09:39:31.000000', '1', '1', 0, 'A5C8B6058460D5AA14196DD19627DF34', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '赛洛西宾-2023-7-1', NULL, NULL, '3-(2-(二甲基氨基)乙基)-1H-吲哚-4-基磷酸二氢盐', 1, 'mL');
INSERT INTO `reference_material` VALUES ('CEDCDE4241C66CF4EE6C0F059C6F7529', '二苄基哌嗪-2023-7-1', '125C0F1217C94B93C17F03E0E92F2C48', '43895DACE3D10E26CAD3EF8C9ACE2C6A', '2023-09-15 09:39:56.000000', '2023-09-15 09:39:56.000000', '1', '1', 0, '287B1D189F61A70D83B40932EAA336F2', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '二苄基哌嗪-2023-7-1', NULL, NULL, '1,4-二苄基哌嗪', 1, 'mL');
INSERT INTO `reference_material` VALUES ('D1451B854EA3F17134322A90A65B8C53', '对氟苯基环丁甲酰基芬太尼-2023-7-1', 'A234E5D39AD36DC08B512F0CDDD6ABD1', 'DABBAB1CA32E1E46D99534FBCA3AACDF', '2023-09-15 09:39:54.000000', '2023-09-15 09:39:54.000000', '1', '1', 0, 'F58DB7353033226473D5A782AC2AE935', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基环丁甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('D27C2776AA58507EDC7654D2A9A803CC', 'D4-曲马多盐酸盐-2023-7-1', 'A7CE040844033871FA7EDF15ED9FB762', '56F2D1D671957909CDFE946D98078C7B', '2023-09-15 09:40:02.000000', '2023-09-15 09:40:02.000000', '1', '1', 0, 'E1580AA80979CC686096B598DA7BCBEF', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-曲马多盐酸盐-2023-7-1', NULL, NULL, '2-((二甲基氨基)甲基)-1-(3-甲氧基苯基-2,4,5,6-d4)环己烷-1-醇', 1, 'mL');
INSERT INTO `reference_material` VALUES ('D3E5FCDD5A987FBC4AECE1512C1C4B3A', '4-FA-2023-7-1', 'BB1903A6A180390D46C495BA57EBC9B2', '1B7C0FA28F4A475EA8F59687841EC7AE', '2023-09-15 09:39:12.000000', '2023-09-15 09:39:12.000000', '1', '1', 0, 'A821FC460F75679C4FB8D046D7E1D913', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4-FA-2023-7-1', NULL, NULL, '1-(4-氟苯基)丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('D595C221D706788C0C33E3B239C5ED93', 'AM-1220-2023-7-1', '44599655CF68C169195C0CEB553B0C91', 'A5BC2F0F694D192E3812AE5351447DD2', '2023-09-15 09:39:30.000000', '2023-09-15 09:39:30.000000', '1', '1', 0, '086278BD6D62FBF1142EE2F86EF222B3', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AM-1220-2023-7-1', NULL, NULL, '(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)(萘-1-基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('D6E6867F5A32B05BC5425C4A8C14101F', 'JWH-210-2023-7-1', '0FEE0F26074B2BEBAAA4D8ABA7148316', 'B4A9F0DD595D32A0BED40299249CDE22', '2023-09-15 09:39:22.000000', '2023-09-15 09:39:22.000000', '1', '1', 0, 'DE8D4992764BC20868BF57D2F4DA6A2C', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'JWH-210-2023-7-1', NULL, NULL, '(4-乙基萘-1-基)(1-戊基-1H-吲哚-3-基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('DAE6B466351B3741FFD90482B248471F', '2-(3-甲氧基苯基)-2-乙复基环己酮-2023-7-1', 'F83C7F6C4BE9AD05CBE721B5ED035296', '270113374A8DA1FACD13AB835A451AB7', '2023-09-15 09:39:30.000000', '2023-09-15 09:39:30.000000', '1', '1', 0, '4BB53AA2641522F9DDAAA571AB60E70E', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '2-(3-甲氧基苯基)-2-乙复基环己酮-2023-7-1', NULL, NULL, '2-(乙基氨基)-2-(3-甲氧基苯基)环已烷-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('DCBADDA3DCEB32177A26880C37888F4C', 'ADB-CHMINACA-2023-7-1', '1C48E826FC5387E767233A2A8D21FFFC', 'D704F2E4039ADA294B9C6430F0EEA90F', '2023-09-15 09:39:25.000000', '2023-09-15 09:39:25.000000', '1', '1', 0, 'C09539E6081287E43AB9EF1CAE5104DE', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'ADB-CHMINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3,3-二甲基-1-氧代丁-2-基)-1-(环己基甲基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('DE38E38F4521766F4EE0F3C324E75863', 'AB-PINACA-2023-7-1', '8F3A7EA446CEE4C0AAC2924E3C6E5418', '889E86898F2396501560D8F26A977CC9', '2023-09-15 09:39:18.000000', '2023-09-15 09:39:18.000000', '1', '1', 0, '7E6E953165C4764B5885248CC73D4938', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AB-PINACA-2023-7-1', NULL, NULL, 'N-(1-氨基-3-甲基-1-氧代丁-2-基) -1-戊基-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('E025361B4047C34907E42C6A3E89989B', '对氟苯基环丙甲酰基芬太尼-2023-7-1', 'B18775FE9C7C231273912F6DD8670281', 'AB6A2F16606B988CA66A9098669D3CD3', '2023-09-15 09:39:52.000000', '2023-09-15 09:39:52.000000', '1', '1', 0, '15B01E10FB2F5F1D1796FB659AA5721F', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氟苯基环丙甲酰基芬太尼-2023-7-1', NULL, NULL, 'N-(4-氟苯基)-N-(1-苯乙基哌啶-4-基)环丙烷甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('E0B35CC3D644E589D67A162BE3D6E87A', '咪达唑仑-2023-7-1', '7E239EDFD94B38E1A53537F2E95DA730', '00A70E347FEB9E2A5FACAC875BBC896A', '2023-09-15 09:40:10.000000', '2023-09-15 09:40:10.000000', '1', '1', 0, 'C485BF0F5CA21E68A33F185FCE10A423', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', '咪达唑仑-2023-7-1', NULL, NULL, '(7-氯-5-(2-氟苯基)-2,3-二氢-1H-苯并[e][1,4]二氮杂-2-基)甲胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('E136760315A3FAEF5769BEC4C3706C6C', '呋喃芬太尼-2023-7-1', '06A268803E9871B63D5CABCB6A8B8B80', '5A411CB7E279B65DF33319580AEFD172', '2023-09-15 09:39:27.000000', '2023-09-15 09:39:27.000000', '1', '1', 0, '9A4AF04BCA916081DD3A5513B6B54D4C', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '呋喃芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-苯基呋喃-2-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('E2271AF910AADB9D9CEEDF37C1B1A521', 'AMB-CHMICA-2023-7-1', 'E63098297233C576D284F0C961A7CA19', 'ED5CF0E27AEAB5E0F952F77CF2510A0B', '2023-09-15 09:39:26.000000', '2023-09-15 09:39:26.000000', '1', '1', 0, '86DE7215B9AD363D3C098F9CA1B6CF91', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AMB-CHMICA-2023-7-1', NULL, NULL, '(1-(环己基甲基)-1H-吲哚-3-羰基)缬氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('E45DEC92F0B828970002793CEB3DEFE7', 'AM-2233-2023-7-1', '5F8CECB2556D5EF1B3C2074260BB78F0', 'C60E9F8C743960FF9DCD5764FB430CC8', '2023-09-15 09:39:19.000000', '2023-09-15 09:39:19.000000', '1', '1', 0, '784011BDC6AB1ACD9B8855B3ED486B07', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AM-2233-2023-7-1', NULL, NULL, '(2-碘代苯基)(1-((1-甲基哌啶-2-基)甲基)-1H-吲哚-3-基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('E65AC8F3CE60A7F8E70A3CC8FEF1A17C', 'MDMB-FUBICA-2023-7-1', '1FCD9A78F8BAC7DD89183AAFD4E84C24', '93D389C48369B69B082C94CB557E4FF5', '2023-09-15 09:39:38.000000', '2023-09-15 09:39:38.000000', '1', '1', 0, 'B5F906072EA74C38B396F1EAA4326F70', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'MDMB-FUBICA-2023-7-1', NULL, NULL, '2-(1-(4-氟苄基) -1H-吲唑-3-甲酰胺) -3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('E685626AD1EB9F4718BAF722381A2441', 'AMB-4en-PICA-2023-7-1', '5546C9D92ECA2AE1EABF4FD10E1136B9', 'D71231D5E90B4BF2FF737E0DF2EF268A', '2023-09-15 09:39:33.000000', '2023-09-15 09:39:33.000000', '1', '1', 0, '8AAE54743DF66D23D081B9008EF485ED', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'AMB-4en-PICA-2023-7-1', NULL, NULL, '(1-(戊-4-烯-1-基) -1H-吲哚-3-羰基)缬氨酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('E95FE2DCD5663B5BD16D4A8554749EDA', 'A-796,260-2023-7-1', '5B7EE38B31E6A45BE0966CC842F766F9', 'E8DD05CA85D7757D67A72052BE34EAEE', '2023-09-15 09:39:16.000000', '2023-09-15 09:39:16.000000', '1', '1', 0, 'C8681884C824146E3AFAFE28E3DF1854', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'A-796,260-2023-7-1', NULL, NULL, '(1-(2-吗啉乙基)-1H-吲哚-3-基)(2,2,3,3-四甲基环丙基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('EA9B4C3EB7C7B53220CE326C0B82F88F', '异丁酰芬太尼-2023-7-1', 'CD0AE1F7EF5CF07686C821EE520DA4DD', '726F5842FBDD11754CBFCEDC9D1DB238', '2023-09-15 09:39:27.000000', '2023-09-15 09:39:27.000000', '1', '1', 0, '121511561BA7BB9D294E07D95E5B4325', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', '异丁酰芬太尼-2023-7-1', NULL, NULL, 'N-(1-苯乙基哌啶-4-基)-N-苯基异丁酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('EAE9535A3D9501D712A11DE76B38F091', 'APINACA-2023-7-1', 'C612A680014A9CB60A6B8AB9A9C02CAA', '9E6C01D674B050BA351723F373422222', '2023-09-15 09:39:20.000000', '2023-09-15 09:39:20.000000', '1', '1', 0, '5FD56F65433CFDB0F56F8F991F89E560', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'APINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-戊基-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('EBA7669EFF85784E4E60B50E606C6286', '安非拉酮盐酸盐-2023-7-1', '6EB9D241CA63DAAD4E005995BF945E48', 'AFF5C203F9F59DC6B1F30B6EFB4502F8', '2023-09-15 09:39:42.000000', '2023-09-15 09:39:42.000000', '1', '1', 0, '630913C5090502DE882F0CE5F110B7F5', '36a50d0f31b966d77313f0dec498cf7c', 'F7-702_试剂柜-A_A1-3', NULL, '991FCA70AE47FF6F846A2586305E69A9', '安非拉酮盐酸盐-2023-7-1', NULL, NULL, '2-(二乙基氨基)-1-苯基丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('EC9186CA7190855EB28BDBAE5C4EC83E', '对甲苯基氯乙酰基芬太尼-2023-7-1', '21ED56FB81B1EB66D52FD602CB03C66F', '32ACFCD0D425F556F200D92F2322CBA0', '2023-09-15 09:39:49.000000', '2023-09-15 09:39:49.000000', '1', '1', 0, 'AC79E613B87C2734B285D118D074E0C5', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基氯乙酰基芬太尼-2023-7-1', NULL, NULL, '2-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯)乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('ED3018FE5BD7924AA8A93DE8675BDEBA', '对甲苯基环戊丙酰基芬太尼-2023-7-1', 'C1EADA258AA079698C77BE4F692FAA9E', '28E90CDE42AD64A08C50F74628758D72', '2023-09-15 09:39:47.000000', '2023-09-15 09:39:47.000000', '1', '1', 0, '22007E07D6B239AF212452900B163857', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基环戊丙酰基芬太尼-2023-7-1', NULL, NULL, '3-环戊基-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)丙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('ED83E9CB67EFC847F8A48BB9ABF25CCE', 'FUB-JWH-018-2023-7-1', 'A7CB79CC328C9E81CCF1D89B5BD190E8', '3417354C564789C34F4C91118CB81E44', '2023-09-15 09:39:20.000000', '2023-09-15 09:39:20.000000', '1', '1', 0, '88719D2CF956F394D917B7DC140B3F0C', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'FUB-JWH-018-2023-7-1', NULL, NULL, '(1-(4-氟苄基)-1H-吲哚-3-基)(萘-1-基)甲酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('EE38DAD9E1AC38DCEF8A03A965DBEAE9', 'D4-PMMA盐酸盐-2023-7-1', '6C20CAF7B46837CE1CC011A35D49E945', '01F4A1E85272C69FB8CC2EB36305670F', '2023-09-15 09:40:02.000000', '2023-09-15 09:40:02.000000', '1', '1', 0, 'CB45EDA7AE7B44B42F77BA0003AFB78D', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-PMMA盐酸盐-2023-7-1', NULL, NULL, '1-(4-甲氧基苯基-2,3,5,6-d4)-N-甲基丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('F052735D18C3AE57EA665F933ABB274E', '对氯-N,N-二甲基卡西酮盐酸盐-2023-7-1', '4CAA0B1E9143971E00AB3835F76DF832', '959C3897A50369017D0FE5FA77341946', '2023-09-15 09:39:58.000000', '2023-09-15 09:39:58.000000', '1', '1', 0, '7E33FCA44D5E17A490AF889BBC4868FB', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对氯-N,N-二甲基卡西酮盐酸盐-2023-7-1', NULL, NULL, '1-(4-氯苯基)-2-(二甲基氨基)丙-1-酮', 1, 'mL');
INSERT INTO `reference_material` VALUES ('F28B0EE8D96E388F1F762B1680989B6C', '邻氟苯基氯乙酰基芬太尼-2023-7-1', 'CEF9539D205CC2E20D1D53261DD898EA', '236C13CD7212E50E0EBD86DAF5051E5B', '2023-09-15 09:39:55.000000', '2023-09-15 09:39:55.000000', '1', '1', 0, '02FF863948B80A521596808792811602', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '邻氟苯基氯乙酰基芬太尼-2023-7-1', NULL, NULL, '2-氯-N-(2-氟苯基) N-(1-苯乙基哌啶-4-基) 乙酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('F2BA9DB36F1E1B301359BFB1C85CFA6F', '对甲苯基5-氯戊酰基芬太尼-2023-7-1', '020FD4278A612BFE6291FE1D0B935599', '9F667429C864AF7CE0902AC6A59679C9', '2023-09-15 09:39:47.000000', '2023-09-15 09:39:47.000000', '1', '1', 0, '14E34F7ABD4FB8687D80767C2B053471', '69d39488ff4c3c74d32de1d00a3ba46d', 'F7-702_试剂柜-A_A1-4', NULL, '991FCA70AE47FF6F846A2586305E69A9', '对甲苯基5-氯戊酰基芬太尼-2023-7-1', NULL, NULL, '5-氯-N-(1-苯乙基哌啶-4-基)-N-(对甲苯基)戊酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('F49247545BCA2156985DC9C29BAED9C1', '5CI-APINACA-2023-7-1', 'FDD22893F422F3DF72188BDD70EF6D10', 'B8DF94CC48E343ECA0101179D7B4EC1A', '2023-09-15 09:39:32.000000', '2023-09-15 09:39:32.000000', '1', '1', 0, '36926D36515572634DBEB6880B9CE5BC', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '5CI-APINACA-2023-7-1', NULL, NULL, 'N-(金刚烷-1-基)-1-(5-氯戊基)-1H-吲唑-3-甲酰胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('FA589EE40F3D5E21FB655264585F8D1E', 'D4-5F-MDMB-PICA-2023-7-1', '847255B91803492156AD6EE89E0A7846', '0346C030C63D5EDC4681121794686881', '2023-09-15 09:40:05.000000', '2023-09-15 09:40:05.000000', '1', '1', 0, '912E42D3D59630F862B3DED6A9AE6F9F', '7938150077449e7882d702af91e65ddc', 'F7-702_试剂柜-A_A1-5', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'D4-5F-MDMB-PICA-2023-7-1', NULL, NULL, '2-(1-(5-氟戊基)-1H-吲哚-3-甲酰胺-4,5,6,7-d4)-3,3-二甲基丁酸甲酯', 1, 'mL');
INSERT INTO `reference_material` VALUES ('FD11A9A9268E37127850BF4355749718', 'PMMA盐酸盐-2023-7-1', 'A60C242E5ED5097754719470FCF48D98', 'AEB4AA15FADAF33E35417C986DBFF1BC', '2023-09-15 09:39:13.000000', '2023-09-15 09:39:13.000000', '1', '1', 0, '8A9956F5AC5204C0199D7170A38770EE', '3c5f5cf4150cf66a51d88b2e879ef01f', 'F7-702_试剂柜-A_A1-1', NULL, '991FCA70AE47FF6F846A2586305E69A9', 'PMMA盐酸盐-2023-7-1', NULL, NULL, '1-(4-甲氧基苯基)-N-甲基丙-2-胺', 1, 'mL');
INSERT INTO `reference_material` VALUES ('FDC3AF0E54E14A3CAB42C86F0606B8DB', '4F-MDMB-BUTICA-2023-7-1', '0B3597F76245A533BE9DC9CC3DFFB08D', '5432659BCD2216C9AF4D477FBA3F9A59', '2023-09-15 09:39:35.000000', '2023-09-15 09:39:35.000000', '1', '1', 0, '65341FCF25447616E97E26A4E833E813', '8dbff5f7fcb8fce6cf0d7ce403a3aa92', 'F7-702_试剂柜-A_A1-2', NULL, '991FCA70AE47FF6F846A2586305E69A9', '4F-MDMB-BUTICA-2023-7-1', NULL, NULL, '2-(1-(4-氟丁基)-1H-吲哚-3-甲酰胺)-3,3-二甲基丁酸甲酯', 1, 'mL');

-- ----------------------------
-- Table structure for requisition_record
-- ----------------------------
DROP TABLE IF EXISTS `requisition_record`;
CREATE TABLE `requisition_record`  (
  `requisition_record_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `recipient_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号\r\n',
  `drawing_amount` int(8) NULL DEFAULT NULL COMMENT '领用数量',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `delivery_registration_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库登记表ID',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  PRIMARY KEY (`requisition_record_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of requisition_record
-- ----------------------------

-- ----------------------------
-- Table structure for solution_use_form
-- ----------------------------
DROP TABLE IF EXISTS `solution_use_form`;
CREATE TABLE `solution_use_form`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '溶液使用记录表\r\n',
  `solution_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '溶液ID',
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '使用人ID',
  `quantity_used` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '使用数量',
  `order_of_use` int(255) NULL DEFAULT NULL COMMENT '用途',
  `date_of_use` datetime(6) NULL DEFAULT NULL COMMENT '使用日期',
  `standard_material_application_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质领用归还登记表ID',
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of solution_use_form
-- ----------------------------

-- ----------------------------
-- Table structure for standard_material_application
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_application`;
CREATE TABLE `standard_material_application`  (
  `standard_material_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `administrator_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员ID)',
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `date_of_return` datetime(6) NULL DEFAULT NULL COMMENT '(归还日期)',
  `purpose_and_quantity` double NULL DEFAULT NULL COMMENT '使用数量',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `requisitioned_quantity` int(11) NULL DEFAULT NULL COMMENT '(领用数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `serial_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '出库登记表ID',
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用登记表ID',
  `storage_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库登记表ID',
  `claim_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领取码',
  `purpose` int(6) NULL DEFAULT NULL COMMENT '用途',
  `number` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `application_for_use_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '领用申请表ID',
  `status` int(3) NULL DEFAULT NULL COMMENT '状态 0 ：未提交 1：已归还',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `is_return` int(3) NULL DEFAULT NULL COMMENT '是否归还',
  `reference_substance_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质名称',
  PRIMARY KEY (`standard_material_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质领用/归还登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_material_application
-- ----------------------------

-- ----------------------------
-- Table structure for standard_material_approval_form
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_approval_form`;
CREATE TABLE `standard_material_approval_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `agent_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(经办人)',
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人)',
  `application_time` datetime(6) NULL DEFAULT NULL COMMENT '(申请时间)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批意见)',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批结果)',
  `approval_of_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批时间)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核意见)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任id)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `manufacturer_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制造商)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `processing_time` datetime(6) NULL DEFAULT NULL COMMENT '(处理时间)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reason_for_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请原因)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人id)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质编号',
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '申请人名称',
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质名称',
  `application_content` int(6) NULL DEFAULT NULL COMMENT '申请原因',
  `commit_time` datetime(6) NULL DEFAULT NULL COMMENT '提交时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质停用/报废销毁/恢复/降级使用审批表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_material_approval_form
-- ----------------------------

-- ----------------------------
-- Table structure for standard_reserve_solution
-- ----------------------------
DROP TABLE IF EXISTS `standard_reserve_solution`;
CREATE TABLE `standard_reserve_solution`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `configuration_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '(配置浓度(mg/mL))',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(配置日期)',
  `constant_volume` double(255, 5) NULL DEFAULT NULL COMMENT '(定容体积（mL）)',
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_material_scale` double(255, 5) NULL DEFAULT NULL COMMENT '(标准物质称取量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液编号)',
  `use_of_solvent` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用溶剂)',
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用人ID)',
  `validity_period` int(6) NULL DEFAULT NULL COMMENT '(有效期限)',
  `status` int(5) NULL DEFAULT NULL COMMENT '状态  0 已配置未入库 1: 已入库',
  `warehousing_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库备注',
  `reference_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成的标准溶液ID',
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预警信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准储备溶液配制及使用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_reserve_solution
-- ----------------------------

-- ----------------------------
-- Table structure for standard_solution_curve
-- ----------------------------
DROP TABLE IF EXISTS `standard_solution_curve`;
CREATE TABLE `standard_solution_curve`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `serialn_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_concentration` double(64, 30) NULL DEFAULT NULL COMMENT '(标准储备溶液浓度)',
  `concentration_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准储备溶液浓度编号)',
  `step_solution_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(逐级溶液浓度)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(工作曲线溶液配置日期)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准工作曲线溶液配置记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_solution_curve
-- ----------------------------

-- ----------------------------
-- Table structure for supplier_information
-- ----------------------------
DROP TABLE IF EXISTS `supplier_information`;
CREATE TABLE `supplier_information`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptable_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(合格状态)',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人电话)',
  `contact_person_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人名称)',
  `name_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人姓名)',
  `photograph_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人照片)路径',
  `qualification_document` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(资质文件)路径',
  `scope_of_supply` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应范围)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_coding` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商编码)',
  `supplier_id_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人身份证号)',
  `supplier_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商名称)',
  `supplier_telephone` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人电话)',
  `supplier_business_license` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `photograph` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商图片',
  `qualification_document_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '资质文件名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商信息)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of supplier_information
-- ----------------------------
INSERT INTO `supplier_information` VALUES ('8ca00f2546a4e52b7466daadb113ea1b', '合格', NULL, NULL, NULL, NULL, NULL, NULL, '2023-09-15 09:39:11.000000', '2023-09-15 09:39:11.000000', '1', '1', NULL, NULL, '初始化导入', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `branch_id` bigint(20) NOT NULL,
  `xid` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `context` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int(11) NOT NULL,
  `log_created` datetime(0) NOT NULL,
  `log_modified` datetime(0) NOT NULL,
  `ext` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `ux_undo_log`(`xid`, `branch_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 156 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of undo_log
-- ----------------------------

-- ----------------------------
-- Table structure for warehousing_batch_list
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_batch_list`;
CREATE TABLE `warehousing_batch_list`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `batch` int(6) NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `date_of_receipt` datetime(6) NULL DEFAULT NULL COMMENT '签收日期',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `warning_value` int(11) NULL DEFAULT NULL COMMENT '(预警值)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收人\r\n',
  `warehousing_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '签收内容ID',
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `limit_date` varbinary(255) NULL DEFAULT NULL COMMENT '存储期限',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `batch_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_batch_list
-- ----------------------------

-- ----------------------------
-- Table structure for warehousing_content
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_content`;
CREATE TABLE `warehousing_content`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材ID',
  `total_quantity` int(6) NULL DEFAULT NULL COMMENT '应签收数量',
  `warehousing_quantity` int(6) NULL DEFAULT NULL COMMENT '每次签收数量',
  `catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购目录编号',
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `warehousing_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '入库登记表ID',
  `acceptance_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验收记录表ID',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商ID',
  `evaluation_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商评价表ID',
  `purchase_list_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单批次ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态0 未签收完 1 已签收完',
  `warning_value` int(255) NULL DEFAULT NULL COMMENT '预警值',
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品编码',
  `last_storage_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '上次存放位置',
  `lattice_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `box_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '柜子ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_content
-- ----------------------------

-- ----------------------------
-- Table structure for warehousing_record_form
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_record_form`;
CREATE TABLE `warehousing_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收记录表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_record_form
-- ----------------------------

-- ----------------------------
-- Procedure structure for pro_code_generator
-- ----------------------------
DROP PROCEDURE IF EXISTS `pro_code_generator`;
delimiter ;;
CREATE PROCEDURE `pro_code_generator`()
begin
	SELECT COUNT(*) INTO @menucount FROM sys_menu WHERE menu="reagent";
	-- SELECT @menucount;
	set @parentId = replace(UUID(),"-","");
	SELECT MAX(sort) into @maxsort FROM sys_menu WHERE parent_id = "root";
	if ((SELECT @menucount)>0) then
		SELECT menu_id INTO @parentId FROM sys_menu WHERE menu="reagent";
	else
		INSERT into `sys_menu` ( `parent_id`, menu_id, `path`, menu,  `permission_id`, `type`, `icon`, `sort`, `name`)
    		values ( 'root', @parentId, '/reagent', 'reagent', '', '0', 'icon-bangzhushouji', @maxsort+10,'reagent管理');
	end if;
end
;;
delimiter ;

SET FOREIGN_KEY_CHECKS = 1;
